#include "atomic_-client.h"

oskit_s16_t Atomic_test_Short(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t *b, oskit_s16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_Short);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed16(4, a);
    flick_fluke_encode_signed16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_signed16(2, *b);
          flick_fluke_decode_signed16(4, *c);
          flick_fluke_decode_end_chunk(6);
          flick_fluke_decode_end_glob(10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(10);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(10);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Atomic_test_Long(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Long);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_signed32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed32(4, *b);
          flick_fluke_decode_signed32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u16_t Atomic_test_UShort(mom_ref_t _obj, oskit_u16_t a, oskit_u16_t *b, oskit_u16_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_test_UShort);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned16(4, a);
    flick_fluke_encode_unsigned16(6, *b);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(10);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(6);
          flick_fluke_decode_unsigned16(0, _return);
          flick_fluke_decode_unsigned16(2, *b);
          flick_fluke_decode_unsigned16(4, *c);
          flick_fluke_decode_end_chunk(6);
          flick_fluke_decode_end_glob(10);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(10);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(10);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u32_t Atomic_test_ULong(mom_ref_t _obj, oskit_u32_t a, oskit_u32_t *b, oskit_u32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_ULong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a);
    flick_fluke_encode_unsigned32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_unsigned32(4, *b);
          flick_fluke_decode_unsigned32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

float Atomic_test_Float(mom_ref_t _obj, float a, float *b, float *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_test_Float);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float32(4, a);
    flick_fluke_encode_float32(8, *b);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(16);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(12);
          flick_fluke_decode_float32(0, _return);
          flick_fluke_decode_float32(4, *b);
          flick_fluke_decode_float32(8, *c);
          flick_fluke_decode_end_chunk(12);
          flick_fluke_decode_end_glob(16);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(16);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(16);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

double Atomic_test_Double(mom_ref_t _obj, double a, double *b, double *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double _return;

  _return = 0.000000;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(24);
    flick_fluke_encode_new_chunk(24);
    flick_fluke_encode_unsigned32(0, req_test_Double);
    /* Begin encode phase on parameters */
    flick_fluke_encode_float64(8, a);
    flick_fluke_encode_float64(16, *b);
    flick_fluke_encode_end_chunk(24);
    flick_fluke_encode_end_glob(24);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(32);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(28);
          flick_fluke_decode_float64(4, _return);
          flick_fluke_decode_float64(12, *b);
          flick_fluke_decode_float64(20, *c);
          flick_fluke_decode_end_chunk(28);
          flick_fluke_decode_end_glob(32);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(32);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(32);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_bool_t Atomic_test_Boolean(mom_ref_t _obj, oskit_bool_t a, oskit_bool_t *b, oskit_bool_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_bool_t _return;

  memset(&_return, 0, sizeof(oskit_bool_t ));
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Boolean);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char Atomic_test_Char(mom_ref_t _obj, char a, char *b, char *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Char);
    /* Begin encode phase on parameters */
    flick_fluke_encode_char8(4, a);
    flick_fluke_encode_char8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_char8(0, _return);
          flick_fluke_decode_char8(1, *b);
          flick_fluke_decode_char8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_u8_t Atomic_test_Octet(mom_ref_t _obj, oskit_u8_t a, oskit_u8_t *b, oskit_u8_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_u8_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(6);
    flick_fluke_encode_new_chunk(6);
    flick_fluke_encode_unsigned32(0, req_test_Octet);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned8(4, a);
    flick_fluke_encode_unsigned8(5, *b);
    flick_fluke_encode_end_chunk(6);
    flick_fluke_encode_end_glob(6);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(7);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(3);
          flick_fluke_decode_unsigned8(0, _return);
          flick_fluke_decode_unsigned8(1, *b);
          flick_fluke_decode_unsigned8(2, *c);
          flick_fluke_decode_end_chunk(3);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(7);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(7);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

