#include "oneway-client.h"

oskit_s16_t onewaytest_shortlong(mom_ref_t _obj, oskit_s32_t *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_onewaytest_shortlong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, *x);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_signed32(4, *x);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(12);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(12);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void onewaytest_voidlong(mom_ref_t _obj, oskit_s32_t x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_onewaytest_voidlong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, x);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
}

void onewaytest_onewaylong(mom_ref_t _obj, oskit_s32_t x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_onewaytest_onewaylong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, x);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
}

void onewaytest_onewaystring(mom_ref_t _obj, const char *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_onewaytest_onewaystring);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(x, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
}

char *onewaytest_stringreturn(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_onewaytest_stringreturn);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t onewaytest_longstring(mom_ref_t _obj, char **x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_onewaytest_longstring);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(*x, mom_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_longstring(*x, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

char *onewaytest_stringlong(mom_ref_t _obj, oskit_s32_t *x, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_onewaytest_stringlong);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          flick_fluke_decode_new_glob(7);
          flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
          flick_fluke_decode_signed32(0, *x);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(7);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(4);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

