#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

oskit_s16_t TestSeq_Sequencer(mom_ref_t _obj, seq *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(48);
    flick_fluke_encode_new_chunk(8 + 4 * a->_length);
    flick_fluke_encode_unsigned32(0, req_TestSeq_Sequencer);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_mom_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
    flick_fluke_encode_bcopy(8, a->_buffer, 4 * a->_length);
    flick_fluke_encode_end_chunk(8 + 4 * a->_length);
    flick_fluke_encode_end_glob(48);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(52);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_unsigned32(4, a->_length);
          a->_maximum = a->_length;
          if (a->_length > (unsigned int) 10)
            flick_mom_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_new_chunk(4 * a->_length);
          a->_buffer = mom_flick_alloc(a->_length * sizeof(oskit_s32_t ));
          flick_fluke_decode_bcopy(0, a->_buffer, 4 * a->_length);
          flick_fluke_decode_end_chunk(4 * a->_length);
          flick_fluke_decode_end_glob(52);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(52);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(52);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

