#include "ttcp-server.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->xx);
  flick_fluke_encode_signed32(4, _data->yy);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->xx);
  flick_fluke_decode_signed32(4, _data->yy);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const b *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->x.xx);
  flick_fluke_encode_signed32(4, _data->x.yy);
  flick_fluke_encode_signed32(8, _data->y.xx);
  flick_fluke_encode_signed32(12, _data->y.yy);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->x.xx);
  flick_fluke_decode_signed32(4, _data->x.yy);
  flick_fluke_decode_signed32(8, _data->y.xx);
  flick_fluke_decode_signed32(12, _data->y.yy);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  oskit_u32_t _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(16 * _data->_length);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx);
      flick_fluke_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy);
      flick_fluke_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx);
      flick_fluke_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy);
      flick_fluke_encode_end_chunk(16);
    }
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  oskit_u32_t _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(16 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(b ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_decode_new_chunk(16);
      flick_fluke_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_fluke_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy);
      flick_fluke_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx);
      flick_fluke_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy);
      flick_fluke_decode_end_chunk(16);
    }
  flick_fluke_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  flick_fluke_encode_new_chunk(4 * _data->_length);
  flick_fluke_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 * _data->_length);
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->baloney);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->baloney);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
}

mom_dispatch_action_t ttcp_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t8_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t8_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t8_switch_tag)
      {
      case req_ttcp_inttest:
        {
          {
            ttcp *_obj;
            intBuffer *_local_data;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            intBuffer _t9_storage;
            mom_exc_t _t10_storage;

            _obj = (ttcp *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_data = &_t9_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_data->_length);
            _local_data->_maximum = _local_data->_length;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * _local_data->_length);
            flick_fluke_decode_new_chunk(4 * _local_data->_length);
            flick_fluke_decode_msgptr(0, _local_data->_buffer);
            flick_fluke_decode_end_chunk(4 * _local_data->_length);
            flick_fluke_decode_end_glob(4 * _local_data->_length);
            _ev = &_t10_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = ttcp_server_inttest(_obj, _local_data, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  switch ((signed int )(_ev->_type))
                    {
                    case exc_useless:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                        mom_flick_free((useless *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        break;
                      }
                    }
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_ttcp_structtest:
        {
          {
            ttcp *_obj;
            structBuffer *_local_data;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            structBuffer _t11_storage;
            oskit_u32_t _t12_array_iter;
            mom_exc_t _t13_storage;

            _obj = (ttcp *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_data = &_t11_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_data->_length);
            _local_data->_maximum = _local_data->_length;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(16 * _local_data->_length);
            _local_data->_buffer = auto_flick_alloc(_local_data->_length * sizeof(b ));
            for (_t12_array_iter = 0; _t12_array_iter < _local_data->_length; _t12_array_iter++)
              {
                flick_fluke_decode_new_chunk(16);
                flick_fluke_decode_signed32(0, _local_data->_buffer[_t12_array_iter].x.xx);
                flick_fluke_decode_signed32(4, _local_data->_buffer[_t12_array_iter].x.yy);
                flick_fluke_decode_signed32(8, _local_data->_buffer[_t12_array_iter].y.xx);
                flick_fluke_decode_signed32(12, _local_data->_buffer[_t12_array_iter].y.yy);
                flick_fluke_decode_end_chunk(16);
              }
            flick_fluke_decode_end_glob(16 * _local_data->_length);
            _ev = &_t13_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = ttcp_server_structtest(_obj, _local_data, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  switch ((signed int )(_ev->_type))
                    {
                    case exc_useless:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, ((useless *)(_ev->_except))->baloney);
                        mom_flick_free((useless *)(_ev->_except));
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        break;
                      }
                    }
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
