#include "turtle-server-client.h"

oskit_s32_t Server_SetSize(mom_ref_t _obj, oskit_s32_t width, oskit_s32_t height, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_Server_SetSize);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, width);
    flick_fluke_encode_signed32(8, height);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_AddWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_unsigned32(0, req_Server_AddWall);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, startx);
    flick_fluke_encode_signed32(8, starty);
    flick_fluke_encode_signed32(12, endx);
    flick_fluke_encode_signed32(16, endy);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_DelWall(mom_ref_t _obj, oskit_s32_t startx, oskit_s32_t starty, oskit_s32_t endx, oskit_s32_t endy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_unsigned32(0, req_Server_DelWall);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, startx);
    flick_fluke_encode_signed32(8, starty);
    flick_fluke_encode_signed32(12, endx);
    flick_fluke_encode_signed32(16, endy);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_AddRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, oskit_s32_t color, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(24);
    flick_fluke_encode_new_chunk(24);
    flick_fluke_encode_unsigned32(0, req_Server_AddRect);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, left);
    flick_fluke_encode_signed32(8, top);
    flick_fluke_encode_signed32(12, right);
    flick_fluke_encode_signed32(16, bottom);
    flick_fluke_encode_signed32(20, color);
    flick_fluke_encode_end_chunk(24);
    flick_fluke_encode_end_glob(24);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_DelRect(mom_ref_t _obj, oskit_s32_t left, oskit_s32_t top, oskit_s32_t right, oskit_s32_t bottom, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(20);
    flick_fluke_encode_new_chunk(20);
    flick_fluke_encode_unsigned32(0, req_Server_DelRect);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, left);
    flick_fluke_encode_signed32(8, top);
    flick_fluke_encode_signed32(12, right);
    flick_fluke_encode_signed32(16, bottom);
    flick_fluke_encode_end_chunk(20);
    flick_fluke_encode_end_glob(20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_SetTurtle(mom_ref_t _obj, oskit_s32_t x, oskit_s32_t y, oskit_s32_t angle, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_Server_SetTurtle);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, x);
    flick_fluke_encode_signed32(8, y);
    flick_fluke_encode_signed32(12, angle);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(8);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t Server_GetTurtle(mom_ref_t _obj, oskit_s32_t *x, oskit_s32_t *y, oskit_s32_t *angle, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_Server_GetTurtle);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_signed32(4, *x);
          flick_fluke_decode_signed32(8, *y);
          flick_fluke_decode_signed32(12, *angle);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

