#include "array-1-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_iiop_encode_new_glob(64);
  flick_iiop_encode_new_chunk(64);
  flick_cdr_encode_bcopy(0, *_data, 64);
  flick_iiop_encode_end_chunk(64);
  flick_iiop_encode_end_glob(64);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_iiop_decode_new_glob(64);
  flick_iiop_decode_new_chunk(64);
  flick_cdr_decode_bcopy(0, *_data, 64);
  flick_iiop_decode_end_chunk(64);
  flick_iiop_decode_end_glob(64);
}

void flick_unmarshal_stub_data64_swap(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(64);
  for (_t0_array_iter = 0; _t0_array_iter < 16; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(64);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_iiop_encode_new_glob(128);
  flick_iiop_encode_new_chunk(128);
  flick_cdr_encode_bcopy(0, *_data, 128);
  flick_iiop_encode_end_chunk(128);
  flick_iiop_encode_end_glob(128);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_iiop_decode_new_glob(128);
  flick_iiop_decode_new_chunk(128);
  flick_cdr_decode_bcopy(0, *_data, 128);
  flick_iiop_decode_end_chunk(128);
  flick_iiop_decode_end_glob(128);
}

void flick_unmarshal_stub_data128_swap(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t1_array_iter;

  flick_iiop_decode_new_glob(128);
  for (_t1_array_iter = 0; _t1_array_iter < 32; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(128);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_iiop_encode_new_glob(256);
  flick_iiop_encode_new_chunk(256);
  flick_cdr_encode_bcopy(0, *_data, 256);
  flick_iiop_encode_end_chunk(256);
  flick_iiop_encode_end_glob(256);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_iiop_decode_new_glob(256);
  flick_iiop_decode_new_chunk(256);
  flick_cdr_decode_bcopy(0, *_data, 256);
  flick_iiop_decode_end_chunk(256);
  flick_iiop_decode_end_glob(256);
}

void flick_unmarshal_stub_data256_swap(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_decode_new_glob(256);
  for (_t2_array_iter = 0; _t2_array_iter < 64; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(256);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_iiop_encode_new_glob(512);
  flick_iiop_encode_new_chunk(512);
  flick_cdr_encode_bcopy(0, *_data, 512);
  flick_iiop_encode_end_chunk(512);
  flick_iiop_encode_end_glob(512);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_iiop_decode_new_glob(512);
  flick_iiop_decode_new_chunk(512);
  flick_cdr_decode_bcopy(0, *_data, 512);
  flick_iiop_decode_end_chunk(512);
  flick_iiop_decode_end_glob(512);
}

void flick_unmarshal_stub_data512_swap(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_iiop_decode_new_glob(512);
  for (_t3_array_iter = 0; _t3_array_iter < 128; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(512);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_iiop_encode_new_glob(1024);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_iiop_decode_new_glob(1024);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_data1K_swap(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t4_array_iter;

  flick_iiop_decode_new_glob(1024);
  for (_t4_array_iter = 0; _t4_array_iter < 256; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t4_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_iiop_encode_new_glob(2048);
  flick_iiop_encode_new_chunk(2048);
  flick_cdr_encode_bcopy(0, *_data, 2048);
  flick_iiop_encode_end_chunk(2048);
  flick_iiop_encode_end_glob(2048);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_iiop_decode_new_glob(2048);
  flick_iiop_decode_new_chunk(2048);
  flick_cdr_decode_bcopy(0, *_data, 2048);
  flick_iiop_decode_end_chunk(2048);
  flick_iiop_decode_end_glob(2048);
}

void flick_unmarshal_stub_data2K_swap(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t5_array_iter;

  flick_iiop_decode_new_glob(2048);
  for (_t5_array_iter = 0; _t5_array_iter < 512; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(2048);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_iiop_encode_new_glob(4096);
  flick_iiop_encode_new_chunk(4096);
  flick_cdr_encode_bcopy(0, *_data, 4096);
  flick_iiop_encode_end_chunk(4096);
  flick_iiop_encode_end_glob(4096);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_iiop_decode_new_glob(4096);
  flick_iiop_decode_new_chunk(4096);
  flick_cdr_decode_bcopy(0, *_data, 4096);
  flick_iiop_decode_end_chunk(4096);
  flick_iiop_decode_end_glob(4096);
}

void flick_unmarshal_stub_data4K_swap(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t6_array_iter;

  flick_iiop_decode_new_glob(4096);
  for (_t6_array_iter = 0; _t6_array_iter < 1024; _t6_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t6_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4096);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_iiop_encode_new_glob(8192);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 8192);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_iiop_decode_new_glob(8192);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
}

void flick_unmarshal_stub_data8K_swap(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t7_array_iter;

  flick_iiop_decode_new_glob(8192);
  for (_t7_array_iter = 0; _t7_array_iter < 2048; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t7_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(8192);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_iiop_encode_new_glob(16384);
  flick_iiop_encode_new_chunk(16384);
  flick_cdr_encode_bcopy(0, *_data, 16384);
  flick_iiop_encode_end_chunk(16384);
  flick_iiop_encode_end_glob(16384);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_iiop_decode_new_glob(16384);
  flick_iiop_decode_new_chunk(16384);
  flick_cdr_decode_bcopy(0, *_data, 16384);
  flick_iiop_decode_end_chunk(16384);
  flick_iiop_decode_end_glob(16384);
}

void flick_unmarshal_stub_data16K_swap(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t8_array_iter;

  flick_iiop_decode_new_glob(16384);
  for (_t8_array_iter = 0; _t8_array_iter < 4096; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t8_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(16384);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_iiop_encode_new_glob(32768);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(32768);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_iiop_decode_new_glob(32768);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(32768);
}

void flick_unmarshal_stub_data32K_swap(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t9_array_iter;

  flick_iiop_decode_new_glob(32768);
  for (_t9_array_iter = 0; _t9_array_iter < 8192; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t9_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32768);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_iiop_encode_new_glob(65536);
  flick_iiop_encode_new_chunk(65536);
  flick_cdr_encode_bcopy(0, *_data, 65536);
  flick_iiop_encode_end_chunk(65536);
  flick_iiop_encode_end_glob(65536);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_iiop_decode_new_glob(65536);
  flick_iiop_decode_new_chunk(65536);
  flick_cdr_decode_bcopy(0, *_data, 65536);
  flick_iiop_decode_end_chunk(65536);
  flick_iiop_decode_end_glob(65536);
}

void flick_unmarshal_stub_data64K_swap(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t10_array_iter;

  flick_iiop_decode_new_glob(65536);
  for (_t10_array_iter = 0; _t10_array_iter < 16384; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t10_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(65536);
}

flick_operation_success_t prog_1234(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t102_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t102_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t102_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t103_principal_len;
            int _t105_storage[16];
            flick_unsigned8_t _t106_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t103_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t103_principal_len);
            flick_iiop_decode_new_chunk(_t103_principal_len);
            flick_iiop_decode_end_chunk(_t103_principal_len);
            flick_iiop_decode_end_glob(_t103_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(112);
            _local_arg = _t105_storage;
            for (_t106_array_iter = 0; _t106_array_iter < 16; _t106_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t106_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t107_principal_len;
            int _t109_storage[32];
            flick_unsigned8_t _t110_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t107_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t107_principal_len);
            flick_iiop_decode_new_chunk(_t107_principal_len);
            flick_iiop_decode_end_chunk(_t107_principal_len);
            flick_iiop_decode_end_glob(_t107_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(224);
            _local_arg = _t109_storage;
            for (_t110_array_iter = 0; _t110_array_iter < 32; _t110_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t110_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t111_principal_len;
            int _t113_storage[64];
            flick_unsigned8_t _t114_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t111_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t111_principal_len);
            flick_iiop_decode_new_chunk(_t111_principal_len);
            flick_iiop_decode_end_chunk(_t111_principal_len);
            flick_iiop_decode_end_glob(_t111_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(448);
            _local_arg = _t113_storage;
            for (_t114_array_iter = 0; _t114_array_iter < 64; _t114_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t114_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t115_principal_len;
            int _t117_storage[128];
            flick_unsigned8_t _t118_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t115_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t115_principal_len);
            flick_iiop_decode_new_chunk(_t115_principal_len);
            flick_iiop_decode_end_chunk(_t115_principal_len);
            flick_iiop_decode_end_glob(_t115_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(896);
            _local_arg = _t117_storage;
            for (_t118_array_iter = 0; _t118_array_iter < 128; _t118_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t118_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t119_principal_len;
            int _t121_storage[256];
            flick_unsigned16_t _t122_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t119_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t119_principal_len);
            flick_iiop_decode_new_chunk(_t119_principal_len);
            flick_iiop_decode_end_chunk(_t119_principal_len);
            flick_iiop_decode_end_glob(_t119_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1792);
            _local_arg = _t121_storage;
            for (_t122_array_iter = 0; _t122_array_iter < 256; _t122_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t122_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t123_principal_len;
            int _t125_storage[512];
            flick_unsigned16_t _t126_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t123_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t123_principal_len);
            flick_iiop_decode_new_chunk(_t123_principal_len);
            flick_iiop_decode_end_chunk(_t123_principal_len);
            flick_iiop_decode_end_glob(_t123_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3584);
            _local_arg = _t125_storage;
            for (_t126_array_iter = 0; _t126_array_iter < 512; _t126_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t126_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t127_principal_len;
            int _t129_storage[1024];
            flick_unsigned16_t _t130_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t127_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t127_principal_len);
            flick_iiop_decode_new_chunk(_t127_principal_len);
            flick_iiop_decode_end_chunk(_t127_principal_len);
            flick_iiop_decode_end_glob(_t127_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7168);
            _local_arg = _t129_storage;
            for (_t130_array_iter = 0; _t130_array_iter < 1024; _t130_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t130_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t131_principal_len;
            int _t133_storage[2048];
            flick_unsigned16_t _t134_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t131_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t131_principal_len);
            flick_iiop_decode_new_chunk(_t131_principal_len);
            flick_iiop_decode_end_chunk(_t131_principal_len);
            flick_iiop_decode_end_glob(_t131_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(14336);
            _local_arg = _t133_storage;
            for (_t134_array_iter = 0; _t134_array_iter < 2048; _t134_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t134_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(14336);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t135_principal_len;
            int _t137_storage[4096];
            flick_unsigned16_t _t138_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t135_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t135_principal_len);
            flick_iiop_decode_new_chunk(_t135_principal_len);
            flick_iiop_decode_end_chunk(_t135_principal_len);
            flick_iiop_decode_end_glob(_t135_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(28672);
            _local_arg = _t137_storage;
            for (_t138_array_iter = 0; _t138_array_iter < 4096; _t138_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t138_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(28672);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t139_principal_len;
            int _t141_storage[8192];
            flick_unsigned16_t _t142_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t139_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t139_principal_len);
            flick_iiop_decode_new_chunk(_t139_principal_len);
            flick_iiop_decode_end_chunk(_t139_principal_len);
            flick_iiop_decode_end_glob(_t139_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(57344);
            _local_arg = _t141_storage;
            for (_t142_array_iter = 0; _t142_array_iter < 8192; _t142_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t142_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(57344);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t143_principal_len;
            int _t145_storage[16384];
            flick_unsigned16_t _t146_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t143_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t143_principal_len);
            flick_iiop_decode_new_chunk(_t143_principal_len);
            flick_iiop_decode_end_chunk(_t143_principal_len);
            flick_iiop_decode_end_glob(_t143_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(114688);
            _local_arg = _t145_storage;
            for (_t146_array_iter = 0; _t146_array_iter < 16384; _t146_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_arg[_t146_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(114688);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t34_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t34_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t34_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t35_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t35_principal_len);
            flick_iiop_decode_new_chunk(_t35_principal_len);
            flick_iiop_decode_end_chunk(_t35_principal_len);
            flick_iiop_decode_end_glob(_t35_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op64_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t37_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t37_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t37_principal_len);
            flick_iiop_decode_new_chunk(_t37_principal_len);
            flick_iiop_decode_end_chunk(_t37_principal_len);
            flick_iiop_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op128_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t39_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t39_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t39_principal_len);
            flick_iiop_decode_new_chunk(_t39_principal_len);
            flick_iiop_decode_end_chunk(_t39_principal_len);
            flick_iiop_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op256_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t41_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op512_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t43_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t43_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t43_principal_len);
            flick_iiop_decode_new_chunk(_t43_principal_len);
            flick_iiop_decode_end_chunk(_t43_principal_len);
            flick_iiop_decode_end_glob(_t43_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op1k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t45_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t45_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t45_principal_len);
            flick_iiop_decode_new_chunk(_t45_principal_len);
            flick_iiop_decode_end_chunk(_t45_principal_len);
            flick_iiop_decode_end_glob(_t45_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op2k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t47_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t47_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t47_principal_len);
            flick_iiop_decode_new_chunk(_t47_principal_len);
            flick_iiop_decode_end_chunk(_t47_principal_len);
            flick_iiop_decode_end_glob(_t47_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op4k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t49_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t49_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t49_principal_len);
            flick_iiop_decode_new_chunk(_t49_principal_len);
            flick_iiop_decode_end_chunk(_t49_principal_len);
            flick_iiop_decode_end_glob(_t49_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op8k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t51_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t51_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t51_principal_len);
            flick_iiop_decode_new_chunk(_t51_principal_len);
            flick_iiop_decode_end_chunk(_t51_principal_len);
            flick_iiop_decode_end_glob(_t51_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op16k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t53_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t53_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t53_principal_len);
            flick_iiop_decode_new_chunk(_t53_principal_len);
            flick_iiop_decode_end_chunk(_t53_principal_len);
            flick_iiop_decode_end_glob(_t53_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op32k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t55_principal_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t55_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t55_principal_len);
            flick_iiop_decode_new_chunk(_t55_principal_len);
            flick_iiop_decode_end_chunk(_t55_principal_len);
            flick_iiop_decode_end_glob(_t55_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_arg);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op64k_1234(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
