#include "arrayez-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, const arrayez_arr8k *_data)
{
  flick_iiop_encode_new_glob(8192);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 8192);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  flick_iiop_decode_new_glob(8192);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
}

void flick_unmarshal_stub_arrayez_arr8k_swap(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  flick_unsigned16_t _t0_array_iter;

  flick_iiop_decode_new_glob(8192);
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(8192);
}

void flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, const arrayez *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrayez_swap(flick_marshal_stream_t _stream, arrayez *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t arrayez_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t68_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t68_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t68_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t69_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t70_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t70_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t70_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t71_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t71_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t71_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t72_principal_len;
                              CORBA_long _t74_storage[2048];
                              flick_unsigned16_t _t75_array_iter;
                              CORBA_Environment _t76_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t72_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t72_principal_len);
                              flick_iiop_decode_new_chunk(_t72_principal_len);
                              flick_iiop_decode_end_chunk(_t72_principal_len);
                              flick_iiop_decode_end_glob(_t72_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(14336);
                              _local_a = _t74_storage;
                              for (_t75_array_iter = 0; _t75_array_iter < 2048; _t75_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t75_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_end_glob(14336);
                              _ev = &_t76_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t77_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t77_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t77_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              CORBA_long *_local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t78_principal_len;
                              CORBA_long _t80_storage[2048];
                              flick_unsigned16_t _t81_array_iter;
                              CORBA_long _t83_storage[2048];
                              CORBA_Environment _t84_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t78_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t78_principal_len);
                              flick_iiop_decode_new_chunk(_t78_principal_len);
                              flick_iiop_decode_end_chunk(_t78_principal_len);
                              flick_iiop_decode_end_glob(_t78_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(14336);
                              _local_a = _t80_storage;
                              for (_t81_array_iter = 0; _t81_array_iter < 2048; _t81_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t81_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_end_glob(14336);
                              _local_b = _t83_storage;
                              _ev = &_t84_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_encode_new_glob(8192);
                                    flick_iiop_encode_new_chunk(8192);
                                    flick_cdr_encode_bcopy(0, _local_b, 8192);
                                    flick_iiop_encode_end_chunk(8192);
                                    flick_iiop_encode_end_glob(8192);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t85_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t86_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t87_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t87_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t87_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t88_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t88_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t88_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    CORBA_long *_local_a;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t89_principal_len;
                                    CORBA_long _t91_storage[2048];
                                    CORBA_Environment _t92_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t89_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t89_principal_len);
                                    flick_iiop_decode_new_chunk(_t89_principal_len);
                                    flick_iiop_decode_end_chunk(_t89_principal_len);
                                    flick_iiop_decode_end_glob(_t89_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = _t91_storage;
                                    _ev = &_t92_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_encode_new_glob(8192);
                                          flick_iiop_encode_new_chunk(8192);
                                          flick_cdr_encode_bcopy(0, _local_a, 8192);
                                          flick_iiop_encode_end_chunk(8192);
                                          flick_iiop_encode_end_glob(8192);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t23_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t24_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t24_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t24_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t25_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t25_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t25_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t26_principal_len;
                              CORBA_Environment _t28_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t26_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t26_principal_len);
                              flick_iiop_decode_new_chunk(_t26_principal_len);
                              flick_iiop_decode_end_chunk(_t26_principal_len);
                              flick_iiop_decode_end_glob(_t26_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(8195);
                              flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_cdr_decode_msgptr(0, _local_a);
                              _ev = &_t28_storage;
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8195);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t29_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t29_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t29_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              CORBA_long *_local_a;
                              CORBA_long *_local_b;
                              CORBA_Environment *_ev;
                              CORBA_long _return = 0;
                              unsigned int _t30_principal_len;
                              CORBA_long _t33_storage[2048];
                              CORBA_Environment _t34_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t30_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t30_principal_len);
                              flick_iiop_decode_new_chunk(_t30_principal_len);
                              flick_iiop_decode_end_chunk(_t30_principal_len);
                              flick_iiop_decode_end_glob(_t30_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(8195);
                              flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_cdr_decode_msgptr(0, _local_a);
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8195);
                              _local_b = _t33_storage;
                              _ev = &_t34_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _return);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    flick_iiop_encode_new_glob(8192);
                                    flick_iiop_encode_new_chunk(8192);
                                    flick_cdr_encode_bcopy(0, _local_b, 8192);
                                    flick_iiop_encode_end_chunk(8192);
                                    flick_iiop_encode_end_glob(8192);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t35_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t36_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t36_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t36_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t37_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t37_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t37_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t38_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t38_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t38_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    CORBA_long *_local_a;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t39_principal_len;
                                    CORBA_long _t41_storage[2048];
                                    CORBA_Environment _t42_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t39_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t39_principal_len);
                                    flick_iiop_decode_new_chunk(_t39_principal_len);
                                    flick_iiop_decode_end_chunk(_t39_principal_len);
                                    flick_iiop_decode_end_glob(_t39_principal_len);
                                    /* Begin decode phase on parameters */
                                    _local_a = _t41_storage;
                                    _ev = &_t42_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(8);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _return);
                                          flick_iiop_encode_end_chunk(4);
                                          flick_iiop_encode_end_glob(8);
                                          flick_iiop_encode_new_glob(8192);
                                          flick_iiop_encode_new_chunk(8192);
                                          flick_cdr_encode_bcopy(0, _local_a, 8192);
                                          flick_iiop_encode_end_chunk(8192);
                                          flick_iiop_encode_end_glob(8192);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(8);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(8);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
