#include "arrayez_-client.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 32);
  flick_iiop_encode_end_chunk(32);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 32);
  flick_iiop_decode_end_chunk(32);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(32);
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_iiop_encode_new_glob(1024);
  flick_iiop_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_iiop_encode_end_chunk(1024);
  flick_iiop_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_iiop_decode_new_glob(1024);
  flick_iiop_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_iiop_decode_end_chunk(1024);
  flick_iiop_decode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t1_array_iter;

  flick_iiop_decode_new_glob(1024);
  for (_t1_array_iter = 0; _t1_array_iter < 256; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_iiop_encode_new_glob(32768);
  flick_iiop_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_iiop_encode_end_chunk(32768);
  flick_iiop_encode_end_glob(32768);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_iiop_decode_new_glob(32768);
  flick_iiop_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_iiop_decode_end_chunk(32768);
  flick_iiop_decode_end_glob(32768);
}

void flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t2_array_iter;

  flick_iiop_decode_new_glob(32768);
  for (_t2_array_iter = 0; _t2_array_iter < 8192; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(32768);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long arrays_test8(arrays _obj, arrays_arr8 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(48);
    flick_iiop_encode_new_chunk(48);
    flick_cdr_encode_unsigned32(0, 6);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '8');
    flick_cdr_encode_char8(9, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(16, a, 32);
    flick_iiop_encode_end_chunk(48);
    flick_iiop_encode_end_glob(48);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long arrays_test256(arrays _obj, arrays_arr256 a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(1040);
    flick_iiop_encode_new_chunk(1040);
    flick_cdr_encode_unsigned32(0, 8);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '2');
    flick_cdr_encode_char8(9, '5');
    flick_cdr_encode_char8(10, '6');
    flick_cdr_encode_char8(11, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(16, a, 1024);
    flick_iiop_encode_end_chunk(1040);
    flick_iiop_encode_end_glob(1040);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long arrays_test8k(arrays _obj, arrays_arr8k a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 7);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '8');
    flick_cdr_encode_char8(9, 'k');
    flick_cdr_encode_char8(10, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(12, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_iiop_encode_new_glob(32768);
    flick_iiop_encode_new_chunk(32768);
    flick_cdr_encode_bcopy(0, a, 32768);
    flick_iiop_encode_end_chunk(32768);
    flick_iiop_encode_end_glob(32768);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

