#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_iiop_encode_new_glob(5);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1);
  flick_cdr_encode_char8(4, _data->elem2);
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1);
  flick_cdr_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_iiop_decode_new_glob(5);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1);
  flick_cdr_swap_decode_char8(4, _data->elem2);
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1);
  flick_cdr_encode_signed32(4, _data->elem2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1);
  flick_cdr_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1);
  flick_cdr_swap_decode_signed32(4, _data->elem2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
  flick_iiop_encode_new_glob(216);
  flick_iiop_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_iiop_encode_end_chunk(204);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(216);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_iiop_decode_new_glob(216);
  flick_iiop_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first);
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_iiop_decode_end_chunk(204);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(216);
}

void flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned8_t _t0_array_iter;

  flick_iiop_decode_new_glob(363);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(363);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
  flick_iiop_encode_new_glob(213);
  flick_iiop_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_cdr_encode_bcopy(8, _data->data, 200);
  flick_cdr_encode_char8(208, _data->last);
  flick_iiop_encode_end_chunk(209);
  flick_iiop_encode_end_glob(213);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_cdr_decode_bcopy(8, _data->data, 200);
  flick_cdr_decode_char8(208, _data->last);
  flick_iiop_decode_end_chunk(209);
  flick_iiop_decode_end_glob(213);
}

void flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned8_t _t1_array_iter;

  flick_iiop_decode_new_glob(213);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(213);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
  flick_iiop_encode_new_glob(206);
  flick_iiop_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first);
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_cdr_encode_signed16(204, _data->last);
  flick_iiop_encode_end_chunk(206);
  flick_iiop_encode_end_glob(206);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_iiop_decode_new_glob(206);
  flick_iiop_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first);
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_cdr_decode_signed16(204, _data->last);
  flick_iiop_decode_end_chunk(206);
  flick_iiop_decode_end_glob(206);
}

void flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned8_t _t2_array_iter;

  flick_iiop_decode_new_glob(304);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(304);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t3_array_iter;

  flick_iiop_encode_new_glob(416);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t3_array_iter].elem1);
      flick_cdr_encode_char8(7, _data->data[_t3_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(416);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t4_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t4_array_iter].elem1);
      flick_cdr_decode_char8(7, _data->data[_t4_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t5_array_iter;

  flick_iiop_decode_new_glob(416);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t5_array_iter].elem1);
      flick_cdr_swap_decode_char8(7, _data->data[_t5_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(416);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t7_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t7_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t7_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t8_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_iiop_encode_new_glob(405);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_cdr_encode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_iiop_encode_end_chunk(5);
    }
  flick_iiop_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last);
  flick_iiop_encode_end_chunk(3);
  flick_iiop_encode_end_glob(405);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t10_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t10_array_iter].elem1);
      flick_cdr_decode_char8(4, _data->data[_t10_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t11_array_iter;

  flick_iiop_decode_new_glob(405);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_cdr_swap_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_iiop_decode_end_chunk(5);
    }
  flick_iiop_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last);
  flick_iiop_decode_end_chunk(3);
  flick_iiop_decode_end_glob(405);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first);
  flick_iiop_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t12_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t13_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t13_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_decode_signed32(0, _data->data[_t13_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first);
  flick_iiop_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->data[_t14_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->last);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_iiop_encode_new_glob(413);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first);
  flick_iiop_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_cdr_encode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_iiop_encode_end_chunk(8);
    }
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(413);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t16_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t16_array_iter].elem1);
      flick_cdr_decode_signed32(4, _data->data[_t16_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t17_array_iter;

  flick_iiop_decode_new_glob(413);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_swap_decode_float64(0, _data->first);
  flick_iiop_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_cdr_swap_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_iiop_decode_end_chunk(8);
    }
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(413);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t18_array_iter;

  flick_iiop_encode_new_glob(404);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first);
  flick_iiop_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_iiop_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t18_array_iter].elem1);
      flick_iiop_encode_end_chunk(1);
      flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t18_array_iter].elem2);
      flick_iiop_encode_end_chunk(4);
    }
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(404);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t19_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t19_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_decode_signed32(0, _data->data[_t19_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t20_array_iter;

  flick_iiop_decode_new_glob(404);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first);
  flick_iiop_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < 50; _t20_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t20_array_iter].elem1);
      flick_iiop_decode_end_chunk(1);
      flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_swap_decode_signed32(0, _data->data[_t20_array_iter].elem2);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(404);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t348_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t348_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t348_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t349_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t349_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t349_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t350_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t350_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t350_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t351_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t351_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t351_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct cLd *_local_inp;
                              struct cLd *_local_iop;
                              struct cLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLd _return;
                              unsigned int _t352_principal_len;
                              struct cLd _t353_storage;
                              flick_unsigned8_t _t354_array_iter;
                              struct cLd _t355_storage;
                              flick_unsigned8_t _t356_array_iter;
                              struct cLd _t357_storage;
                              CORBA_Environment _t358_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t352_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t352_principal_len);
                              flick_iiop_decode_new_chunk(_t352_principal_len);
                              flick_iiop_decode_end_chunk(_t352_principal_len);
                              flick_iiop_decode_end_glob(_t352_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t353_storage;
                              flick_iiop_decode_new_glob(726);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              for (_t354_array_iter = 0; _t354_array_iter < 50; _t354_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t354_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t355_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(9);
                              for (_t356_array_iter = 0; _t356_array_iter < 50; _t356_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t356_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_iop->last);
                              _local_outp = &_t357_storage;
                              _ev = &_t358_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(726);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(652);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(204);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 200);
                                    flick_iiop_encode_end_chunk(204);
                                    flick_iiop_encode_new_chunk_align(440, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                    flick_cdr_encode_float64(216, _local_iop->last);
                                    flick_cdr_encode_char8(224, _local_outp->first);
                                    flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                    flick_cdr_encode_float64(432, _local_outp->last);
                                    flick_iiop_encode_end_chunk(440);
                                    flick_iiop_encode_end_glob(652);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(652);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(652);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t359_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t359_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t359_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct dLc *_local_inp;
                              struct dLc *_local_iop;
                              struct dLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLc _return;
                              unsigned int _t360_principal_len;
                              struct dLc _t361_storage;
                              flick_unsigned8_t _t362_array_iter;
                              struct dLc _t363_storage;
                              flick_unsigned8_t _t364_array_iter;
                              struct dLc _t365_storage;
                              CORBA_Environment _t366_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t360_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t360_principal_len);
                              flick_iiop_decode_new_chunk(_t360_principal_len);
                              flick_iiop_decode_end_chunk(_t360_principal_len);
                              flick_iiop_decode_end_glob(_t360_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t361_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t362_array_iter = 0; _t362_array_iter < 50; _t362_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t362_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t363_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 1);
                              flick_cdr_swap_decode_float64(0, _local_iop->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t364_array_iter = 0; _t364_array_iter < 50; _t364_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t364_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t365_storage;
                              _ev = &_t366_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(649);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(641, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_cdr_encode_bcopy(8, _return.data, 200);
                                    flick_cdr_encode_char8(208, _return.last);
                                    flick_cdr_encode_float64(216, _local_iop->first);
                                    flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                    flick_cdr_encode_char8(424, _local_iop->last);
                                    flick_cdr_encode_float64(432, _local_outp->first);
                                    flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                    flick_cdr_encode_char8(640, _local_outp->last);
                                    flick_iiop_encode_end_chunk(641);
                                    flick_iiop_encode_end_glob(649);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(649);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(649);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t367_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t367_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t367_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct sLs *_local_inp;
                              struct sLs *_local_iop;
                              struct sLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLs _return;
                              unsigned int _t368_principal_len;
                              struct sLs _t369_storage;
                              flick_unsigned8_t _t370_array_iter;
                              struct sLs _t371_storage;
                              flick_unsigned8_t _t372_array_iter;
                              struct sLs _t373_storage;
                              CORBA_Environment _t374_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t368_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t368_principal_len);
                              flick_iiop_decode_new_chunk(_t368_principal_len);
                              flick_iiop_decode_end_chunk(_t368_principal_len);
                              flick_iiop_decode_end_glob(_t368_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t369_storage;
                              flick_iiop_decode_new_glob(509);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              for (_t370_array_iter = 0; _t370_array_iter < 50; _t370_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t370_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t371_storage;
                              flick_cdr_swap_decode_signed16(2, _local_iop->first);
                              flick_iiop_decode_end_chunk(4);
                              for (_t372_array_iter = 0; _t372_array_iter < 50; _t372_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t372_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t373_storage;
                              _ev = &_t374_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(509);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(618);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(614);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 200);
                                    flick_cdr_encode_signed16(204, _return.last);
                                    flick_cdr_encode_signed16(206, _local_iop->first);
                                    flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                    flick_cdr_encode_signed16(408, _local_iop->last);
                                    flick_cdr_encode_signed16(410, _local_outp->first);
                                    flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                    flick_cdr_encode_signed16(612, _local_outp->last);
                                    flick_iiop_encode_end_chunk(614);
                                    flick_iiop_encode_end_glob(618);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(618);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(618);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t375_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t375_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t375_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t376_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t376_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t376_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t377_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t377_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t377_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cLCd *_local_inp;
                              struct cLCd *_local_iop;
                              struct cLCd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLCd _return;
                              unsigned int _t378_principal_len;
                              struct cLCd _t379_storage;
                              flick_unsigned8_t _t380_array_iter;
                              struct cLCd _t381_storage;
                              flick_unsigned8_t _t382_array_iter;
                              struct cLCd _t383_storage;
                              CORBA_Environment _t384_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t378_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t378_principal_len);
                              flick_iiop_decode_new_chunk(_t378_principal_len);
                              flick_iiop_decode_end_chunk(_t378_principal_len);
                              flick_iiop_decode_end_glob(_t378_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t379_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              for (_t380_array_iter = 0; _t380_array_iter < 50; _t380_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t380_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t380_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t381_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(9);
                              for (_t382_array_iter = 0; _t382_array_iter < 50; _t382_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_signed32(3, _local_iop->data[_t382_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(7, _local_iop->data[_t382_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(15);
                              flick_cdr_swap_decode_float64(7, _local_iop->last);
                              _local_outp = &_t383_storage;
                              _ev = &_t384_storage;
                              flick_iiop_decode_end_chunk(15);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1252);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t388_array_iter;
                                    flick_unsigned8_t _t389_array_iter;
                                    flick_unsigned8_t _t390_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t388_array_iter = 0; _t388_array_iter < 50; _t388_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _return.data[_t388_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _return.data[_t388_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t389_array_iter = 0; _t389_array_iter < 50; _t389_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_iop->data[_t389_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_iop->data[_t389_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_float64(7, _local_iop->last);
                                    flick_cdr_encode_char8(15, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t390_array_iter = 0; _t390_array_iter < 50; _t390_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_outp->data[_t390_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_outp->data[_t390_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(15);
                                    flick_cdr_encode_float64(7, _local_outp->last);
                                    flick_iiop_encode_end_chunk(15);
                                    flick_iiop_encode_end_glob(1252);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1252);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1252);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t391_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t391_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t391_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dLCc *_local_inp;
                              struct dLCc *_local_iop;
                              struct dLCc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLCc _return;
                              unsigned int _t392_principal_len;
                              struct dLCc _t393_storage;
                              flick_unsigned8_t _t394_array_iter;
                              struct dLCc _t395_storage;
                              flick_unsigned8_t _t396_array_iter;
                              struct dLCc _t397_storage;
                              CORBA_Environment _t398_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t392_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t392_principal_len);
                              flick_iiop_decode_new_chunk(_t392_principal_len);
                              flick_iiop_decode_end_chunk(_t392_principal_len);
                              flick_iiop_decode_end_glob(_t392_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t393_storage;
                              flick_iiop_decode_new_glob(831);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t394_array_iter = 0; _t394_array_iter < 50; _t394_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t394_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t394_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t395_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                              flick_cdr_swap_decode_float64(0, _local_iop->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t396_array_iter = 0; _t396_array_iter < 50; _t396_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t396_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t396_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t397_storage;
                              _ev = &_t398_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(831);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1247);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t402_array_iter;
                                    flick_unsigned8_t _t403_array_iter;
                                    flick_unsigned8_t _t404_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t402_array_iter = 0; _t402_array_iter < 50; _t402_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t402_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t402_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_iop->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t403_array_iter = 0; _t403_array_iter < 50; _t403_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t403_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t403_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_outp->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t404_array_iter = 0; _t404_array_iter < 50; _t404_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t404_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t404_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_end_glob(1247);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1247);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1247);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t405_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t405_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t405_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sLCs *_local_inp;
                              struct sLCs *_local_iop;
                              struct sLCs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLCs _return;
                              unsigned int _t406_principal_len;
                              struct sLCs _t407_storage;
                              flick_unsigned8_t _t408_array_iter;
                              struct sLCs _t409_storage;
                              flick_unsigned8_t _t410_array_iter;
                              struct sLCs _t411_storage;
                              CORBA_Environment _t412_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t406_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t406_principal_len);
                              flick_iiop_decode_new_chunk(_t406_principal_len);
                              flick_iiop_decode_end_chunk(_t406_principal_len);
                              flick_iiop_decode_end_glob(_t406_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t407_storage;
                              flick_iiop_decode_new_glob(811);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              for (_t408_array_iter = 0; _t408_array_iter < 50; _t408_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t408_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t408_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed16(1, _local_inp->last);
                              _local_iop = &_t409_storage;
                              flick_cdr_swap_decode_signed16(3, _local_iop->first);
                              flick_iiop_decode_end_chunk(5);
                              for (_t410_array_iter = 0; _t410_array_iter < 50; _t410_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t410_array_iter].elem1);
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t410_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(3);
                              flick_cdr_swap_decode_signed16(1, _local_iop->last);
                              _local_outp = &_t411_storage;
                              _ev = &_t412_storage;
                              flick_iiop_decode_end_chunk(3);
                              flick_iiop_decode_end_glob(811);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1219);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t416_array_iter;
                                    flick_unsigned8_t _t417_array_iter;
                                    flick_unsigned8_t _t418_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t416_array_iter = 0; _t416_array_iter < 50; _t416_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t416_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t416_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _return.last);
                                    flick_cdr_encode_signed16(3, _local_iop->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t417_array_iter = 0; _t417_array_iter < 50; _t417_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t417_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t417_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _local_iop->last);
                                    flick_cdr_encode_signed16(3, _local_outp->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t418_array_iter = 0; _t418_array_iter < 50; _t418_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t418_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t418_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_signed16(1, _local_outp->last);
                                    flick_iiop_encode_end_chunk(3);
                                    flick_iiop_encode_end_glob(1219);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1219);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1219);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t419_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t419_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t419_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cCLd *_local_inp;
                              struct cCLd *_local_iop;
                              struct cCLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cCLd _return;
                              unsigned int _t420_principal_len;
                              struct cCLd _t421_storage;
                              flick_unsigned8_t _t422_array_iter;
                              struct cCLd _t423_storage;
                              flick_unsigned8_t _t424_array_iter;
                              struct cCLd _t425_storage;
                              CORBA_Environment _t426_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t420_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t420_principal_len);
                              flick_iiop_decode_new_chunk(_t420_principal_len);
                              flick_iiop_decode_end_chunk(_t420_principal_len);
                              flick_iiop_decode_end_glob(_t420_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t421_storage;
                              flick_iiop_decode_new_glob(826);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              for (_t422_array_iter = 0; _t422_array_iter < 50; _t422_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t422_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t422_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->last);
                              _local_iop = &_t423_storage;
                              flick_cdr_swap_decode_char8(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(9);
                              for (_t424_array_iter = 0; _t424_array_iter < 50; _t424_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t424_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t424_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_swap_decode_float64(0, _local_iop->last);
                              _local_outp = &_t425_storage;
                              _ev = &_t426_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(826);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1243);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t430_array_iter;
                                    flick_unsigned8_t _t431_array_iter;
                                    flick_unsigned8_t _t432_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t430_array_iter = 0; _t430_array_iter < 50; _t430_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t430_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t430_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t431_array_iter = 0; _t431_array_iter < 50; _t431_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t431_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t431_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_iop->last);
                                    flick_cdr_encode_char8(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t432_array_iter = 0; _t432_array_iter < 50; _t432_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t432_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t432_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(8);
                                    flick_iiop_encode_end_glob(1243);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1243);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1243);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t433_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t433_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t433_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dCLc *_local_inp;
                              struct dCLc *_local_iop;
                              struct dCLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dCLc _return;
                              unsigned int _t434_principal_len;
                              struct dCLc _t435_storage;
                              flick_unsigned8_t _t436_array_iter;
                              struct dCLc _t437_storage;
                              flick_unsigned8_t _t438_array_iter;
                              struct dCLc _t439_storage;
                              CORBA_Environment _t440_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t434_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t434_principal_len);
                              flick_iiop_decode_new_chunk(_t434_principal_len);
                              flick_iiop_decode_end_chunk(_t434_principal_len);
                              flick_iiop_decode_end_glob(_t434_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t435_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_swap_decode_float64(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t436_array_iter = 0; _t436_array_iter < 50; _t436_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t436_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_inp->data[_t436_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(16);
                              flick_cdr_swap_decode_char8(0, _local_inp->last);
                              _local_iop = &_t437_storage;
                              flick_cdr_swap_decode_float64(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(16);
                              for (_t438_array_iter = 0; _t438_array_iter < 50; _t438_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t438_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t438_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last);
                              _local_outp = &_t439_storage;
                              _ev = &_t440_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1249);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t444_array_iter;
                                    flick_unsigned8_t _t445_array_iter;
                                    flick_unsigned8_t _t446_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t444_array_iter = 0; _t444_array_iter < 50; _t444_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _return.data[_t444_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _return.data[_t444_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_cdr_encode_float64(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t445_array_iter = 0; _t445_array_iter < 50; _t445_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t445_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t445_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_cdr_encode_float64(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t446_array_iter = 0; _t446_array_iter < 50; _t446_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t446_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t446_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_end_glob(1249);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1249);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1249);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t447_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t447_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t447_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sCLs *_local_inp;
                              struct sCLs *_local_iop;
                              struct sCLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sCLs _return;
                              unsigned int _t448_principal_len;
                              struct sCLs _t449_storage;
                              flick_unsigned8_t _t450_array_iter;
                              struct sCLs _t451_storage;
                              flick_unsigned8_t _t452_array_iter;
                              struct sCLs _t453_storage;
                              CORBA_Environment _t454_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t448_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t448_principal_len);
                              flick_iiop_decode_new_chunk(_t448_principal_len);
                              flick_iiop_decode_end_chunk(_t448_principal_len);
                              flick_iiop_decode_end_glob(_t448_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t449_storage;
                              flick_iiop_decode_new_glob(809);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              for (_t450_array_iter = 0; _t450_array_iter < 50; _t450_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t450_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t450_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t451_storage;
                              flick_cdr_swap_decode_signed16(2, _local_iop->first);
                              flick_iiop_decode_end_chunk(4);
                              for (_t452_array_iter = 0; _t452_array_iter < 50; _t452_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t452_array_iter].elem1);
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t452_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t453_storage;
                              _ev = &_t454_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(809);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1216);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t458_array_iter;
                                    flick_unsigned8_t _t459_array_iter;
                                    flick_unsigned8_t _t460_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t458_array_iter = 0; _t458_array_iter < 50; _t458_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t458_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                        flick_cdr_encode_signed32(0, _return.data[_t458_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _return.last);
                                    flick_cdr_encode_signed16(2, _local_iop->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t459_array_iter = 0; _t459_array_iter < 50; _t459_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t459_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t459_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _local_iop->last);
                                    flick_cdr_encode_signed16(2, _local_outp->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t460_array_iter = 0; _t460_array_iter < 50; _t460_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t460_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t460_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(1216);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1216);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1216);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t128_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t128_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t128_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t129_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t129_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t129_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t130_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t130_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t130_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t131_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t131_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t131_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct cLd *_local_inp;
                              struct cLd *_local_iop;
                              struct cLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLd _return;
                              unsigned int _t132_principal_len;
                              struct cLd _t133_storage;
                              struct cLd _t134_storage;
                              struct cLd _t135_storage;
                              CORBA_Environment _t136_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t132_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t132_principal_len);
                              flick_iiop_decode_new_chunk(_t132_principal_len);
                              flick_iiop_decode_end_chunk(_t132_principal_len);
                              flick_iiop_decode_end_glob(_t132_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t133_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(200, 2, 0, 0);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_iiop_decode_end_chunk(200);
                              flick_iiop_decode_new_chunk_align(224, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t134_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              flick_cdr_decode_bcopy(12, _local_iop->data, 200);
                              flick_cdr_decode_float64(216, _local_iop->last);
                              _local_outp = &_t135_storage;
                              _ev = &_t136_storage;
                              flick_iiop_decode_end_chunk(224);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(652);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(204);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 200);
                                    flick_iiop_encode_end_chunk(204);
                                    flick_iiop_encode_new_chunk_align(440, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                    flick_cdr_encode_float64(216, _local_iop->last);
                                    flick_cdr_encode_char8(224, _local_outp->first);
                                    flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                    flick_cdr_encode_float64(432, _local_outp->last);
                                    flick_iiop_encode_end_chunk(440);
                                    flick_iiop_encode_end_glob(652);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(652);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(652);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t137_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t137_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t137_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct dLc *_local_inp;
                              struct dLc *_local_iop;
                              struct dLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLc _return;
                              unsigned int _t138_principal_len;
                              struct dLc _t139_storage;
                              struct dLc _t140_storage;
                              struct dLc _t141_storage;
                              CORBA_Environment _t142_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t138_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t138_principal_len);
                              flick_iiop_decode_new_chunk(_t138_principal_len);
                              flick_iiop_decode_end_chunk(_t138_principal_len);
                              flick_iiop_decode_end_glob(_t138_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t139_storage;
                              flick_iiop_decode_new_glob(432);
                              flick_iiop_decode_new_chunk_align(425, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              flick_cdr_decode_bcopy(8, _local_inp->data, 200);
                              flick_cdr_decode_char8(208, _local_inp->last);
                              _local_iop = &_t140_storage;
                              flick_cdr_decode_float64(216, _local_iop->first);
                              flick_cdr_decode_bcopy(224, _local_iop->data, 200);
                              flick_cdr_decode_char8(424, _local_iop->last);
                              _local_outp = &_t141_storage;
                              _ev = &_t142_storage;
                              flick_iiop_decode_end_chunk(425);
                              flick_iiop_decode_end_glob(432);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(649);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(641, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_cdr_encode_bcopy(8, _return.data, 200);
                                    flick_cdr_encode_char8(208, _return.last);
                                    flick_cdr_encode_float64(216, _local_iop->first);
                                    flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                    flick_cdr_encode_char8(424, _local_iop->last);
                                    flick_cdr_encode_float64(432, _local_outp->first);
                                    flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                    flick_cdr_encode_char8(640, _local_outp->last);
                                    flick_iiop_encode_end_chunk(641);
                                    flick_iiop_encode_end_glob(649);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(649);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(649);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t143_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t143_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t143_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              struct sLs *_local_inp;
                              struct sLs *_local_iop;
                              struct sLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLs _return;
                              unsigned int _t144_principal_len;
                              struct sLs _t145_storage;
                              struct sLs _t146_storage;
                              struct sLs _t147_storage;
                              CORBA_Environment _t148_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t144_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t144_principal_len);
                              flick_iiop_decode_new_chunk(_t144_principal_len);
                              flick_iiop_decode_end_chunk(_t144_principal_len);
                              flick_iiop_decode_end_glob(_t144_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t145_storage;
                              flick_iiop_decode_new_glob(411);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_new_chunk_align(406, 2, 1, 0);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_cdr_decode_signed16(200, _local_inp->last);
                              _local_iop = &_t146_storage;
                              flick_cdr_decode_signed16(202, _local_iop->first);
                              flick_cdr_decode_bcopy(204, _local_iop->data, 200);
                              flick_cdr_decode_signed16(404, _local_iop->last);
                              _local_outp = &_t147_storage;
                              _ev = &_t148_storage;
                              flick_iiop_decode_end_chunk(406);
                              flick_iiop_decode_end_glob(411);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(618);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(614);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_cdr_encode_bcopy(4, _return.data, 200);
                                    flick_cdr_encode_signed16(204, _return.last);
                                    flick_cdr_encode_signed16(206, _local_iop->first);
                                    flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                    flick_cdr_encode_signed16(408, _local_iop->last);
                                    flick_cdr_encode_signed16(410, _local_outp->first);
                                    flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                    flick_cdr_encode_signed16(612, _local_outp->last);
                                    flick_iiop_encode_end_chunk(614);
                                    flick_iiop_encode_end_glob(618);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(618);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(618);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t149_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t149_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t149_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t150_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t150_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t150_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t151_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t151_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t151_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cLCd *_local_inp;
                              struct cLCd *_local_iop;
                              struct cLCd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cLCd _return;
                              unsigned int _t152_principal_len;
                              struct cLCd _t153_storage;
                              flick_unsigned8_t _t154_array_iter;
                              struct cLCd _t155_storage;
                              flick_unsigned8_t _t156_array_iter;
                              struct cLCd _t157_storage;
                              CORBA_Environment _t158_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t152_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t152_principal_len);
                              flick_iiop_decode_new_chunk(_t152_principal_len);
                              flick_iiop_decode_end_chunk(_t152_principal_len);
                              flick_iiop_decode_end_glob(_t152_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t153_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              for (_t154_array_iter = 0; _t154_array_iter < 50; _t154_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t154_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t154_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 1);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t155_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(9);
                              for (_t156_array_iter = 0; _t156_array_iter < 50; _t156_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_signed32(3, _local_iop->data[_t156_array_iter].elem1);
                                  flick_cdr_decode_char8(7, _local_iop->data[_t156_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(15);
                              flick_cdr_decode_float64(7, _local_iop->last);
                              _local_outp = &_t157_storage;
                              _ev = &_t158_storage;
                              flick_iiop_decode_end_chunk(15);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1252);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t162_array_iter;
                                    flick_unsigned8_t _t163_array_iter;
                                    flick_unsigned8_t _t164_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t162_array_iter = 0; _t162_array_iter < 50; _t162_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _return.data[_t162_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _return.data[_t162_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 1);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t163_array_iter = 0; _t163_array_iter < 50; _t163_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_iop->data[_t163_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_iop->data[_t163_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_float64(7, _local_iop->last);
                                    flick_cdr_encode_char8(15, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t164_array_iter = 0; _t164_array_iter < 50; _t164_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_signed32(3, _local_outp->data[_t164_array_iter].elem1);
                                        flick_cdr_encode_char8(7, _local_outp->data[_t164_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(15);
                                    flick_cdr_encode_float64(7, _local_outp->last);
                                    flick_iiop_encode_end_chunk(15);
                                    flick_iiop_encode_end_glob(1252);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1252);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1252);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t165_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t165_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t165_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dLCc *_local_inp;
                              struct dLCc *_local_iop;
                              struct dLCc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dLCc _return;
                              unsigned int _t166_principal_len;
                              struct dLCc _t167_storage;
                              flick_unsigned8_t _t168_array_iter;
                              struct dLCc _t169_storage;
                              flick_unsigned8_t _t170_array_iter;
                              struct dLCc _t171_storage;
                              CORBA_Environment _t172_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t166_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t166_principal_len);
                              flick_iiop_decode_new_chunk(_t166_principal_len);
                              flick_iiop_decode_end_chunk(_t166_principal_len);
                              flick_iiop_decode_end_glob(_t166_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t167_storage;
                              flick_iiop_decode_new_glob(831);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t168_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t168_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->last);
                              _local_iop = &_t169_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
                              flick_cdr_decode_float64(0, _local_iop->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t170_array_iter = 0; _t170_array_iter < 50; _t170_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t170_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_iop->data[_t170_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last);
                              _local_outp = &_t171_storage;
                              _ev = &_t172_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(831);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1247);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t176_array_iter;
                                    flick_unsigned8_t _t177_array_iter;
                                    flick_unsigned8_t _t178_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t176_array_iter = 0; _t176_array_iter < 50; _t176_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t176_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t176_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_iop->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t177_array_iter = 0; _t177_array_iter < 50; _t177_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t177_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t177_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
                                    flick_cdr_encode_float64(0, _local_outp->first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t178_array_iter = 0; _t178_array_iter < 50; _t178_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t178_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t178_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_end_glob(1247);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1247);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1247);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t179_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t179_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t179_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sLCs *_local_inp;
                              struct sLCs *_local_iop;
                              struct sLCs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sLCs _return;
                              unsigned int _t180_principal_len;
                              struct sLCs _t181_storage;
                              flick_unsigned8_t _t182_array_iter;
                              struct sLCs _t183_storage;
                              flick_unsigned8_t _t184_array_iter;
                              struct sLCs _t185_storage;
                              CORBA_Environment _t186_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t180_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t180_principal_len);
                              flick_iiop_decode_new_chunk(_t180_principal_len);
                              flick_iiop_decode_end_chunk(_t180_principal_len);
                              flick_iiop_decode_end_glob(_t180_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t181_storage;
                              flick_iiop_decode_new_glob(811);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              for (_t182_array_iter = 0; _t182_array_iter < 50; _t182_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t182_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_inp->data[_t182_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_signed16(1, _local_inp->last);
                              _local_iop = &_t183_storage;
                              flick_cdr_decode_signed16(3, _local_iop->first);
                              flick_iiop_decode_end_chunk(5);
                              for (_t184_array_iter = 0; _t184_array_iter < 50; _t184_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t184_array_iter].elem1);
                                  flick_cdr_decode_char8(4, _local_iop->data[_t184_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(5);
                                }
                              flick_iiop_decode_new_chunk(3);
                              flick_cdr_decode_signed16(1, _local_iop->last);
                              _local_outp = &_t185_storage;
                              _ev = &_t186_storage;
                              flick_iiop_decode_end_chunk(3);
                              flick_iiop_decode_end_glob(811);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1219);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t190_array_iter;
                                    flick_unsigned8_t _t191_array_iter;
                                    flick_unsigned8_t _t192_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t190_array_iter = 0; _t190_array_iter < 50; _t190_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t190_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _return.data[_t190_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _return.last);
                                    flick_cdr_encode_signed16(3, _local_iop->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t191_array_iter = 0; _t191_array_iter < 50; _t191_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t191_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_iop->data[_t191_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(5);
                                    flick_cdr_encode_signed16(1, _local_iop->last);
                                    flick_cdr_encode_signed16(3, _local_outp->first);
                                    flick_iiop_encode_end_chunk(5);
                                    for (_t192_array_iter = 0; _t192_array_iter < 50; _t192_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t192_array_iter].elem1);
                                        flick_cdr_encode_char8(4, _local_outp->data[_t192_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(5);
                                      }
                                    flick_iiop_encode_new_chunk(3);
                                    flick_cdr_encode_signed16(1, _local_outp->last);
                                    flick_iiop_encode_end_chunk(3);
                                    flick_iiop_encode_end_glob(1219);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1219);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1219);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t193_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t193_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t193_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              struct cCLd *_local_inp;
                              struct cCLd *_local_iop;
                              struct cCLd *_local_outp;
                              CORBA_Environment *_ev;
                              struct cCLd _return;
                              unsigned int _t194_principal_len;
                              struct cCLd _t195_storage;
                              flick_unsigned8_t _t196_array_iter;
                              struct cCLd _t197_storage;
                              flick_unsigned8_t _t198_array_iter;
                              struct cCLd _t199_storage;
                              CORBA_Environment _t200_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t194_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t194_principal_len);
                              flick_iiop_decode_new_chunk(_t194_principal_len);
                              flick_iiop_decode_end_chunk(_t194_principal_len);
                              flick_iiop_decode_end_glob(_t194_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t195_storage;
                              flick_iiop_decode_new_glob(826);
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(1);
                              for (_t196_array_iter = 0; _t196_array_iter < 50; _t196_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t196_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t196_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(9, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_inp->last);
                              _local_iop = &_t197_storage;
                              flick_cdr_decode_char8(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(9);
                              for (_t198_array_iter = 0; _t198_array_iter < 50; _t198_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t198_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t198_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                              flick_cdr_decode_float64(0, _local_iop->last);
                              _local_outp = &_t199_storage;
                              _ev = &_t200_storage;
                              flick_iiop_decode_end_chunk(8);
                              flick_iiop_decode_end_glob(826);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1243);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t204_array_iter;
                                    flick_unsigned8_t _t205_array_iter;
                                    flick_unsigned8_t _t206_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _return.first);
                                    flick_iiop_encode_end_chunk(1);
                                    for (_t204_array_iter = 0; _t204_array_iter < 50; _t204_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t204_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _return.data[_t204_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.last);
                                    flick_cdr_encode_char8(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t205_array_iter = 0; _t205_array_iter < 50; _t205_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t205_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_iop->data[_t205_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(9, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_iop->last);
                                    flick_cdr_encode_char8(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(9);
                                    for (_t206_array_iter = 0; _t206_array_iter < 50; _t206_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t206_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                                        flick_cdr_encode_signed32(0, _local_outp->data[_t206_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(8);
                                    flick_iiop_encode_end_glob(1243);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1243);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1243);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t207_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t207_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t207_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              struct dCLc *_local_inp;
                              struct dCLc *_local_iop;
                              struct dCLc *_local_outp;
                              CORBA_Environment *_ev;
                              struct dCLc _return;
                              unsigned int _t208_principal_len;
                              struct dCLc _t209_storage;
                              flick_unsigned8_t _t210_array_iter;
                              struct dCLc _t211_storage;
                              flick_unsigned8_t _t212_array_iter;
                              struct dCLc _t213_storage;
                              CORBA_Environment _t214_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t208_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t208_principal_len);
                              flick_iiop_decode_new_chunk(_t208_principal_len);
                              flick_iiop_decode_end_chunk(_t208_principal_len);
                              flick_iiop_decode_end_glob(_t208_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t209_storage;
                              flick_iiop_decode_new_glob(832);
                              flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
                              flick_cdr_decode_float64(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(8);
                              for (_t210_array_iter = 0; _t210_array_iter < 50; _t210_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t210_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_inp->data[_t210_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(16);
                              flick_cdr_decode_char8(0, _local_inp->last);
                              _local_iop = &_t211_storage;
                              flick_cdr_decode_float64(8, _local_iop->first);
                              flick_iiop_decode_end_chunk(16);
                              for (_t212_array_iter = 0; _t212_array_iter < 50; _t212_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t212_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t212_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last);
                              _local_outp = &_t213_storage;
                              _ev = &_t214_storage;
                              flick_iiop_decode_end_chunk(1);
                              flick_iiop_decode_end_glob(832);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1249);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t218_array_iter;
                                    flick_unsigned8_t _t219_array_iter;
                                    flick_unsigned8_t _t220_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                                    flick_cdr_encode_float64(0, _return.first);
                                    flick_iiop_encode_end_chunk(8);
                                    for (_t218_array_iter = 0; _t218_array_iter < 50; _t218_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _return.data[_t218_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _return.data[_t218_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _return.last);
                                    flick_cdr_encode_float64(8, _local_iop->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t219_array_iter = 0; _t219_array_iter < 50; _t219_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t219_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t219_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(16);
                                    flick_cdr_encode_char8(0, _local_iop->last);
                                    flick_cdr_encode_float64(8, _local_outp->first);
                                    flick_iiop_encode_end_chunk(16);
                                    for (_t220_array_iter = 0; _t220_array_iter < 50; _t220_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t220_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t220_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(1);
                                    flick_cdr_encode_char8(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(1);
                                    flick_iiop_encode_end_glob(1249);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1249);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1249);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t221_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t221_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t221_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              struct sCLs *_local_inp;
                              struct sCLs *_local_iop;
                              struct sCLs *_local_outp;
                              CORBA_Environment *_ev;
                              struct sCLs _return;
                              unsigned int _t222_principal_len;
                              struct sCLs _t223_storage;
                              flick_unsigned8_t _t224_array_iter;
                              struct sCLs _t225_storage;
                              flick_unsigned8_t _t226_array_iter;
                              struct sCLs _t227_storage;
                              CORBA_Environment _t228_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t222_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t222_principal_len);
                              flick_iiop_decode_new_chunk(_t222_principal_len);
                              flick_iiop_decode_end_chunk(_t222_principal_len);
                              flick_iiop_decode_end_glob(_t222_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = &_t223_storage;
                              flick_iiop_decode_new_glob(809);
                              flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                              flick_cdr_decode_signed16(0, _local_inp->first);
                              flick_iiop_decode_end_chunk(2);
                              for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t224_array_iter].elem1);
                                  flick_iiop_decode_end_chunk(1);
                                  flick_iiop_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t224_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed16(0, _local_inp->last);
                              _local_iop = &_t225_storage;
                              flick_cdr_decode_signed16(2, _local_iop->first);
                              flick_iiop_decode_end_chunk(4);
                              for (_t226_array_iter = 0; _t226_array_iter < 50; _t226_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t226_array_iter].elem1);
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t226_array_iter].elem2);
                                  flick_iiop_decode_end_chunk(8);
                                }
                              flick_iiop_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_iop->last);
                              _local_outp = &_t227_storage;
                              _ev = &_t228_storage;
                              flick_iiop_decode_end_chunk(2);
                              flick_iiop_decode_end_glob(809);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(1216);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    flick_unsigned8_t _t232_array_iter;
                                    flick_unsigned8_t _t233_array_iter;
                                    flick_unsigned8_t _t234_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _return.first);
                                    flick_iiop_encode_end_chunk(2);
                                    for (_t232_array_iter = 0; _t232_array_iter < 50; _t232_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(1);
                                        flick_cdr_encode_char8(0, _return.data[_t232_array_iter].elem1);
                                        flick_iiop_encode_end_chunk(1);
                                        flick_iiop_encode_new_chunk_align(4, 2, 1, 1);
                                        flick_cdr_encode_signed32(0, _return.data[_t232_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(4);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _return.last);
                                    flick_cdr_encode_signed16(2, _local_iop->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t233_array_iter = 0; _t233_array_iter < 50; _t233_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_iop->data[_t233_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_iop->data[_t233_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed16(0, _local_iop->last);
                                    flick_cdr_encode_signed16(2, _local_outp->first);
                                    flick_iiop_encode_end_chunk(4);
                                    for (_t234_array_iter = 0; _t234_array_iter < 50; _t234_array_iter++)
                                      {
                                        flick_iiop_encode_new_chunk(8);
                                        flick_cdr_encode_char8(0, _local_outp->data[_t234_array_iter].elem1);
                                        flick_cdr_encode_signed32(4, _local_outp->data[_t234_array_iter].elem2);
                                        flick_iiop_encode_end_chunk(8);
                                      }
                                    flick_iiop_encode_new_chunk(2);
                                    flick_cdr_encode_signed16(0, _local_outp->last);
                                    flick_iiop_encode_end_chunk(2);
                                    flick_iiop_encode_end_glob(1216);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(1216);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(1216);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
