#include "constant-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_N_swap(flick_marshal_stream_t _stream, N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_E_swap(flick_marshal_stream_t _stream, E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->type);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_F_swap(flick_marshal_stream_t _stream, F *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->type);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_N_swap(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_E_swap(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N_swap(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_M_A_E_swap(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_M_A_swap(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t M_A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  M_A _obj;
                  M_A_N _local_x;
                  M_A_N *_local_y;
                  M_A_N *_local_z;
                  CORBA_Environment *_ev;
                  M_A_N _return;
                  unsigned int _t20_principal_len;
                  M_A_N _t21_storage;
                  M_A_N _t22_storage;
                  CORBA_Environment _t23_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t20_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t20_principal_len);
                  flick_iiop_decode_new_chunk(_t20_principal_len);
                  flick_iiop_decode_end_chunk(_t20_principal_len);
                  flick_iiop_decode_end_glob(_t20_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, _local_x);
                  _local_y = &_t21_storage;
                  _local_z = &_t22_storage;
                  flick_cdr_swap_decode_unsigned32(4, *_local_z);
                  _ev = &_t23_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_y);
                        flick_cdr_encode_unsigned32(8, *_local_z);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        switch ((unsigned int )(1+strlen(_ev->_id)))
                          {
                          case (unsigned int) 14:
                            {
                              switch (*(unsigned int *)(_ev->_id + 0))
                                {
                                case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 4))
                                      {
                                      case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 8))
                                            {
                                            case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                              {
                                                switch (*(unsigned short int *)(_ev->_id + 12))
                                                  {
                                                  case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                    {
                                                      flick_iiop_encode_new_chunk(20);
                                                      flick_cdr_encode_unsigned32(0, 14);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 'M');
                                                      flick_cdr_encode_char8(9, '/');
                                                      flick_cdr_encode_char8(10, 'A');
                                                      flick_cdr_encode_char8(11, '/');
                                                      flick_cdr_encode_char8(12, 'E');
                                                      flick_cdr_encode_char8(13, ':');
                                                      flick_cdr_encode_char8(14, '1');
                                                      flick_cdr_encode_char8(15, '.');
                                                      flick_cdr_encode_char8(16, '0');
                                                      flick_cdr_encode_char8(17, 0);
                                                      flick_cdr_encode_signed16(18, ((M_A_E *)(_ev->_value._user_except))->cause);
                                                      CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                      flick_iiop_encode_end_chunk(20);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          case (unsigned int) 10:
                            {
                              switch (*(unsigned int *)(_ev->_id + 0))
                                {
                                case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 4))
                                      {
                                      case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                        {
                                          switch (*(unsigned short int *)(_ev->_id + 8))
                                            {
                                            case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                              {
                                                flick_iiop_encode_new_chunk(20);
                                                flick_cdr_encode_unsigned32(0, 10);
                                                flick_cdr_encode_char8(4, 'I');
                                                flick_cdr_encode_char8(5, 'D');
                                                flick_cdr_encode_char8(6, 'L');
                                                flick_cdr_encode_char8(7, ':');
                                                flick_cdr_encode_char8(8, 'F');
                                                flick_cdr_encode_char8(9, ':');
                                                flick_cdr_encode_char8(10, '1');
                                                flick_cdr_encode_char8(11, '.');
                                                flick_cdr_encode_char8(12, '0');
                                                flick_cdr_encode_char8(13, 0);
                                                flick_cdr_encode_signed32(16, ((F *)(_ev->_value._user_except))->type);
                                                CORBA_flick_free((F *)(_ev->_value._user_except));
                                                flick_iiop_encode_end_chunk(20);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t6_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t6_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t6_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t7_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t7_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t7_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  M_A _obj;
                  M_A_N _local_x;
                  M_A_N *_local_y;
                  M_A_N *_local_z;
                  CORBA_Environment *_ev;
                  M_A_N _return;
                  unsigned int _t8_principal_len;
                  M_A_N _t9_storage;
                  M_A_N _t10_storage;
                  CORBA_Environment _t11_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t8_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t8_principal_len);
                  flick_iiop_decode_new_chunk(_t8_principal_len);
                  flick_iiop_decode_end_chunk(_t8_principal_len);
                  flick_iiop_decode_end_glob(_t8_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, _local_x);
                  _local_y = &_t9_storage;
                  _local_z = &_t10_storage;
                  flick_cdr_decode_unsigned32(4, *_local_z);
                  _ev = &_t11_storage;
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(24);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(12);
                        flick_cdr_encode_unsigned32(0, _return);
                        flick_cdr_encode_unsigned32(4, *_local_y);
                        flick_cdr_encode_unsigned32(8, *_local_z);
                        flick_iiop_encode_end_chunk(12);
                        flick_iiop_encode_end_glob(24);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(24);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        switch ((unsigned int )(1+strlen(_ev->_id)))
                          {
                          case (unsigned int) 14:
                            {
                              switch (*(unsigned int *)(_ev->_id + 0))
                                {
                                case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 4))
                                      {
                                      case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 8))
                                            {
                                            case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                              {
                                                switch (*(unsigned short int *)(_ev->_id + 12))
                                                  {
                                                  case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                    {
                                                      flick_iiop_encode_new_chunk(20);
                                                      flick_cdr_encode_unsigned32(0, 14);
                                                      flick_cdr_encode_char8(4, 'I');
                                                      flick_cdr_encode_char8(5, 'D');
                                                      flick_cdr_encode_char8(6, 'L');
                                                      flick_cdr_encode_char8(7, ':');
                                                      flick_cdr_encode_char8(8, 'M');
                                                      flick_cdr_encode_char8(9, '/');
                                                      flick_cdr_encode_char8(10, 'A');
                                                      flick_cdr_encode_char8(11, '/');
                                                      flick_cdr_encode_char8(12, 'E');
                                                      flick_cdr_encode_char8(13, ':');
                                                      flick_cdr_encode_char8(14, '1');
                                                      flick_cdr_encode_char8(15, '.');
                                                      flick_cdr_encode_char8(16, '0');
                                                      flick_cdr_encode_char8(17, 0);
                                                      flick_cdr_encode_signed16(18, ((M_A_E *)(_ev->_value._user_except))->cause);
                                                      CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                      flick_iiop_encode_end_chunk(20);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          case (unsigned int) 10:
                            {
                              switch (*(unsigned int *)(_ev->_id + 0))
                                {
                                case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 4))
                                      {
                                      case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                        {
                                          switch (*(unsigned short int *)(_ev->_id + 8))
                                            {
                                            case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                              {
                                                flick_iiop_encode_new_chunk(20);
                                                flick_cdr_encode_unsigned32(0, 10);
                                                flick_cdr_encode_char8(4, 'I');
                                                flick_cdr_encode_char8(5, 'D');
                                                flick_cdr_encode_char8(6, 'L');
                                                flick_cdr_encode_char8(7, ':');
                                                flick_cdr_encode_char8(8, 'F');
                                                flick_cdr_encode_char8(9, ':');
                                                flick_cdr_encode_char8(10, '1');
                                                flick_cdr_encode_char8(11, '.');
                                                flick_cdr_encode_char8(12, '0');
                                                flick_cdr_encode_char8(13, 0);
                                                flick_cdr_encode_signed32(16, ((F *)(_ev->_value._user_except))->type);
                                                CORBA_flick_free((F *)(_ev->_value._user_except));
                                                flick_iiop_encode_end_chunk(20);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              break;
                            }
                          }
                        flick_iiop_encode_end_glob(24);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
