#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec);
  flick_cdr_encode_signed32(4, _data->my_tv_nsec);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec);
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
  flick_iiop_encode_new_glob(136);
  flick_iiop_encode_new_chunk(136);
  flick_cdr_encode_unsigned32(0, _data->st_dev);
  flick_cdr_encode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->st_ino);
  flick_cdr_encode_unsigned32(20, _data->st_mode);
  flick_cdr_encode_unsigned32(24, _data->st_nlink);
  flick_cdr_encode_signed32(28, _data->st_uid);
  flick_cdr_encode_signed32(32, _data->st_gid);
  flick_cdr_encode_unsigned32(36, _data->st_rdev);
  flick_cdr_encode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->st_size);
  flick_cdr_encode_signed32(52, _data->st_pad3);
  flick_cdr_encode_signed32(56, _data->st_atime.my_tv_sec);
  flick_cdr_encode_signed32(60, _data->st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(64, _data->st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(68, _data->st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(72, _data->st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(76, _data->st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(80, _data->st_blksize);
  flick_cdr_encode_signed32(84, _data->st_blocks);
  flick_cdr_encode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->st_pad4, 32);
  flick_iiop_encode_end_chunk(136);
  flick_iiop_encode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_iiop_decode_new_glob(136);
  flick_iiop_decode_new_chunk(136);
  flick_cdr_decode_unsigned32(0, _data->st_dev);
  flick_cdr_decode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->st_ino);
  flick_cdr_decode_unsigned32(20, _data->st_mode);
  flick_cdr_decode_unsigned32(24, _data->st_nlink);
  flick_cdr_decode_signed32(28, _data->st_uid);
  flick_cdr_decode_signed32(32, _data->st_gid);
  flick_cdr_decode_unsigned32(36, _data->st_rdev);
  flick_cdr_decode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->st_size);
  flick_cdr_decode_signed32(52, _data->st_pad3);
  flick_cdr_decode_signed32(56, _data->st_atime.my_tv_sec);
  flick_cdr_decode_signed32(60, _data->st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(64, _data->st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(68, _data->st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(72, _data->st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(76, _data->st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(80, _data->st_blksize);
  flick_cdr_decode_signed32(84, _data->st_blocks);
  flick_cdr_decode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->st_pad4, 32);
  flick_iiop_decode_end_chunk(136);
  flick_iiop_decode_end_glob(136);
}

void flick_unmarshal_stub_test_my_stat_swap(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned8_t _t0_array_iter;
  flick_unsigned8_t _t1_array_iter;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_iter;

  flick_iiop_decode_new_glob(160);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev);
  flick_iiop_decode_end_chunk(4);
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->st_uid);
  flick_cdr_swap_decode_signed32(16, _data->st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev);
  flick_iiop_decode_end_chunk(24);
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->st_size);
  flick_cdr_swap_decode_signed32(4, _data->st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->st_blocks);
  flick_iiop_decode_end_chunk(40);
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->st_fstype[_t2_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t3_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(160);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
  flick_cdr_encode_string(_data->filename, CORBA_flick_free, iiop, 255);
  flick_iiop_encode_new_glob(139);
  flick_iiop_encode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev);
  flick_cdr_encode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->info.st_ino);
  flick_cdr_encode_unsigned32(20, _data->info.st_mode);
  flick_cdr_encode_unsigned32(24, _data->info.st_nlink);
  flick_cdr_encode_signed32(28, _data->info.st_uid);
  flick_cdr_encode_signed32(32, _data->info.st_gid);
  flick_cdr_encode_unsigned32(36, _data->info.st_rdev);
  flick_cdr_encode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->info.st_size);
  flick_cdr_encode_signed32(52, _data->info.st_pad3);
  flick_cdr_encode_signed32(56, _data->info.st_atime.my_tv_sec);
  flick_cdr_encode_signed32(60, _data->info.st_atime.my_tv_nsec);
  flick_cdr_encode_signed32(64, _data->info.st_mtime.my_tv_sec);
  flick_cdr_encode_signed32(68, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_encode_signed32(72, _data->info.st_ctime.my_tv_sec);
  flick_cdr_encode_signed32(76, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_encode_signed32(80, _data->info.st_blksize);
  flick_cdr_encode_signed32(84, _data->info.st_blocks);
  flick_cdr_encode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->info.st_pad4, 32);
  flick_iiop_encode_end_chunk(136);
  flick_iiop_encode_end_glob(139);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_cdr_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(139);
  flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev);
  flick_cdr_decode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->info.st_ino);
  flick_cdr_decode_unsigned32(20, _data->info.st_mode);
  flick_cdr_decode_unsigned32(24, _data->info.st_nlink);
  flick_cdr_decode_signed32(28, _data->info.st_uid);
  flick_cdr_decode_signed32(32, _data->info.st_gid);
  flick_cdr_decode_unsigned32(36, _data->info.st_rdev);
  flick_cdr_decode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->info.st_size);
  flick_cdr_decode_signed32(52, _data->info.st_pad3);
  flick_cdr_decode_signed32(56, _data->info.st_atime.my_tv_sec);
  flick_cdr_decode_signed32(60, _data->info.st_atime.my_tv_nsec);
  flick_cdr_decode_signed32(64, _data->info.st_mtime.my_tv_sec);
  flick_cdr_decode_signed32(68, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_decode_signed32(72, _data->info.st_ctime.my_tv_sec);
  flick_cdr_decode_signed32(76, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_decode_signed32(80, _data->info.st_blksize);
  flick_cdr_decode_signed32(84, _data->info.st_blocks);
  flick_cdr_decode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->info.st_pad4, 32);
  flick_iiop_decode_end_chunk(136);
  flick_iiop_decode_end_glob(139);
}

void flick_unmarshal_stub_test_entry_swap(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned8_t _t4_array_iter;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_iter;
  flick_unsigned8_t _t7_array_iter;

  flick_cdr_swap_decode_string(_data->filename, CORBA_flick_alloc, iiop, 255);
  flick_iiop_decode_new_glob(163);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev);
  flick_iiop_decode_end_chunk(4);
  for (_t4_array_iter = 0; _t4_array_iter < 3; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t4_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino);
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode);
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink);
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid);
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid);
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev);
  flick_iiop_decode_end_chunk(24);
  for (_t5_array_iter = 0; _t5_array_iter < 2; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t5_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_new_chunk(40);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size);
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3);
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize);
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks);
  flick_iiop_decode_end_chunk(40);
  for (_t6_array_iter = 0; _t6_array_iter < 16; _t6_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->info.st_fstype[_t6_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  for (_t7_array_iter = 0; _t7_array_iter < 8; _t7_array_iter++)
    {
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t7_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(163);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a);
  flick_cdr_encode_signed32(4, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a);
  flick_cdr_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_test_inner_swap(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_cdr_swap_decode_signed32(4, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a);
  flick_cdr_encode_signed32(4, _data->a.b);
  flick_cdr_encode_signed32(8, _data->b.a);
  flick_cdr_encode_signed32(12, _data->b.b);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a);
  flick_cdr_decode_signed32(4, _data->a.b);
  flick_cdr_decode_signed32(8, _data->b.a);
  flick_cdr_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_test_outer_swap(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a);
  flick_cdr_swap_decode_signed32(4, _data->a.b);
  flick_cdr_swap_decode_signed32(8, _data->b.a);
  flick_cdr_swap_decode_signed32(12, _data->b.b);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  CORBA_unsigned_long _t8_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t8_array_iter = 0; _t8_array_iter < _data->_length; _t8_array_iter++)
    {
      flick_cdr_encode_string(_data->_buffer[_t8_array_iter].filename, CORBA_flick_free, iiop, 255);
      flick_iiop_encode_new_glob(139);
      flick_iiop_encode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t8_array_iter].info.st_dev);
      flick_cdr_encode_bcopy(4, _data->_buffer[_t8_array_iter].info.st_pad1, 12);
      flick_cdr_encode_unsigned32(16, _data->_buffer[_t8_array_iter].info.st_ino);
      flick_cdr_encode_unsigned32(20, _data->_buffer[_t8_array_iter].info.st_mode);
      flick_cdr_encode_unsigned32(24, _data->_buffer[_t8_array_iter].info.st_nlink);
      flick_cdr_encode_signed32(28, _data->_buffer[_t8_array_iter].info.st_uid);
      flick_cdr_encode_signed32(32, _data->_buffer[_t8_array_iter].info.st_gid);
      flick_cdr_encode_unsigned32(36, _data->_buffer[_t8_array_iter].info.st_rdev);
      flick_cdr_encode_bcopy(40, _data->_buffer[_t8_array_iter].info.st_pad2, 8);
      flick_cdr_encode_signed32(48, _data->_buffer[_t8_array_iter].info.st_size);
      flick_cdr_encode_signed32(52, _data->_buffer[_t8_array_iter].info.st_pad3);
      flick_cdr_encode_signed32(56, _data->_buffer[_t8_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_encode_signed32(60, _data->_buffer[_t8_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_encode_signed32(64, _data->_buffer[_t8_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_encode_signed32(68, _data->_buffer[_t8_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_encode_signed32(72, _data->_buffer[_t8_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_encode_signed32(76, _data->_buffer[_t8_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_encode_signed32(80, _data->_buffer[_t8_array_iter].info.st_blksize);
      flick_cdr_encode_signed32(84, _data->_buffer[_t8_array_iter].info.st_blocks);
      flick_cdr_encode_bcopy(88, _data->_buffer[_t8_array_iter].info.st_fstype, 16);
      flick_cdr_encode_bcopy(104, _data->_buffer[_t8_array_iter].info.st_pad4, 32);
      flick_iiop_encode_end_chunk(136);
      flick_iiop_encode_end_glob(139);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_cdr_decode_string(_data->_buffer[_t9_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(139);
      flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t9_array_iter].info.st_dev);
      flick_cdr_decode_bcopy(4, _data->_buffer[_t9_array_iter].info.st_pad1, 12);
      flick_cdr_decode_unsigned32(16, _data->_buffer[_t9_array_iter].info.st_ino);
      flick_cdr_decode_unsigned32(20, _data->_buffer[_t9_array_iter].info.st_mode);
      flick_cdr_decode_unsigned32(24, _data->_buffer[_t9_array_iter].info.st_nlink);
      flick_cdr_decode_signed32(28, _data->_buffer[_t9_array_iter].info.st_uid);
      flick_cdr_decode_signed32(32, _data->_buffer[_t9_array_iter].info.st_gid);
      flick_cdr_decode_unsigned32(36, _data->_buffer[_t9_array_iter].info.st_rdev);
      flick_cdr_decode_bcopy(40, _data->_buffer[_t9_array_iter].info.st_pad2, 8);
      flick_cdr_decode_signed32(48, _data->_buffer[_t9_array_iter].info.st_size);
      flick_cdr_decode_signed32(52, _data->_buffer[_t9_array_iter].info.st_pad3);
      flick_cdr_decode_signed32(56, _data->_buffer[_t9_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_decode_signed32(60, _data->_buffer[_t9_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_decode_signed32(64, _data->_buffer[_t9_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_decode_signed32(68, _data->_buffer[_t9_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_decode_signed32(72, _data->_buffer[_t9_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_decode_signed32(76, _data->_buffer[_t9_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_decode_signed32(80, _data->_buffer[_t9_array_iter].info.st_blksize);
      flick_cdr_decode_signed32(84, _data->_buffer[_t9_array_iter].info.st_blocks);
      flick_cdr_decode_bcopy(88, _data->_buffer[_t9_array_iter].info.st_fstype, 16);
      flick_cdr_decode_bcopy(104, _data->_buffer[_t9_array_iter].info.st_pad4, 32);
      flick_iiop_decode_end_chunk(136);
      flick_iiop_decode_end_glob(139);
    }
}

void flick_unmarshal_stub_test_directory_swap(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t18_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t18_array_iter = 0; _t18_array_iter < _data->_length; _t18_array_iter++)
    {
      flick_unsigned8_t _t23_array_iter;
      flick_unsigned8_t _t24_array_iter;
      flick_unsigned8_t _t25_array_iter;
      flick_unsigned8_t _t26_array_iter;

      flick_cdr_swap_decode_string(_data->_buffer[_t18_array_iter].filename, CORBA_flick_alloc, iiop, 255);
      flick_iiop_decode_new_glob(163);
      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t18_array_iter].info.st_dev);
      flick_iiop_decode_end_chunk(4);
      for (_t23_array_iter = 0; _t23_array_iter < 3; _t23_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t18_array_iter].info.st_pad1[_t23_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t18_array_iter].info.st_ino);
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t18_array_iter].info.st_mode);
      flick_cdr_swap_decode_unsigned32(8, _data->_buffer[_t18_array_iter].info.st_nlink);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t18_array_iter].info.st_uid);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t18_array_iter].info.st_gid);
      flick_cdr_swap_decode_unsigned32(20, _data->_buffer[_t18_array_iter].info.st_rdev);
      flick_iiop_decode_end_chunk(24);
      for (_t24_array_iter = 0; _t24_array_iter < 2; _t24_array_iter++)
        {
          flick_iiop_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t18_array_iter].info.st_pad2[_t24_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_new_chunk(40);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t18_array_iter].info.st_size);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t18_array_iter].info.st_pad3);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t18_array_iter].info.st_atime.my_tv_sec);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t18_array_iter].info.st_atime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t18_array_iter].info.st_mtime.my_tv_sec);
      flick_cdr_swap_decode_signed32(20, _data->_buffer[_t18_array_iter].info.st_mtime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(24, _data->_buffer[_t18_array_iter].info.st_ctime.my_tv_sec);
      flick_cdr_swap_decode_signed32(28, _data->_buffer[_t18_array_iter].info.st_ctime.my_tv_nsec);
      flick_cdr_swap_decode_signed32(32, _data->_buffer[_t18_array_iter].info.st_blksize);
      flick_cdr_swap_decode_signed32(36, _data->_buffer[_t18_array_iter].info.st_blocks);
      flick_iiop_decode_end_chunk(40);
      for (_t25_array_iter = 0; _t25_array_iter < 16; _t25_array_iter++)
        {
          flick_iiop_decode_new_chunk(1);
          flick_cdr_swap_decode_char8(0, _data->_buffer[_t18_array_iter].info.st_fstype[_t25_array_iter]);
          flick_iiop_decode_end_chunk(1);
        }
      for (_t26_array_iter = 0; _t26_array_iter < 8; _t26_array_iter++)
        {
          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t18_array_iter].info.st_pad4[_t26_array_iter]);
          flick_iiop_decode_end_chunk(4);
        }
      flick_iiop_decode_end_glob(163);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist_swap(flick_marshal_stream_t _stream, test_longlist *_data)
{
  CORBA_unsigned_long _t27_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t27_array_iter = 0; _t27_array_iter < _data->_length; _t27_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t27_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  CORBA_unsigned_long _t28_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(16 * _data->_length);
  for (_t28_array_iter = 0; _t28_array_iter < _data->_length; _t28_array_iter++)
    {
      flick_iiop_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t28_array_iter].a.a);
      flick_cdr_encode_signed32(4, _data->_buffer[_t28_array_iter].a.b);
      flick_cdr_encode_signed32(8, _data->_buffer[_t28_array_iter].b.a);
      flick_cdr_encode_signed32(12, _data->_buffer[_t28_array_iter].b.b);
      flick_iiop_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t29_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t29_array_iter].a.a);
      flick_cdr_decode_signed32(4, _data->_buffer[_t29_array_iter].a.b);
      flick_cdr_decode_signed32(8, _data->_buffer[_t29_array_iter].b.a);
      flick_cdr_decode_signed32(12, _data->_buffer[_t29_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist_swap(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t30_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t30_array_iter = 0; _t30_array_iter < _data->_length; _t30_array_iter++)
    {
      flick_iiop_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t30_array_iter].a.a);
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t30_array_iter].a.b);
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t30_array_iter].b.a);
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t30_array_iter].b.b);
      flick_iiop_decode_end_chunk(16);
    }
  flick_iiop_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t93_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t93_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t94_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t94_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t94_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  test_directory *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t95_principal_len;
                  test_directory _t96_storage;
                  CORBA_unsigned_long _t105_array_iter;
                  CORBA_Environment _t114_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t95_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t95_principal_len);
                  flick_iiop_decode_new_chunk(_t95_principal_len);
                  flick_iiop_decode_end_chunk(_t95_principal_len);
                  flick_iiop_decode_end_glob(_t95_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t96_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                  _local_entries->_maximum = _local_entries->_length;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                  for (_t105_array_iter = 0; _t105_array_iter < _local_entries->_length; _t105_array_iter++)
                    {
                      flick_unsigned8_t _t110_array_iter;
                      flick_unsigned8_t _t111_array_iter;
                      flick_unsigned8_t _t112_array_iter;
                      flick_unsigned8_t _t113_array_iter;

                      flick_cdr_swap_decode_auto_string(_local_entries->_buffer[_t105_array_iter].filename, auto_flick_alloc, iiop);
                      flick_iiop_decode_new_glob(163);
                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t105_array_iter].info.st_dev);
                      flick_iiop_decode_end_chunk(4);
                      for (_t110_array_iter = 0; _t110_array_iter < 3; _t110_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t105_array_iter].info.st_pad1[_t110_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_new_chunk(24);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t105_array_iter].info.st_ino);
                      flick_cdr_swap_decode_unsigned32(4, _local_entries->_buffer[_t105_array_iter].info.st_mode);
                      flick_cdr_swap_decode_unsigned32(8, _local_entries->_buffer[_t105_array_iter].info.st_nlink);
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t105_array_iter].info.st_uid);
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t105_array_iter].info.st_gid);
                      flick_cdr_swap_decode_unsigned32(20, _local_entries->_buffer[_t105_array_iter].info.st_rdev);
                      flick_iiop_decode_end_chunk(24);
                      for (_t111_array_iter = 0; _t111_array_iter < 2; _t111_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t105_array_iter].info.st_pad2[_t111_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_new_chunk(40);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t105_array_iter].info.st_size);
                      flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t105_array_iter].info.st_pad3);
                      flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t105_array_iter].info.st_atime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t105_array_iter].info.st_atime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t105_array_iter].info.st_mtime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(20, _local_entries->_buffer[_t105_array_iter].info.st_mtime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(24, _local_entries->_buffer[_t105_array_iter].info.st_ctime.my_tv_sec);
                      flick_cdr_swap_decode_signed32(28, _local_entries->_buffer[_t105_array_iter].info.st_ctime.my_tv_nsec);
                      flick_cdr_swap_decode_signed32(32, _local_entries->_buffer[_t105_array_iter].info.st_blksize);
                      flick_cdr_swap_decode_signed32(36, _local_entries->_buffer[_t105_array_iter].info.st_blocks);
                      flick_iiop_decode_end_chunk(40);
                      for (_t112_array_iter = 0; _t112_array_iter < 16; _t112_array_iter++)
                        {
                          flick_iiop_decode_new_chunk(1);
                          flick_cdr_swap_decode_char8(0, _local_entries->_buffer[_t105_array_iter].info.st_fstype[_t112_array_iter]);
                          flick_iiop_decode_end_chunk(1);
                        }
                      for (_t113_array_iter = 0; _t113_array_iter < 8; _t113_array_iter++)
                        {
                          flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t105_array_iter].info.st_pad4[_t113_array_iter]);
                          flick_iiop_decode_end_chunk(4);
                        }
                      flick_iiop_decode_end_glob(163);
                    }
                  _ev = &_t114_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_dir(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(8);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  test_longlist *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t115_principal_len;
                  test_longlist _t116_storage;
                  CORBA_unsigned_long _t117_array_iter;
                  CORBA_Environment _t118_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t115_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t115_principal_len);
                  flick_iiop_decode_new_chunk(_t115_principal_len);
                  flick_iiop_decode_end_chunk(_t115_principal_len);
                  flick_iiop_decode_end_glob(_t115_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t116_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                  _local_entries->_maximum = _local_entries->_length;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(4 * _local_entries->_length);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                  for (_t117_array_iter = 0; _t117_array_iter < _local_entries->_length; _t117_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t117_array_iter]);
                      flick_iiop_decode_end_chunk(4);
                    }
                  flick_iiop_decode_end_glob(4 * _local_entries->_length);
                  _ev = &_t118_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_lng(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(8);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t119_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t119_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t119_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t120_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t120_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t120_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        test_structlist *_local_entries;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t121_principal_len;
                        test_structlist _t122_storage;
                        CORBA_unsigned_long _t123_array_iter;
                        CORBA_Environment _t124_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t121_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t121_principal_len);
                        flick_iiop_decode_new_chunk(_t121_principal_len);
                        flick_iiop_decode_end_chunk(_t121_principal_len);
                        flick_iiop_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        _local_entries = &_t122_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_length);
                        _local_entries->_maximum = _local_entries->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(16 * _local_entries->_length);
                        _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                        for (_t123_array_iter = 0; _t123_array_iter < _local_entries->_length; _t123_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(16);
                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t123_array_iter].a.a);
                            flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t123_array_iter].a.b);
                            flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t123_array_iter].b.a);
                            flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t123_array_iter].b.b);
                            flick_iiop_decode_end_chunk(16);
                          }
                        flick_iiop_decode_end_glob(16 * _local_entries->_length);
                        _ev = &_t124_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_strct(_obj, _local_entries, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t46_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t46_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t46_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t47_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t47_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t47_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  test_directory *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t48_principal_len;
                  test_directory _t49_storage;
                  CORBA_unsigned_long _t50_array_iter;
                  CORBA_Environment _t51_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t48_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t48_principal_len);
                  flick_iiop_decode_new_chunk(_t48_principal_len);
                  flick_iiop_decode_end_chunk(_t48_principal_len);
                  flick_iiop_decode_end_glob(_t48_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t49_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length);
                  _local_entries->_maximum = _local_entries->_length;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                  for (_t50_array_iter = 0; _t50_array_iter < _local_entries->_length; _t50_array_iter++)
                    {
                      flick_cdr_decode_auto_string(_local_entries->_buffer[_t50_array_iter].filename, auto_flick_alloc, iiop);
                      flick_iiop_decode_new_glob(139);
                      flick_iiop_decode_new_chunk_align(136, 2, 0, 0);
                      flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t50_array_iter].info.st_dev);
                      flick_cdr_decode_bcopy(4, _local_entries->_buffer[_t50_array_iter].info.st_pad1, 12);
                      flick_cdr_decode_unsigned32(16, _local_entries->_buffer[_t50_array_iter].info.st_ino);
                      flick_cdr_decode_unsigned32(20, _local_entries->_buffer[_t50_array_iter].info.st_mode);
                      flick_cdr_decode_unsigned32(24, _local_entries->_buffer[_t50_array_iter].info.st_nlink);
                      flick_cdr_decode_signed32(28, _local_entries->_buffer[_t50_array_iter].info.st_uid);
                      flick_cdr_decode_signed32(32, _local_entries->_buffer[_t50_array_iter].info.st_gid);
                      flick_cdr_decode_unsigned32(36, _local_entries->_buffer[_t50_array_iter].info.st_rdev);
                      flick_cdr_decode_bcopy(40, _local_entries->_buffer[_t50_array_iter].info.st_pad2, 8);
                      flick_cdr_decode_signed32(48, _local_entries->_buffer[_t50_array_iter].info.st_size);
                      flick_cdr_decode_signed32(52, _local_entries->_buffer[_t50_array_iter].info.st_pad3);
                      flick_cdr_decode_signed32(56, _local_entries->_buffer[_t50_array_iter].info.st_atime.my_tv_sec);
                      flick_cdr_decode_signed32(60, _local_entries->_buffer[_t50_array_iter].info.st_atime.my_tv_nsec);
                      flick_cdr_decode_signed32(64, _local_entries->_buffer[_t50_array_iter].info.st_mtime.my_tv_sec);
                      flick_cdr_decode_signed32(68, _local_entries->_buffer[_t50_array_iter].info.st_mtime.my_tv_nsec);
                      flick_cdr_decode_signed32(72, _local_entries->_buffer[_t50_array_iter].info.st_ctime.my_tv_sec);
                      flick_cdr_decode_signed32(76, _local_entries->_buffer[_t50_array_iter].info.st_ctime.my_tv_nsec);
                      flick_cdr_decode_signed32(80, _local_entries->_buffer[_t50_array_iter].info.st_blksize);
                      flick_cdr_decode_signed32(84, _local_entries->_buffer[_t50_array_iter].info.st_blocks);
                      flick_cdr_decode_bcopy(88, _local_entries->_buffer[_t50_array_iter].info.st_fstype, 16);
                      flick_cdr_decode_bcopy(104, _local_entries->_buffer[_t50_array_iter].info.st_pad4, 32);
                      flick_iiop_decode_end_chunk(136);
                      flick_iiop_decode_end_glob(139);
                    }
                  _ev = &_t51_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_dir(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(8);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  test_longlist *_local_entries;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t52_principal_len;
                  test_longlist _t53_storage;
                  CORBA_Environment _t54_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t52_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_decode_new_glob(_t52_principal_len);
                  flick_iiop_decode_new_chunk(_t52_principal_len);
                  flick_iiop_decode_end_chunk(_t52_principal_len);
                  flick_iiop_decode_end_glob(_t52_principal_len);
                  /* Begin decode phase on parameters */
                  _local_entries = &_t53_storage;
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length);
                  _local_entries->_maximum = _local_entries->_length;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_decode_new_glob(4 * _local_entries->_length);
                  flick_iiop_decode_new_chunk(4 * _local_entries->_length);
                  flick_cdr_decode_msgptr(0, _local_entries->_buffer);
                  flick_iiop_decode_end_chunk(4 * _local_entries->_length);
                  flick_iiop_decode_end_glob(4 * _local_entries->_length);
                  _ev = &_t54_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = test_lng(_obj, _local_entries, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(8);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return);
                        flick_iiop_encode_end_chunk(4);
                        flick_iiop_encode_end_glob(8);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(8);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(8);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t55_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t56_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t56_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t56_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        test_structlist *_local_entries;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t57_principal_len;
                        test_structlist _t58_storage;
                        CORBA_unsigned_long _t59_array_iter;
                        CORBA_Environment _t60_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t57_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t57_principal_len);
                        flick_iiop_decode_new_chunk(_t57_principal_len);
                        flick_iiop_decode_end_chunk(_t57_principal_len);
                        flick_iiop_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _local_entries = &_t58_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_entries->_length);
                        _local_entries->_maximum = _local_entries->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(16 * _local_entries->_length);
                        _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                        for (_t59_array_iter = 0; _t59_array_iter < _local_entries->_length; _t59_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(16);
                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t59_array_iter].a.a);
                            flick_cdr_decode_signed32(4, _local_entries->_buffer[_t59_array_iter].a.b);
                            flick_cdr_decode_signed32(8, _local_entries->_buffer[_t59_array_iter].b.a);
                            flick_cdr_decode_signed32(12, _local_entries->_buffer[_t59_array_iter].b.b);
                            flick_iiop_decode_end_chunk(16);
                          }
                        flick_iiop_decode_end_glob(16 * _local_entries->_length);
                        _ev = &_t60_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_strct(_obj, _local_entries, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _return);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
