#include "mig-arrays-ool-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t oolarrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t36_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t36_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t36_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t37_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t37_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t37_principal_len);
            flick_iiop_decode_new_chunk(_t37_principal_len);
            flick_iiop_decode_end_chunk(_t37_principal_len);
            flick_iiop_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t38_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t38_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t38_principal_len);
            flick_iiop_decode_new_chunk(_t38_principal_len);
            flick_iiop_decode_end_chunk(_t38_principal_len);
            flick_iiop_decode_end_glob(_t38_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t39_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t39_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t39_principal_len);
            flick_iiop_decode_new_chunk(_t39_principal_len);
            flick_iiop_decode_end_chunk(_t39_principal_len);
            flick_iiop_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t40_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t40_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t40_principal_len);
            flick_iiop_decode_new_chunk(_t40_principal_len);
            flick_iiop_decode_end_chunk(_t40_principal_len);
            flick_iiop_decode_end_glob(_t40_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t41_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t41_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t42_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t42_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t42_principal_len);
            flick_iiop_decode_new_chunk(_t42_principal_len);
            flick_iiop_decode_end_chunk(_t42_principal_len);
            flick_iiop_decode_end_glob(_t42_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t43_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t43_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t43_principal_len);
            flick_iiop_decode_new_chunk(_t43_principal_len);
            flick_iiop_decode_end_chunk(_t43_principal_len);
            flick_iiop_decode_end_glob(_t43_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t44_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t44_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t44_principal_len);
            flick_iiop_decode_new_chunk(_t44_principal_len);
            flick_iiop_decode_end_chunk(_t44_principal_len);
            flick_iiop_decode_end_glob(_t44_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t45_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t45_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t45_principal_len);
            flick_iiop_decode_new_chunk(_t45_principal_len);
            flick_iiop_decode_end_chunk(_t45_principal_len);
            flick_iiop_decode_end_glob(_t45_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t46_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t46_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t46_principal_len);
            flick_iiop_decode_new_chunk(_t46_principal_len);
            flick_iiop_decode_end_chunk(_t46_principal_len);
            flick_iiop_decode_end_glob(_t46_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t47_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t47_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t47_principal_len);
            flick_iiop_decode_new_chunk(_t47_principal_len);
            flick_iiop_decode_end_chunk(_t47_principal_len);
            flick_iiop_decode_end_glob(_t47_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t12_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 234002:
        {
          {
            mach_port_t _local_target;
            t64B _local_foo;
            kern_return_t _return;
            unsigned int _t13_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t13_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t13_principal_len);
            flick_iiop_decode_new_chunk(_t13_principal_len);
            flick_iiop_decode_end_chunk(_t13_principal_len);
            flick_iiop_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234003:
        {
          {
            mach_port_t _local_target;
            t128B _local_foo;
            kern_return_t _return;
            unsigned int _t14_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t14_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t14_principal_len);
            flick_iiop_decode_new_chunk(_t14_principal_len);
            flick_iiop_decode_end_chunk(_t14_principal_len);
            flick_iiop_decode_end_glob(_t14_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234004:
        {
          {
            mach_port_t _local_target;
            t256B _local_foo;
            kern_return_t _return;
            unsigned int _t15_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t15_principal_len);
            flick_iiop_decode_new_chunk(_t15_principal_len);
            flick_iiop_decode_end_chunk(_t15_principal_len);
            flick_iiop_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234005:
        {
          {
            mach_port_t _local_target;
            t512B _local_foo;
            kern_return_t _return;
            unsigned int _t16_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t16_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t16_principal_len);
            flick_iiop_decode_new_chunk(_t16_principal_len);
            flick_iiop_decode_end_chunk(_t16_principal_len);
            flick_iiop_decode_end_glob(_t16_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_foo);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234006:
        {
          {
            mach_port_t _local_target;
            t1K _local_data;
            kern_return_t _return;
            unsigned int _t17_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t17_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t17_principal_len);
            flick_iiop_decode_new_chunk(_t17_principal_len);
            flick_iiop_decode_end_chunk(_t17_principal_len);
            flick_iiop_decode_end_glob(_t17_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234007:
        {
          {
            mach_port_t _local_target;
            t2K _local_data;
            kern_return_t _return;
            unsigned int _t18_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t18_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t18_principal_len);
            flick_iiop_decode_new_chunk(_t18_principal_len);
            flick_iiop_decode_end_chunk(_t18_principal_len);
            flick_iiop_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234008:
        {
          {
            mach_port_t _local_target;
            t4K _local_data;
            kern_return_t _return;
            unsigned int _t19_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234009:
        {
          {
            mach_port_t _local_target;
            t8K _local_data;
            kern_return_t _return;
            unsigned int _t20_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t20_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t20_principal_len);
            flick_iiop_decode_new_chunk(_t20_principal_len);
            flick_iiop_decode_end_chunk(_t20_principal_len);
            flick_iiop_decode_end_glob(_t20_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234010:
        {
          {
            mach_port_t _local_target;
            t16K _local_data;
            kern_return_t _return;
            unsigned int _t21_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t21_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t21_principal_len);
            flick_iiop_decode_new_chunk(_t21_principal_len);
            flick_iiop_decode_end_chunk(_t21_principal_len);
            flick_iiop_decode_end_glob(_t21_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234011:
        {
          {
            mach_port_t _local_target;
            t32K _local_data;
            kern_return_t _return;
            unsigned int _t22_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t22_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t22_principal_len);
            flick_iiop_decode_new_chunk(_t22_principal_len);
            flick_iiop_decode_end_chunk(_t22_principal_len);
            flick_iiop_decode_end_glob(_t22_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 234012:
        {
          {
            mach_port_t _local_target;
            t64K _local_data;
            kern_return_t _return;
            unsigned int _t23_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
