#include "mig-arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t132_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t132_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t132_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t133_principal_len;
            unsigned _t135_storage[16];
            flick_unsigned8_t _t136_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t133_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t133_principal_len);
            flick_iiop_decode_new_chunk(_t133_principal_len);
            flick_iiop_decode_end_chunk(_t133_principal_len);
            flick_iiop_decode_end_glob(_t133_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(112);
            _local_foo = _t135_storage;
            for (_t136_array_iter = 0; _t136_array_iter < 16; _t136_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t136_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(112);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t137_principal_len;
            unsigned _t139_storage[32];
            flick_unsigned8_t _t140_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t137_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t137_principal_len);
            flick_iiop_decode_new_chunk(_t137_principal_len);
            flick_iiop_decode_end_chunk(_t137_principal_len);
            flick_iiop_decode_end_glob(_t137_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(224);
            _local_foo = _t139_storage;
            for (_t140_array_iter = 0; _t140_array_iter < 32; _t140_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t140_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(224);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t141_principal_len;
            unsigned _t143_storage[64];
            flick_unsigned8_t _t144_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t141_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t141_principal_len);
            flick_iiop_decode_new_chunk(_t141_principal_len);
            flick_iiop_decode_end_chunk(_t141_principal_len);
            flick_iiop_decode_end_glob(_t141_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(448);
            _local_foo = _t143_storage;
            for (_t144_array_iter = 0; _t144_array_iter < 64; _t144_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t144_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(448);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t145_principal_len;
            unsigned _t147_storage[128];
            flick_unsigned8_t _t148_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t145_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t145_principal_len);
            flick_iiop_decode_new_chunk(_t145_principal_len);
            flick_iiop_decode_end_chunk(_t145_principal_len);
            flick_iiop_decode_end_glob(_t145_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(896);
            _local_foo = _t147_storage;
            for (_t148_array_iter = 0; _t148_array_iter < 128; _t148_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_foo[_t148_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(896);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t149_principal_len;
            unsigned _t151_storage[256];
            flick_unsigned16_t _t152_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t149_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t149_principal_len);
            flick_iiop_decode_new_chunk(_t149_principal_len);
            flick_iiop_decode_end_chunk(_t149_principal_len);
            flick_iiop_decode_end_glob(_t149_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1792);
            _local_data = _t151_storage;
            for (_t152_array_iter = 0; _t152_array_iter < 256; _t152_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t152_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(1792);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t153_principal_len;
            unsigned _t155_storage[512];
            flick_unsigned16_t _t156_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t153_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t153_principal_len);
            flick_iiop_decode_new_chunk(_t153_principal_len);
            flick_iiop_decode_end_chunk(_t153_principal_len);
            flick_iiop_decode_end_glob(_t153_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3584);
            _local_data = _t155_storage;
            for (_t156_array_iter = 0; _t156_array_iter < 512; _t156_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t156_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(3584);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t157_principal_len;
            unsigned _t159_storage[1024];
            flick_unsigned16_t _t160_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t157_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t157_principal_len);
            flick_iiop_decode_new_chunk(_t157_principal_len);
            flick_iiop_decode_end_chunk(_t157_principal_len);
            flick_iiop_decode_end_glob(_t157_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7168);
            _local_data = _t159_storage;
            for (_t160_array_iter = 0; _t160_array_iter < 1024; _t160_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t160_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(7168);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t161_principal_len;
            unsigned _t163_storage[2048];
            flick_unsigned16_t _t164_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t161_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t161_principal_len);
            flick_iiop_decode_new_chunk(_t161_principal_len);
            flick_iiop_decode_end_chunk(_t161_principal_len);
            flick_iiop_decode_end_glob(_t161_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(14336);
            _local_data = _t163_storage;
            for (_t164_array_iter = 0; _t164_array_iter < 2048; _t164_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t164_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(14336);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t165_principal_len;
            unsigned _t167_storage[4096];
            flick_unsigned16_t _t168_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t165_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t165_principal_len);
            flick_iiop_decode_new_chunk(_t165_principal_len);
            flick_iiop_decode_end_chunk(_t165_principal_len);
            flick_iiop_decode_end_glob(_t165_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(28672);
            _local_data = _t167_storage;
            for (_t168_array_iter = 0; _t168_array_iter < 4096; _t168_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t168_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(28672);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t169_principal_len;
            unsigned _t171_storage[8192];
            flick_unsigned16_t _t172_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t169_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t169_principal_len);
            flick_iiop_decode_new_chunk(_t169_principal_len);
            flick_iiop_decode_end_chunk(_t169_principal_len);
            flick_iiop_decode_end_glob(_t169_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(57344);
            _local_data = _t171_storage;
            for (_t172_array_iter = 0; _t172_array_iter < 8192; _t172_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t172_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(57344);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t173_principal_len;
            unsigned _t175_storage[16384];
            flick_unsigned16_t _t176_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t173_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t173_principal_len);
            flick_iiop_decode_new_chunk(_t173_principal_len);
            flick_iiop_decode_end_chunk(_t173_principal_len);
            flick_iiop_decode_end_glob(_t173_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(114688);
            _local_data = _t175_storage;
            for (_t176_array_iter = 0; _t176_array_iter < 16384; _t176_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t176_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(114688);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t177_principal_len;
            unsigned _t179_storage[32768];
            flick_unsigned16_t _t180_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t177_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t177_principal_len);
            flick_iiop_decode_new_chunk(_t177_principal_len);
            flick_iiop_decode_end_chunk(_t177_principal_len);
            flick_iiop_decode_end_glob(_t177_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(229376);
            _local_data = _t179_storage;
            for (_t180_array_iter = 0; _t180_array_iter < 32768; _t180_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t180_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(229376);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t181_principal_len;
            unsigned _t183_storage[65536];
            flick_unsigned32_t _t184_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t181_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t181_principal_len);
            flick_iiop_decode_new_chunk(_t181_principal_len);
            flick_iiop_decode_end_chunk(_t181_principal_len);
            flick_iiop_decode_end_glob(_t181_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(458752);
            _local_data = _t183_storage;
            for (_t184_array_iter = 0; _t184_array_iter < 65536; _t184_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t184_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(458752);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t185_principal_len;
            unsigned _t187_storage[131072];
            flick_unsigned32_t _t188_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t185_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t185_principal_len);
            flick_iiop_decode_new_chunk(_t185_principal_len);
            flick_iiop_decode_end_chunk(_t185_principal_len);
            flick_iiop_decode_end_glob(_t185_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(917504);
            _local_data = _t187_storage;
            for (_t188_array_iter = 0; _t188_array_iter < 131072; _t188_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t188_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(917504);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t189_principal_len;
            unsigned _t191_storage[262144];
            flick_unsigned32_t _t192_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t189_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t189_principal_len);
            flick_iiop_decode_new_chunk(_t189_principal_len);
            flick_iiop_decode_end_chunk(_t189_principal_len);
            flick_iiop_decode_end_glob(_t189_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1835008);
            _local_data = _t191_storage;
            for (_t192_array_iter = 0; _t192_array_iter < 262144; _t192_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_data[_t192_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(1835008);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1024K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_timer;
            kern_return_t _return;
            unsigned int _t193_principal_len;
            unsigned _t195_storage[2];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t193_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t193_principal_len);
            flick_iiop_decode_new_chunk(_t193_principal_len);
            flick_iiop_decode_end_chunk(_t193_principal_len);
            flick_iiop_decode_end_glob(_t193_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = _t195_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_time(_local_target, _local_timer);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_bcopy(0, _local_timer, 8);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t34_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t34_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t34_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t35_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t35_principal_len);
            flick_iiop_decode_new_chunk(_t35_principal_len);
            flick_iiop_decode_end_chunk(_t35_principal_len);
            flick_iiop_decode_end_glob(_t35_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(67);
            flick_iiop_decode_new_chunk_align(64, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_foo);
            flick_iiop_decode_end_chunk(64);
            flick_iiop_decode_end_glob(67);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t37_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t37_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t37_principal_len);
            flick_iiop_decode_new_chunk(_t37_principal_len);
            flick_iiop_decode_end_chunk(_t37_principal_len);
            flick_iiop_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(131);
            flick_iiop_decode_new_chunk_align(128, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_foo);
            flick_iiop_decode_end_chunk(128);
            flick_iiop_decode_end_glob(131);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t39_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t39_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t39_principal_len);
            flick_iiop_decode_new_chunk(_t39_principal_len);
            flick_iiop_decode_end_chunk(_t39_principal_len);
            flick_iiop_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(259);
            flick_iiop_decode_new_chunk_align(256, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_foo);
            flick_iiop_decode_end_chunk(256);
            flick_iiop_decode_end_glob(259);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            unsigned int _t41_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(515);
            flick_iiop_decode_new_chunk_align(512, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_foo);
            flick_iiop_decode_end_chunk(512);
            flick_iiop_decode_end_glob(515);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t43_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t43_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t43_principal_len);
            flick_iiop_decode_new_chunk(_t43_principal_len);
            flick_iiop_decode_end_chunk(_t43_principal_len);
            flick_iiop_decode_end_glob(_t43_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1027);
            flick_iiop_decode_new_chunk_align(1024, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(1024);
            flick_iiop_decode_end_glob(1027);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t45_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t45_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t45_principal_len);
            flick_iiop_decode_new_chunk(_t45_principal_len);
            flick_iiop_decode_end_chunk(_t45_principal_len);
            flick_iiop_decode_end_glob(_t45_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2051);
            flick_iiop_decode_new_chunk_align(2048, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(2048);
            flick_iiop_decode_end_glob(2051);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t47_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t47_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t47_principal_len);
            flick_iiop_decode_new_chunk(_t47_principal_len);
            flick_iiop_decode_end_chunk(_t47_principal_len);
            flick_iiop_decode_end_glob(_t47_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(4099);
            flick_iiop_decode_new_chunk_align(4096, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(4096);
            flick_iiop_decode_end_glob(4099);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t49_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t49_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t49_principal_len);
            flick_iiop_decode_new_chunk(_t49_principal_len);
            flick_iiop_decode_end_chunk(_t49_principal_len);
            flick_iiop_decode_end_glob(_t49_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(8195);
            flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(8192);
            flick_iiop_decode_end_glob(8195);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t51_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t51_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t51_principal_len);
            flick_iiop_decode_new_chunk(_t51_principal_len);
            flick_iiop_decode_end_chunk(_t51_principal_len);
            flick_iiop_decode_end_glob(_t51_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(16384, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(16384);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t53_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t53_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t53_principal_len);
            flick_iiop_decode_new_chunk(_t53_principal_len);
            flick_iiop_decode_end_chunk(_t53_principal_len);
            flick_iiop_decode_end_glob(_t53_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(32768, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(32768);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t55_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t55_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t55_principal_len);
            flick_iiop_decode_new_chunk(_t55_principal_len);
            flick_iiop_decode_end_chunk(_t55_principal_len);
            flick_iiop_decode_end_glob(_t55_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(65536, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(65536);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t57_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t57_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t57_principal_len);
            flick_iiop_decode_new_chunk(_t57_principal_len);
            flick_iiop_decode_end_chunk(_t57_principal_len);
            flick_iiop_decode_end_glob(_t57_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(131072, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(131072);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t59_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t59_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t59_principal_len);
            flick_iiop_decode_new_chunk(_t59_principal_len);
            flick_iiop_decode_end_chunk(_t59_principal_len);
            flick_iiop_decode_end_glob(_t59_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(262144, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(262144);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t61_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t61_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t61_principal_len);
            flick_iiop_decode_new_chunk(_t61_principal_len);
            flick_iiop_decode_end_chunk(_t61_principal_len);
            flick_iiop_decode_end_glob(_t61_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(524288, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(524288);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            unsigned int _t63_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t63_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t63_principal_len);
            flick_iiop_decode_new_chunk(_t63_principal_len);
            flick_iiop_decode_end_chunk(_t63_principal_len);
            flick_iiop_decode_end_glob(_t63_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(1048576, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_data);
            flick_iiop_decode_end_chunk(1048576);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1024K_in(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_timer;
            kern_return_t _return;
            unsigned int _t65_principal_len;
            unsigned _t67_storage[2];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t65_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t65_principal_len);
            flick_iiop_decode_new_chunk(_t65_principal_len);
            flick_iiop_decode_end_chunk(_t65_principal_len);
            flick_iiop_decode_end_glob(_t65_principal_len);
            /* Begin decode phase on parameters */
            _local_timer = _t67_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_time(_local_target, _local_timer);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_bcopy(0, _local_timer, 8);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
