#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt);
    flick_cdr_encode_signed32(12, *inoutInt);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, *inoutInt);
            flick_cdr_swap_decode_signed32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt);
            flick_cdr_decode_signed32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_iiop_encode_new_glob(808);
    flick_iiop_encode_new_chunk(808);
    flick_cdr_encode_signed32(0, 5550002);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_cdr_encode_bcopy(8, _t2_internal, 400);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_cdr_encode_bcopy(408, _t3_internal, 400);
    flick_iiop_encode_end_chunk(808);
    flick_iiop_encode_end_glob(808);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(804);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t12_internal;
            flick_unsigned8_t _t13_array_iter;
            unsigned *_t14_internal;
            flick_unsigned8_t _t15_array_iter;

            /* Begin decode phase on parameters */
            _t12_internal = (unsigned *)(&(*inoutStruct));
            for (_t13_array_iter = 0; _t13_array_iter < 100; _t13_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t12_internal[_t13_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t14_internal = (unsigned *)(&(*outStruct));
            for (_t15_array_iter = 0; _t15_array_iter < 100; _t15_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t14_internal[_t15_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(804);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(804);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(804);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t6_internal;
            unsigned *_t7_internal;

            /* Begin decode phase on parameters */
            _t6_internal = (unsigned *)(&(*inoutStruct));
            flick_iiop_decode_new_chunk(800);
            flick_cdr_decode_bcopy(0, _t6_internal, 400);
            _t7_internal = (unsigned *)(&(*outStruct));
            flick_cdr_decode_bcopy(400, _t7_internal, 400);
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(804);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(804);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t18_internal;
    unsigned *_t19_internal;

    flick_iiop_encode_new_glob(2408);
    flick_iiop_encode_new_chunk(2408);
    flick_cdr_encode_signed32(0, 5550003);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t18_internal = (unsigned *)inArray;
    flick_cdr_encode_bcopy(8, _t18_internal, 1200);
    _t19_internal = (unsigned *)inoutArray;
    flick_cdr_encode_bcopy(1208, _t19_internal, 1200);
    flick_iiop_encode_end_chunk(2408);
    flick_iiop_encode_end_glob(2408);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(2404);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t28_internal;
            flick_unsigned16_t _t29_array_iter;
            unsigned *_t30_internal;
            flick_unsigned16_t _t31_array_iter;

            /* Begin decode phase on parameters */
            _t28_internal = (unsigned *)inoutArray;
            for (_t29_array_iter = 0; _t29_array_iter < 300; _t29_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t28_internal[_t29_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _t30_internal = (unsigned *)outArray;
            for (_t31_array_iter = 0; _t31_array_iter < 300; _t31_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t30_internal[_t31_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(2404);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(2404);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(2404);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t22_internal;
            unsigned *_t23_internal;

            /* Begin decode phase on parameters */
            _t22_internal = (unsigned *)inoutArray;
            flick_iiop_decode_new_chunk(2400);
            flick_cdr_decode_bcopy(0, _t22_internal, 1200);
            _t23_internal = (unsigned *)outArray;
            flick_cdr_decode_bcopy(1200, _t23_internal, 1200);
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2404);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(2404);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(2012);
    flick_iiop_encode_new_chunk(12 + 4 * inArrayCnt);
    flick_cdr_encode_signed32(0, 5550004);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    if (inArrayCnt > (unsigned int) 500)
      flick_mig_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(12, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(12 + 4 * inArrayCnt);
    flick_iiop_encode_end_glob(2012);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(2008);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t33_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt);
            if (*outArrayCnt > (unsigned int) 500)
              flick_mig_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            for (_t33_array_iter = 0; _t33_array_iter < *outArrayCnt; _t33_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outArray[_t33_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(2008);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(2008);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(2008);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt);
            if (*outArrayCnt > (unsigned int) 500)
              flick_mig_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(2008);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(2008);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t35_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
            for (_t35_array_iter = 0; _t35_array_iter < *outArrayCnt; _t35_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t35_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    char *_t38_internal;
    char *_t39_internal;

    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550006);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    _t38_internal = (char *)inString;
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_alloced_string(_t38_internal, iiop, 799);
    _t39_internal = (char *)inoutString;
    flick_cdr_encode_alloced_string(_t39_internal, iiop, 799);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t46_internal;
            char *_t47_internal;

            /* Begin decode phase on parameters */
            _t46_internal = (char *)inoutString;
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_alloced_string(_t46_internal, iiop, 799);
            _t47_internal = (char *)outString;
            flick_cdr_swap_decode_alloced_string(_t47_internal, iiop, 799);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t42_internal;
            char *_t43_internal;

            /* Begin decode phase on parameters */
            _t42_internal = (char *)inoutString;
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_alloced_string(_t42_internal, iiop, 799);
            _t43_internal = (char *)outString;
            flick_cdr_decode_alloced_string(_t43_internal, iiop, 799);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550007);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_alloced_string(inString, iiop, 4997);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_alloced_string(outString, iiop, 4997);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_alloced_string(outString, iiop, 4997);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(8);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_IOR(iiop, inRight, 1);
    flick_iiop_mark_port_for_cleanup(inRight, 1);
    flick_cdr_encode_IOR(iiop, *inoutRight, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_swap_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    mach_msg_type_number_t _t49_array_iter;

    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t49_array_iter = 0; _t49_array_iter < inRightCnt; _t49_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t49_array_iter], 1);
        flick_iiop_mark_port_for_cleanup(inRight[_t49_array_iter], 1);
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t53_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t53_array_iter = 0; _t53_array_iter < *outRightCnt; _t53_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t53_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t51_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t51_array_iter = 0; _t51_array_iter < *outRightCnt; _t51_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t51_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    mach_msg_type_number_t _t55_array_iter;

    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t55_array_iter = 0; _t55_array_iter < inRightCnt; _t55_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t55_array_iter], 0);
      }
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t59_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t59_array_iter = 0; _t59_array_iter < *outRightCnt; _t59_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t59_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t57_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
            for (_t57_array_iter = 0; _t57_array_iter < *outRightCnt; _t57_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t57_array_iter], 1);
              }
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550012);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inInt);
    flick_cdr_encode_unsigned32(12, *inoutInt);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutInt);
            flick_cdr_swap_decode_unsigned32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutInt);
            flick_cdr_decode_unsigned32(4, *outInt);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550013);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inStruct);
    flick_cdr_encode_unsigned32(12, *inoutStruct);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutStruct);
            flick_cdr_swap_decode_unsigned32(4, *outStruct);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutStruct);
            flick_cdr_decode_unsigned32(4, *outStruct);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550014);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArray);
    flick_cdr_encode_unsigned32(12, *inoutArray);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutArray);
            flick_cdr_swap_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArray);
            flick_cdr_decode_unsigned32(4, *outArray);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 5550015);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_cdr_encode_unsigned32(12, inArray);
    flick_cdr_encode_unsigned32(16, *inoutArrayCnt);
    flick_cdr_encode_unsigned32(20, *inoutArray);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt);
            flick_cdr_swap_decode_unsigned32(4, *inoutArray);
            flick_cdr_swap_decode_unsigned32(8, *outArrayCnt);
            flick_cdr_swap_decode_unsigned32(12, *outArray);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *inoutArray);
            flick_cdr_decode_unsigned32(8, *outArrayCnt);
            flick_cdr_decode_unsigned32(12, *outArray);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550016);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inString);
    flick_cdr_encode_unsigned32(12, *inoutString);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_unsigned32(0, *inoutString);
            flick_cdr_swap_decode_unsigned32(4, *outString);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutString);
            flick_cdr_decode_unsigned32(4, *outString);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 5550017);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_cdr_encode_unsigned32(12, inRight);
    flick_cdr_encode_unsigned32(16, *inoutRightCnt);
    flick_cdr_encode_unsigned32(20, *inoutRight);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt);
            flick_cdr_swap_decode_unsigned32(4, *inoutRight);
            flick_cdr_swap_decode_unsigned32(8, *outRightCnt);
            flick_cdr_swap_decode_unsigned32(12, *outRight);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *inoutRight);
            flick_cdr_decode_unsigned32(8, *outRightCnt);
            flick_cdr_decode_unsigned32(12, *outRight);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 5550018);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_cdr_encode_unsigned32(12, inRight);
    flick_cdr_encode_unsigned32(16, *inoutRightCnt);
    flick_cdr_encode_unsigned32(20, *inoutRight);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt);
            flick_cdr_swap_decode_unsigned32(4, *inoutRight);
            flick_cdr_swap_decode_unsigned32(8, *outRightCnt);
            flick_cdr_swap_decode_unsigned32(12, *outRight);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *inoutRight);
            flick_cdr_decode_unsigned32(8, *outRightCnt);
            flick_cdr_decode_unsigned32(12, *outRight);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_signed32(0, 5550024);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_cdr_encode_unsigned32(12, inArray);
    flick_cdr_encode_unsigned32(16, *inoutArrayCnt);
    flick_cdr_encode_unsigned32(20, *inoutArray);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt);
            flick_cdr_swap_decode_unsigned32(4, *inoutArray);
            flick_cdr_swap_decode_unsigned32(8, *outArrayCnt);
            flick_cdr_swap_decode_unsigned32(12, *outArray);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *inoutArray);
            flick_cdr_decode_unsigned32(8, *outArrayCnt);
            flick_cdr_decode_unsigned32(12, *outArray);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(20);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(target, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550025);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *scopy);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(5);
            flick_mig_decode_system_exception("no data available", cdr_swap, iiop);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(5);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(5);
            flick_mig_decode_system_exception("no data available", cdr, iiop);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

