#include "mig-tests-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t tests_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t275_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t275_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t275_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            unsigned int _t276_principal_len;
            Iint _t277_storage;
            Iint _t278_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t276_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t276_principal_len);
            flick_iiop_decode_new_chunk(_t276_principal_len);
            flick_iiop_decode_end_chunk(_t276_principal_len);
            flick_iiop_decode_end_glob(_t276_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t277_storage;
            flick_cdr_swap_decode_signed32(4, *_local_inoutInt);
            _local_outInt = &_t278_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, *_local_inoutInt);
                  flick_cdr_encode_signed32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t279_principal_len;
            unsigned *_t280_internal;
            flick_unsigned8_t _t281_array_iter;
            IFstruct _t282_storage;
            unsigned *_t283_internal;
            flick_unsigned8_t _t284_array_iter;
            IFstruct _t285_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t279_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t279_principal_len);
            flick_iiop_decode_new_chunk(_t279_principal_len);
            flick_iiop_decode_end_chunk(_t279_principal_len);
            flick_iiop_decode_end_glob(_t279_principal_len);
            /* Begin decode phase on parameters */
            _t280_internal = (unsigned *)(&(_local_inStruct));
            flick_iiop_decode_new_glob(1100);
            for (_t281_array_iter = 0; _t281_array_iter < 100; _t281_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _t280_internal[_t281_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_inoutStruct = &_t282_storage;
            _t283_internal = (unsigned *)(&(*_local_inoutStruct));
            for (_t284_array_iter = 0; _t284_array_iter < 100; _t284_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t283_internal[_t284_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_outStruct = &_t285_storage;
            flick_iiop_decode_end_glob(1100);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(804);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t288_internal;
                  unsigned *_t289_internal;

                  /* Begin encode phase on parameters */
                  _t288_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_iiop_encode_new_chunk(800);
                  flick_cdr_encode_bcopy(0, _t288_internal, 400);
                  _t289_internal = (unsigned *)(&(*_local_outStruct));
                  flick_cdr_encode_bcopy(400, _t289_internal, 400);
                  flick_iiop_encode_end_chunk(800);
                  flick_iiop_encode_end_glob(804);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(804);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned *_local_outArray;
            kern_return_t _return;
            unsigned int _t290_principal_len;
            unsigned _t292_storage[300];
            flick_unsigned16_t _t293_array_iter;
            unsigned _t295_storage[300];
            flick_unsigned16_t _t296_array_iter;
            unsigned _t298_storage[300];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t290_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t290_principal_len);
            flick_iiop_decode_new_chunk(_t290_principal_len);
            flick_iiop_decode_end_chunk(_t290_principal_len);
            flick_iiop_decode_end_glob(_t290_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3300);
            _local_inArray = _t292_storage;
            for (_t293_array_iter = 0; _t293_array_iter < 300; _t293_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t293_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_inoutArray = _t295_storage;
            for (_t296_array_iter = 0; _t296_array_iter < 300; _t296_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inoutArray[_t296_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_outArray = _t298_storage;
            flick_iiop_decode_end_glob(3300);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2404);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2400);
                  flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                  flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                  flick_iiop_encode_end_chunk(2400);
                  flick_iiop_encode_end_glob(2404);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(2404);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t299_principal_len;
            mach_msg_type_number_t _t300_array_iter;
            unsigned _t302_storage[500];
            mach_msg_type_number_t _t303_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t299_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t299_principal_len);
            flick_iiop_decode_new_chunk(_t299_principal_len);
            flick_iiop_decode_end_chunk(_t299_principal_len);
            flick_iiop_decode_end_glob(_t299_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt);
            if (_local_inArrayCnt > (unsigned int) 500)
              flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            _local_inArray = auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            for (_t300_array_iter = 0; _t300_array_iter < _local_inArrayCnt; _t300_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t300_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _local_outArray = _t302_storage;
            _local_outArrayCnt = &_t303_storage;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2008);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  if (*_local_outArrayCnt > (unsigned int) 500)
                    flick_mig_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                  flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(2008);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(2008);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t304_principal_len;
            mach_msg_type_number_t _t305_array_iter;
            Iarray _t306_storage;
            mach_msg_type_number_t _t307_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t304_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t304_principal_len);
            flick_iiop_decode_new_chunk(_t304_principal_len);
            flick_iiop_decode_end_chunk(_t304_principal_len);
            flick_iiop_decode_end_glob(_t304_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            _local_inArray = auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            for (_t305_array_iter = 0; _t305_array_iter < _local_inArrayCnt; _t305_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t305_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArray = &_t306_storage;
            _local_outArrayCnt = &_t307_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_inoutString;
            char *_local_outString;
            kern_return_t _return;
            unsigned int _t308_principal_len;
            char _t309_storage[800];
            char _t310_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t308_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t308_principal_len);
            flick_iiop_decode_new_chunk(_t308_principal_len);
            flick_iiop_decode_end_chunk(_t308_principal_len);
            flick_iiop_decode_end_glob(_t308_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_auto_string(_local_inString, auto_flick_alloc, iiop);
            _local_inoutString = _t309_storage;
            flick_cdr_swap_decode_alloced_string(_local_inoutString, iiop, 799);
            _local_outString = &_t310_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_alloced_string(_local_inoutString, iiop, 799);
                  flick_cdr_encode_alloced_string(_local_outString, iiop, 799);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_outString;
            kern_return_t _return;
            unsigned int _t311_principal_len;
            char _t312_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t311_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t311_principal_len);
            flick_iiop_decode_new_chunk(_t311_principal_len);
            flick_iiop_decode_end_chunk(_t311_principal_len);
            flick_iiop_decode_end_glob(_t311_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_auto_string(_local_inString, auto_flick_alloc, iiop);
            _local_outString = &_t312_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_string(_local_outString, auto_flick_free, iiop, 4997);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            unsigned int _t313_principal_len;
            mach_port_t _t314_storage;
            mach_port_t _t315_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t313_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t313_principal_len);
            flick_iiop_decode_new_chunk(_t313_principal_len);
            flick_iiop_decode_end_chunk(_t313_principal_len);
            flick_iiop_decode_end_glob(_t313_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = &_t314_storage;
            flick_cdr_swap_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = &_t315_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0);
                  flick_cdr_encode_IOR(iiop, *_local_outRight, 1);
                  flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t316_principal_len;
            mach_msg_type_number_t _t317_array_iter;
            Imach_port_array_t _t318_storage;
            mach_msg_type_number_t _t319_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t316_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t316_principal_len);
            flick_iiop_decode_new_chunk(_t316_principal_len);
            flick_iiop_decode_end_chunk(_t316_principal_len);
            flick_iiop_decode_end_glob(_t316_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_inRight = auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t317_array_iter = 0; _t317_array_iter < _local_inRightCnt; _t317_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t317_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t317_array_iter], 1);
              }
            _local_outRight = &_t318_storage;
            _local_outRightCnt = &_t319_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t321_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  for (_t321_array_iter = 0; _t321_array_iter < *_local_outRightCnt; _t321_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t321_array_iter], 1);
                      flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t321_array_iter], 1);
                    }
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t322_principal_len;
            mach_msg_type_number_t _t323_array_iter;
            Imach_poly_array_t _t324_storage;
            mach_msg_type_number_t _t325_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t322_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t322_principal_len);
            flick_iiop_decode_new_chunk(_t322_principal_len);
            flick_iiop_decode_end_chunk(_t322_principal_len);
            flick_iiop_decode_end_glob(_t322_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_inRight = auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t323_array_iter = 0; _t323_array_iter < _local_inRightCnt; _t323_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t323_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t323_array_iter], 1);
              }
            _local_outRight = &_t324_storage;
            _local_outRightCnt = &_t325_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t327_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  for (_t327_array_iter = 0; _t327_array_iter < *_local_outRightCnt; _t327_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t327_array_iter], 0);
                    }
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            unsigned int _t328_principal_len;
            Oint _t329_storage;
            Oint _t330_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t328_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t328_principal_len);
            flick_iiop_decode_new_chunk(_t328_principal_len);
            flick_iiop_decode_end_chunk(_t328_principal_len);
            flick_iiop_decode_end_glob(_t328_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inInt);
            _local_inoutInt = &_t329_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutInt);
            _local_outInt = &_t330_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutInt);
                  flick_cdr_encode_unsigned32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t331_principal_len;
            OFstruct _t332_storage;
            OFstruct _t333_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t331_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t331_principal_len);
            flick_iiop_decode_new_chunk(_t331_principal_len);
            flick_iiop_decode_end_chunk(_t331_principal_len);
            flick_iiop_decode_end_glob(_t331_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inStruct);
            _local_inoutStruct = &_t332_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutStruct);
            _local_outStruct = &_t333_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutStruct);
                  flick_cdr_encode_unsigned32(4, *_local_outStruct);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            unsigned int _t334_principal_len;
            OFarray _t335_storage;
            OFarray _t336_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t334_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t334_principal_len);
            flick_iiop_decode_new_chunk(_t334_principal_len);
            flick_iiop_decode_end_chunk(_t334_principal_len);
            flick_iiop_decode_end_glob(_t334_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArray);
            _local_inoutArray = &_t335_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t336_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t337_principal_len;
            mach_msg_type_number_t _t338_storage;
            Oarray _t339_storage;
            Oarray _t340_storage;
            mach_msg_type_number_t _t341_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t337_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t337_principal_len);
            flick_iiop_decode_new_chunk(_t337_principal_len);
            flick_iiop_decode_end_chunk(_t337_principal_len);
            flick_iiop_decode_end_glob(_t337_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt);
            flick_cdr_swap_decode_unsigned32(4, _local_inArray);
            _local_inoutArrayCnt = &_t338_storage;
            flick_cdr_swap_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t339_storage;
            flick_cdr_swap_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t340_storage;
            _local_outArrayCnt = &_t341_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(8, *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outArray);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            unsigned int _t342_principal_len;
            OFstring _t343_storage;
            OFstring _t344_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t342_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t342_principal_len);
            flick_iiop_decode_new_chunk(_t342_principal_len);
            flick_iiop_decode_end_chunk(_t342_principal_len);
            flick_iiop_decode_end_glob(_t342_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inString);
            _local_inoutString = &_t343_storage;
            flick_cdr_swap_decode_unsigned32(4, *_local_inoutString);
            _local_outString = &_t344_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutString);
                  flick_cdr_encode_unsigned32(4, *_local_outString);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t345_principal_len;
            mach_msg_type_number_t _t346_storage;
            mach_port_array_t _t347_storage;
            mach_port_array_t _t348_storage;
            mach_msg_type_number_t _t349_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t345_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t345_principal_len);
            flick_iiop_decode_new_chunk(_t345_principal_len);
            flick_iiop_decode_end_chunk(_t345_principal_len);
            flick_iiop_decode_end_glob(_t345_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt);
            flick_cdr_swap_decode_unsigned32(4, _local_inRight);
            _local_inoutRightCnt = &_t346_storage;
            flick_cdr_swap_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t347_storage;
            flick_cdr_swap_decode_unsigned32(12, *_local_inoutRight);
            _local_outRight = &_t348_storage;
            _local_outRightCnt = &_t349_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(8, *_local_outRightCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outRight);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            Omach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t350_principal_len;
            mach_msg_type_number_t _t351_storage;
            Omach_poly_array_t _t352_storage;
            Omach_poly_array_t _t353_storage;
            mach_msg_type_number_t _t354_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t350_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t350_principal_len);
            flick_iiop_decode_new_chunk(_t350_principal_len);
            flick_iiop_decode_end_chunk(_t350_principal_len);
            flick_iiop_decode_end_glob(_t350_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt);
            flick_cdr_swap_decode_unsigned32(4, _local_inRight);
            _local_inoutRightCnt = &_t351_storage;
            flick_cdr_swap_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t352_storage;
            flick_cdr_swap_decode_unsigned32(12, *_local_inoutRight);
            _local_outRight = &_t353_storage;
            _local_outRightCnt = &_t354_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(8, *_local_outRightCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outRight);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_reply;
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t355_principal_len;
            unsigned int _t356_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_iiop_server_decode_client(_local_reply, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t355_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t355_principal_len);
            flick_iiop_decode_new_chunk(_t355_principal_len);
            flick_iiop_decode_end_chunk(_t355_principal_len);
            flick_iiop_decode_end_glob(_t355_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t356_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t357_principal_len;
            unsigned int _t358_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_iiop_server_decode_client(_local_reply, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t357_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t357_principal_len);
            flick_iiop_decode_new_chunk(_t357_principal_len);
            flick_iiop_decode_end_chunk(_t357_principal_len);
            flick_iiop_decode_end_glob(_t357_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t358_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t359_principal_len;
            unsigned int _t360_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t359_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t359_principal_len);
            flick_iiop_decode_new_chunk(_t359_principal_len);
            flick_iiop_decode_end_chunk(_t359_principal_len);
            flick_iiop_decode_end_glob(_t359_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t360_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_ureply_ports(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _local_seq;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t361_principal_len;
            unsigned int _t362_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t361_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t361_principal_len);
            flick_iiop_decode_new_chunk(_t361_principal_len);
            flick_iiop_decode_end_chunk(_t361_principal_len);
            flick_iiop_decode_end_glob(_t361_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t362_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t363_principal_len;
            mach_msg_type_number_t _t364_storage;
            Oarray _t365_storage;
            Oarray _t366_storage;
            mach_msg_type_number_t _t367_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t363_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t363_principal_len);
            flick_iiop_decode_new_chunk(_t363_principal_len);
            flick_iiop_decode_end_chunk(_t363_principal_len);
            flick_iiop_decode_end_glob(_t363_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt);
            flick_cdr_swap_decode_unsigned32(4, _local_inArray);
            _local_inoutArrayCnt = &_t364_storage;
            flick_cdr_swap_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t365_storage;
            flick_cdr_swap_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t366_storage;
            _local_outArrayCnt = &_t367_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            out_of_line_flick_free(_local_inArray);
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(8, *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outArray);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            boolean_t *_local_scopy;
            kern_return_t _return;
            unsigned int _t368_principal_len;
            mach_msg_type_number_t _t369_array_iter;
            boolean_t _t370_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t368_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t368_principal_len);
            flick_iiop_decode_new_chunk(_t368_principal_len);
            flick_iiop_decode_end_chunk(_t368_principal_len);
            flick_iiop_decode_end_glob(_t368_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            _local_inArray = auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned ));
            for (_t369_array_iter = 0; _t369_array_iter < _local_inArrayCnt; _t369_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t369_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = &_t370_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_local_scopy);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned int _t371_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t371_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t371_principal_len);
            flick_iiop_decode_new_chunk(_t371_principal_len);
            flick_iiop_decode_end_chunk(_t371_principal_len);
            flick_iiop_decode_end_glob(_t371_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_terminate(_local_target);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t89_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t89_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t89_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint *_local_outInt;
            kern_return_t _return;
            unsigned int _t90_principal_len;
            Iint _t91_storage;
            Iint _t92_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t90_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t90_principal_len);
            flick_iiop_decode_new_chunk(_t90_principal_len);
            flick_iiop_decode_end_chunk(_t90_principal_len);
            flick_iiop_decode_end_glob(_t90_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_inInt);
            _local_inoutInt = &_t91_storage;
            flick_cdr_decode_signed32(4, *_local_inoutInt);
            _local_outInt = &_t92_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, *_local_inoutInt);
                  flick_cdr_encode_signed32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            IFstruct _local_inStruct;
            IFstruct *_local_inoutStruct;
            IFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t93_principal_len;
            unsigned *_t94_internal;
            IFstruct _t95_storage;
            unsigned *_t96_internal;
            IFstruct _t97_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t93_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t93_principal_len);
            flick_iiop_decode_new_chunk(_t93_principal_len);
            flick_iiop_decode_end_chunk(_t93_principal_len);
            flick_iiop_decode_end_glob(_t93_principal_len);
            /* Begin decode phase on parameters */
            _t94_internal = (unsigned *)(&(_local_inStruct));
            flick_iiop_decode_new_glob(803);
            flick_iiop_decode_new_chunk_align(800, 2, 0, 0);
            flick_cdr_decode_bcopy(0, _t94_internal, 400);
            _local_inoutStruct = &_t95_storage;
            _t96_internal = (unsigned *)(&(*_local_inoutStruct));
            flick_cdr_decode_bcopy(400, _t96_internal, 400);
            _local_outStruct = &_t97_storage;
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(803);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(804);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  unsigned *_t100_internal;
                  unsigned *_t101_internal;

                  /* Begin encode phase on parameters */
                  _t100_internal = (unsigned *)(&(*_local_inoutStruct));
                  flick_iiop_encode_new_chunk(800);
                  flick_cdr_encode_bcopy(0, _t100_internal, 400);
                  _t101_internal = (unsigned *)(&(*_local_outStruct));
                  flick_cdr_encode_bcopy(400, _t101_internal, 400);
                  flick_iiop_encode_end_chunk(800);
                  flick_iiop_encode_end_glob(804);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(804);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned *_local_outArray;
            kern_return_t _return;
            unsigned int _t102_principal_len;
            unsigned _t105_storage[300];
            unsigned _t107_storage[300];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t102_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t102_principal_len);
            flick_iiop_decode_new_chunk(_t102_principal_len);
            flick_iiop_decode_end_chunk(_t102_principal_len);
            flick_iiop_decode_end_glob(_t102_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2403);
            flick_iiop_decode_new_chunk_align(2400, 2, 0, 0);
            flick_cdr_decode_msgptr(0, _local_inArray);
            _local_inoutArray = _t105_storage;
            flick_cdr_decode_bcopy(1200, _local_inoutArray, 1200);
            _local_outArray = _t107_storage;
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2403);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2404);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2400);
                  flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                  flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                  flick_iiop_encode_end_chunk(2400);
                  flick_iiop_encode_end_glob(2404);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(2404);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t108_principal_len;
            unsigned _t110_storage[500];
            mach_msg_type_number_t _t111_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t108_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t108_principal_len);
            flick_iiop_decode_new_chunk(_t108_principal_len);
            flick_iiop_decode_end_chunk(_t108_principal_len);
            flick_iiop_decode_end_glob(_t108_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt);
            if (_local_inArrayCnt > (unsigned int) 500)
              flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArray = _t110_storage;
            _local_outArrayCnt = &_t111_storage;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(2008);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  if (*_local_outArrayCnt > (unsigned int) 500)
                    flick_mig_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                  flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(2008);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(2008);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t112_principal_len;
            Iarray _t113_storage;
            mach_msg_type_number_t _t114_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t112_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t112_principal_len);
            flick_iiop_decode_new_chunk(_t112_principal_len);
            flick_iiop_decode_end_chunk(_t112_principal_len);
            flick_iiop_decode_end_glob(_t112_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArray = &_t113_storage;
            _local_outArrayCnt = &_t114_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  flick_iiop_encode_new_glob(4 * *_local_outArrayCnt);
                  flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                  flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                  flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_inoutString;
            char *_local_outString;
            kern_return_t _return;
            unsigned int _t115_principal_len;
            char _t116_storage[800];
            char _t117_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t115_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t115_principal_len);
            flick_iiop_decode_new_chunk(_t115_principal_len);
            flick_iiop_decode_end_chunk(_t115_principal_len);
            flick_iiop_decode_end_glob(_t115_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_auto_string(_local_inString, auto_flick_alloc, iiop);
            _local_inoutString = _t116_storage;
            flick_cdr_decode_alloced_string(_local_inoutString, iiop, 799);
            _local_outString = &_t117_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_alloced_string(_local_inoutString, iiop, 799);
                  flick_cdr_encode_alloced_string(_local_outString, iiop, 799);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            char *_local_inString;
            char *_local_outString;
            kern_return_t _return;
            unsigned int _t118_principal_len;
            char _t119_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t118_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t118_principal_len);
            flick_iiop_decode_new_chunk(_t118_principal_len);
            flick_iiop_decode_end_chunk(_t118_principal_len);
            flick_iiop_decode_end_glob(_t118_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_auto_string(_local_inString, auto_flick_alloc, iiop);
            _local_outString = &_t119_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_string(_local_outString, auto_flick_free, iiop, 4997);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t *_local_outRight;
            kern_return_t _return;
            unsigned int _t120_principal_len;
            mach_port_t _t121_storage;
            mach_port_t _t122_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t120_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t120_principal_len);
            flick_iiop_decode_new_chunk(_t120_principal_len);
            flick_iiop_decode_end_chunk(_t120_principal_len);
            flick_iiop_decode_end_glob(_t120_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = &_t121_storage;
            flick_cdr_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = &_t122_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0);
                  flick_cdr_encode_IOR(iiop, *_local_outRight, 1);
                  flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t123_principal_len;
            mach_msg_type_number_t _t124_array_iter;
            Imach_port_array_t _t125_storage;
            mach_msg_type_number_t _t126_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t123_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t123_principal_len);
            flick_iiop_decode_new_chunk(_t123_principal_len);
            flick_iiop_decode_end_chunk(_t123_principal_len);
            flick_iiop_decode_end_glob(_t123_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_inRight = auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t124_array_iter = 0; _t124_array_iter < _local_inRightCnt; _t124_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t124_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t124_array_iter], 1);
              }
            _local_outRight = &_t125_storage;
            _local_outRightCnt = &_t126_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t128_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  for (_t128_array_iter = 0; _t128_array_iter < *_local_outRightCnt; _t128_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t128_array_iter], 1);
                      flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t128_array_iter], 1);
                    }
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t129_principal_len;
            mach_msg_type_number_t _t130_array_iter;
            Imach_poly_array_t _t131_storage;
            mach_msg_type_number_t _t132_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t129_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t129_principal_len);
            flick_iiop_decode_new_chunk(_t129_principal_len);
            flick_iiop_decode_end_chunk(_t129_principal_len);
            flick_iiop_decode_end_glob(_t129_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            _local_inRight = auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t ));
            for (_t130_array_iter = 0; _t130_array_iter < _local_inRightCnt; _t130_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t130_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t130_array_iter], 1);
              }
            _local_outRight = &_t131_storage;
            _local_outRightCnt = &_t132_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  mach_msg_type_number_t _t134_array_iter;

                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_local_outRightCnt);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  for (_t134_array_iter = 0; _t134_array_iter < *_local_outRightCnt; _t134_array_iter++)
                    {
                      flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t134_array_iter], 0);
                    }
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint *_local_outInt;
            kern_return_t _return;
            unsigned int _t135_principal_len;
            Oint _t136_storage;
            Oint _t137_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t135_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t135_principal_len);
            flick_iiop_decode_new_chunk(_t135_principal_len);
            flick_iiop_decode_end_chunk(_t135_principal_len);
            flick_iiop_decode_end_glob(_t135_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inInt);
            _local_inoutInt = &_t136_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutInt);
            _local_outInt = &_t137_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutInt);
                  flick_cdr_encode_unsigned32(4, *_local_outInt);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct *_local_outStruct;
            kern_return_t _return;
            unsigned int _t138_principal_len;
            OFstruct _t139_storage;
            OFstruct _t140_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t138_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t138_principal_len);
            flick_iiop_decode_new_chunk(_t138_principal_len);
            flick_iiop_decode_end_chunk(_t138_principal_len);
            flick_iiop_decode_end_glob(_t138_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inStruct);
            _local_inoutStruct = &_t139_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutStruct);
            _local_outStruct = &_t140_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutStruct);
                  flick_cdr_encode_unsigned32(4, *_local_outStruct);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray *_local_outArray;
            kern_return_t _return;
            unsigned int _t141_principal_len;
            OFarray _t142_storage;
            OFarray _t143_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t141_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t141_principal_len);
            flick_iiop_decode_new_chunk(_t141_principal_len);
            flick_iiop_decode_end_chunk(_t141_principal_len);
            flick_iiop_decode_end_glob(_t141_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArray);
            _local_inoutArray = &_t142_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutArray);
            _local_outArray = &_t143_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(4, *_local_outArray);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t144_principal_len;
            mach_msg_type_number_t _t145_storage;
            Oarray _t146_storage;
            Oarray _t147_storage;
            mach_msg_type_number_t _t148_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t144_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t144_principal_len);
            flick_iiop_decode_new_chunk(_t144_principal_len);
            flick_iiop_decode_end_chunk(_t144_principal_len);
            flick_iiop_decode_end_glob(_t144_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt);
            flick_cdr_decode_unsigned32(4, _local_inArray);
            _local_inoutArrayCnt = &_t145_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t146_storage;
            flick_cdr_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t147_storage;
            _local_outArrayCnt = &_t148_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(8, *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outArray);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring *_local_outString;
            kern_return_t _return;
            unsigned int _t149_principal_len;
            OFstring _t150_storage;
            OFstring _t151_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t149_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t149_principal_len);
            flick_iiop_decode_new_chunk(_t149_principal_len);
            flick_iiop_decode_end_chunk(_t149_principal_len);
            flick_iiop_decode_end_glob(_t149_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inString);
            _local_inoutString = &_t150_storage;
            flick_cdr_decode_unsigned32(4, *_local_inoutString);
            _local_outString = &_t151_storage;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(8);
                  flick_cdr_encode_unsigned32(0, *_local_inoutString);
                  flick_cdr_encode_unsigned32(4, *_local_outString);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_port_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t152_principal_len;
            mach_msg_type_number_t _t153_storage;
            mach_port_array_t _t154_storage;
            mach_port_array_t _t155_storage;
            mach_msg_type_number_t _t156_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t152_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t152_principal_len);
            flick_iiop_decode_new_chunk(_t152_principal_len);
            flick_iiop_decode_end_chunk(_t152_principal_len);
            flick_iiop_decode_end_glob(_t152_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt);
            flick_cdr_decode_unsigned32(4, _local_inRight);
            _local_inoutRightCnt = &_t153_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t154_storage;
            flick_cdr_decode_unsigned32(12, *_local_inoutRight);
            _local_outRight = &_t155_storage;
            _local_outRightCnt = &_t156_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(8, *_local_outRightCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outRight);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t *_local_inoutRight;
            mach_msg_type_number_t *_local_inoutRightCnt;
            Omach_poly_array_t *_local_outRight;
            mach_msg_type_number_t *_local_outRightCnt;
            kern_return_t _return;
            unsigned int _t157_principal_len;
            mach_msg_type_number_t _t158_storage;
            Omach_poly_array_t _t159_storage;
            Omach_poly_array_t _t160_storage;
            mach_msg_type_number_t _t161_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t157_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t157_principal_len);
            flick_iiop_decode_new_chunk(_t157_principal_len);
            flick_iiop_decode_end_chunk(_t157_principal_len);
            flick_iiop_decode_end_glob(_t157_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt);
            flick_cdr_decode_unsigned32(4, _local_inRight);
            _local_inoutRightCnt = &_t158_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutRightCnt);
            _local_inoutRight = &_t159_storage;
            flick_cdr_decode_unsigned32(12, *_local_inoutRight);
            _local_outRight = &_t160_storage;
            _local_outRightCnt = &_t161_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutRight);
                  flick_cdr_encode_unsigned32(8, *_local_outRightCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outRight);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_reply;
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t162_principal_len;
            unsigned int _t163_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_iiop_server_decode_client(_local_reply, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t162_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t162_principal_len);
            flick_iiop_decode_new_chunk(_t162_principal_len);
            flick_iiop_decode_end_chunk(_t162_principal_len);
            flick_iiop_decode_end_glob(_t162_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t163_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t164_principal_len;
            unsigned int _t165_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            {
              flick_iiop_server_decode_client(_local_reply, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t164_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t164_principal_len);
            flick_iiop_decode_new_chunk(_t164_principal_len);
            flick_iiop_decode_end_chunk(_t164_principal_len);
            flick_iiop_decode_end_glob(_t164_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t165_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t166_principal_len;
            unsigned int _t167_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t166_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t166_principal_len);
            flick_iiop_decode_new_chunk(_t166_principal_len);
            flick_iiop_decode_end_chunk(_t166_principal_len);
            flick_iiop_decode_end_glob(_t166_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t167_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_ureply_ports(_local_target, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _local_seq;
            unsigned int *_local_data;
            kern_return_t _return;
            unsigned int _t168_principal_len;
            unsigned int _t169_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t168_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t168_principal_len);
            flick_iiop_decode_new_chunk(_t168_principal_len);
            flick_iiop_decode_end_chunk(_t168_principal_len);
            flick_iiop_decode_end_glob(_t168_principal_len);
            /* Begin decode phase on parameters */
            _local_data = &_t169_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_data);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_local_data);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            Oarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray *_local_inoutArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            Oarray *_local_outArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            kern_return_t _return;
            unsigned int _t170_principal_len;
            mach_msg_type_number_t _t171_storage;
            Oarray _t172_storage;
            Oarray _t173_storage;
            mach_msg_type_number_t _t174_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t170_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t170_principal_len);
            flick_iiop_decode_new_chunk(_t170_principal_len);
            flick_iiop_decode_end_chunk(_t170_principal_len);
            flick_iiop_decode_end_glob(_t170_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(19);
            flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt);
            flick_cdr_decode_unsigned32(4, _local_inArray);
            _local_inoutArrayCnt = &_t171_storage;
            flick_cdr_decode_unsigned32(8, *_local_inoutArrayCnt);
            _local_inoutArray = &_t172_storage;
            flick_cdr_decode_unsigned32(12, *_local_inoutArray);
            _local_outArray = &_t173_storage;
            _local_outArrayCnt = &_t174_storage;
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(19);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            out_of_line_flick_free(_local_inArray);
            flick_iiop_encode_new_glob(20);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(16);
                  flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt);
                  flick_cdr_encode_unsigned32(4, *_local_inoutArray);
                  flick_cdr_encode_unsigned32(8, *_local_outArrayCnt);
                  flick_cdr_encode_unsigned32(12, *_local_outArray);
                  flick_iiop_encode_end_chunk(16);
                  flick_iiop_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(20);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            Iarray _local_inArray;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            boolean_t *_local_scopy;
            kern_return_t _return;
            unsigned int _t175_principal_len;
            boolean_t _t176_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t175_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t175_principal_len);
            flick_iiop_decode_new_chunk(_t175_principal_len);
            flick_iiop_decode_end_chunk(_t175_principal_len);
            flick_iiop_decode_end_glob(_t175_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = &_t176_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_local_scopy);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            unsigned int _t177_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t177_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t177_principal_len);
            flick_iiop_decode_new_chunk(_t177_principal_len);
            flick_iiop_decode_end_chunk(_t177_principal_len);
            flick_iiop_decode_end_glob(_t177_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_terminate(_local_target);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
