#include "mig-types-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t types_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t169_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t169_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t169_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;
            unsigned int _t170_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t170_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t170_principal_len);
            flick_iiop_decode_new_chunk(_t170_principal_len);
            flick_iiop_decode_end_chunk(_t170_principal_len);
            flick_iiop_decode_end_glob(_t170_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_char8(0, _char);
            flick_cdr_swap_decode_signed8(1, _byte);
            flick_cdr_swap_decode_unsigned8(2, _bool);
            flick_cdr_swap_decode_signed8(3, _short8);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, _short16);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_cdr_swap_decode_signed32(0, _int);
            flick_cdr_swap_decode_signed32(4, _long);
            flick_cdr_swap_decode_signed32(8, _signed);
            flick_cdr_swap_decode_signed32(12, _unsigned);
            flick_cdr_swap_decode_float32(16, _float);
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            unsigned int _t171_principal_len;
            char _t172_storage;
            byte _t173_storage;
            bool _t174_storage;
            shortshort _t175_storage;
            short _t176_storage;
            int _t177_storage;
            long int _t178_storage;
            signed int _t179_storage;
            unsigned int _t180_storage;
            float _t181_storage;
            double _t182_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t171_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t171_principal_len);
            flick_iiop_decode_new_chunk(_t171_principal_len);
            flick_iiop_decode_end_chunk(_t171_principal_len);
            flick_iiop_decode_end_glob(_t171_principal_len);
            /* Begin decode phase on parameters */
            _char = &_t172_storage;
            _byte = &_t173_storage;
            _bool = &_t174_storage;
            _short8 = &_t175_storage;
            _short16 = &_t176_storage;
            _int = &_t177_storage;
            _long = &_t178_storage;
            _signed = &_t179_storage;
            _unsigned = &_t180_storage;
            _float = &_t181_storage;
            _double = &_t182_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(44);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(28);
                  flick_cdr_encode_char8(0, *_char);
                  flick_cdr_encode_signed8(1, *_byte);
                  flick_cdr_encode_unsigned8(2, *_bool);
                  flick_cdr_encode_signed8(3, *_short8);
                  flick_cdr_encode_signed16(4, *_short16);
                  flick_cdr_encode_signed32(8, *_int);
                  flick_cdr_encode_signed32(12, *_long);
                  flick_cdr_encode_signed32(16, *_signed);
                  flick_cdr_encode_signed32(20, *_unsigned);
                  flick_cdr_encode_float32(24, *_float);
                  flick_iiop_encode_end_chunk(28);
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_double);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(44);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(44);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            unsigned int _t183_principal_len;
            char _t185_storage[9];
            flick_unsigned8_t _t186_array_iter;
            byte _t188_storage[9];
            flick_unsigned8_t _t189_array_iter;
            bool _t191_storage[9];
            flick_unsigned8_t _t192_array_iter;
            shortshort _t194_storage[9];
            flick_unsigned8_t _t195_array_iter;
            short _t197_storage[9];
            flick_unsigned8_t _t198_array_iter;
            int _t200_storage[9];
            flick_unsigned8_t _t201_array_iter;
            long _t203_storage[9];
            flick_unsigned8_t _t204_array_iter;
            signed _t206_storage[9];
            flick_unsigned8_t _t207_array_iter;
            unsigned _t209_storage[9];
            flick_unsigned8_t _t210_array_iter;
            float _t212_storage[9];
            flick_unsigned8_t _t213_array_iter;
            double _t215_storage[9];
            flick_unsigned8_t _t216_array_iter;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t183_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t183_principal_len);
            flick_iiop_decode_new_chunk(_t183_principal_len);
            flick_iiop_decode_end_chunk(_t183_principal_len);
            flick_iiop_decode_end_glob(_t183_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(369);
            _charA = _t185_storage;
            for (_t186_array_iter = 0; _t186_array_iter < 9; _t186_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _charA[_t186_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _byteA = _t188_storage;
            for (_t189_array_iter = 0; _t189_array_iter < 9; _t189_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _byteA[_t189_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _boolA = _t191_storage;
            for (_t192_array_iter = 0; _t192_array_iter < 9; _t192_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_unsigned8(0, _boolA[_t192_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _short8A = _t194_storage;
            for (_t195_array_iter = 0; _t195_array_iter < 9; _t195_array_iter++)
              {
                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_signed8(0, _short8A[_t195_array_iter]);
                flick_iiop_decode_end_chunk(1);
              }
            _short16A = _t197_storage;
            for (_t198_array_iter = 0; _t198_array_iter < 9; _t198_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                flick_cdr_swap_decode_signed16(0, _short16A[_t198_array_iter]);
                flick_iiop_decode_end_chunk(2);
              }
            _intA = _t200_storage;
            for (_t201_array_iter = 0; _t201_array_iter < 9; _t201_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 1, 0);
                flick_cdr_swap_decode_signed32(0, _intA[_t201_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _longA = _t203_storage;
            for (_t204_array_iter = 0; _t204_array_iter < 9; _t204_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _longA[_t204_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _signedA = _t206_storage;
            for (_t207_array_iter = 0; _t207_array_iter < 9; _t207_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _signedA[_t207_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _unsignedA = _t209_storage;
            for (_t210_array_iter = 0; _t210_array_iter < 9; _t210_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _unsignedA[_t210_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _floatA = _t212_storage;
            for (_t213_array_iter = 0; _t213_array_iter < 9; _t213_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_float32(0, _floatA[_t213_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            _doubleA = _t215_storage;
            for (_t216_array_iter = 0; _t216_array_iter < 9; _t216_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
                flick_cdr_swap_decode_float64(0, _doubleA[_t216_array_iter]);
                flick_iiop_decode_end_chunk(8);
              }
            flick_iiop_decode_end_glob(369);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            unsigned int _t217_principal_len;
            char _t219_storage[9];
            byte _t221_storage[9];
            bool _t223_storage[9];
            shortshort _t225_storage[9];
            short _t227_storage[9];
            int _t229_storage[9];
            long _t231_storage[9];
            signed _t233_storage[9];
            unsigned _t235_storage[9];
            float _t237_storage[9];
            double _t239_storage[9];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t217_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t217_principal_len);
            flick_iiop_decode_new_chunk(_t217_principal_len);
            flick_iiop_decode_end_chunk(_t217_principal_len);
            flick_iiop_decode_end_glob(_t217_principal_len);
            /* Begin decode phase on parameters */
            _charA = _t219_storage;
            _byteA = _t221_storage;
            _boolA = _t223_storage;
            _short8A = _t225_storage;
            _short16A = _t227_storage;
            _intA = _t229_storage;
            _longA = _t231_storage;
            _signedA = _t233_storage;
            _unsignedA = _t235_storage;
            _floatA = _t237_storage;
            _doubleA = _t239_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(316);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(236);
                  flick_cdr_encode_bcopy(0, _charA, 9);
                  flick_cdr_encode_bcopy(9, _byteA, 9);
                  flick_cdr_encode_bcopy(18, _boolA, 9);
                  flick_cdr_encode_bcopy(27, _short8A, 9);
                  flick_cdr_encode_bcopy(36, _short16A, 18);
                  flick_cdr_encode_bcopy(56, _intA, 36);
                  flick_cdr_encode_bcopy(92, _longA, 36);
                  flick_cdr_encode_bcopy(128, _signedA, 36);
                  flick_cdr_encode_bcopy(164, _unsignedA, 36);
                  flick_cdr_encode_bcopy(200, _floatA, 36);
                  flick_iiop_encode_end_chunk(236);
                  flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                  flick_cdr_encode_bcopy(0, _doubleA, 72);
                  flick_iiop_encode_end_chunk(72);
                  flick_iiop_encode_end_glob(316);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(316);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t49_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t49_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t49_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;
            unsigned int _t50_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t50_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t50_principal_len);
            flick_iiop_decode_new_chunk(_t50_principal_len);
            flick_iiop_decode_end_chunk(_t50_principal_len);
            flick_iiop_decode_end_glob(_t50_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(41);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_char8(0, _char);
            flick_cdr_decode_signed8(1, _byte);
            flick_cdr_decode_unsigned8(2, _bool);
            flick_cdr_decode_signed8(3, _short8);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, _short16);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_new_chunk_align(20, 2, 1, 0);
            flick_cdr_decode_signed32(0, _int);
            flick_cdr_decode_signed32(4, _long);
            flick_cdr_decode_signed32(8, _signed);
            flick_cdr_decode_signed32(12, _unsigned);
            flick_cdr_decode_float32(16, _float);
            flick_iiop_decode_end_chunk(20);
            flick_iiop_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _double);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(41);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;
            unsigned int _t51_principal_len;
            char _t52_storage;
            byte _t53_storage;
            bool _t54_storage;
            shortshort _t55_storage;
            short _t56_storage;
            int _t57_storage;
            long int _t58_storage;
            signed int _t59_storage;
            unsigned int _t60_storage;
            float _t61_storage;
            double _t62_storage;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t51_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t51_principal_len);
            flick_iiop_decode_new_chunk(_t51_principal_len);
            flick_iiop_decode_end_chunk(_t51_principal_len);
            flick_iiop_decode_end_glob(_t51_principal_len);
            /* Begin decode phase on parameters */
            _char = &_t52_storage;
            _byte = &_t53_storage;
            _bool = &_t54_storage;
            _short8 = &_t55_storage;
            _short16 = &_t56_storage;
            _int = &_t57_storage;
            _long = &_t58_storage;
            _signed = &_t59_storage;
            _unsigned = &_t60_storage;
            _float = &_t61_storage;
            _double = &_t62_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(44);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(28);
                  flick_cdr_encode_char8(0, *_char);
                  flick_cdr_encode_signed8(1, *_byte);
                  flick_cdr_encode_unsigned8(2, *_bool);
                  flick_cdr_encode_signed8(3, *_short8);
                  flick_cdr_encode_signed16(4, *_short16);
                  flick_cdr_encode_signed32(8, *_int);
                  flick_cdr_encode_signed32(12, *_long);
                  flick_cdr_encode_signed32(16, *_signed);
                  flick_cdr_encode_signed32(20, *_unsigned);
                  flick_cdr_encode_float32(24, *_float);
                  flick_iiop_encode_end_chunk(28);
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_double);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(44);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(44);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            unsigned int _t63_principal_len;

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t63_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t63_principal_len);
            flick_iiop_decode_new_chunk(_t63_principal_len);
            flick_iiop_decode_end_chunk(_t63_principal_len);
            flick_iiop_decode_end_glob(_t63_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(313);
            flick_iiop_decode_new_chunk(36);
            flick_cdr_decode_msgptr(0, _charA);
            flick_cdr_decode_msgptr(9, _byteA);
            flick_cdr_decode_msgptr(18, _boolA);
            flick_cdr_decode_msgptr(27, _short8A);
            flick_iiop_decode_end_chunk(36);
            flick_iiop_decode_new_chunk_align(18, 1, 0, 0);
            flick_cdr_decode_msgptr(0, _short16A);
            flick_iiop_decode_end_chunk(18);
            flick_iiop_decode_new_chunk_align(180, 2, 1, 0);
            flick_cdr_decode_msgptr(0, _intA);
            flick_cdr_decode_msgptr(36, _longA);
            flick_cdr_decode_msgptr(72, _signedA);
            flick_cdr_decode_msgptr(108, _unsignedA);
            flick_cdr_decode_msgptr(144, _floatA);
            flick_iiop_decode_end_chunk(180);
            flick_iiop_decode_new_chunk_align(72, 3, 2, 0);
            flick_cdr_decode_msgptr(0, _doubleA);
            flick_iiop_decode_end_chunk(72);
            flick_iiop_decode_end_glob(313);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;
            unsigned int _t75_principal_len;
            char _t77_storage[9];
            byte _t79_storage[9];
            bool _t81_storage[9];
            shortshort _t83_storage[9];
            short _t85_storage[9];
            int _t87_storage[9];
            long _t89_storage[9];
            signed _t91_storage[9];
            unsigned _t93_storage[9];
            float _t95_storage[9];
            double _t97_storage[9];

            {
              flick_iiop_server_decode_target(_local_target, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t75_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t75_principal_len);
            flick_iiop_decode_new_chunk(_t75_principal_len);
            flick_iiop_decode_end_chunk(_t75_principal_len);
            flick_iiop_decode_end_glob(_t75_principal_len);
            /* Begin decode phase on parameters */
            _charA = _t77_storage;
            _byteA = _t79_storage;
            _boolA = _t81_storage;
            _short8A = _t83_storage;
            _short16A = _t85_storage;
            _intA = _t87_storage;
            _longA = _t89_storage;
            _signedA = _t91_storage;
            _unsignedA = _t93_storage;
            _floatA = _t95_storage;
            _doubleA = _t97_storage;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr);
            }
            flick_iiop_encode_new_glob(316);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_iiop_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(236);
                  flick_cdr_encode_bcopy(0, _charA, 9);
                  flick_cdr_encode_bcopy(9, _byteA, 9);
                  flick_cdr_encode_bcopy(18, _boolA, 9);
                  flick_cdr_encode_bcopy(27, _short8A, 9);
                  flick_cdr_encode_bcopy(36, _short16A, 18);
                  flick_cdr_encode_bcopy(56, _intA, 36);
                  flick_cdr_encode_bcopy(92, _longA, 36);
                  flick_cdr_encode_bcopy(128, _signedA, 36);
                  flick_cdr_encode_bcopy(164, _unsignedA, 36);
                  flick_cdr_encode_bcopy(200, _floatA, 36);
                  flick_iiop_encode_end_chunk(236);
                  flick_iiop_encode_new_chunk_align(72, 3, 2, 0);
                  flick_cdr_encode_bcopy(0, _doubleA, 72);
                  flick_iiop_encode_end_chunk(72);
                  flick_iiop_encode_end_glob(316);
                  break;
                }
              default:
                {
                  flick_iiop_encode_end_glob(316);
                  flick_mig_encode_system_exception("no data available", cdr, iiop);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
