#include "namelens-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_onewaytest_swap(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t onewaytest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t132_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t132_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t132_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t133_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t133_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t133_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  onewaytest _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t134_principal_len;
                  CORBA_Environment _t135_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_swap_decode_unsigned32(2, _t134_principal_len);
                  flick_iiop_decode_end_chunk(6);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_decode_new_glob(_t134_principal_len);
                  flick_iiop_decode_new_chunk(_t134_principal_len);
                  flick_iiop_decode_end_chunk(_t134_principal_len);
                  flick_iiop_decode_end_glob(_t134_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t135_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  onewaytest_n(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t136_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t136_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t136_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t137_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t137_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t137_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t138_principal_len;
                        CORBA_Environment _t139_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t138_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t138_principal_len);
                        flick_iiop_decode_new_chunk(_t138_principal_len);
                        flick_iiop_decode_end_chunk(_t138_principal_len);
                        flick_iiop_decode_end_glob(_t138_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t139_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t140_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t140_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t140_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  onewaytest _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t141_principal_len;
                  CORBA_Environment _t142_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t141_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_decode_new_glob(_t141_principal_len);
                  flick_iiop_decode_new_chunk(_t141_principal_len);
                  flick_iiop_decode_end_chunk(_t141_principal_len);
                  flick_iiop_decode_end_glob(_t141_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t142_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  onewaytest_n23(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t143_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t144_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t144_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t145_principal_len;
                        CORBA_Environment _t146_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t145_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t145_principal_len);
                        flick_iiop_decode_new_chunk(_t145_principal_len);
                        flick_iiop_decode_end_chunk(_t145_principal_len);
                        flick_iiop_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t146_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n234(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t147_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t147_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t147_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t148_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t148_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t148_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t149_principal_len;
                        CORBA_Environment _t150_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t149_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t149_principal_len);
                        flick_iiop_decode_new_chunk(_t149_principal_len);
                        flick_iiop_decode_end_chunk(_t149_principal_len);
                        flick_iiop_decode_end_glob(_t149_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t150_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n2345(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t151_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t151_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t151_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t152_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t152_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t152_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t153_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t153_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t153_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t154_principal_len;
                              CORBA_Environment _t155_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t154_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t154_principal_len);
                              flick_iiop_decode_new_chunk(_t154_principal_len);
                              flick_iiop_decode_end_chunk(_t154_principal_len);
                              flick_iiop_decode_end_glob(_t154_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t155_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n23456(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t156_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t156_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t156_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t157_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t157_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t157_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t158_principal_len;
                        CORBA_Environment _t159_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t158_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t158_principal_len);
                        flick_iiop_decode_new_chunk(_t158_principal_len);
                        flick_iiop_decode_end_chunk(_t158_principal_len);
                        flick_iiop_decode_end_glob(_t158_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t159_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n234567(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t160_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t160_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t160_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t161_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t161_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t161_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t162_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t162_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t162_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t163_principal_len;
                              CORBA_Environment _t164_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t163_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t163_principal_len);
                              flick_iiop_decode_new_chunk(_t163_principal_len);
                              flick_iiop_decode_end_chunk(_t163_principal_len);
                              flick_iiop_decode_end_glob(_t163_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t164_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n2345678(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t165_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t165_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t165_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t166_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t166_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t166_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t167_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t167_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t167_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t168_principal_len;
                              CORBA_Environment _t169_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t168_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t168_principal_len);
                              flick_iiop_decode_new_chunk(_t168_principal_len);
                              flick_iiop_decode_end_chunk(_t168_principal_len);
                              flick_iiop_decode_end_glob(_t168_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t169_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n23456789(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t170_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t170_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t170_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t171_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t171_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t171_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t172_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t172_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t172_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t173_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t173_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t173_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t174_principal_len;
                                    CORBA_Environment _t175_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t174_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t174_principal_len);
                                    flick_iiop_decode_new_chunk(_t174_principal_len);
                                    flick_iiop_decode_end_chunk(_t174_principal_len);
                                    flick_iiop_decode_end_glob(_t174_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = &_t175_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_n234567890(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(4);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t44_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t44_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t44_switch_tag)
      {
      case (unsigned int) 2:
        {
          unsigned short int _t45_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t45_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t45_switch_tag)
            {
            case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
              {
                {
                  onewaytest _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t46_principal_len;
                  CORBA_Environment _t47_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(6);
                  flick_cdr_decode_unsigned32(2, _t46_principal_len);
                  flick_iiop_decode_end_chunk(6);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_decode_new_glob(_t46_principal_len);
                  flick_iiop_decode_new_chunk(_t46_principal_len);
                  flick_iiop_decode_end_chunk(_t46_principal_len);
                  flick_iiop_decode_end_glob(_t46_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t47_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  onewaytest_n(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t48_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t48_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t48_switch_tag)
            {
            case /* n2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28210):
              {
                char _t49_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t49_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t49_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t50_principal_len;
                        CORBA_Environment _t51_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t50_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t50_principal_len);
                        flick_iiop_decode_new_chunk(_t50_principal_len);
                        flick_iiop_decode_end_chunk(_t50_principal_len);
                        flick_iiop_decode_end_glob(_t50_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t51_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n2(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t52_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t52_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t52_switch_tag)
            {
            case /* n23 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783616):
              {
                {
                  onewaytest _obj;
                  CORBA_Environment *_ev;
                  unsigned int _t53_principal_len;
                  CORBA_Environment _t54_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t53_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(20);
                  flick_iiop_decode_new_glob(_t53_principal_len);
                  flick_iiop_decode_new_chunk(_t53_principal_len);
                  flick_iiop_decode_end_chunk(_t53_principal_len);
                  flick_iiop_decode_end_glob(_t53_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = &_t54_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  onewaytest_n23(_obj, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(4);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_end_glob(4);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(4);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(4);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t55_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                char _t56_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t56_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t56_switch_tag)
                  {
                  case 0:
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t57_principal_len;
                        CORBA_Environment _t58_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t57_principal_len);
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t57_principal_len);
                        flick_iiop_decode_new_chunk(_t57_principal_len);
                        flick_iiop_decode_end_chunk(_t57_principal_len);
                        flick_iiop_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t58_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n234(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t59_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t60_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t60_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t60_switch_tag)
                  {
                  case /* 5 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13568):
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t61_principal_len;
                        CORBA_Environment _t62_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t61_principal_len);
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t61_principal_len);
                        flick_iiop_decode_new_chunk(_t61_principal_len);
                        flick_iiop_decode_end_chunk(_t61_principal_len);
                        flick_iiop_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t62_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n2345(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t63_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned short int _t64_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag);
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* 56 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 13622):
                    {
                      char _t65_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t65_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t65_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t66_principal_len;
                              CORBA_Environment _t67_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t66_principal_len);
                              flick_iiop_decode_end_chunk(5);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t66_principal_len);
                              flick_iiop_decode_new_chunk(_t66_principal_len);
                              flick_iiop_decode_end_chunk(_t66_principal_len);
                              flick_iiop_decode_end_glob(_t66_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t67_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n23456(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t68_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t68_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t68_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t69_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t69_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t69_switch_tag)
                  {
                  case /* 567 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745472):
                    {
                      {
                        onewaytest _obj;
                        CORBA_Environment *_ev;
                        unsigned int _t70_principal_len;
                        CORBA_Environment _t71_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t70_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_decode_new_glob(_t70_principal_len);
                        flick_iiop_decode_new_chunk(_t70_principal_len);
                        flick_iiop_decode_end_chunk(_t70_principal_len);
                        flick_iiop_decode_end_glob(_t70_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t71_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        onewaytest_n234567(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t72_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t73_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t73_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      char _t74_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t74_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t74_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t75_principal_len;
                              CORBA_Environment _t76_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t75_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t75_principal_len);
                              flick_iiop_decode_new_chunk(_t75_principal_len);
                              flick_iiop_decode_end_chunk(_t75_principal_len);
                              flick_iiop_decode_end_glob(_t75_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t76_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n2345678(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t77_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t77_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t77_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t78_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t78_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t78_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t79_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t79_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t79_switch_tag)
                        {
                        case /* 9 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14592):
                          {
                            {
                              onewaytest _obj;
                              CORBA_Environment *_ev;
                              unsigned int _t80_principal_len;
                              CORBA_Environment _t81_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t80_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t80_principal_len);
                              flick_iiop_decode_new_chunk(_t80_principal_len);
                              flick_iiop_decode_end_chunk(_t80_principal_len);
                              flick_iiop_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t81_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              onewaytest_n23456789(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t82_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t82_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t82_switch_tag)
            {
            case /* n234 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1848783668):
              {
                unsigned int _t83_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t83_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t83_switch_tag)
                  {
                  case /* 5678 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 892745528):
                    {
                      unsigned short int _t84_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t84_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t84_switch_tag)
                        {
                        case /* 90 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14640):
                          {
                            char _t85_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t85_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t85_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    CORBA_Environment *_ev;
                                    unsigned int _t86_principal_len;
                                    CORBA_Environment _t87_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t86_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t86_principal_len);
                                    flick_iiop_decode_new_chunk(_t86_principal_len);
                                    flick_iiop_decode_end_chunk(_t86_principal_len);
                                    flick_iiop_decode_end_glob(_t86_principal_len);
                                    /* Begin decode phase on parameters */
                                    _ev = &_t87_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    onewaytest_n234567890(_obj, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(4);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
