#include "optional-7-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_int_list(flick_marshal_stream_t _stream, const int_list *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_array_len);
  flick_iiop_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_unsigned8_t _t2_array_len;

      flick_iiop_encode_new_chunk(8);
      flick_cdr_encode_signed32(0, (*_data)->value);
      _t2_array_len = (*_data)->next != 0;
      flick_cdr_encode_unsigned32(4, _t2_array_len);
      flick_iiop_encode_end_chunk(8);
      if (_t2_array_len)
        {
          flick_iiop_encode_end_glob(12);
          flick_marshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          flick_iiop_encode_end_glob(12);
        }
    }
  else
    {
      flick_iiop_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t3_array_len;

  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t3_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t3_array_len)
    {
      flick_unsigned8_t _t5_array_len;

      *_data = sun_flick_alloc(_t3_array_len * sizeof(struct int_node ));
      flick_iiop_decode_new_chunk(8);
      flick_cdr_decode_signed32(0, (*_data)->value);
      flick_cdr_decode_unsigned32(4, _t5_array_len);
      flick_iiop_decode_end_chunk(8);
      if (_t5_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
          flick_iiop_decode_end_glob(12);
          flick_unmarshal_stub_int_node(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_iiop_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_iiop_decode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_list_swap(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned8_t _t6_array_len;

  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t6_array_len);
  flick_iiop_decode_end_chunk(4);
  if (_t6_array_len)
    {
      flick_unsigned8_t _t8_array_len;

      *_data = sun_flick_alloc(_t6_array_len * sizeof(struct int_node ));
      flick_iiop_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(0, (*_data)->value);
      flick_cdr_swap_decode_unsigned32(4, _t8_array_len);
      flick_iiop_decode_end_chunk(8);
      if (_t8_array_len)
        {
          (*_data)->next = sun_flick_alloc(_t8_array_len * sizeof(struct int_node ));
          flick_iiop_decode_end_glob(12);
          flick_unmarshal_stub_int_node_swap(_stream, (*_data)->next);
        }
      else
        {
          (*_data)->next = 0;
          flick_iiop_decode_end_glob(12);
        }
    }
  else
    {
      *_data = 0;
      flick_iiop_decode_end_glob(12);
    }
}

void flick_marshal_stub_int_node(flick_marshal_stream_t _stream, const struct int_node *_data)
{
  flick_unsigned8_t _t9_array_len;

  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->value);
  _t9_array_len = _data->next != 0;
  flick_cdr_encode_unsigned32(4, _t9_array_len);
  flick_iiop_encode_end_chunk(8);
  if (_t9_array_len)
    {
      flick_iiop_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->next->value);
      flick_iiop_encode_end_chunk(4);
      flick_iiop_encode_end_glob(12);
      flick_marshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      flick_iiop_encode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t10_array_len;

  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->value);
  flick_cdr_decode_unsigned32(4, _t10_array_len);
  flick_iiop_decode_end_chunk(8);
  if (_t10_array_len)
    {
      _data->next = sun_flick_alloc(_t10_array_len * sizeof(struct int_node ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->next->value);
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_end_glob(12);
      flick_unmarshal_stub_int_list(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_iiop_decode_end_glob(12);
    }
}

void flick_unmarshal_stub_int_node_swap(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned8_t _t11_array_len;

  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->value);
  flick_cdr_swap_decode_unsigned32(4, _t11_array_len);
  flick_iiop_decode_end_chunk(8);
  if (_t11_array_len)
    {
      _data->next = sun_flick_alloc(_t11_array_len * sizeof(struct int_node ));
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->next->value);
      flick_iiop_decode_end_chunk(4);
      flick_iiop_decode_end_glob(12);
      flick_unmarshal_stub_int_list_swap(_stream, &_data->next->next);
    }
  else
    {
      _data->next = 0;
      flick_iiop_decode_end_glob(12);
    }
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t30_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t30_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int_list *_local_arg;
            struct svc_req *_obj;
            int_list *_return = 0;
            unsigned int _t31_principal_len;
            int_list _t32_storage;
            flick_unsigned8_t _t33_array_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t31_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t32_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _t33_array_len);
            flick_iiop_decode_end_chunk(4);
            if (_t33_array_len)
              {
                *_local_arg = sun_flick_alloc(_t33_array_len * sizeof(struct int_node ));
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)->value);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_decode_end_glob(11);
                flick_unmarshal_stub_int_list_swap(_stream, &(*_local_arg)->next);
              }
            else
              {
                *_local_arg = 0;
                flick_iiop_decode_end_glob(11);
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t35_array_len;

                  /* Begin encode phase on parameters */
                  _t35_array_len = *_return != 0;
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _t35_array_len);
                  flick_iiop_encode_end_chunk(4);
                  if (_t35_array_len)
                    {
                      flick_iiop_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, (*_return)->value);
                      flick_iiop_encode_end_chunk(4);
                      flick_iiop_encode_end_glob(12);
                      flick_marshal_stub_int_list(_stream, &(*_return)->next);
                    }
                  else
                    {
                      flick_iiop_encode_end_glob(12);
                    }
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(12);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t18_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 1:
        {
          {
            int_list *_local_arg;
            struct svc_req *_obj;
            int_list *_return = 0;
            unsigned int _t19_principal_len;
            int_list _t20_storage;
            flick_unsigned8_t _t21_array_len;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t19_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t19_principal_len);
            flick_iiop_decode_new_chunk(_t19_principal_len);
            flick_iiop_decode_end_chunk(_t19_principal_len);
            flick_iiop_decode_end_glob(_t19_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t20_storage;
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _t21_array_len);
            flick_iiop_decode_end_chunk(4);
            if (_t21_array_len)
              {
                *_local_arg = sun_flick_alloc(_t21_array_len * sizeof(struct int_node ));
                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)->value);
                flick_iiop_decode_end_chunk(4);
                flick_iiop_decode_end_glob(11);
                flick_unmarshal_stub_int_list(_stream, &(*_local_arg)->next);
              }
            else
              {
                *_local_arg = 0;
                flick_iiop_decode_end_glob(11);
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(12);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_unsigned8_t _t23_array_len;

                  /* Begin encode phase on parameters */
                  _t23_array_len = *_return != 0;
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _t23_array_len);
                  flick_iiop_encode_end_chunk(4);
                  if (_t23_array_len)
                    {
                      flick_iiop_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, (*_return)->value);
                      flick_iiop_encode_end_chunk(4);
                      flick_iiop_encode_end_glob(12);
                      flick_marshal_stub_int_list(_stream, &(*_return)->next);
                    }
                  else
                    {
                      flick_iiop_encode_end_glob(12);
                    }
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(12);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(12);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
