#include "parms-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_cdr_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_cdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_iiop_decode_end_chunk(4 * _data->long_seq_len);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_long_seq_swap(flick_marshal_stream_t _stream, long_seq *_data)
{
  unsigned int _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_seq_val[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

flick_operation_success_t parm_2345(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    signed int _t65_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t65_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t65_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t66_principal_len;
            char _t67_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t66_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t66_principal_len);
            flick_iiop_decode_new_chunk(_t66_principal_len);
            flick_iiop_decode_end_chunk(_t66_principal_len);
            flick_iiop_decode_end_glob(_t66_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t67_storage;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t68_principal_len;
            char _t69_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t68_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t68_principal_len);
            flick_iiop_decode_new_chunk(_t68_principal_len);
            flick_iiop_decode_end_chunk(_t68_principal_len);
            flick_iiop_decode_end_glob(_t68_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t69_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_char8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(5);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t70_principal_len;
            int _t71_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t70_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t70_principal_len);
            flick_iiop_decode_new_chunk(_t70_principal_len);
            flick_iiop_decode_end_chunk(_t70_principal_len);
            flick_iiop_decode_end_glob(_t70_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t71_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(5);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t72_principal_len;
            short int _t73_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t72_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t72_principal_len);
            flick_iiop_decode_new_chunk(_t72_principal_len);
            flick_iiop_decode_end_chunk(_t72_principal_len);
            flick_iiop_decode_end_glob(_t72_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t73_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_signed16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  flick_iiop_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(6);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t74_principal_len;
            unsigned short int _t75_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t74_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t74_principal_len);
            flick_iiop_decode_new_chunk(_t74_principal_len);
            flick_iiop_decode_end_chunk(_t74_principal_len);
            flick_iiop_decode_end_glob(_t74_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t75_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_swap_decode_unsigned16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  flick_iiop_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(6);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t76_principal_len;
            int _t77_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t76_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t76_principal_len);
            flick_iiop_decode_new_chunk(_t76_principal_len);
            flick_iiop_decode_end_chunk(_t76_principal_len);
            flick_iiop_decode_end_glob(_t76_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t77_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t78_principal_len;
            unsigned int _t79_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t78_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t78_principal_len);
            flick_iiop_decode_new_chunk(_t78_principal_len);
            flick_iiop_decode_end_chunk(_t78_principal_len);
            flick_iiop_decode_end_glob(_t78_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t79_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t80_principal_len;
            float _t81_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t80_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t80_principal_len);
            flick_iiop_decode_new_chunk(_t80_principal_len);
            flick_iiop_decode_end_chunk(_t80_principal_len);
            flick_iiop_decode_end_glob(_t80_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t81_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_float32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t82_principal_len;
            double _t83_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t82_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t82_principal_len);
            flick_iiop_decode_new_chunk(_t82_principal_len);
            flick_iiop_decode_end_chunk(_t82_principal_len);
            flick_iiop_decode_end_glob(_t82_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t83_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
            flick_cdr_swap_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(16);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(16);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(16);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            long_seq *_local_arg;
            struct svc_req *_obj;
            long_seq *_return = 0;
            unsigned int _t84_principal_len;
            long_seq _t85_storage;
            unsigned int _t86_array_iter;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t84_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t84_principal_len);
            flick_iiop_decode_new_chunk(_t84_principal_len);
            flick_iiop_decode_end_chunk(_t84_principal_len);
            flick_iiop_decode_end_glob(_t84_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t85_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_seq_len);
            if (_local_arg->long_seq_len > (unsigned int) 10)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            _local_arg->long_seq_val = sun_flick_alloc(_local_arg->long_seq_len * sizeof(int ));
            for (_t86_array_iter = 0; _t86_array_iter < _local_arg->long_seq_len; _t86_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_seq_val[_t86_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_seq_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(48);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 + 4 * _return->long_seq_len);
                  flick_cdr_encode_unsigned32(0, _return->long_seq_len);
                  if (_return->long_seq_len > (unsigned int) 10)
                    flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                  flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                  flick_iiop_encode_end_chunk(4 + 4 * _return->long_seq_len);
                  flick_iiop_encode_end_glob(48);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(48);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(48);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t22_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t22_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t22_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t23_principal_len;
            char _t24_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t23_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t23_principal_len);
            flick_iiop_decode_new_chunk(_t23_principal_len);
            flick_iiop_decode_end_chunk(_t23_principal_len);
            flick_iiop_decode_end_glob(_t23_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t24_storage;
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(4);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_end_glob(4);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(4);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(4);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t25_principal_len;
            char _t26_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t25_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t25_principal_len);
            flick_iiop_decode_new_chunk(_t25_principal_len);
            flick_iiop_decode_end_chunk(_t25_principal_len);
            flick_iiop_decode_end_glob(_t25_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t26_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_char8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(5);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t27_principal_len;
            int _t28_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t27_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t27_principal_len);
            flick_iiop_decode_new_chunk(_t27_principal_len);
            flick_iiop_decode_end_chunk(_t27_principal_len);
            flick_iiop_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t28_storage;
            flick_iiop_decode_new_glob(1);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *_local_arg);
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(1);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(5);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, *_return);
                  flick_iiop_encode_end_chunk(1);
                  flick_iiop_encode_end_glob(5);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(5);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(5);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t29_principal_len;
            short int _t30_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t29_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t29_principal_len);
            flick_iiop_decode_new_chunk(_t29_principal_len);
            flick_iiop_decode_end_chunk(_t29_principal_len);
            flick_iiop_decode_end_glob(_t29_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t30_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  flick_iiop_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(6);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t31_principal_len;
            unsigned short int _t32_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t31_principal_len);
            flick_iiop_decode_new_chunk(_t31_principal_len);
            flick_iiop_decode_end_chunk(_t31_principal_len);
            flick_iiop_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t32_storage;
            flick_iiop_decode_new_glob(3);
            flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_unsigned16(0, *_local_arg);
            flick_iiop_decode_end_chunk(2);
            flick_iiop_decode_end_glob(3);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(6);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, *_return);
                  flick_iiop_encode_end_chunk(2);
                  flick_iiop_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(6);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t33_principal_len;
            int _t34_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t33_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t33_principal_len);
            flick_iiop_decode_new_chunk(_t33_principal_len);
            flick_iiop_decode_end_chunk(_t33_principal_len);
            flick_iiop_decode_end_glob(_t33_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t34_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t35_principal_len;
            unsigned int _t36_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t35_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t35_principal_len);
            flick_iiop_decode_new_chunk(_t35_principal_len);
            flick_iiop_decode_end_chunk(_t35_principal_len);
            flick_iiop_decode_end_glob(_t35_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t36_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t37_principal_len;
            float _t38_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t37_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t37_principal_len);
            flick_iiop_decode_new_chunk(_t37_principal_len);
            flick_iiop_decode_end_chunk(_t37_principal_len);
            flick_iiop_decode_end_glob(_t37_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t38_storage;
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_float32(0, *_local_arg);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(8);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, *_return);
                  flick_iiop_encode_end_chunk(4);
                  flick_iiop_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(8);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t39_principal_len;
            double _t40_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t39_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t39_principal_len);
            flick_iiop_decode_new_chunk(_t39_principal_len);
            flick_iiop_decode_end_chunk(_t39_principal_len);
            flick_iiop_decode_end_glob(_t39_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t40_storage;
            flick_iiop_decode_new_glob(15);
            flick_iiop_decode_new_chunk_align(8, 3, 0, 0);
            flick_cdr_decode_float64(0, *_local_arg);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(15);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(16);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_return);
                  flick_iiop_encode_end_chunk(8);
                  flick_iiop_encode_end_glob(16);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(16);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(16);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            long_seq *_local_arg;
            struct svc_req *_obj;
            long_seq *_return = 0;
            unsigned int _t41_principal_len;
            long_seq _t42_storage;

            {
              flick_iiop_server_decode_target(_obj, 0, cdr);
            }
            /* Skip over the requesting `Principal' pseudo object (security ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t41_principal_len);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(_t41_principal_len);
            flick_iiop_decode_new_chunk(_t41_principal_len);
            flick_iiop_decode_end_chunk(_t41_principal_len);
            flick_iiop_decode_end_glob(_t41_principal_len);
            /* Begin decode phase on parameters */
            _local_arg = &_t42_storage;
            flick_iiop_decode_new_glob(47);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_unsigned32(0, _local_arg->long_seq_len);
            if (_local_arg->long_seq_len > (unsigned int) 10)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _local_arg->long_seq_len);
            _local_arg->long_seq_val = sun_flick_alloc(_local_arg->long_seq_len * sizeof(int ));
            flick_cdr_decode_bcopy(0, _local_arg->long_seq_val, 4 * _local_arg->long_seq_len);
            flick_iiop_decode_end_chunk(4 * _local_arg->long_seq_len);
            flick_iiop_decode_end_glob(47);
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _return = long_seq_test_2345(_local_arg, _obj);
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr);
            }
            flick_iiop_encode_new_glob(48);
            flick_iiop_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, flick_errno);
            flick_iiop_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_iiop_encode_new_chunk(4 + 4 * _return->long_seq_len);
                  flick_cdr_encode_unsigned32(0, _return->long_seq_len);
                  if (_return->long_seq_len > (unsigned int) 10)
                    flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                  flick_cdr_encode_bcopy(4, _return->long_seq_val, 4 * _return->long_seq_len);
                  flick_iiop_encode_end_chunk(4 + 4 * _return->long_seq_len);
                  flick_iiop_encode_end_glob(48);
                  break;
                }
              case -1:
                {
                  flick_iiop_encode_end_glob(48);
                  flick_sun_encode_system_exception("no data available", cdr, iiop);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                  flick_iiop_encode_end_glob(48);
                }
              }
            flick_iiop_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
