#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->reason);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->reason);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_puke_swap(flick_marshal_stream_t _stream, puke *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->reason);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  vec10 *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(100);
    flick_iiop_encode_new_chunk(16 + 4 * iv->_length);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(12, iv->_length);
    if (iv->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(16, iv->_buffer, 4 * iv->_length);
    flick_iiop_encode_end_chunk(16 + 4 * iv->_length);
    flick_iiop_encode_new_chunk(4 + 4 * iov->_length);
    flick_cdr_encode_unsigned32(0, iov->_length);
    if (iov->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
    flick_cdr_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
    flick_iiop_encode_end_chunk(4 + 4 * iov->_length);
    flick_iiop_encode_end_glob(100);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            CORBA_unsigned_long _t34_array_iter;
            CORBA_unsigned_long _t35_array_iter;
            CORBA_unsigned_long _t36_array_iter;

            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            for (_t34_array_iter = 0; _t34_array_iter < _return->_length; _t34_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _return->_buffer[_t34_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            *ov = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, (*ov)->_length);
            (*ov)->_maximum = (*ov)->_length;
            if ((*ov)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
            for (_t35_array_iter = 0; _t35_array_iter < (*ov)->_length; _t35_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*ov)->_buffer[_t35_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, iov->_length);
            iov->_maximum = iov->_length;
            if (iov->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
            flick_iiop_decode_end_chunk(4);
            iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
            for (_t36_array_iter = 0; _t36_array_iter < iov->_length; _t36_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, iov->_buffer[_t36_array_iter]);
                flick_iiop_decode_end_chunk(4);
              }
            flick_iiop_decode_end_glob(136);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(136);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            unsigned int _t42_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t42_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t42_switch_tag)
              {
              case (unsigned int) 13:
                {
                  unsigned int _t43_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t43_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t43_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t44_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t44_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t44_switch_tag)
                          {
                          case /* puke */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                            {
                              unsigned int _t45_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t45_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t45_switch_tag)
                                {
                                case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                  {
                                    char _t46_switch_tag;

                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _t46_switch_tag);
                                    flick_iiop_decode_end_chunk(1);
                                    switch ((char )_t46_switch_tag)
                                      {
                                      case 0:
                                        {
                                          _ev->_id = "IDL:puke:1.0";
                                          (puke *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(puke ));
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_signed32(3, ((puke *)(_ev->_value._user_except))->reason);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(136);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(136);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_iiop_decode_end_chunk(4 * _return->_length);
            *ov = CORBA_flick_alloc(sizeof(vec10 ));
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, (*ov)->_length);
            (*ov)->_maximum = (*ov)->_length;
            if ((*ov)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * (*ov)->_length);
            (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
            flick_iiop_decode_end_chunk(4 * (*ov)->_length);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, iov->_length);
            iov->_maximum = iov->_length;
            if (iov->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_new_chunk(4 * iov->_length);
            iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
            flick_iiop_decode_end_chunk(4 * iov->_length);
            flick_iiop_decode_end_glob(136);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(136);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            unsigned int _t16_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t16_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t16_switch_tag)
              {
              case (unsigned int) 13:
                {
                  unsigned int _t17_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t17_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t17_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t18_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t18_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t18_switch_tag)
                          {
                          case /* puke */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                            {
                              unsigned int _t19_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t19_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t19_switch_tag)
                                {
                                case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                  {
                                    char _t20_switch_tag;

                                    flick_iiop_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _t20_switch_tag);
                                    flick_iiop_decode_end_chunk(1);
                                    switch ((char )_t20_switch_tag)
                                      {
                                      case 0:
                                        {
                                          _ev->_id = "IDL:puke:1.0";
                                          (puke *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(puke ));
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_signed32(3, ((puke *)(_ev->_value._user_except))->reason);
                                          flick_iiop_decode_end_chunk(7);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  break;
                }
              }
            flick_iiop_decode_end_glob(136);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

