#include "sequence_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_seq_swap(flick_marshal_stream_t _stream, seq *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_TestSeq_swap(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t23_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t23_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t26_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t26_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t26_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              TestSeq _obj;
                              seq *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t27_principal_len;
                              seq _t28_storage;
                              CORBA_unsigned_long _t29_array_iter;
                              CORBA_Environment _t30_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t27_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t27_principal_len);
                              flick_iiop_decode_new_chunk(_t27_principal_len);
                              flick_iiop_decode_end_chunk(_t27_principal_len);
                              flick_iiop_decode_end_glob(_t27_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t28_storage;
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_a->_length);
                              _local_a->_maximum = _local_a->_length;
                              if (_local_a->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                              flick_iiop_decode_end_chunk(4);
                              _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              for (_t29_array_iter = 0; _t29_array_iter < _local_a->_length; _t29_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a->_buffer[_t29_array_iter]);
                                  flick_iiop_decode_end_chunk(4);
                                }
                              _ev = &_t30_storage;
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(52);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8 + 4 * _local_a->_length);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_cdr_encode_unsigned32(4, _local_a->_length);
                                    if (_local_a->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                                    CORBA_flick_free(_local_a->_buffer);
                                    flick_iiop_encode_end_chunk(8 + 4 * _local_a->_length);
                                    flick_iiop_encode_end_glob(52);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(52);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(52);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t8_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t8_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t8_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t9_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t9_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t9_switch_tag)
            {
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t10_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t10_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t10_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      unsigned short int _t11_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t11_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t11_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              TestSeq _obj;
                              seq *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_short _return = 0;
                              unsigned int _t12_principal_len;
                              seq _t13_storage;
                              CORBA_Environment _t14_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t12_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t12_principal_len);
                              flick_iiop_decode_new_chunk(_t12_principal_len);
                              flick_iiop_decode_end_chunk(_t12_principal_len);
                              flick_iiop_decode_end_glob(_t12_principal_len);
                              /* Begin decode phase on parameters */
                              _local_a = &_t13_storage;
                              flick_iiop_decode_new_glob(47);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_a->_length);
                              _local_a->_maximum = _local_a->_length;
                              if (_local_a->_length > (unsigned int) 10)
                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_new_chunk(4 * _local_a->_length);
                              _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                              flick_cdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                              flick_iiop_decode_end_chunk(4 * _local_a->_length);
                              _ev = &_t14_storage;
                              flick_iiop_decode_end_glob(47);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(52);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(8 + 4 * _local_a->_length);
                                    flick_cdr_encode_signed16(0, _return);
                                    flick_cdr_encode_unsigned32(4, _local_a->_length);
                                    if (_local_a->_length > (unsigned int) 10)
                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                    flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                                    CORBA_flick_free(_local_a->_buffer);
                                    flick_iiop_encode_end_chunk(8 + 4 * _local_a->_length);
                                    flick_iiop_encode_end_glob(52);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(52);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(52);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
