#include "simple2-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->_length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_vec10_swap(flick_marshal_stream_t _stream, vec10 *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '2');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_IOR(iiop, b, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_OVERFLOW_swap(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->b);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_cdr_encode_longstring(_data->msg, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_UNDERFLOW_swap(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->b);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_cdr_swap_decode_longstring(_data->msg, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  flick_iiop_encode_new_glob(44);
  flick_iiop_encode_new_chunk(4 + 4 * _data->c._length);
  flick_cdr_encode_unsigned32(0, _data->c._length);
  if (_data->c._length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_encode_end_chunk(4 + 4 * _data->c._length);
  flick_iiop_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length);
  _data->c._maximum = _data->c._length;
  if (_data->c._length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(4 * _data->c._length);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_iiop_decode_end_chunk(4 * _data->c._length);
  flick_iiop_decode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM_swap(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_iiop_decode_new_glob(44);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length);
  _data->c._maximum = _data->c._length;
  if (_data->c._length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->c._length; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t1_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_cdr_encode_longstring(_data->reason, null_flick_free, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_unmarshal_stub_simple3_USERERROR_swap(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_cdr_swap_decode_longstring(_data->reason, CORBA_flick_alloc, iiop);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_simple3_swap(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '3');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(76);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(76);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            flick_cdr_swap_decode_IOR(iiop, *d, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            unsigned int _t159_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t159_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t159_switch_tag)
              {
              case (unsigned int) 25:
                {
                  unsigned int _t160_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t160_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t160_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t161_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t161_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t161_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t162_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t162_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t162_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t163_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t163_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t163_switch_tag)
                                      {
                                      case /* OVER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                        {
                                          unsigned int _t164_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t164_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t164_switch_tag)
                                            {
                                            case /* FLOW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                              {
                                                unsigned int _t165_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t165_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t165_switch_tag)
                                                  {
                                                  case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                    {
                                                      char _t166_switch_tag;

                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_char8(0, _t166_switch_tag);
                                                      flick_iiop_decode_end_chunk(1);
                                                      switch ((char )_t166_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            _ev->_id = "IDL:simple3/OVERFLOW:1.0";
                                                            (simple3_OVERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_signed32(3, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(76);
                                                            flick_cdr_swap_decode_longstring(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 26:
                {
                  unsigned int _t167_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t167_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t167_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t168_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t168_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t168_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t169_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t169_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t169_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t170_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t170_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t170_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t171_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t171_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t171_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t172_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t172_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t172_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t173_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t173_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t173_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(76);
                                                            flick_cdr_swap_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 23:
                {
                  unsigned int _t174_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t174_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t174_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t175_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t175_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t175_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t176_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t176_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t176_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t177_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t177_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t177_switch_tag)
                                      {
                                      case /* BADN */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                        {
                                          unsigned int _t178_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t178_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t178_switch_tag)
                                            {
                                            case /* UM:1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                              {
                                                unsigned short int _t179_switch_tag;

                                                flick_iiop_decode_new_chunk(2);
                                                flick_cdr_decode_unsigned16(0, _t179_switch_tag);
                                                flick_iiop_decode_end_chunk(2);
                                                switch ((unsigned short int )_t179_switch_tag)
                                                  {
                                                  case /* .0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                    {
                                                      char _t180_switch_tag;

                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_char8(0, _t180_switch_tag);
                                                      flick_iiop_decode_end_chunk(1);
                                                      switch ((char )_t180_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            CORBA_unsigned_long _t181_array_iter;

                                                            _ev->_id = "IDL:simple3/BADNUM:1.0";
                                                            (simple3_BADNUM *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                                                            flick_iiop_decode_new_chunk(5);
                                                            flick_cdr_swap_decode_unsigned32(1, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = ((simple3_BADNUM *)(_ev->_value._user_except))->c._length;
                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > (unsigned int) 10)
                                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
                                                            flick_iiop_decode_end_chunk(5);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_value._user_except))->c._length * sizeof(CORBA_long ));
                                                            for (_t181_array_iter = 0; _t181_array_iter < ((simple3_BADNUM *)(_ev->_value._user_except))->c._length; _t181_array_iter++)
                                                              {
                                                                flick_iiop_decode_new_chunk(4);
                                                                flick_cdr_swap_decode_signed32(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer[_t181_array_iter]);
                                                                flick_iiop_decode_end_chunk(4);
                                                              }
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(76);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(76);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(76);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_cdr_decode_IOR(iiop, *c, 1);
            flick_cdr_decode_IOR(iiop, *d, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(76);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            unsigned int _t68_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t68_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t68_switch_tag)
              {
              case (unsigned int) 25:
                {
                  unsigned int _t69_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t69_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t69_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t70_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t70_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t70_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t71_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t71_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t71_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t72_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t72_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t72_switch_tag)
                                      {
                                      case /* OVER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                        {
                                          unsigned int _t73_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t73_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t73_switch_tag)
                                            {
                                            case /* FLOW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                              {
                                                unsigned int _t74_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t74_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t74_switch_tag)
                                                  {
                                                  case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                    {
                                                      char _t75_switch_tag;

                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_decode_char8(0, _t75_switch_tag);
                                                      flick_iiop_decode_end_chunk(1);
                                                      switch ((char )_t75_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            _ev->_id = "IDL:simple3/OVERFLOW:1.0";
                                                            (simple3_OVERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                                                            flick_iiop_decode_new_chunk(7);
                                                            flick_cdr_decode_signed32(3, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a);
                                                            flick_iiop_decode_end_chunk(7);
                                                            flick_iiop_decode_end_glob(76);
                                                            flick_cdr_decode_longstring(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 26:
                {
                  unsigned int _t76_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t76_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t76_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t77_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t77_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t77_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t78_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t78_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t78_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t79_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t79_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t79_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t80_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t80_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t80_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t81_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t81_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t81_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t82_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t82_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t82_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(76);
                                                            flick_cdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 23:
                {
                  unsigned int _t83_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t83_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t83_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t84_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t84_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t84_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t85_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t85_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t85_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t86_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t86_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t86_switch_tag)
                                      {
                                      case /* BADN */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                        {
                                          unsigned int _t87_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t87_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t87_switch_tag)
                                            {
                                            case /* UM:1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                              {
                                                unsigned short int _t88_switch_tag;

                                                flick_iiop_decode_new_chunk(2);
                                                flick_cdr_decode_unsigned16(0, _t88_switch_tag);
                                                flick_iiop_decode_end_chunk(2);
                                                switch ((unsigned short int )_t88_switch_tag)
                                                  {
                                                  case /* .0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                    {
                                                      char _t89_switch_tag;

                                                      flick_iiop_decode_new_chunk(1);
                                                      flick_cdr_decode_char8(0, _t89_switch_tag);
                                                      flick_iiop_decode_end_chunk(1);
                                                      switch ((char )_t89_switch_tag)
                                                        {
                                                        case 0:
                                                          {
                                                            _ev->_id = "IDL:simple3/BADNUM:1.0";
                                                            (simple3_BADNUM *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                                                            flick_iiop_decode_new_chunk(5);
                                                            flick_cdr_decode_unsigned32(1, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = ((simple3_BADNUM *)(_ev->_value._user_except))->c._length;
                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > (unsigned int) 10)
                                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
                                                            flick_iiop_decode_end_chunk(5);
                                                            flick_iiop_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_value._user_except))->c._length * sizeof(CORBA_long ));
                                                            flick_cdr_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            flick_iiop_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                            flick_iiop_decode_end_glob(76);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_decode_end_glob(76);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(76);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(76);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(76);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(76);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(76);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(76);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '4');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_cdr_encode_longstring(x, null_flick_free, iiop);
    flick_cdr_encode_longstring(*y, CORBA_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(40);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(40);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*y, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*z, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(40);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            unsigned int _t238_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t238_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t238_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t239_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t239_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t239_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t240_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t240_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t240_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t241_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t241_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t241_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t242_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t242_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t242_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t243_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t243_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t243_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t244_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t244_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t244_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t245_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t245_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t245_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_cdr_swap_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                            flick_iiop_decode_end_glob(40);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                      flick_iiop_decode_end_glob(40);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(40);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(40);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(40);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(40);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(40);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(40);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(40);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(40);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*y, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*z, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(40);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            unsigned int _t206_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t206_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t206_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t207_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t207_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t207_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t208_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t208_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t208_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t209_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t209_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t209_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t210_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t210_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t210_switch_tag)
                                      {
                                      case /* UNDE */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                        {
                                          unsigned int _t211_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t211_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t211_switch_tag)
                                            {
                                            case /* RFLO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                              {
                                                unsigned int _t212_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t212_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t212_switch_tag)
                                                  {
                                                  case /* W:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                    {
                                                      unsigned short int _t213_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t213_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t213_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                            (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                            flick_iiop_decode_new_chunk(6);
                                                            flick_cdr_decode_signed32(2, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                            flick_iiop_decode_end_chunk(6);
                                                            flick_iiop_decode_end_glob(40);
                                                            flick_cdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                            flick_iiop_decode_end_glob(40);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_decode_end_glob(40);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(40);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(40);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(40);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(40);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(40);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(40);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void simple3_op5(simple3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(12);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '5');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(34);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(34);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(34);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            unsigned int _t302_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t302_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t302_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t303_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t303_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t303_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t304_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t304_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t304_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t305_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t305_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t305_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t306_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t306_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t306_switch_tag)
                                      {
                                      case /* USER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                        {
                                          unsigned int _t307_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t307_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t307_switch_tag)
                                            {
                                            case /* ERRO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                              {
                                                unsigned int _t308_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t308_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t308_switch_tag)
                                                  {
                                                  case /* R:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                    {
                                                      unsigned short int _t309_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t309_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t309_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/USERERROR:1.0";
                                                            (simple3_USERERROR *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                                                            flick_iiop_decode_end_glob(34);
                                                            flick_cdr_swap_decode_longstring(((simple3_USERERROR *)(_ev->_value._user_except))->reason, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                            flick_iiop_decode_end_glob(34);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                      flick_iiop_decode_end_glob(34);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(34);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(34);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(34);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(34);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(34);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(34);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(34);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(34);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(34);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            unsigned int _t270_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t270_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t270_switch_tag)
              {
              case (unsigned int) 26:
                {
                  unsigned int _t271_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t271_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t271_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t272_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t272_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t272_switch_tag)
                          {
                          case /* simp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                            {
                              unsigned int _t273_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t273_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t273_switch_tag)
                                {
                                case /* le3/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                  {
                                    unsigned int _t274_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t274_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t274_switch_tag)
                                      {
                                      case /* USER */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                        {
                                          unsigned int _t275_switch_tag;

                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t275_switch_tag);
                                          flick_iiop_decode_end_chunk(4);
                                          switch ((unsigned int )_t275_switch_tag)
                                            {
                                            case /* ERRO */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                              {
                                                unsigned int _t276_switch_tag;

                                                flick_iiop_decode_new_chunk(4);
                                                flick_cdr_decode_unsigned32(0, _t276_switch_tag);
                                                flick_iiop_decode_end_chunk(4);
                                                switch ((unsigned int )_t276_switch_tag)
                                                  {
                                                  case /* R:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                    {
                                                      unsigned short int _t277_switch_tag;

                                                      flick_iiop_decode_new_chunk(2);
                                                      flick_cdr_decode_unsigned16(0, _t277_switch_tag);
                                                      flick_iiop_decode_end_chunk(2);
                                                      switch ((unsigned short int )_t277_switch_tag)
                                                        {
                                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                          {
                                                            _ev->_id = "IDL:simple3/USERERROR:1.0";
                                                            (simple3_USERERROR *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                                                            flick_iiop_decode_end_glob(34);
                                                            flick_cdr_decode_longstring(((simple3_USERERROR *)(_ev->_value._user_except))->reason, CORBA_flick_alloc, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                            flick_iiop_decode_end_glob(34);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                      flick_iiop_decode_end_glob(34);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(34);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(34);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(34);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(34);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(34);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(34);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
}

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '2');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
    flick_cdr_encode_IOR(iiop, b, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *c, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_cdr_encode_signed32(16, *c);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_swap_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_swap_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(8);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_cdr_decode_IOR(iiop, *b, 1);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *c);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(8);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

