#include "struct-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_cdr_encode_string(_data->b3, CORBA_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_swap_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  flick_cdr_encode_string(_data->b4.b3, CORBA_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar2_swap(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_swap_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_cdr_encode_signed32(8, _data->b3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_cdr_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar3_swap(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_cdr_swap_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2.b3);
  flick_cdr_encode_signed32(8, _data->b2.b4.b1);
  flick_cdr_encode_signed32(12, _data->b2.b4.b2);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
  flick_cdr_encode_string(_data->b2.b4.b3, CORBA_flick_free, iiop, 20);
  flick_iiop_encode_new_glob(23);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_cdr_encode_signed32(12, _data->b4.b3);
  flick_cdr_encode_signed32(16, _data->b5);
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(23);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2.b3);
  flick_cdr_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_cdr_decode_signed32(12, _data->b4.b3);
  flick_cdr_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_unmarshal_stub_bar4_swap(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2.b3);
  flick_cdr_swap_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_swap_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_swap_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_cdr_swap_decode_signed32(12, _data->b4.b3);
  flick_cdr_swap_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, foo *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t foo_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t21_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t21_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t22_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t22_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t22_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t23_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t23_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t23_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        struct bar *_local_a;
                        struct bar2 **_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t24_principal_len;
                        struct bar _t25_storage;
                        struct bar2 *_t26_storage;
                        CORBA_Environment _t27_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t24_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t24_principal_len);
                        flick_iiop_decode_new_chunk(_t24_principal_len);
                        flick_iiop_decode_end_chunk(_t24_principal_len);
                        flick_iiop_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = &_t25_storage;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1);
                        flick_cdr_swap_decode_signed32(4, _local_a->b2);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_cdr_swap_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                        _local_b = &_t26_storage;
                        _ev = &_t27_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(20);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(16);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, (*_local_b)->b3);
                              flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                              flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                              flick_iiop_encode_end_chunk(16);
                              flick_iiop_encode_end_glob(20);
                              flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                              CORBA_flick_free(*_local_b);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(20);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(20);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t7_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t7_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t7_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t8_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t8_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t8_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t9_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t9_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t9_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        struct bar *_local_a;
                        struct bar2 **_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t10_principal_len;
                        struct bar _t11_storage;
                        struct bar2 *_t12_storage;
                        CORBA_Environment _t13_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t10_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t10_principal_len);
                        flick_iiop_decode_new_chunk(_t10_principal_len);
                        flick_iiop_decode_end_chunk(_t10_principal_len);
                        flick_iiop_decode_end_glob(_t10_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = &_t11_storage;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a->b1);
                        flick_cdr_decode_signed32(4, _local_a->b2);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                        _local_b = &_t12_storage;
                        _ev = &_t13_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(20);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(16);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, (*_local_b)->b3);
                              flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                              flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                              flick_iiop_encode_end_chunk(16);
                              flick_iiop_encode_end_glob(20);
                              flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                              CORBA_flick_free(*_local_b);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(20);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(20);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_foo2_swap(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t foo2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t70_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t70_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t70_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  struct bar2 *_local_a;
                  CORBA_Environment *_ev;
                  struct bar *_return = 0;
                  unsigned int _t72_principal_len;
                  struct bar2 _t73_storage;
                  CORBA_Environment _t74_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t72_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t72_principal_len);
                  flick_iiop_decode_new_chunk(_t72_principal_len);
                  flick_iiop_decode_end_chunk(_t72_principal_len);
                  flick_iiop_decode_end_glob(_t72_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t73_storage;
                  flick_iiop_decode_new_glob(15);
                  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a->b3);
                  flick_cdr_swap_decode_signed32(4, _local_a->b4.b1);
                  flick_cdr_swap_decode_signed32(8, _local_a->b4.b2);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(15);
                  flick_cdr_swap_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, iiop);
                  _ev = &_t74_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = foo2_op2(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(8);
                        flick_cdr_encode_signed32(0, _return->b1);
                        flick_cdr_encode_signed32(4, _return->b2);
                        flick_iiop_encode_end_chunk(8);
                        flick_iiop_encode_end_glob(12);
                        flick_cdr_encode_string(_return->b3, CORBA_flick_free, iiop, 20);
                        CORBA_flick_free(_return);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t75_principal_len;
                  CORBA_char _t76_storage;
                  CORBA_Environment _t77_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t75_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t75_principal_len);
                  flick_iiop_decode_new_chunk(_t75_principal_len);
                  flick_iiop_decode_end_chunk(_t75_principal_len);
                  flick_iiop_decode_end_glob(_t75_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_swap_decode_signed32(0, _local_a);
                  _local_b = &_t76_storage;
                  _ev = &_t77_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_char8(4, *_local_b);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t78_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t78_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t78_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t79_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t79_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t79_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        struct bar *_local_a;
                        struct bar2 **_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t80_principal_len;
                        struct bar _t81_storage;
                        struct bar2 *_t82_storage;
                        CORBA_Environment _t83_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t80_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t80_principal_len);
                        flick_iiop_decode_new_chunk(_t80_principal_len);
                        flick_iiop_decode_end_chunk(_t80_principal_len);
                        flick_iiop_decode_end_glob(_t80_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = &_t81_storage;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1);
                        flick_cdr_swap_decode_signed32(4, _local_a->b2);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_cdr_swap_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                        _local_b = &_t82_storage;
                        _ev = &_t83_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(20);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(16);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, (*_local_b)->b3);
                              flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                              flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                              flick_iiop_encode_end_chunk(16);
                              flick_iiop_encode_end_glob(20);
                              flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                              CORBA_flick_free(*_local_b);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(20);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(20);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t42_switch_tag;

    flick_iiop_decode_new_glob(12);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t42_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t42_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t43_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  struct bar2 *_local_a;
                  CORBA_Environment *_ev;
                  struct bar *_return = 0;
                  unsigned int _t44_principal_len;
                  struct bar2 _t45_storage;
                  CORBA_Environment _t46_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t44_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t44_principal_len);
                  flick_iiop_decode_new_chunk(_t44_principal_len);
                  flick_iiop_decode_end_chunk(_t44_principal_len);
                  flick_iiop_decode_end_glob(_t44_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = &_t45_storage;
                  flick_iiop_decode_new_glob(15);
                  flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a->b3);
                  flick_cdr_decode_signed32(4, _local_a->b4.b1);
                  flick_cdr_decode_signed32(8, _local_a->b4.b2);
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(15);
                  flick_cdr_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, iiop);
                  _ev = &_t46_storage;
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = foo2_op2(_obj, _local_a, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(12);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(8);
                        flick_cdr_encode_signed32(0, _return->b1);
                        flick_cdr_encode_signed32(4, _return->b2);
                        flick_iiop_encode_end_chunk(8);
                        flick_iiop_encode_end_glob(12);
                        flick_cdr_encode_string(_return->b3, CORBA_flick_free, iiop, 20);
                        CORBA_flick_free(_return);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(12);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(12);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_Environment *_ev;
                  CORBA_long _return = 0;
                  unsigned int _t47_principal_len;
                  CORBA_char _t48_storage;
                  CORBA_Environment _t49_storage;

                  {
                    flick_iiop_server_decode_target(_obj, 0, cdr);
                  }
                  /* Skip over the requesting `Principal' pseudo object (security ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t47_principal_len);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(12);
                  flick_iiop_decode_new_glob(_t47_principal_len);
                  flick_iiop_decode_new_chunk(_t47_principal_len);
                  flick_iiop_decode_end_chunk(_t47_principal_len);
                  flick_iiop_decode_end_glob(_t47_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiop_decode_new_glob(7);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_decode_signed32(0, _local_a);
                  _local_b = &_t48_storage;
                  _ev = &_t49_storage;
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(7);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr);
                  }
                  flick_iiop_encode_new_glob(9);
                  flick_iiop_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _ev->_major);
                  flick_iiop_encode_end_chunk(4);
                  switch (_ev->_major)
                    {
                    case CORBA_NO_EXCEPTION:
                      {
                        /* Begin encode phase on parameters */
                        flick_iiop_encode_new_chunk(5);
                        flick_cdr_encode_signed32(0, _return);
                        flick_cdr_encode_char8(4, *_local_b);
                        flick_iiop_encode_end_chunk(5);
                        flick_iiop_encode_end_glob(9);
                        break;
                      }
                    case CORBA_SYSTEM_EXCEPTION:
                      {
                        flick_iiop_encode_end_glob(9);
                        flick_corba_encode_system_exception(_ev, cdr, iiop);
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                        flick_iiop_encode_end_glob(9);
                      }
                    }
                  flick_iiop_server_end_encode();
                }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t50_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t50_switch_tag);
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t50_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t51_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t51_switch_tag);
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t51_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        struct bar *_local_a;
                        struct bar2 **_local_b;
                        CORBA_Environment *_ev;
                        CORBA_long _return = 0;
                        unsigned int _t52_principal_len;
                        struct bar _t53_storage;
                        struct bar2 *_t54_storage;
                        CORBA_Environment _t55_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t52_principal_len);
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(12);
                        flick_iiop_decode_new_glob(_t52_principal_len);
                        flick_iiop_decode_new_chunk(_t52_principal_len);
                        flick_iiop_decode_end_chunk(_t52_principal_len);
                        flick_iiop_decode_end_glob(_t52_principal_len);
                        /* Begin decode phase on parameters */
                        _local_a = &_t53_storage;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_cdr_decode_signed32(0, _local_a->b1);
                        flick_cdr_decode_signed32(4, _local_a->b2);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, iiop);
                        _local_b = &_t54_storage;
                        _ev = &_t55_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(20);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(16);
                              flick_cdr_encode_signed32(0, _return);
                              flick_cdr_encode_signed32(4, (*_local_b)->b3);
                              flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                              flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                              flick_iiop_encode_end_chunk(16);
                              flick_iiop_encode_end_glob(20);
                              flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, iiop, 20);
                              CORBA_flick_free(*_local_b);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(20);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(20);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(12);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(12);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(12);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_Coord_swap(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos_swap(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2_swap(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_iiop_encode_new_glob(6);
  flick_iiop_encode_new_chunk(6);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_cdr_encode_unsigned16(4, _data->col2);
  flick_iiop_encode_end_chunk(6);
  flick_iiop_encode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_cdr_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3_swap(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_cdr_swap_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

