#include "structnest_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, const struct a_b_q *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_unsigned8(0, _data->c);
  flick_cdr_encode_signed32(4, _data->d);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_unsigned8(0, _data->c);
  flick_cdr_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_unmarshal_stub_a_b_q_swap(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned8(0, _data->c);
  flick_cdr_swap_decode_signed32(4, _data->d);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
}

void flick_marshal_stub_a_b(flick_marshal_stream_t _stream, const struct a_b *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed16(0, _data->c);
  flick_cdr_encode_char8(2, _data->d);
  flick_cdr_encode_unsigned8(3, _data->e.c);
  flick_cdr_encode_signed32(4, _data->e.d);
  flick_cdr_encode_signed16(8, _data->f);
  flick_cdr_encode_unsigned8(10, _data->g.c);
  flick_cdr_encode_signed32(12, _data->g.d);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed16(0, _data->c);
  flick_cdr_decode_char8(2, _data->d);
  flick_cdr_decode_unsigned8(3, _data->e.c);
  flick_cdr_decode_signed32(4, _data->e.d);
  flick_cdr_decode_signed16(8, _data->f);
  flick_cdr_decode_unsigned8(10, _data->g.c);
  flick_cdr_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_b_swap(flick_marshal_stream_t _stream, struct a_b *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed16(0, _data->c);
  flick_cdr_swap_decode_char8(2, _data->d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.d);
  flick_cdr_swap_decode_signed16(8, _data->f);
  flick_cdr_swap_decode_unsigned8(10, _data->g.c);
  flick_cdr_swap_decode_signed32(12, _data->g.d);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_q(flick_marshal_stream_t _stream, const struct a_q *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_q_swap(flick_marshal_stream_t _stream, struct a_q *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, const struct a_z_zz *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->a.b);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_unmarshal_stub_a_z_zz_swap(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->a.b);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(16);
}

void flick_marshal_stub_a_z(flick_marshal_stream_t _stream, const struct a_z *_data)
{
  flick_iiop_encode_new_glob(32);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b.a.a);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b.a.b);
  flick_cdr_encode_signed16(8, _data->z.a);
  flick_cdr_encode_float64(16, _data->z.b);
  flick_iiop_encode_end_chunk(24);
  flick_iiop_encode_end_glob(32);
}

void flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->b.a.b);
  flick_cdr_decode_signed16(8, _data->z.a);
  flick_cdr_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_unmarshal_stub_a_z_swap(flick_marshal_stream_t _stream, struct a_z *_data)
{
  flick_iiop_decode_new_glob(32);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b.a.a);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->b.a.b);
  flick_cdr_swap_decode_signed16(8, _data->z.a);
  flick_cdr_swap_decode_float64(16, _data->z.b);
  flick_iiop_decode_end_chunk(24);
  flick_iiop_decode_end_glob(32);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_iiop_encode_new_glob(96);
  flick_iiop_encode_new_chunk(18);
  flick_cdr_encode_signed16(0, _data->e.c);
  flick_cdr_encode_char8(2, _data->e.d);
  flick_cdr_encode_unsigned8(3, _data->e.e.c);
  flick_cdr_encode_signed32(4, _data->e.e.d);
  flick_cdr_encode_signed16(8, _data->e.f);
  flick_cdr_encode_unsigned8(10, _data->e.g.c);
  flick_cdr_encode_signed32(12, _data->e.g.d);
  flick_cdr_encode_signed16(16, _data->h.a);
  flick_iiop_encode_end_chunk(18);
  flick_iiop_encode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->h.b);
  flick_cdr_encode_signed16(8, _data->j.b.a.a);
  flick_cdr_encode_float64(16, _data->j.b.a.b);
  flick_cdr_encode_signed16(24, _data->j.z.a);
  flick_cdr_encode_float64(32, _data->j.z.b);
  flick_cdr_encode_float32(40, _data->f);
  flick_cdr_encode_signed16(44, _data->g.c);
  flick_cdr_encode_char8(46, _data->g.d);
  flick_cdr_encode_unsigned8(47, _data->g.e.c);
  flick_cdr_encode_signed32(48, _data->g.e.d);
  flick_cdr_encode_signed16(52, _data->g.f);
  flick_cdr_encode_unsigned8(54, _data->g.g.c);
  flick_cdr_encode_signed32(56, _data->g.g.d);
  flick_cdr_encode_signed16(60, _data->i.a);
  flick_cdr_encode_float64(64, _data->i.b);
  flick_iiop_encode_end_chunk(72);
  flick_iiop_encode_end_glob(96);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(96);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_decode_signed16(0, _data->e.c);
  flick_cdr_decode_char8(2, _data->e.d);
  flick_cdr_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_decode_signed32(4, _data->e.e.d);
  flick_cdr_decode_signed16(8, _data->e.f);
  flick_cdr_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_decode_signed32(12, _data->e.g.d);
  flick_cdr_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_decode_float64(0, _data->h.b);
  flick_cdr_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_decode_float64(16, _data->j.b.a.b);
  flick_cdr_decode_signed16(24, _data->j.z.a);
  flick_cdr_decode_float64(32, _data->j.z.b);
  flick_cdr_decode_float32(40, _data->f);
  flick_cdr_decode_signed16(44, _data->g.c);
  flick_cdr_decode_char8(46, _data->g.d);
  flick_cdr_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_decode_signed32(48, _data->g.e.d);
  flick_cdr_decode_signed16(52, _data->g.f);
  flick_cdr_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_decode_signed32(56, _data->g.g.d);
  flick_cdr_decode_signed16(60, _data->i.a);
  flick_cdr_decode_float64(64, _data->i.b);
  flick_iiop_decode_end_chunk(72);
  flick_iiop_decode_end_glob(96);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_iiop_decode_new_glob(96);
  flick_iiop_decode_new_chunk(18);
  flick_cdr_swap_decode_signed16(0, _data->e.c);
  flick_cdr_swap_decode_char8(2, _data->e.d);
  flick_cdr_swap_decode_unsigned8(3, _data->e.e.c);
  flick_cdr_swap_decode_signed32(4, _data->e.e.d);
  flick_cdr_swap_decode_signed16(8, _data->e.f);
  flick_cdr_swap_decode_unsigned8(10, _data->e.g.c);
  flick_cdr_swap_decode_signed32(12, _data->e.g.d);
  flick_cdr_swap_decode_signed16(16, _data->h.a);
  flick_iiop_decode_end_chunk(18);
  flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_swap_decode_float64(0, _data->h.b);
  flick_cdr_swap_decode_signed16(8, _data->j.b.a.a);
  flick_cdr_swap_decode_float64(16, _data->j.b.a.b);
  flick_cdr_swap_decode_signed16(24, _data->j.z.a);
  flick_cdr_swap_decode_float64(32, _data->j.z.b);
  flick_cdr_swap_decode_float32(40, _data->f);
  flick_cdr_swap_decode_signed16(44, _data->g.c);
  flick_cdr_swap_decode_char8(46, _data->g.d);
  flick_cdr_swap_decode_unsigned8(47, _data->g.e.c);
  flick_cdr_swap_decode_signed32(48, _data->g.e.d);
  flick_cdr_swap_decode_signed16(52, _data->g.f);
  flick_cdr_swap_decode_unsigned8(54, _data->g.g.c);
  flick_cdr_swap_decode_signed32(56, _data->g.g.d);
  flick_cdr_swap_decode_signed16(60, _data->i.a);
  flick_cdr_swap_decode_float64(64, _data->i.b);
  flick_iiop_decode_end_chunk(72);
  flick_iiop_decode_end_glob(96);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_iiop_encode_new_glob(17);
  flick_iiop_encode_new_chunk(17);
  flick_cdr_encode_signed16(0, _data->c.c);
  flick_cdr_encode_char8(2, _data->c.d);
  flick_cdr_encode_unsigned8(3, _data->c.e.c);
  flick_cdr_encode_signed32(4, _data->c.e.d);
  flick_cdr_encode_signed16(8, _data->c.f);
  flick_cdr_encode_unsigned8(10, _data->c.g.c);
  flick_cdr_encode_signed32(12, _data->c.g.d);
  flick_cdr_encode_char8(16, _data->d);
  flick_iiop_encode_end_chunk(17);
  flick_iiop_encode_end_glob(17);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_decode_signed16(0, _data->c.c);
  flick_cdr_decode_char8(2, _data->c.d);
  flick_cdr_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_decode_signed32(4, _data->c.e.d);
  flick_cdr_decode_signed16(8, _data->c.f);
  flick_cdr_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_decode_signed32(12, _data->c.g.d);
  flick_cdr_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_iiop_decode_new_glob(17);
  flick_iiop_decode_new_chunk(17);
  flick_cdr_swap_decode_signed16(0, _data->c.c);
  flick_cdr_swap_decode_char8(2, _data->c.d);
  flick_cdr_swap_decode_unsigned8(3, _data->c.e.c);
  flick_cdr_swap_decode_signed32(4, _data->c.e.d);
  flick_cdr_swap_decode_signed16(8, _data->c.f);
  flick_cdr_swap_decode_unsigned8(10, _data->c.g.c);
  flick_cdr_swap_decode_signed32(12, _data->c.g.d);
  flick_cdr_swap_decode_char8(16, _data->d);
  flick_iiop_decode_end_chunk(17);
  flick_iiop_decode_end_glob(17);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t18_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t18_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* Copy */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1131376761):
              {
                unsigned int _t20_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t20_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t20_switch_tag)
                  {
                  case /* Add */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098240):
                    {
                      {
                        test _obj;
                        struct a *_local_s1;
                        CORBA_Environment *_ev;
                        struct b _return;
                        unsigned int _t21_principal_len;
                        struct a _t22_storage;
                        CORBA_Environment _t23_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t21_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _local_s1 = &_t22_storage;
                        flick_iiop_decode_new_glob(99);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_swap_decode_signed16(0, _local_s1->e.c);
                        flick_cdr_swap_decode_char8(2, _local_s1->e.d);
                        flick_cdr_swap_decode_unsigned8(3, _local_s1->e.e.c);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(14, 2, 1, 0);
                        flick_cdr_swap_decode_signed32(0, _local_s1->e.e.d);
                        flick_cdr_swap_decode_signed16(4, _local_s1->e.f);
                        flick_cdr_swap_decode_unsigned8(6, _local_s1->e.g.c);
                        flick_cdr_swap_decode_signed32(8, _local_s1->e.g.d);
                        flick_cdr_swap_decode_signed16(12, _local_s1->h.a);
                        flick_iiop_decode_end_chunk(14);
                        flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
                        flick_cdr_swap_decode_float64(0, _local_s1->h.b);
                        flick_cdr_swap_decode_signed16(8, _local_s1->j.b.a.a);
                        flick_cdr_swap_decode_float64(16, _local_s1->j.b.a.b);
                        flick_cdr_swap_decode_signed16(24, _local_s1->j.z.a);
                        flick_cdr_swap_decode_float64(32, _local_s1->j.z.b);
                        flick_cdr_swap_decode_float32(40, _local_s1->f);
                        flick_cdr_swap_decode_signed16(44, _local_s1->g.c);
                        flick_cdr_swap_decode_char8(46, _local_s1->g.d);
                        flick_cdr_swap_decode_unsigned8(47, _local_s1->g.e.c);
                        flick_cdr_swap_decode_signed32(48, _local_s1->g.e.d);
                        flick_cdr_swap_decode_signed16(52, _local_s1->g.f);
                        flick_cdr_swap_decode_unsigned8(54, _local_s1->g.g.c);
                        flick_cdr_swap_decode_signed32(56, _local_s1->g.g.d);
                        flick_cdr_swap_decode_signed16(60, _local_s1->i.a);
                        flick_cdr_swap_decode_float64(64, _local_s1->i.b);
                        _ev = &_t23_storage;
                        flick_iiop_decode_end_chunk(72);
                        flick_iiop_decode_end_glob(99);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_CopyAdd(_obj, _local_s1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(21);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(17);
                              flick_cdr_encode_signed16(0, _return.c.c);
                              flick_cdr_encode_char8(2, _return.c.d);
                              flick_cdr_encode_unsigned8(3, _return.c.e.c);
                              flick_cdr_encode_signed32(4, _return.c.e.d);
                              flick_cdr_encode_signed16(8, _return.c.f);
                              flick_cdr_encode_unsigned8(10, _return.c.g.c);
                              flick_cdr_encode_signed32(12, _return.c.g.d);
                              flick_cdr_encode_char8(16, _return.d);
                              flick_iiop_encode_end_chunk(17);
                              flick_iiop_encode_end_glob(21);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(21);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(21);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t6_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t6_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t6_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t7_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t7_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t7_switch_tag)
            {
            case /* Copy */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1131376761):
              {
                unsigned int _t8_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t8_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t8_switch_tag)
                  {
                  case /* Add */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098240):
                    {
                      {
                        test _obj;
                        struct a *_local_s1;
                        CORBA_Environment *_ev;
                        struct b _return;
                        unsigned int _t9_principal_len;
                        struct a _t10_storage;
                        CORBA_Environment _t11_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t9_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_decode_new_glob(_t9_principal_len);
                        flick_iiop_decode_new_chunk(_t9_principal_len);
                        flick_iiop_decode_end_chunk(_t9_principal_len);
                        flick_iiop_decode_end_glob(_t9_principal_len);
                        /* Begin decode phase on parameters */
                        _local_s1 = &_t10_storage;
                        flick_iiop_decode_new_glob(99);
                        flick_iiop_decode_new_chunk_align(4, 1, 0, 0);
                        flick_cdr_decode_signed16(0, _local_s1->e.c);
                        flick_cdr_decode_char8(2, _local_s1->e.d);
                        flick_cdr_decode_unsigned8(3, _local_s1->e.e.c);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_new_chunk_align(14, 2, 1, 0);
                        flick_cdr_decode_signed32(0, _local_s1->e.e.d);
                        flick_cdr_decode_signed16(4, _local_s1->e.f);
                        flick_cdr_decode_unsigned8(6, _local_s1->e.g.c);
                        flick_cdr_decode_signed32(8, _local_s1->e.g.d);
                        flick_cdr_decode_signed16(12, _local_s1->h.a);
                        flick_iiop_decode_end_chunk(14);
                        flick_iiop_decode_new_chunk_align(72, 3, 2, 2);
                        flick_cdr_decode_float64(0, _local_s1->h.b);
                        flick_cdr_decode_signed16(8, _local_s1->j.b.a.a);
                        flick_cdr_decode_float64(16, _local_s1->j.b.a.b);
                        flick_cdr_decode_signed16(24, _local_s1->j.z.a);
                        flick_cdr_decode_float64(32, _local_s1->j.z.b);
                        flick_cdr_decode_float32(40, _local_s1->f);
                        flick_cdr_decode_signed16(44, _local_s1->g.c);
                        flick_cdr_decode_char8(46, _local_s1->g.d);
                        flick_cdr_decode_unsigned8(47, _local_s1->g.e.c);
                        flick_cdr_decode_signed32(48, _local_s1->g.e.d);
                        flick_cdr_decode_signed16(52, _local_s1->g.f);
                        flick_cdr_decode_unsigned8(54, _local_s1->g.g.c);
                        flick_cdr_decode_signed32(56, _local_s1->g.g.d);
                        flick_cdr_decode_signed16(60, _local_s1->i.a);
                        flick_cdr_decode_float64(64, _local_s1->i.b);
                        _ev = &_t11_storage;
                        flick_iiop_decode_end_chunk(72);
                        flick_iiop_decode_end_glob(99);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = test_CopyAdd(_obj, _local_s1, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(21);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(17);
                              flick_cdr_encode_signed16(0, _return.c.c);
                              flick_cdr_encode_char8(2, _return.c.d);
                              flick_cdr_encode_unsigned8(3, _return.c.e.c);
                              flick_cdr_encode_signed32(4, _return.c.e.d);
                              flick_cdr_encode_signed16(8, _return.c.f);
                              flick_cdr_encode_unsigned8(10, _return.c.g.c);
                              flick_cdr_encode_signed32(12, _return.c.g.d);
                              flick_cdr_encode_char8(16, _return.d);
                              flick_iiop_encode_end_chunk(17);
                              flick_iiop_encode_end_glob(21);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(21);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(21);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
