#include "test1-client.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_test1_ushort_swap(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong_swap(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->case_num);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1_swap(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->case_num);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_cdr_encode_IOR(iiop, _data->obj, 0);
  flick_iiop_encode_new_glob(7);
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->value);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_decode_IOR(iiop, _data->obj, 1);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
}

void flick_unmarshal_stub_test1_x2_swap(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, _data->obj, 1);
  flick_iiop_decode_new_glob(7);
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->value);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(7);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

void test1_test_void(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'v');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'i');
    flick_cdr_encode_char8(12, 'd');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
}

CORBA_short test1_test_short(test1 _obj, CORBA_short a1, CORBA_short *a2, CORBA_short *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 'h');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'r');
    flick_cdr_encode_char8(13, 't');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(20, a1);
    flick_cdr_encode_signed16(22, *a3);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_signed16(0, _return);
            flick_cdr_swap_decode_signed16(2, *a2);
            flick_cdr_swap_decode_signed16(4, *a3);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_signed16(2, *a2);
            flick_cdr_decode_signed16(4, *a3);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long test1_test_long(test1 _obj, CORBA_long a1, CORBA_long *a2, CORBA_long *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(28);
    flick_iiop_encode_new_chunk(28);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'l');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'n');
    flick_cdr_encode_char8(12, 'g');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, a1);
    flick_cdr_encode_signed32(24, *a3);
    flick_iiop_encode_end_chunk(28);
    flick_iiop_encode_end_glob(28);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_cdr_swap_decode_signed32(4, *a2);
            flick_cdr_swap_decode_signed32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *a2);
            flick_cdr_decode_signed32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

test1_ushort test1_test_ushort(test1 _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ushort _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'u');
    flick_cdr_encode_char8(10, 's');
    flick_cdr_encode_char8(11, 'h');
    flick_cdr_encode_char8(12, 'o');
    flick_cdr_encode_char8(13, 'r');
    flick_cdr_encode_char8(14, 't');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(20, a1);
    flick_cdr_encode_unsigned16(22, *a3);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_swap_decode_unsigned16(0, _return);
            flick_cdr_swap_decode_unsigned16(2, *a2);
            flick_cdr_swap_decode_unsigned16(4, *a3);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(10);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, _return);
            flick_cdr_decode_unsigned16(2, *a2);
            flick_cdr_decode_unsigned16(4, *a3);
            flick_iiop_decode_end_chunk(6);
            flick_iiop_decode_end_glob(10);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(10);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(10);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

test1_ulong test1_test_ulong(test1 _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ulong _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(28);
    flick_iiop_encode_new_chunk(28);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'u');
    flick_cdr_encode_char8(10, 'l');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'n');
    flick_cdr_encode_char8(13, 'g');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(20, a1);
    flick_cdr_encode_unsigned32(24, *a3);
    flick_iiop_encode_end_chunk(28);
    flick_iiop_encode_end_glob(28);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_unsigned32(0, _return);
            flick_cdr_swap_decode_unsigned32(4, *a2);
            flick_cdr_swap_decode_unsigned32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *a2);
            flick_cdr_decode_unsigned32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_float test1_test_float(test1 _obj, CORBA_float a1, CORBA_float *a2, CORBA_float *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(28);
    flick_iiop_encode_new_chunk(28);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'f');
    flick_cdr_encode_char8(10, 'l');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'a');
    flick_cdr_encode_char8(13, 't');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(20, a1);
    flick_cdr_encode_float32(24, *a3);
    flick_iiop_encode_end_chunk(28);
    flick_iiop_encode_end_glob(28);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_swap_decode_float32(0, _return);
            flick_cdr_swap_decode_float32(4, *a2);
            flick_cdr_swap_decode_float32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(16);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(12);
            flick_cdr_decode_float32(0, _return);
            flick_cdr_decode_float32(4, *a2);
            flick_cdr_decode_float32(8, *a3);
            flick_iiop_decode_end_chunk(12);
            flick_iiop_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(16);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_double test1_test_double(test1 _obj, CORBA_double a1, CORBA_double *a2, CORBA_double *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(40);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'd');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'u');
    flick_cdr_encode_char8(12, 'b');
    flick_cdr_encode_char8(13, 'l');
    flick_cdr_encode_char8(14, 'e');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_new_chunk_align(16, 3, 2, 0);
    flick_cdr_encode_float64(0, a1);
    flick_cdr_encode_float64(8, *a3);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(40);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(24, 3, 2, 0);
            flick_cdr_swap_decode_float64(0, _return);
            flick_cdr_swap_decode_float64(8, *a2);
            flick_cdr_swap_decode_float64(16, *a3);
            flick_iiop_decode_end_chunk(24);
            flick_iiop_decode_end_glob(32);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(32);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(32);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk_align(24, 3, 2, 0);
            flick_cdr_decode_float64(0, _return);
            flick_cdr_decode_float64(8, *a2);
            flick_cdr_decode_float64(16, *a3);
            flick_iiop_decode_end_chunk(24);
            flick_iiop_decode_end_glob(32);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(32);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(32);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_boolean test1_test_boolean(test1 _obj, CORBA_boolean a1, CORBA_boolean *a2, CORBA_boolean *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(26);
    flick_iiop_encode_new_chunk(26);
    flick_cdr_encode_unsigned32(0, 13);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'b');
    flick_cdr_encode_char8(10, 'o');
    flick_cdr_encode_char8(11, 'o');
    flick_cdr_encode_char8(12, 'l');
    flick_cdr_encode_char8(13, 'e');
    flick_cdr_encode_char8(14, 'a');
    flick_cdr_encode_char8(15, 'n');
    flick_cdr_encode_char8(16, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(20, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(24, a1);
    flick_cdr_encode_unsigned8(25, *a3);
    flick_iiop_encode_end_chunk(26);
    flick_iiop_encode_end_glob(26);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, _return);
            flick_cdr_swap_decode_unsigned8(1, *a2);
            flick_cdr_swap_decode_unsigned8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *a2);
            flick_cdr_decode_unsigned8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char test1_test_char(test1 _obj, CORBA_char a1, CORBA_char *a2, CORBA_char *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(22);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 10);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'c');
    flick_cdr_encode_char8(10, 'h');
    flick_cdr_encode_char8(11, 'a');
    flick_cdr_encode_char8(12, 'r');
    flick_cdr_encode_char8(13, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(20, a1);
    flick_cdr_encode_char8(21, *a3);
    flick_iiop_encode_end_chunk(22);
    flick_iiop_encode_end_glob(22);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_char8(0, _return);
            flick_cdr_swap_decode_char8(1, *a2);
            flick_cdr_swap_decode_char8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_char8(0, _return);
            flick_cdr_decode_char8(1, *a2);
            flick_cdr_decode_char8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_octet test1_test_octet(test1 _obj, CORBA_octet a1, CORBA_octet *a2, CORBA_octet *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(22);
    flick_iiop_encode_new_chunk(22);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'o');
    flick_cdr_encode_char8(10, 'c');
    flick_cdr_encode_char8(11, 't');
    flick_cdr_encode_char8(12, 'e');
    flick_cdr_encode_char8(13, 't');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(20, a1);
    flick_cdr_encode_unsigned8(21, *a3);
    flick_iiop_encode_end_chunk(22);
    flick_iiop_encode_end_glob(22);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_swap_decode_unsigned8(0, _return);
            flick_cdr_swap_decode_unsigned8(1, *a2);
            flick_cdr_swap_decode_unsigned8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(7);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *a2);
            flick_cdr_decode_unsigned8(2, *a3);
            flick_iiop_decode_end_chunk(3);
            flick_iiop_decode_end_glob(7);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(7);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(7);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_char *test1_test_string(test1 _obj, CORBA_char *a1, CORBA_char **a2, CORBA_char **a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 's');
    flick_cdr_encode_char8(10, 't');
    flick_cdr_encode_char8(11, 'r');
    flick_cdr_encode_char8(12, 'i');
    flick_cdr_encode_char8(13, 'n');
    flick_cdr_encode_char8(14, 'g');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_longstring(a1, null_flick_free, iiop);
    flick_cdr_encode_longstring(*a3, CORBA_flick_free, iiop);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*a2, CORBA_flick_alloc, iiop);
            flick_cdr_swap_decode_longstring(*a3, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_longstring(_return, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*a2, CORBA_flick_alloc, iiop);
            flick_cdr_decode_longstring(*a3, CORBA_flick_alloc, iiop);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_Object test1_test_Object(test1 _obj, CORBA_Object a1, CORBA_Object *a2, CORBA_Object *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_Object _return;

  memset(&_return, 0, sizeof(CORBA_Object ));
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 'O');
    flick_cdr_encode_char8(10, 'b');
    flick_cdr_encode_char8(11, 'j');
    flick_cdr_encode_char8(12, 'e');
    flick_cdr_encode_char8(13, 'c');
    flick_cdr_encode_char8(14, 't');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_IOR(iiop, a1, 0);
    flick_cdr_encode_IOR(iiop, *a3, 0);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_IOR(iiop, _return, 1);
            flick_cdr_swap_decode_IOR(iiop, *a2, 1);
            flick_cdr_swap_decode_IOR(iiop, *a3, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(4);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_IOR(iiop, _return, 1);
            flick_cdr_decode_IOR(iiop, *a2, 1);
            flick_cdr_decode_IOR(iiop, *a3, 1);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(4);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void test1_test_throw(test1 _obj, CORBA_long case_num, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 11);
    flick_cdr_encode_char8(4, 't');
    flick_cdr_encode_char8(5, 'e');
    flick_cdr_encode_char8(6, 's');
    flick_cdr_encode_char8(7, 't');
    flick_cdr_encode_char8(8, '_');
    flick_cdr_encode_char8(9, 't');
    flick_cdr_encode_char8(10, 'h');
    flick_cdr_encode_char8(11, 'r');
    flick_cdr_encode_char8(12, 'o');
    flick_cdr_encode_char8(13, 'w');
    flick_cdr_encode_char8(14, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(20, case_num);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(32);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(32);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            unsigned int _t56_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t56_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t56_switch_tag)
              {
              case (unsigned int) 17:
                {
                  unsigned int _t57_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t57_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t58_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t58_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t58_switch_tag)
                          {
                          case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                            {
                              unsigned int _t59_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t59_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t59_switch_tag)
                                {
                                case /* 1/x1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                  {
                                    unsigned int _t60_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t60_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t60_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t61_switch_tag;

                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t61_switch_tag);
                                          flick_iiop_decode_end_chunk(1);
                                          switch ((char )_t61_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x1:1.0";
                                                (test1_x1 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x1 ));
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_swap_decode_signed32(3, ((test1_x1 *)(_ev->_value._user_except))->case_num);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                case /* 1/x2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                  {
                                    unsigned int _t62_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t62_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t62_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t63_switch_tag;

                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _t63_switch_tag);
                                          flick_iiop_decode_end_chunk(1);
                                          switch ((char )_t63_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x2:1.0";
                                                (test1_x2 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x2 ));
                                                flick_iiop_decode_end_glob(32);
                                                flick_cdr_swap_decode_IOR(iiop, ((test1_x2 *)(_ev->_value._user_except))->obj, 1);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_swap_decode_signed32(0, ((test1_x2 *)(_ev->_value._user_except))->value);
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                          flick_iiop_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                                    flick_iiop_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                              flick_iiop_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                        flick_iiop_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr_swap, iiop);
                  flick_iiop_decode_end_glob(32);
                  break;
                }
              }
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(32);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(32);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(32);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            unsigned int _t24_switch_tag;

            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t24_switch_tag);
            flick_iiop_decode_end_chunk(4);
            switch ((unsigned int )_t24_switch_tag)
              {
              case (unsigned int) 17:
                {
                  unsigned int _t25_switch_tag;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t25_switch_tag);
                  flick_iiop_decode_end_chunk(4);
                  switch ((unsigned int )_t25_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t26_switch_tag;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_switch_tag);
                        flick_iiop_decode_end_chunk(4);
                        switch ((unsigned int )_t26_switch_tag)
                          {
                          case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                            {
                              unsigned int _t27_switch_tag;

                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t27_switch_tag);
                              flick_iiop_decode_end_chunk(4);
                              switch ((unsigned int )_t27_switch_tag)
                                {
                                case /* 1/x1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                  {
                                    unsigned int _t28_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t28_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t28_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t29_switch_tag;

                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t29_switch_tag);
                                          flick_iiop_decode_end_chunk(1);
                                          switch ((char )_t29_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x1:1.0";
                                                (test1_x1 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x1 ));
                                                flick_iiop_decode_new_chunk(7);
                                                flick_cdr_decode_signed32(3, ((test1_x1 *)(_ev->_value._user_except))->case_num);
                                                flick_iiop_decode_end_chunk(7);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                case /* 1/x2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                  {
                                    unsigned int _t30_switch_tag;

                                    flick_iiop_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t30_switch_tag);
                                    flick_iiop_decode_end_chunk(4);
                                    switch ((unsigned int )_t30_switch_tag)
                                      {
                                      case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          char _t31_switch_tag;

                                          flick_iiop_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _t31_switch_tag);
                                          flick_iiop_decode_end_chunk(1);
                                          switch ((char )_t31_switch_tag)
                                            {
                                            case 0:
                                              {
                                                _ev->_id = "IDL:test1/x2:1.0";
                                                (test1_x2 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x2 ));
                                                flick_iiop_decode_end_glob(32);
                                                flick_cdr_decode_IOR(iiop, ((test1_x2 *)(_ev->_value._user_except))->obj, 1);
                                                flick_iiop_decode_new_glob(7);
                                                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_cdr_decode_signed32(0, ((test1_x2 *)(_ev->_value._user_except))->value);
                                                flick_iiop_decode_end_chunk(4);
                                                flick_iiop_decode_end_glob(7);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                                flick_iiop_decode_end_glob(32);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                          flick_iiop_decode_end_glob(32);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                                    flick_iiop_decode_end_glob(32);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                              flick_iiop_decode_end_glob(32);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                        flick_iiop_decode_end_glob(32);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, cdr, iiop);
                  flick_iiop_decode_end_glob(32);
                  break;
                }
              }
          }
        }
    }
  }
  flick_iiop_client_end_decode();
}

void test1_please_exit(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 12);
    flick_cdr_encode_char8(4, 'p');
    flick_cdr_encode_char8(5, 'l');
    flick_cdr_encode_char8(6, 'e');
    flick_cdr_encode_char8(7, 'a');
    flick_cdr_encode_char8(8, 's');
    flick_cdr_encode_char8(9, 'e');
    flick_cdr_encode_char8(10, '_');
    flick_cdr_encode_char8(11, 'e');
    flick_cdr_encode_char8(12, 'x');
    flick_cdr_encode_char8(13, 'i');
    flick_cdr_encode_char8(14, 't');
    flick_cdr_encode_char8(15, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(16, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(0);
  if (!flick_client_send_request(_obj, _obj->boa->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
}

