#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550001;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_signed32(0, inInt);
    flick_mach3mig_encode_signed32(8, *inoutInt);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    _t1_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 5550101:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(16);
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_signed32(0, *inoutInt);
                flick_mach3mig_decode_signed32(8, *outInt);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  char _global_buf_start[840];
  void *_buf_end = (void *)&(_global_buf_start[840]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t4_internal;
    unsigned *_t5_internal;

    flick_mach3mig_encode_new_glob(808);
    _buf_start->Head.msgh_id = 5550002;
    /* Begin encode phase on parameters */
    _t4_internal = (unsigned *)(&(inStruct));
    flick_mach3mig_array_encode_new_chunk(808);
    flick_mach3mig_array_encode_signed32_type(0, 100, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t4_internal, 400);
    _t5_internal = (unsigned *)(&(*inoutStruct));
    flick_mach3mig_array_encode_signed32_type(404, 100, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(408, _t5_internal, 400);
    flick_mach3mig_encode_end_chunk(808);
    flick_mach3mig_encode_end_glob(808);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t15_switch_tag;

    _t15_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t15_switch_tag)
      {
      case (signed int) 5550102:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t20_internal;
                unsigned int _t21_array_length;
                unsigned *_t22_internal;
                unsigned int _t23_array_length;

                /* Begin decode phase on parameters */
                _t20_internal = (unsigned *)(&(*inoutStruct));
                flick_mach3mig_array_decode_new_glob(808);
                flick_mach3mig_array_decode_new_chunk(808);
                _t21_array_length = 100;
                flick_mach3mig_array_decode_signed32_type(0, _t21_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t20_internal, 400);
                _t22_internal = (unsigned *)(&(*outStruct));
                _t23_array_length = 100;
                flick_mach3mig_array_decode_signed32_type(404, _t23_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(408, _t22_internal, 400);
                flick_mach3mig_decode_end_chunk(808);
                flick_mach3mig_decode_end_glob(808);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  char _global_buf_start[2440];
  void *_buf_end = (void *)&(_global_buf_start[2440]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned *_t26_internal;
    unsigned *_t27_internal;

    flick_mach3mig_encode_new_glob(2408);
    _buf_start->Head.msgh_id = 5550003;
    /* Begin encode phase on parameters */
    _t26_internal = (unsigned *)inArray;
    flick_mach3mig_array_encode_new_chunk(2408);
    flick_mach3mig_array_encode_signed32_type(0, 300, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t26_internal, 1200);
    _t27_internal = (unsigned *)inoutArray;
    flick_mach3mig_array_encode_signed32_type(1204, 300, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(1208, _t27_internal, 1200);
    flick_mach3mig_encode_end_chunk(2408);
    flick_mach3mig_encode_end_glob(2408);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t37_switch_tag;

    _t37_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t37_switch_tag)
      {
      case (signed int) 5550103:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned *_t42_internal;
                unsigned int _t43_array_length;
                unsigned *_t44_internal;
                unsigned int _t45_array_length;

                /* Begin decode phase on parameters */
                _t42_internal = (unsigned *)inoutArray;
                flick_mach3mig_array_decode_new_glob(2408);
                flick_mach3mig_array_decode_new_chunk(2408);
                _t43_array_length = 300;
                flick_mach3mig_array_decode_signed32_type(0, _t43_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t42_internal, 1200);
                _t44_internal = (unsigned *)outArray;
                _t45_array_length = 300;
                flick_mach3mig_array_decode_signed32_type(1204, _t45_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(1208, _t44_internal, 1200);
                flick_mach3mig_decode_end_chunk(2408);
                flick_mach3mig_decode_end_glob(2408);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[2036];
  void *_buf_end = (void *)&(_global_buf_start[2036]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(2004);
    _buf_start->Head.msgh_id = 5550004;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(4 + 4 * inArrayCnt);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 1, 0, _type);
    if (inArrayCnt > (unsigned int) 500)
      flick_mig_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
    flick_mach3mig_array_encode_bcopy(4, inArray, 4 * inArrayCnt);
    flick_mach3mig_array_encode_end_chunk(4 + 4 * inArrayCnt);
    flick_mach3mig_encode_end_glob(2004);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t47_switch_tag;

    _t47_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t47_switch_tag)
      {
      case (signed int) 5550104:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(2004);
                flick_mach3mig_array_decode_new_chunk(4);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, 1, 0, _type);
                if (*outArrayCnt > (unsigned int) 500)
                  flick_mig_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                flick_mach3mig_array_decode_end_chunk(4);
                flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                flick_mach3mig_array_decode_bcopy(0, outArray, 4 * *outArrayCnt);
                flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                flick_mach3mig_decode_end_glob(2004);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t49_ool_check;

    _buf_start->Head.msgh_id = 5550005;
    /* Begin encode phase on parameters */
    _t49_ool_check = inArrayCnt > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, !_t49_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t49_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inArray);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inArrayCnt);
        flick_mach3mig_array_encode_new_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_bcopy(0, inArray, 4 * inArrayCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_end_glob(4 * inArrayCnt);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t53_switch_tag;

    _t53_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t53_switch_tag)
      {
      case (signed int) 5550105:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t55_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_signed32_type(0, *outArrayCnt, !_t55_ool_check, 0, _long_type);
                _t55_ool_check = *outArrayCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t55_ool_check)
                  {
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outArray);
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outArrayCnt);
                    flick_mach3mig_array_decode_new_chunk(4 * *outArrayCnt);
                    *outArray = mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned ));
                    flick_mach3mig_array_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outArrayCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outArrayCnt);
                  }
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  char _global_buf_start[1640];
  void *_buf_end = (void *)&(_global_buf_start[1640]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    char *_t58_internal;
    char *_t59_internal;

    flick_mach3mig_encode_new_glob(1608);
    _buf_start->Head.msgh_id = 5550006;
    /* Begin encode phase on parameters */
    _t58_internal = (char *)inString;
    flick_mach3mig_array_encode_new_chunk(1608);
    flick_mach3mig_array_encode_string_c_type(0, 799, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(4, _t58_internal, 799);
    _t59_internal = (char *)inoutString;
    flick_mach3mig_array_encode_string_c_type(804, 799, 1, 0, _type);
    flick_mach3mig_array_encode_bcopy(808, _t59_internal, 799);
    flick_mach3mig_encode_end_chunk(1608);
    flick_mach3mig_encode_end_glob(1608);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t69_switch_tag;

    _t69_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t69_switch_tag)
      {
      case (signed int) 5550106:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                char *_t74_internal;
                unsigned int _t75_array_length;
                char *_t76_internal;
                unsigned int _t77_array_length;

                /* Begin decode phase on parameters */
                _t74_internal = (char *)inoutString;
                flick_mach3mig_array_decode_new_glob(1608);
                flick_mach3mig_array_decode_new_chunk(1608);
                _t75_array_length = 799;
                flick_mach3mig_array_decode_string_c_type(0, _t75_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(4, _t74_internal, 799);
                _t76_internal = (char *)outString;
                _t77_array_length = 799;
                flick_mach3mig_array_decode_string_c_type(804, _t77_array_length, 1, 0, _type);
                flick_mach3mig_array_decode_bcopy(808, _t76_internal, 799);
                flick_mach3mig_decode_end_chunk(1608);
                flick_mach3mig_decode_end_glob(1608);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  char _global_buf_start[5045];
  void *_buf_end = (void *)&(_global_buf_start[5045]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    _buf_start->Head.msgh_id = 5550007;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_alloced_string(inString, mach3mig, 4997);
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t79_switch_tag;

    _t79_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t79_switch_tag)
      {
      case (signed int) 5550107:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_alloced_string(outString, mach3mig, 4997);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_new_glob(3);
    flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_decode_end_chunk(0);
    flick_mach3mig_decode_end_glob(3);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550008;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(16);
    flick_mach3mig_encode_port32(0, inRight, 1, MACH_MSG_TYPE_MOVE_RECEIVE);
    flick_mach3mig_encode_port32(8, *inoutRight, 1, MACH_MSG_TYPE_COPY_SEND);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t81_switch_tag;

    _t81_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t81_switch_tag)
      {
      case (signed int) 5550108:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(16);
                flick_mach3mig_decode_new_chunk(16);
                flick_mach3mig_decode_port32(0, *inoutRight, 1, MACH_MSG_TYPE_PORT_SEND);
                flick_mach3mig_decode_port32(8, *outRight, 1, MACH_MSG_TYPE_PORT_RECEIVE);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t83_ool_check;

    _buf_start->Head.msgh_id = 5550009;
    /* Begin encode phase on parameters */
    _t83_ool_check = inRightCnt > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MOVE_RECEIVE, inRightCnt, !_t83_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t83_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inRight);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inRightCnt);
        flick_mach3mig_array_encode_new_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_bcopy(0, inRight, 4 * inRightCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_end_glob(4 * inRightCnt);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t87_switch_tag;

    _t87_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t87_switch_tag)
      {
      case (signed int) 5550109:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t89_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_RECEIVE, *outRightCnt, !_t89_ool_check, 0, _long_type);
                _t89_ool_check = *outRightCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t89_ool_check)
                  {
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outRight);
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outRightCnt);
                    flick_mach3mig_array_decode_new_chunk(4 * *outRightCnt);
                    *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
                    flick_mach3mig_array_decode_bcopy(0, *outRight, 4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outRightCnt);
                  }
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t91_ool_check;

    _buf_start->Head.msgh_id = 5550010;
    /* Begin encode phase on parameters */
    _t91_ool_check = inRightCnt > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_COPY_SEND, inRightCnt, !_t91_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t91_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inRight);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inRightCnt);
        flick_mach3mig_array_encode_new_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_bcopy(0, inRight, 4 * inRightCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inRightCnt);
        flick_mach3mig_array_encode_end_glob(4 * inRightCnt);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t95_switch_tag;

    _t95_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t95_switch_tag)
      {
      case (signed int) 5550110:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                int _t97_ool_check;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(12);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_NAME, *outRightCnt, !_t97_ool_check, 0, _long_type);
                _t97_ool_check = *outRightCnt > 512;
                flick_mach3mig_array_decode_end_chunk(12);
                if (_t97_ool_check)
                  {
                    flick_mach3mig_array_decode_new_chunk(4);
                    flick_mach3mig_array_decode_unsigned32(0, *outRight);
                    flick_mach3mig_array_decode_end_chunk(4);
                    flick_mach3mig_array_decode_end_glob(16);
                  }
                else
                  {
                    flick_mach3mig_array_decode_end_glob(16);
                    flick_mach3mig_array_decode_new_glob(4 * *outRightCnt);
                    flick_mach3mig_array_decode_new_chunk(4 * *outRightCnt);
                    *outRight = mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t ));
                    flick_mach3mig_array_decode_bcopy(0, *outRight, 4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_chunk(4 * *outRightCnt);
                    flick_mach3mig_array_decode_end_glob(4 * *outRightCnt);
                  }
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550012;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inInt);
    flick_mach3mig_array_encode_signed32_type(8, 1, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutInt);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t103_switch_tag;

    _t103_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t103_switch_tag)
      {
      case (signed int) 5550112:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned int _t106_array_length;
                unsigned int _t107_array_length;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(16);
                _t106_array_length = 1;
                flick_mach3mig_array_decode_signed32_type(0, _t106_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutInt);
                _t107_array_length = 1;
                flick_mach3mig_array_decode_signed32_type(8, _t107_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outInt);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550013;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 200, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inStruct);
    flick_mach3mig_array_encode_signed32_type(8, 1 * 200, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutStruct);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t113_switch_tag;

    _t113_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t113_switch_tag)
      {
      case (signed int) 5550113:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned int _t116_array_length;
                unsigned int _t117_array_length;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(16);
                _t116_array_length = 1 * 200;
                flick_mach3mig_array_decode_signed32_type(0, _t116_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutStruct);
                _t117_array_length = 1 * 200;
                flick_mach3mig_array_decode_signed32_type(8, _t117_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outStruct);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550014;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_signed32_type(0, 1 * 400, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inArray);
    flick_mach3mig_array_encode_signed32_type(8, 1 * 400, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutArray);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t123_switch_tag;

    _t123_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t123_switch_tag)
      {
      case (signed int) 5550114:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned int _t126_array_length;
                unsigned int _t127_array_length;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(16);
                _t126_array_length = 1 * 400;
                flick_mach3mig_array_decode_signed32_type(0, _t126_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutArray);
                _t127_array_length = 1 * 400;
                flick_mach3mig_array_decode_signed32_type(8, _t127_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outArray);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[64];
  void *_buf_end = (void *)&(_global_buf_start[64]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _buf_start->Head.msgh_id = 5550015;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inArray);
    flick_mach3mig_array_encode_signed32_type(16, *inoutArrayCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutArray);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t129_switch_tag;

    _t129_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t129_switch_tag)
      {
      case (signed int) 5550115:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(32);
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_signed32_type(0, *inoutArrayCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutArray);
                flick_mach3mig_array_decode_signed32_type(16, *outArrayCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outArray);
                flick_mach3mig_decode_end_chunk(32);
                flick_mach3mig_decode_end_glob(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  char _global_buf_start[48];
  void *_buf_end = (void *)&(_global_buf_start[48]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _buf_start->Head.msgh_id = 5550016;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(16);
    flick_mach3mig_array_encode_string_c_type(0, 1 * 800, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(4, inString);
    flick_mach3mig_array_encode_string_c_type(8, 1 * 800, 0, 0, _type);
    flick_mach3mig_array_encode_unsigned32(12, *inoutString);
    flick_mach3mig_encode_end_chunk(16);
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t135_switch_tag;

    _t135_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t135_switch_tag)
      {
      case (signed int) 5550116:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                unsigned int _t138_array_length;
                unsigned int _t139_array_length;

                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(16);
                flick_mach3mig_array_decode_new_chunk(16);
                _t138_array_length = 1 * 800;
                flick_mach3mig_array_decode_string_c_type(0, _t138_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(4, *inoutString);
                _t139_array_length = 1 * 800;
                flick_mach3mig_array_decode_string_c_type(8, _t139_array_length, 0, 0, _type);
                flick_mach3mig_array_decode_unsigned32(12, *outString);
                flick_mach3mig_decode_end_chunk(16);
                flick_mach3mig_decode_end_glob(16);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  char _global_buf_start[64];
  void *_buf_end = (void *)&(_global_buf_start[64]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _buf_start->Head.msgh_id = 5550017;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_MAKE_SEND, inRightCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inRight);
    flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_MAKE_SEND, *inoutRightCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutRight);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t141_switch_tag;

    _t141_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t141_switch_tag)
      {
      case (signed int) 5550117:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(32);
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_SEND, *inoutRightCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutRight);
                flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_SEND, *outRightCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outRight);
                flick_mach3mig_decode_end_chunk(32);
                flick_mach3mig_decode_end_glob(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  char _global_buf_start[64];
  void *_buf_end = (void *)&(_global_buf_start[64]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _buf_start->Head.msgh_id = 5550018;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_port32_type(0, MACH_MSG_TYPE_COPY_SEND, inRightCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inRight);
    flick_mach3mig_array_encode_port32_type(16, MACH_MSG_TYPE_COPY_SEND, *inoutRightCnt, 0, 0, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutRight);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t143_switch_tag;

    _t143_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t143_switch_tag)
      {
      case (signed int) 5550118:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(32);
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_port32_type(0, MACH_MSG_TYPE_PORT_NAME, *inoutRightCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutRight);
                flick_mach3mig_array_decode_port32_type(16, MACH_MSG_TYPE_PORT_NAME, *outRightCnt, 0, 0, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outRight);
                flick_mach3mig_decode_end_chunk(32);
                flick_mach3mig_decode_end_glob(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_client(reply, 0, 0, mach3mig);
  }
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 5550020;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t145_switch_tag;

    _t145_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t145_switch_tag)
      {
      case (signed int) 5550120:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 5550021;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t147_switch_tag;

    _t147_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t147_switch_tag)
      {
      case (signed int) 5550121:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_client(reply, 0, 0, mach3mig);
  }
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 5550022;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t149_switch_tag;

    _t149_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t149_switch_tag)
      {
      case (signed int) 5550122:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 5550023;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, *data);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_RCV_TIMEOUT | opt, time);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t151_switch_tag;

    _t151_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t151_switch_tag)
      {
      case (signed int) 5550123:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *data);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  char _global_buf_start[64];
  void *_buf_end = (void *)&(_global_buf_start[64]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(32);
    _buf_start->Head.msgh_id = 5550024;
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_new_chunk(32);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, 0, 1, _long_type);
    flick_mach3mig_array_encode_unsigned32(12, inArray);
    flick_mach3mig_array_encode_signed32_type(16, *inoutArrayCnt, 0, 1, _long_type);
    flick_mach3mig_array_encode_unsigned32(28, *inoutArray);
    flick_mach3mig_encode_end_chunk(32);
    flick_mach3mig_encode_end_glob(32);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t153_switch_tag;

    _t153_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t153_switch_tag)
      {
      case (signed int) 5550124:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_array_decode_new_glob(32);
                flick_mach3mig_array_decode_new_chunk(32);
                flick_mach3mig_array_decode_signed32_type(0, *inoutArrayCnt, 0, 1, _long_type);
                flick_mach3mig_array_decode_unsigned32(12, *inoutArray);
                flick_mach3mig_array_decode_signed32_type(16, *outArrayCnt, 0, 1, _long_type);
                flick_mach3mig_array_decode_unsigned32(28, *outArray);
                flick_mach3mig_decode_end_chunk(32);
                flick_mach3mig_decode_end_glob(32);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t155_ool_check;

    _buf_start->Head.msgh_id = 5550025;
    /* Begin encode phase on parameters */
    _t155_ool_check = inArrayCnt > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, inArrayCnt, !_t155_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t155_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, inArray);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * inArrayCnt);
        flick_mach3mig_array_encode_new_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_bcopy(0, inArray, 4 * inArrayCnt);
        flick_mach3mig_array_encode_end_chunk(4 * inArrayCnt);
        flick_mach3mig_array_encode_end_glob(4 * inArrayCnt);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t157_switch_tag;

    _t157_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t157_switch_tag)
      {
      case (signed int) 5550125:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_boolean(0, *scopy);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  char _global_buf_start[32];
  void *_buf_end = (void *)&(_global_buf_start[32]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(MACH_PORT_NULL, 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(0);
    _buf_start->Head.msgh_id = 5550026;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_glob(0);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_send(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  return _return;
}

