#include "arrayez_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	reg_success = flick_server_register(s, &arrays_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(32);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, *_data, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(32);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 8; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, *_data, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 256; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(1024);
  flick_xdr_encode_bcopy(0, *_data, 1024);
  flick_suntcp_encode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(1024);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 256; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(1024);
  flick_xdr_decode_bcopy(0, *_data, 1024);
  flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t4_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 8192; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t4_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32768);
  flick_xdr_encode_bcopy(0, *_data, 32768);
  flick_suntcp_encode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(32768);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned16_t _t5_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 8192; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32768);
  flick_xdr_decode_bcopy(0, *_data, 32768);
  flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(32768);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t43_switch_tag;

    flick_suntcp_decode_new_glob(1076);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t43_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t43_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t44_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t44_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t44_switch_tag)
            {
            case 't':
              {
                char _t45_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t45_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t45_switch_tag)
                  {
                  case 'e':
                    {
                      char _t46_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t46_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t46_switch_tag)
                        {
                        case 's':
                          {
                            char _t47_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t47_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t47_switch_tag)
                              {
                              case 't':
                                {
                                  char _t48_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t48_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t48_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t49_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t49_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t49_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                arrays _obj;
                                                CORBA_long *_local_a;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                unsigned int _t50_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                CORBA_long _t52_storage[8];
                                                flick_unsigned8_t _t53_array_iter;
#endif /* ENDIANness */
                                                CORBA_Environment _t54_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(16);
                                                flick_xdr_decode_unsigned32(0, _t50_ignore);
                                                flick_xdr_decode_unsigned32(4, _t50_ignore);
                                                flick_xdr_decode_unsigned32(8, _t50_ignore);
                                                flick_xdr_decode_unsigned32(12, _t50_ignore);
                                                flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                _local_a = _t52_storage;
                                                for (_t53_array_iter = 0; _t53_array_iter < 8; _t53_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_signed32(0, _local_a[_t53_array_iter]);
                                                    flick_suntcp_decode_end_chunk(4);
                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                flick_suntcp_decode_new_chunk(32);
                                                flick_xdr_decode_msgptr(0, _local_a);
                                                flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                                                _ev = &_t54_storage;
                                                flick_suntcp_decode_end_glob(1076);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = arrays_test8(_obj, _local_a, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(8);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      flick_suntcp_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t55_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t55_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t55_switch_tag)
            {
            case 't':
              {
                char _t56_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t56_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t56_switch_tag)
                  {
                  case 'e':
                    {
                      char _t57_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t57_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t57_switch_tag)
                        {
                        case 's':
                          {
                            char _t58_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t58_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t58_switch_tag)
                              {
                              case 't':
                                {
                                  char _t59_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t59_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t59_switch_tag)
                                    {
                                    case '2':
                                      {
                                        char _t60_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t60_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t60_switch_tag)
                                          {
                                          case '5':
                                            {
                                              char _t61_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t61_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t61_switch_tag)
                                                {
                                                case '6':
                                                  {
                                                    char _t62_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t62_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t62_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            arrays _obj;
                                                            CORBA_long *_local_a;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t63_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                            CORBA_long _t65_storage[256];
                                                            flick_unsigned16_t _t66_array_iter;
#endif /* ENDIANness */
                                                            CORBA_Environment _t67_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t63_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t63_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t63_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t63_ignore);
                                                            flick_suntcp_decode_end_chunk(16);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_a = _t65_storage;
                                                            for (_t66_array_iter = 0; _t66_array_iter < 256; _t66_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_a[_t66_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(1024);
                                                            flick_xdr_decode_msgptr(0, _local_a);
                                                            flick_suntcp_decode_end_chunk(1024);
#endif /* ENDIANness */
                                                            _ev = &_t67_storage;
                                                            flick_suntcp_decode_end_glob(1076);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = arrays_test256(_obj, _local_a, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(1076);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          char _t68_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t68_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t68_switch_tag)
            {
            case 't':
              {
                char _t69_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t69_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t69_switch_tag)
                  {
                  case 'e':
                    {
                      char _t70_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t70_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t70_switch_tag)
                        {
                        case 's':
                          {
                            char _t71_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t71_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t71_switch_tag)
                              {
                              case 't':
                                {
                                  char _t72_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t72_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t72_switch_tag)
                                    {
                                    case '8':
                                      {
                                        char _t73_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t73_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t73_switch_tag)
                                          {
                                          case 'k':
                                            {
                                              char _t74_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t74_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t74_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      arrays _obj;
                                                      CORBA_long *_local_a;
                                                      CORBA_Environment *_ev;
                                                      CORBA_long _return = 0;
                                                      unsigned int _t75_ignore;
#if BYTE_ORDER != BIG_ENDIAN
                                                      CORBA_long _t77_storage[8192];
                                                      flick_unsigned16_t _t78_array_iter;
#endif /* ENDIANness */
                                                      CORBA_Environment _t79_storage;

                                                      {
                                                        flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                      }
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(16);
                                                      flick_xdr_decode_unsigned32(0, _t75_ignore);
                                                      flick_xdr_decode_unsigned32(4, _t75_ignore);
                                                      flick_xdr_decode_unsigned32(8, _t75_ignore);
                                                      flick_xdr_decode_unsigned32(12, _t75_ignore);
                                                      flick_suntcp_decode_end_chunk(16);
                                                      flick_suntcp_decode_end_glob(1076);
                                                      flick_suntcp_decode_new_glob(32768);
#if BYTE_ORDER != BIG_ENDIAN
                                                      _local_a = _t77_storage;
                                                      for (_t78_array_iter = 0; _t78_array_iter < 8192; _t78_array_iter++)
                                                        {
                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_signed32(0, _local_a[_t78_array_iter]);
                                                          flick_suntcp_decode_end_chunk(4);
                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                      flick_suntcp_decode_new_chunk(32768);
                                                      flick_xdr_decode_msgptr(0, _local_a);
                                                      flick_suntcp_decode_end_chunk(32768);
#endif /* ENDIANness */
                                                      flick_suntcp_decode_end_glob(32768);
                                                      _ev = &_t79_storage;
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = arrays_test8k(_obj, _local_a, _ev);
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                      }
                                                      flick_suntcp_encode_new_glob(8);
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _ev->_major);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _return);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            flick_suntcp_encode_end_glob(8);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_suntcp_encode_end_glob(8);
                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                            flick_suntcp_encode_end_glob(8);
                                                          }
                                                        }
                                                      flick_suntcp_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(1076);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(1076);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(1076);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(1076);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(1076);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(1076);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(1076);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(1076);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
