#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	reg_success = flick_server_register(s, &arrays_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_end(flick_marshal_stream_t _stream, const struct end *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1);
  flick_xdr_encode_char8(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1);
  flick_xdr_decode_char8(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const struct begin *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1);
  flick_xdr_encode_signed32(4, _data->elem2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1);
  flick_xdr_decode_signed32(4, _data->elem2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(212);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
}

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(212);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
}

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t4_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(208);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t4_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
}

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t5_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(208);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
}

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const struct cLCd *_data)
{
  flick_unsigned8_t _t6_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t6_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t6_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned8_t _t7_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t7_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t7_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const struct dLCc *_data)
{
  flick_unsigned8_t _t8_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t8_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t8_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned8_t _t9_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t9_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t9_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const struct sLCs *_data)
{
  flick_unsigned8_t _t10_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t10_array_iter].elem1);
      flick_xdr_encode_char8(4, _data->data[_t10_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter].elem1);
      flick_xdr_decode_char8(4, _data->data[_t11_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const struct cCLd *_data)
{
  flick_unsigned8_t _t12_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t12_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t12_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned8_t _t13_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t13_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t13_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const struct dCLc *_data)
{
  flick_unsigned8_t _t14_array_iter;

  flick_suntcp_encode_new_glob(412);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first);
  flick_suntcp_encode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t14_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t14_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
}

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned8_t _t15_array_iter;

  flick_suntcp_decode_new_glob(412);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first);
  flick_suntcp_decode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t15_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t15_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
}

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const struct sCLs *_data)
{
  flick_unsigned8_t _t16_array_iter;

  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first);
  flick_suntcp_encode_end_chunk(4);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t16_array_iter].elem1);
      flick_xdr_encode_signed32(4, _data->data[_t16_array_iter].elem2);
      flick_suntcp_encode_end_chunk(8);
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
}

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned8_t _t17_array_iter;

  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first);
  flick_suntcp_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t17_array_iter].elem1);
      flick_xdr_decode_signed32(4, _data->data[_t17_array_iter].elem2);
      flick_suntcp_decode_end_chunk(8);
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t178_switch_tag;

    flick_suntcp_decode_new_glob(884);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t178_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t178_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t179_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t179_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t179_switch_tag)
            {
            case 't':
              {
                char _t180_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t180_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t180_switch_tag)
                  {
                  case 'e':
                    {
                      char _t181_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t181_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t181_switch_tag)
                        {
                        case 's':
                          {
                            char _t182_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t182_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t182_switch_tag)
                              {
                              case 't':
                                {
                                  char _t183_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t183_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t183_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t184_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t184_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t184_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t185_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t185_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t185_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t186_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t186_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t186_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t187_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t187_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t187_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd *_local_iop;
                                                                  struct cLd *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct cLd _return;
                                                                  unsigned int _t188_ignore;
                                                                  struct cLd _t189_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t190_array_iter;
#endif /* ENDIANness */
                                                                  struct cLd _t191_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t192_array_iter;
#endif /* ENDIANness */
                                                                  struct cLd _t193_storage;
                                                                  CORBA_Environment _t194_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t188_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t188_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t188_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t188_ignore);
                                                                  _local_inp = &_t189_storage;
                                                                  flick_xdr_decode_char8(16, _local_inp->first);
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t190_array_iter = 0; _t190_array_iter < 50; _t190_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t190_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_float64(0, _local_inp->last);
                                                                  _local_iop = &_t191_storage;
                                                                  flick_xdr_decode_char8(8, _local_iop->first);
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t192_array_iter = 0; _t192_array_iter < 50; _t192_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t192_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_float64(0, _local_iop->last);
                                                                  _local_outp = &_t193_storage;
                                                                  _ev = &_t194_storage;
                                                                  flick_suntcp_decode_end_chunk(8);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t198_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t199_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t200_array_iter;
#endif /* ENDIANness */

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t198_array_iter = 0; _t198_array_iter < 50; _t198_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t198_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _return.last);
                                                                        flick_xdr_encode_char8(8, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t199_array_iter = 0; _t199_array_iter < 50; _t199_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t199_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_float64(0, _local_iop->last);
                                                                        flick_xdr_encode_char8(8, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t200_array_iter = 0; _t200_array_iter < 50; _t200_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t200_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(8);
                                                                        flick_suntcp_encode_end_glob(640);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(640);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(640);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t201_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t201_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t201_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t202_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t202_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t202_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t203_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t203_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t203_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc *_local_iop;
                                                                  struct dLc *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct dLc _return;
                                                                  unsigned int _t204_ignore;
                                                                  struct dLc _t205_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t206_array_iter;
#endif /* ENDIANness */
                                                                  struct dLc _t207_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t208_array_iter;
#endif /* ENDIANness */
                                                                  struct dLc _t209_storage;
                                                                  CORBA_Environment _t210_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t204_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t204_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t204_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t204_ignore);
                                                                  _local_inp = &_t205_storage;
                                                                  flick_xdr_decode_float64(16, _local_inp->first);
                                                                  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t206_array_iter = 0; _t206_array_iter < 50; _t206_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t206_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_char8(0, _local_inp->last);
                                                                  _local_iop = &_t207_storage;
                                                                  flick_xdr_decode_float64(4, _local_iop->first);
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t208_array_iter = 0; _t208_array_iter < 50; _t208_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t208_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _local_iop->last);
                                                                  _local_outp = &_t209_storage;
                                                                  _ev = &_t210_storage;
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(640);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t214_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t215_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t216_array_iter;
#endif /* ENDIANness */

                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_float64(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t214_array_iter = 0; _t214_array_iter < 50; _t214_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t214_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _return.last);
                                                                        flick_xdr_encode_float64(4, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t215_array_iter = 0; _t215_array_iter < 50; _t215_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t215_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(12);
                                                                        flick_xdr_encode_char8(0, _local_iop->last);
                                                                        flick_xdr_encode_float64(4, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t216_array_iter = 0; _t216_array_iter < 50; _t216_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t216_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_char8(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(640);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(640);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(640);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t217_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t217_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t217_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t218_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t218_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t218_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t219_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t219_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t219_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs *_local_iop;
                                                                  struct sLs *_local_outp;
                                                                  CORBA_Environment *_ev;
                                                                  struct sLs _return;
                                                                  unsigned int _t220_ignore;
                                                                  struct sLs _t221_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t222_array_iter;
#endif /* ENDIANness */
                                                                  struct sLs _t223_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned8_t _t224_array_iter;
#endif /* ENDIANness */
                                                                  struct sLs _t225_storage;
                                                                  CORBA_Environment _t226_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t220_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t220_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t220_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t220_ignore);
                                                                  _local_inp = &_t221_storage;
                                                                  flick_xdr_decode_signed16(16, _local_inp->first);
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t222_array_iter = 0; _t222_array_iter < 50; _t222_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t222_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_signed16(0, _local_inp->last);
                                                                  _local_iop = &_t223_storage;
                                                                  flick_xdr_decode_signed16(4, _local_iop->first);
                                                                  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t224_array_iter]);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_signed16(0, _local_iop->last);
                                                                  _local_outp = &_t225_storage;
                                                                  _ev = &_t226_storage;
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(628);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t230_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t231_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                        flick_unsigned8_t _t232_array_iter;
#endif /* ENDIANness */

                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return.first);
                                                                        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t230_array_iter = 0; _t230_array_iter < 50; _t230_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _return.data[_t230_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _return.last);
                                                                        flick_xdr_encode_signed16(4, _local_iop->first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t231_array_iter = 0; _t231_array_iter < 50; _t231_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_iop->data[_t231_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(8);
                                                                        flick_xdr_encode_signed16(0, _local_iop->last);
                                                                        flick_xdr_encode_signed16(4, _local_outp->first);
                                                                        flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        for (_t232_array_iter = 0; _t232_array_iter < 50; _t232_array_iter++)
                                                                          {
                                                                            flick_suntcp_encode_new_chunk(4);
                                                                            flick_xdr_encode_signed32(0, _local_outp->data[_t232_array_iter]);
                                                                            flick_suntcp_encode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_encode_new_chunk(200);
                                                                        flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                        flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _local_outp->last);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(628);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(628);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(628);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t233_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t233_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t233_switch_tag)
            {
            case 't':
              {
                char _t234_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t234_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t234_switch_tag)
                  {
                  case 'e':
                    {
                      char _t235_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t235_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t235_switch_tag)
                        {
                        case 's':
                          {
                            char _t236_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t236_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t236_switch_tag)
                              {
                              case 't':
                                {
                                  char _t237_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t237_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t237_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t238_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t238_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t238_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t239_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t239_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t239_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t240_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t240_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t240_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t241_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t241_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t241_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t242_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t242_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t242_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cLCd _return;
                                                                        unsigned int _t243_ignore;
                                                                        struct cLCd _t244_storage;
                                                                        flick_unsigned8_t _t245_array_iter;
                                                                        struct cLCd _t246_storage;
                                                                        flick_unsigned8_t _t247_array_iter;
                                                                        struct cLCd _t248_storage;
                                                                        CORBA_Environment _t249_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t243_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t243_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t243_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t243_ignore);
                                                                        _local_inp = &_t244_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t245_array_iter = 0; _t245_array_iter < 50; _t245_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t245_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t245_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t246_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t247_array_iter = 0; _t247_array_iter < 50; _t247_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t247_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t247_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        _local_outp = &_t248_storage;
                                                                        _ev = &_t249_storage;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t253_array_iter;
                                                                              flick_unsigned8_t _t254_array_iter;
                                                                              flick_unsigned8_t _t255_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t253_array_iter = 0; _t253_array_iter < 50; _t253_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t253_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t253_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_xdr_encode_char8(8, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t254_array_iter = 0; _t254_array_iter < 50; _t254_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t254_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t254_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t255_array_iter = 0; _t255_array_iter < 50; _t255_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t255_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t255_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t256_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t256_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t256_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t257_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t257_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t257_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t258_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t258_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t258_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct cCLd _return;
                                                                        unsigned int _t259_ignore;
                                                                        struct cCLd _t260_storage;
                                                                        flick_unsigned8_t _t261_array_iter;
                                                                        struct cCLd _t262_storage;
                                                                        flick_unsigned8_t _t263_array_iter;
                                                                        struct cCLd _t264_storage;
                                                                        CORBA_Environment _t265_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t259_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t259_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t259_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t259_ignore);
                                                                        _local_inp = &_t260_storage;
                                                                        flick_xdr_decode_char8(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t261_array_iter = 0; _t261_array_iter < 50; _t261_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t261_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t261_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last);
                                                                        _local_iop = &_t262_storage;
                                                                        flick_xdr_decode_char8(8, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t263_array_iter = 0; _t263_array_iter < 50; _t263_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t263_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t263_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last);
                                                                        _local_outp = &_t264_storage;
                                                                        _ev = &_t265_storage;
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t269_array_iter;
                                                                              flick_unsigned8_t _t270_array_iter;
                                                                              flick_unsigned8_t _t271_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t269_array_iter = 0; _t269_array_iter < 50; _t269_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t269_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t269_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _return.last);
                                                                              flick_xdr_encode_char8(8, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t270_array_iter = 0; _t270_array_iter < 50; _t270_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t270_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t270_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_float64(0, _local_iop->last);
                                                                              flick_xdr_encode_char8(8, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t271_array_iter = 0; _t271_array_iter < 50; _t271_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t271_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t271_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t272_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t272_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t272_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t273_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t273_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t273_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t274_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t274_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t274_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t275_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t275_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t275_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dLCc _return;
                                                                        unsigned int _t276_ignore;
                                                                        struct dLCc _t277_storage;
                                                                        flick_unsigned8_t _t278_array_iter;
                                                                        struct dLCc _t279_storage;
                                                                        flick_unsigned8_t _t280_array_iter;
                                                                        struct dLCc _t281_storage;
                                                                        CORBA_Environment _t282_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t276_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t276_ignore);
                                                                        _local_inp = &_t277_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t278_array_iter = 0; _t278_array_iter < 50; _t278_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t278_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t278_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t279_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t280_array_iter = 0; _t280_array_iter < 50; _t280_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t280_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t280_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        _local_outp = &_t281_storage;
                                                                        _ev = &_t282_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t286_array_iter;
                                                                              flick_unsigned8_t _t287_array_iter;
                                                                              flick_unsigned8_t _t288_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t286_array_iter = 0; _t286_array_iter < 50; _t286_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t286_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t286_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_xdr_encode_float64(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t287_array_iter = 0; _t287_array_iter < 50; _t287_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t287_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t287_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t288_array_iter = 0; _t288_array_iter < 50; _t288_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t288_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t288_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t289_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t289_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t289_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t290_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t290_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t290_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t291_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t291_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t291_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct dCLc _return;
                                                                        unsigned int _t292_ignore;
                                                                        struct dCLc _t293_storage;
                                                                        flick_unsigned8_t _t294_array_iter;
                                                                        struct dCLc _t295_storage;
                                                                        flick_unsigned8_t _t296_array_iter;
                                                                        struct dCLc _t297_storage;
                                                                        CORBA_Environment _t298_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t292_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t292_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t292_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t292_ignore);
                                                                        _local_inp = &_t293_storage;
                                                                        flick_xdr_decode_float64(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t294_array_iter = 0; _t294_array_iter < 50; _t294_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t294_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t294_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last);
                                                                        _local_iop = &_t295_storage;
                                                                        flick_xdr_decode_float64(4, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t296_array_iter = 0; _t296_array_iter < 50; _t296_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t296_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t296_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last);
                                                                        _local_outp = &_t297_storage;
                                                                        _ev = &_t298_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1240);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t302_array_iter;
                                                                              flick_unsigned8_t _t303_array_iter;
                                                                              flick_unsigned8_t _t304_array_iter;

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_float64(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t302_array_iter = 0; _t302_array_iter < 50; _t302_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t302_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t302_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _return.last);
                                                                              flick_xdr_encode_float64(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t303_array_iter = 0; _t303_array_iter < 50; _t303_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t303_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t303_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(12);
                                                                              flick_xdr_encode_char8(0, _local_iop->last);
                                                                              flick_xdr_encode_float64(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(12);
                                                                              for (_t304_array_iter = 0; _t304_array_iter < 50; _t304_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t304_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t304_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_char8(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1240);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t305_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t305_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t305_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t306_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t306_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t306_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t307_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t307_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t307_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t308_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t308_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t308_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sLCs _return;
                                                                        unsigned int _t309_ignore;
                                                                        struct sLCs _t310_storage;
                                                                        flick_unsigned8_t _t311_array_iter;
                                                                        struct sLCs _t312_storage;
                                                                        flick_unsigned8_t _t313_array_iter;
                                                                        struct sLCs _t314_storage;
                                                                        CORBA_Environment _t315_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t309_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t309_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t309_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t309_ignore);
                                                                        _local_inp = &_t310_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t311_array_iter = 0; _t311_array_iter < 50; _t311_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t311_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t311_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t312_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t313_array_iter = 0; _t313_array_iter < 50; _t313_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t313_array_iter].elem1);
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t313_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        _local_outp = &_t314_storage;
                                                                        _ev = &_t315_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t319_array_iter;
                                                                              flick_unsigned8_t _t320_array_iter;
                                                                              flick_unsigned8_t _t321_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t319_array_iter = 0; _t319_array_iter < 50; _t319_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _return.data[_t319_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _return.data[_t319_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_xdr_encode_signed16(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t320_array_iter = 0; _t320_array_iter < 50; _t320_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_iop->data[_t320_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_iop->data[_t320_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t321_array_iter = 0; _t321_array_iter < 50; _t321_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_signed32(0, _local_outp->data[_t321_array_iter].elem1);
                                                                                  flick_xdr_encode_char8(4, _local_outp->data[_t321_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t322_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t322_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t322_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t323_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t323_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t323_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t324_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t324_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t324_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs *_local_outp;
                                                                        CORBA_Environment *_ev;
                                                                        struct sCLs _return;
                                                                        unsigned int _t325_ignore;
                                                                        struct sCLs _t326_storage;
                                                                        flick_unsigned8_t _t327_array_iter;
                                                                        struct sCLs _t328_storage;
                                                                        flick_unsigned8_t _t329_array_iter;
                                                                        struct sCLs _t330_storage;
                                                                        CORBA_Environment _t331_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t325_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t325_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t325_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t325_ignore);
                                                                        _local_inp = &_t326_storage;
                                                                        flick_xdr_decode_signed16(16, _local_inp->first);
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t327_array_iter = 0; _t327_array_iter < 50; _t327_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t327_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t327_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last);
                                                                        _local_iop = &_t328_storage;
                                                                        flick_xdr_decode_signed16(4, _local_iop->first);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t329_array_iter = 0; _t329_array_iter < 50; _t329_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t329_array_iter].elem1);
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t329_array_iter].elem2);
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last);
                                                                        _local_outp = &_t330_storage;
                                                                        _ev = &_t331_storage;
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(1228);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_unsigned8_t _t335_array_iter;
                                                                              flick_unsigned8_t _t336_array_iter;
                                                                              flick_unsigned8_t _t337_array_iter;

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return.first);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              for (_t335_array_iter = 0; _t335_array_iter < 50; _t335_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _return.data[_t335_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _return.data[_t335_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return.last);
                                                                              flick_xdr_encode_signed16(4, _local_iop->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t336_array_iter = 0; _t336_array_iter < 50; _t336_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_iop->data[_t336_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_iop->data[_t336_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _local_iop->last);
                                                                              flick_xdr_encode_signed16(4, _local_outp->first);
                                                                              flick_suntcp_encode_end_chunk(8);
                                                                              for (_t337_array_iter = 0; _t337_array_iter < 50; _t337_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(8);
                                                                                  flick_xdr_encode_char8(0, _local_outp->data[_t337_array_iter].elem1);
                                                                                  flick_xdr_encode_signed32(4, _local_outp->data[_t337_array_iter].elem2);
                                                                                  flick_suntcp_encode_end_chunk(8);
                                                                                }
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _local_outp->last);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(1228);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(884);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
