#include "constant-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_A;
	s.vers_num = _VERS_A;

	reg_success = flick_server_register(s, &M_A_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->type);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->type);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t M_A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_suntcp_decode_new_glob(44);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t9_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t9_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t10_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t10_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t10_switch_tag)
            {
            case 'f':
              {
                char _t11_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t11_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t11_switch_tag)
                  {
                  case 'o':
                    {
                      char _t12_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t12_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t12_switch_tag)
                        {
                        case 'o':
                          {
                            char _t13_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t13_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t13_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    M_A _obj;
                                    M_A_N _local_x;
                                    M_A_N *_local_y;
                                    M_A_N *_local_z;
                                    CORBA_Environment *_ev;
                                    M_A_N _return;
                                    unsigned int _t14_ignore;
                                    M_A_N _t15_storage;
                                    M_A_N _t16_storage;
                                    CORBA_Environment _t17_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t14_ignore);
                                    flick_xdr_decode_unsigned32(4, _t14_ignore);
                                    flick_xdr_decode_unsigned32(8, _t14_ignore);
                                    flick_xdr_decode_unsigned32(12, _t14_ignore);
                                    flick_xdr_decode_unsigned32(16, _local_x);
                                    _local_y = &_t15_storage;
                                    _local_z = &_t16_storage;
                                    flick_xdr_decode_unsigned32(20, *_local_z);
                                    _ev = &_t17_storage;
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(44);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(68);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(12);
                                          flick_xdr_encode_unsigned32(0, _return);
                                          flick_xdr_encode_unsigned32(4, *_local_y);
                                          flick_xdr_encode_unsigned32(8, *_local_z);
                                          flick_suntcp_encode_end_chunk(12);
                                          flick_suntcp_encode_end_glob(68);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_suntcp_encode_end_glob(68);
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          switch ((unsigned int )(1+strlen(_ev->_id)))
                                            {
                                            case (unsigned int) 14:
                                              {
                                                switch (*(char *)(_ev->_id + 0))
                                                  {
                                                  case 'I':
                                                    {
                                                      switch (*(char *)(_ev->_id + 1))
                                                        {
                                                        case 'D':
                                                          {
                                                            switch (*(char *)(_ev->_id + 2))
                                                              {
                                                              case 'L':
                                                                {
                                                                  switch (*(char *)(_ev->_id + 3))
                                                                    {
                                                                    case ':':
                                                                      {
                                                                        switch (*(char *)(_ev->_id + 4))
                                                                          {
                                                                          case 'M':
                                                                            {
                                                                              switch (*(char *)(_ev->_id + 5))
                                                                                {
                                                                                case '/':
                                                                                  {
                                                                                    switch (*(char *)(_ev->_id + 6))
                                                                                      {
                                                                                      case 'A':
                                                                                        {
                                                                                          switch (*(char *)(_ev->_id + 7))
                                                                                            {
                                                                                            case '/':
                                                                                              {
                                                                                                switch (*(char *)(_ev->_id + 8))
                                                                                                  {
                                                                                                  case 'E':
                                                                                                    {
                                                                                                      switch (*(char *)(_ev->_id + 9))
                                                                                                        {
                                                                                                        case ':':
                                                                                                          {
                                                                                                            switch (*(char *)(_ev->_id + 10))
                                                                                                              {
                                                                                                              case '1':
                                                                                                                {
                                                                                                                  switch (*(char *)(_ev->_id + 11))
                                                                                                                    {
                                                                                                                    case '.':
                                                                                                                      {
                                                                                                                        switch (*(char *)(_ev->_id + 12))
                                                                                                                          {
                                                                                                                          case '0':
                                                                                                                            {
                                                                                                                              switch (*(char *)(_ev->_id + 13))
                                                                                                                                {
                                                                                                                                case 0:
                                                                                                                                  {
                                                                                                                                    flick_suntcp_encode_new_chunk(64);
                                                                                                                                    flick_xdr_encode_unsigned32(0, 14);
                                                                                                                                    flick_xdr_encode_char8(4, 'I');
                                                                                                                                    flick_xdr_encode_char8(8, 'D');
                                                                                                                                    flick_xdr_encode_char8(12, 'L');
                                                                                                                                    flick_xdr_encode_char8(16, ':');
                                                                                                                                    flick_xdr_encode_char8(20, 'M');
                                                                                                                                    flick_xdr_encode_char8(24, '/');
                                                                                                                                    flick_xdr_encode_char8(28, 'A');
                                                                                                                                    flick_xdr_encode_char8(32, '/');
                                                                                                                                    flick_xdr_encode_char8(36, 'E');
                                                                                                                                    flick_xdr_encode_char8(40, ':');
                                                                                                                                    flick_xdr_encode_char8(44, '1');
                                                                                                                                    flick_xdr_encode_char8(48, '.');
                                                                                                                                    flick_xdr_encode_char8(52, '0');
                                                                                                                                    flick_xdr_encode_char8(56, 0);
                                                                                                                                    flick_xdr_encode_signed16(60, ((M_A_E *)(_ev->_value._user_except))->cause);
                                                                                                                                    CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                                                                                                    flick_suntcp_encode_end_chunk(64);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            case (unsigned int) 10:
                                              {
                                                switch (*(char *)(_ev->_id + 0))
                                                  {
                                                  case 'I':
                                                    {
                                                      switch (*(char *)(_ev->_id + 1))
                                                        {
                                                        case 'D':
                                                          {
                                                            switch (*(char *)(_ev->_id + 2))
                                                              {
                                                              case 'L':
                                                                {
                                                                  switch (*(char *)(_ev->_id + 3))
                                                                    {
                                                                    case ':':
                                                                      {
                                                                        switch (*(char *)(_ev->_id + 4))
                                                                          {
                                                                          case 'F':
                                                                            {
                                                                              switch (*(char *)(_ev->_id + 5))
                                                                                {
                                                                                case ':':
                                                                                  {
                                                                                    switch (*(char *)(_ev->_id + 6))
                                                                                      {
                                                                                      case '1':
                                                                                        {
                                                                                          switch (*(char *)(_ev->_id + 7))
                                                                                            {
                                                                                            case '.':
                                                                                              {
                                                                                                switch (*(char *)(_ev->_id + 8))
                                                                                                  {
                                                                                                  case '0':
                                                                                                    {
                                                                                                      switch (*(char *)(_ev->_id + 9))
                                                                                                        {
                                                                                                        case 0:
                                                                                                          {
                                                                                                            flick_suntcp_encode_new_chunk(48);
                                                                                                            flick_xdr_encode_unsigned32(0, 10);
                                                                                                            flick_xdr_encode_char8(4, 'I');
                                                                                                            flick_xdr_encode_char8(8, 'D');
                                                                                                            flick_xdr_encode_char8(12, 'L');
                                                                                                            flick_xdr_encode_char8(16, ':');
                                                                                                            flick_xdr_encode_char8(20, 'F');
                                                                                                            flick_xdr_encode_char8(24, ':');
                                                                                                            flick_xdr_encode_char8(28, '1');
                                                                                                            flick_xdr_encode_char8(32, '.');
                                                                                                            flick_xdr_encode_char8(36, '0');
                                                                                                            flick_xdr_encode_char8(40, 0);
                                                                                                            flick_xdr_encode_signed32(44, ((F *)(_ev->_value._user_except))->type);
                                                                                                            CORBA_flick_free((F *)(_ev->_value._user_except));
                                                                                                            flick_suntcp_encode_end_chunk(48);
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(68);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(44);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(44);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(44);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(44);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(44);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
