#include "corbastat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->my_tv_sec);
  flick_xdr_encode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->my_tv_sec);
  flick_xdr_decode_signed32(4, _data->my_tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, const struct test_my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t0_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t1_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t2_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(139);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t1_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 16; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->st_fstype, 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 8; _t3_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t3_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(139);
}

void flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t4_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t5_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t6_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t7_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(139);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 3; _t4_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t4_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 2; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t6_array_iter = 0; _t6_array_iter < 16; _t6_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t6_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->st_fstype, 16);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < 8; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t7_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(139);
}

void flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, const struct test_entry *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t8_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t9_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t10_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t11_array_iter;
#endif /* ENDIANness */

  flick_xdr_encode_string(_data->filename, CORBA_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(142);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < 3; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < 2; _t9_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t9_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t10_array_iter = 0; _t10_array_iter < 16; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t10_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_bcopy(0, _data->info.st_fstype, 16);
  flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < 8; _t11_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t11_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(32);
  flick_xdr_encode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(142);
}

void flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t12_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t13_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t14_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned8_t _t15_array_iter;
#endif /* ENDIANness */

  flick_xdr_decode_string(_data->filename, CORBA_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(142);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t12_array_iter = 0; _t12_array_iter < 3; _t12_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t12_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_bcopy(0, _data->info.st_pad1, 12);
  flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t13_array_iter = 0; _t13_array_iter < 2; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t13_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_bcopy(0, _data->info.st_pad2, 8);
  flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.my_tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.my_tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.my_tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.my_tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.my_tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.my_tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < 16; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_bcopy(0, _data->info.st_fstype, 16);
  flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t15_array_iter = 0; _t15_array_iter < 8; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t15_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(32);
  flick_xdr_decode_bcopy(0, _data->info.st_pad4, 32);
  flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(142);
}

void flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, const struct test_inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, const struct test_outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, const test_directory *_data)
{
  CORBA_unsigned_long _t24_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t24_array_iter = 0; _t24_array_iter < _data->_length; _t24_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t29_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t30_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t31_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t32_array_iter;
#endif /* ENDIANness */

      flick_xdr_encode_string(_data->_buffer[_t24_array_iter].filename, CORBA_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(142);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t24_array_iter].info.st_dev);
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t29_array_iter = 0; _t29_array_iter < 3; _t29_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t24_array_iter].info.st_pad1[_t29_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(12);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t24_array_iter].info.st_pad1, 12);
      flick_suntcp_encode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->_buffer[_t24_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->_buffer[_t24_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->_buffer[_t24_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->_buffer[_t24_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->_buffer[_t24_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->_buffer[_t24_array_iter].info.st_rdev);
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t30_array_iter = 0; _t30_array_iter < 2; _t30_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t24_array_iter].info.st_pad2[_t30_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t24_array_iter].info.st_pad2, 8);
      flick_suntcp_encode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->_buffer[_t24_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->_buffer[_t24_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->_buffer[_t24_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_encode_signed32(12, _data->_buffer[_t24_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_encode_signed32(16, _data->_buffer[_t24_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_encode_signed32(20, _data->_buffer[_t24_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_encode_signed32(24, _data->_buffer[_t24_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_encode_signed32(28, _data->_buffer[_t24_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_encode_signed32(32, _data->_buffer[_t24_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->_buffer[_t24_array_iter].info.st_blocks);
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t31_array_iter = 0; _t31_array_iter < 16; _t31_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->_buffer[_t24_array_iter].info.st_fstype[_t31_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t24_array_iter].info.st_fstype, 16);
      flick_suntcp_encode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_encode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t32_array_iter = 0; _t32_array_iter < 8; _t32_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->_buffer[_t24_array_iter].info.st_pad4[_t32_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_encode_new_chunk(32);
      flick_xdr_encode_bcopy(0, _data->_buffer[_t24_array_iter].info.st_pad4, 32);
      flick_suntcp_encode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(142);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t41_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_entry ));
  for (_t41_array_iter = 0; _t41_array_iter < _data->_length; _t41_array_iter++)
    {
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t46_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t47_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t48_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
      flick_unsigned8_t _t49_array_iter;
#endif /* ENDIANness */

      flick_xdr_decode_string(_data->_buffer[_t41_array_iter].filename, CORBA_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(142);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t41_array_iter].info.st_dev);
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t46_array_iter = 0; _t46_array_iter < 3; _t46_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t41_array_iter].info.st_pad1[_t46_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(12);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t41_array_iter].info.st_pad1, 12);
      flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->_buffer[_t41_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->_buffer[_t41_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->_buffer[_t41_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->_buffer[_t41_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->_buffer[_t41_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->_buffer[_t41_array_iter].info.st_rdev);
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t47_array_iter = 0; _t47_array_iter < 2; _t47_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t41_array_iter].info.st_pad2[_t47_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t41_array_iter].info.st_pad2, 8);
      flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->_buffer[_t41_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->_buffer[_t41_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->_buffer[_t41_array_iter].info.st_atime.my_tv_sec);
      flick_xdr_decode_signed32(12, _data->_buffer[_t41_array_iter].info.st_atime.my_tv_nsec);
      flick_xdr_decode_signed32(16, _data->_buffer[_t41_array_iter].info.st_mtime.my_tv_sec);
      flick_xdr_decode_signed32(20, _data->_buffer[_t41_array_iter].info.st_mtime.my_tv_nsec);
      flick_xdr_decode_signed32(24, _data->_buffer[_t41_array_iter].info.st_ctime.my_tv_sec);
      flick_xdr_decode_signed32(28, _data->_buffer[_t41_array_iter].info.st_ctime.my_tv_nsec);
      flick_xdr_decode_signed32(32, _data->_buffer[_t41_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->_buffer[_t41_array_iter].info.st_blocks);
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t48_array_iter = 0; _t48_array_iter < 16; _t48_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->_buffer[_t41_array_iter].info.st_fstype[_t48_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t41_array_iter].info.st_fstype, 16);
      flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
      flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t49_array_iter = 0; _t49_array_iter < 8; _t49_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->_buffer[_t41_array_iter].info.st_pad4[_t49_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_suntcp_decode_new_chunk(32);
      flick_xdr_decode_bcopy(0, _data->_buffer[_t41_array_iter].info.st_pad4, 32);
      flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(142);
    }
}

void flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, const test_longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t50_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t50_array_iter = 0; _t50_array_iter < _data->_length; _t50_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t50_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t51_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t51_array_iter = 0; _t51_array_iter < _data->_length; _t51_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t51_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, const test_structlist *_data)
{
  CORBA_unsigned_long _t52_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length);
  for (_t52_array_iter = 0; _t52_array_iter < _data->_length; _t52_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t52_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->_buffer[_t52_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->_buffer[_t52_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->_buffer[_t52_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_glob(16 * _data->_length);
}

void flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t53_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct test_outer ));
  for (_t53_array_iter = 0; _t53_array_iter < _data->_length; _t53_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t53_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->_buffer[_t53_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->_buffer[_t53_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->_buffer[_t53_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t96_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t96_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t96_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t97_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t97_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t97_switch_tag)
            {
            case 'd':
              {
                char _t98_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t98_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t98_switch_tag)
                  {
                  case 'i':
                    {
                      char _t99_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t99_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t99_switch_tag)
                        {
                        case 'r':
                          {
                            char _t100_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t100_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t100_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_directory *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t101_ignore;
                                    test_directory _t102_storage;
                                    CORBA_unsigned_long _t111_array_iter;
                                    CORBA_Environment _t120_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t101_ignore);
                                    flick_xdr_decode_unsigned32(4, _t101_ignore);
                                    flick_xdr_decode_unsigned32(8, _t101_ignore);
                                    flick_xdr_decode_unsigned32(12, _t101_ignore);
                                    _local_entries = &_t102_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    _local_entries->_maximum = _local_entries->_length;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry ));
                                    for (_t111_array_iter = 0; _t111_array_iter < _local_entries->_length; _t111_array_iter++)
                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                        flick_unsigned8_t _t116_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                        flick_unsigned8_t _t117_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                        flick_unsigned8_t _t118_array_iter;
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                        flick_unsigned8_t _t119_array_iter;
#endif /* ENDIANness */

                                        flick_xdr_decode_auto_string(_local_entries->_buffer[_t111_array_iter].filename, auto_flick_alloc, suntcp);
                                        flick_suntcp_decode_new_glob(142);
                                        flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t111_array_iter].info.st_dev);
                                        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t116_array_iter = 0; _t116_array_iter < 3; _t116_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t111_array_iter].info.st_pad1[_t116_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(12);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t111_array_iter].info.st_pad1, 12);
                                        flick_suntcp_decode_end_chunk(12);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(24);
                                        flick_xdr_decode_unsigned32(0, _local_entries->_buffer[_t111_array_iter].info.st_ino);
                                        flick_xdr_decode_unsigned32(4, _local_entries->_buffer[_t111_array_iter].info.st_mode);
                                        flick_xdr_decode_unsigned32(8, _local_entries->_buffer[_t111_array_iter].info.st_nlink);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t111_array_iter].info.st_uid);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t111_array_iter].info.st_gid);
                                        flick_xdr_decode_unsigned32(20, _local_entries->_buffer[_t111_array_iter].info.st_rdev);
                                        flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t117_array_iter = 0; _t117_array_iter < 2; _t117_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t111_array_iter].info.st_pad2[_t117_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(8);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t111_array_iter].info.st_pad2, 8);
                                        flick_suntcp_decode_end_chunk(8);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk(40);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t111_array_iter].info.st_size);
                                        flick_xdr_decode_signed32(4, _local_entries->_buffer[_t111_array_iter].info.st_pad3);
                                        flick_xdr_decode_signed32(8, _local_entries->_buffer[_t111_array_iter].info.st_atime.my_tv_sec);
                                        flick_xdr_decode_signed32(12, _local_entries->_buffer[_t111_array_iter].info.st_atime.my_tv_nsec);
                                        flick_xdr_decode_signed32(16, _local_entries->_buffer[_t111_array_iter].info.st_mtime.my_tv_sec);
                                        flick_xdr_decode_signed32(20, _local_entries->_buffer[_t111_array_iter].info.st_mtime.my_tv_nsec);
                                        flick_xdr_decode_signed32(24, _local_entries->_buffer[_t111_array_iter].info.st_ctime.my_tv_sec);
                                        flick_xdr_decode_signed32(28, _local_entries->_buffer[_t111_array_iter].info.st_ctime.my_tv_nsec);
                                        flick_xdr_decode_signed32(32, _local_entries->_buffer[_t111_array_iter].info.st_blksize);
                                        flick_xdr_decode_signed32(36, _local_entries->_buffer[_t111_array_iter].info.st_blocks);
                                        flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t118_array_iter = 0; _t118_array_iter < 16; _t118_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(1);
                                            flick_xdr_decode_char8_packed(0, _local_entries->_buffer[_t111_array_iter].info.st_fstype[_t118_array_iter]);
                                            flick_suntcp_decode_end_chunk(1);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(16);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t111_array_iter].info.st_fstype, 16);
                                        flick_suntcp_decode_end_chunk(16);
#endif /* ENDIANness */
                                        flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                        flick_suntcp_decode_end_chunk(0);
#if BYTE_ORDER != BIG_ENDIAN
                                        for (_t119_array_iter = 0; _t119_array_iter < 8; _t119_array_iter++)
                                          {
                                            flick_suntcp_decode_new_chunk(4);
                                            flick_xdr_decode_signed32(0, _local_entries->_buffer[_t111_array_iter].info.st_pad4[_t119_array_iter]);
                                            flick_suntcp_decode_end_chunk(4);
                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                        flick_suntcp_decode_new_chunk(32);
                                        flick_xdr_decode_bcopy(0, _local_entries->_buffer[_t111_array_iter].info.st_pad4, 32);
                                        flick_suntcp_decode_end_chunk(32);
#endif /* ENDIANness */
                                        flick_suntcp_decode_end_glob(142);
                                      }
                                    _ev = &_t120_storage;
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_dir(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_suntcp_encode_end_glob(8);
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            case 'l':
              {
                char _t121_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t121_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t121_switch_tag)
                  {
                  case 'n':
                    {
                      char _t122_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t122_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t122_switch_tag)
                        {
                        case 'g':
                          {
                            char _t123_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t123_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t123_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    test _obj;
                                    test_longlist *_local_entries;
                                    CORBA_Environment *_ev;
                                    CORBA_long _return = 0;
                                    unsigned int _t124_ignore;
                                    test_longlist _t125_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                    CORBA_unsigned_long _t126_array_iter;
#endif /* ENDIANness */
                                    CORBA_Environment _t127_storage;

                                    {
                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                    }
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t124_ignore);
                                    flick_xdr_decode_unsigned32(4, _t124_ignore);
                                    flick_xdr_decode_unsigned32(8, _t124_ignore);
                                    flick_xdr_decode_unsigned32(12, _t124_ignore);
                                    _local_entries = &_t125_storage;
                                    flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                    _local_entries->_maximum = _local_entries->_length;
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_decode_new_glob(4 * _local_entries->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                    _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long ));
                                    for (_t126_array_iter = 0; _t126_array_iter < _local_entries->_length; _t126_array_iter++)
                                      {
                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_signed32(0, _local_entries->_buffer[_t126_array_iter]);
                                        flick_suntcp_decode_end_chunk(4);
                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                    flick_suntcp_decode_new_chunk(4 * _local_entries->_length);
                                    flick_xdr_decode_msgptr(0, _local_entries->_buffer);
                                    flick_suntcp_decode_end_chunk(4 * _local_entries->_length);
#endif /* ENDIANness */
                                    flick_suntcp_decode_end_glob(4 * _local_entries->_length);
                                    _ev = &_t127_storage;
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _return = test_lng(_obj, _local_entries, _ev);
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                    }
                                    flick_suntcp_encode_new_glob(8);
                                    flick_suntcp_encode_new_chunk(4);
                                    flick_xdr_encode_signed32(0, _ev->_major);
                                    flick_suntcp_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return);
                                          flick_suntcp_encode_end_chunk(4);
                                          flick_suntcp_encode_end_glob(8);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_suntcp_encode_end_glob(8);
                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                          flick_suntcp_encode_end_glob(8);
                                        }
                                      }
                                    flick_suntcp_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t128_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t128_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t128_switch_tag)
            {
            case 's':
              {
                char _t129_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t129_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t129_switch_tag)
                  {
                  case 't':
                    {
                      char _t130_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t130_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t130_switch_tag)
                        {
                        case 'r':
                          {
                            char _t131_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t131_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t131_switch_tag)
                              {
                              case 'c':
                                {
                                  char _t132_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t132_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t132_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t133_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t133_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t133_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                test _obj;
                                                test_structlist *_local_entries;
                                                CORBA_Environment *_ev;
                                                CORBA_long _return = 0;
                                                unsigned int _t134_ignore;
                                                test_structlist _t135_storage;
                                                CORBA_unsigned_long _t136_array_iter;
                                                CORBA_Environment _t137_storage;

                                                {
                                                  flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                }
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t134_ignore);
                                                flick_xdr_decode_unsigned32(4, _t134_ignore);
                                                flick_xdr_decode_unsigned32(8, _t134_ignore);
                                                flick_xdr_decode_unsigned32(12, _t134_ignore);
                                                _local_entries = &_t135_storage;
                                                flick_xdr_decode_unsigned32(16, _local_entries->_length);
                                                _local_entries->_maximum = _local_entries->_length;
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(16 * _local_entries->_length);
                                                _local_entries->_buffer = auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer ));
                                                for (_t136_array_iter = 0; _t136_array_iter < _local_entries->_length; _t136_array_iter++)
                                                  {
                                                    flick_suntcp_decode_new_chunk(16);
                                                    flick_xdr_decode_signed32(0, _local_entries->_buffer[_t136_array_iter].a.a);
                                                    flick_xdr_decode_signed32(4, _local_entries->_buffer[_t136_array_iter].a.b);
                                                    flick_xdr_decode_signed32(8, _local_entries->_buffer[_t136_array_iter].b.a);
                                                    flick_xdr_decode_signed32(12, _local_entries->_buffer[_t136_array_iter].b.b);
                                                    flick_suntcp_decode_end_chunk(16);
                                                  }
                                                flick_suntcp_decode_end_glob(16 * _local_entries->_length);
                                                _ev = &_t137_storage;
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = test_strct(_obj, _local_entries, _ev);
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                }
                                                flick_suntcp_encode_new_glob(8);
                                                flick_suntcp_encode_new_chunk(4);
                                                flick_xdr_encode_signed32(0, _ev->_major);
                                                flick_suntcp_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_new_chunk(4);
                                                      flick_xdr_encode_signed32(0, _return);
                                                      flick_suntcp_encode_end_chunk(4);
                                                      flick_suntcp_encode_end_glob(8);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_suntcp_encode_end_glob(8);
                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                      flick_suntcp_encode_end_glob(8);
                                                    }
                                                  }
                                                flick_suntcp_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
