#include "interface_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_math;
	s.vers_num = _VERS_math;

	reg_success = flick_server_register(s, &math_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t math_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t98_switch_tag;

    flick_suntcp_decode_new_glob(116);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t98_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t98_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t99_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t99_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t99_switch_tag)
            {
            case 'a':
              {
                char _t100_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t100_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t100_switch_tag)
                  {
                  case 'd':
                    {
                      char _t101_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t101_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t101_switch_tag)
                        {
                        case 'd':
                          {
                            char _t102_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t102_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t102_switch_tag)
                              {
                              case 's':
                                {
                                  char _t103_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t103_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t103_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t104_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t104_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t104_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t105_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t105_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t105_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t106_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t106_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t106_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t107_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t107_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t107_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  unsigned int _t108_ignore;
                                                                  CORBA_Environment _t109_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t108_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t108_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t108_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t108_ignore);
                                                                  flick_xdr_decode_signed16(16, _local_a);
                                                                  flick_xdr_decode_signed16(20, _local_b);
                                                                  _ev = &_t109_storage;
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = math_addshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t110_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t110_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t110_switch_tag)
                  {
                  case 'u':
                    {
                      char _t111_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t111_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t111_switch_tag)
                        {
                        case 'b':
                          {
                            char _t112_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t112_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t112_switch_tag)
                              {
                              case 's':
                                {
                                  char _t113_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t113_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case 'h':
                                      {
                                        char _t114_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t114_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t114_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t115_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t115_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t115_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t116_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t116_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t116_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t117_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t117_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t117_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_short _local_a;
                                                                  CORBA_short _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_short _return = 0;
                                                                  unsigned int _t118_ignore;
                                                                  CORBA_Environment _t119_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t118_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t118_ignore);
                                                                  flick_xdr_decode_signed16(16, _local_a);
                                                                  flick_xdr_decode_signed16(20, _local_b);
                                                                  _ev = &_t119_storage;
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = math_subshort(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed16(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 'm':
              {
                char _t120_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t120_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t120_switch_tag)
                  {
                  case 'u':
                    {
                      char _t121_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t121_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t121_switch_tag)
                        {
                        case 'l':
                          {
                            char _t122_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t122_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t122_switch_tag)
                              {
                              case 't':
                                {
                                  char _t123_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t123_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t123_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t124_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t124_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t124_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t125_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t125_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t125_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t126_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t126_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t126_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t127_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t127_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t127_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  math _obj;
                                                                  CORBA_long _local_a;
                                                                  CORBA_long _local_b;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_long _return = 0;
                                                                  unsigned int _t128_ignore;
                                                                  CORBA_Environment _t129_storage;

                                                                  {
                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                  }
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t128_ignore);
                                                                  flick_xdr_decode_unsigned32(4, _t128_ignore);
                                                                  flick_xdr_decode_unsigned32(8, _t128_ignore);
                                                                  flick_xdr_decode_unsigned32(12, _t128_ignore);
                                                                  flick_xdr_decode_signed32(16, _local_a);
                                                                  flick_xdr_decode_signed32(20, _local_b);
                                                                  _ev = &_t129_storage;
                                                                  flick_suntcp_decode_end_chunk(24);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _return = math_multlong(_obj, _local_a, _local_b, _ev);
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                  }
                                                                  flick_suntcp_encode_new_glob(8);
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _ev->_major);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  switch (_ev->_major)
                                                                    {
                                                                    case CORBA_NO_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _return);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        break;
                                                                      }
                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                      {
                                                                        flick_suntcp_encode_end_glob(8);
                                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                        flick_suntcp_encode_end_glob(8);
                                                                      }
                                                                    }
                                                                  flick_suntcp_server_end_encode();
                                                                }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t130_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t130_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t130_switch_tag)
            {
            case 'm':
              {
                char _t131_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t131_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t131_switch_tag)
                  {
                  case 'u':
                    {
                      char _t132_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t132_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t132_switch_tag)
                        {
                        case 'l':
                          {
                            char _t133_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t133_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t133_switch_tag)
                              {
                              case 't':
                                {
                                  char _t134_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t134_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t134_switch_tag)
                                    {
                                    case 's':
                                      {
                                        char _t135_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t135_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t135_switch_tag)
                                          {
                                          case 'h':
                                            {
                                              char _t136_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t136_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t136_switch_tag)
                                                {
                                                case 'o':
                                                  {
                                                    char _t137_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t137_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t137_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t138_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t138_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t138_switch_tag)
                                                            {
                                                            case 't':
                                                              {
                                                                char _t139_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t139_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t139_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        math _obj;
                                                                        CORBA_short _local_a;
                                                                        CORBA_short _local_b;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        unsigned int _t140_ignore;
                                                                        CORBA_Environment _t141_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t140_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t140_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t140_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t140_ignore);
                                                                        flick_xdr_decode_signed16(16, _local_a);
                                                                        flick_xdr_decode_signed16(20, _local_b);
                                                                        _ev = &_t141_storage;
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = math_multshort(_obj, _local_a, _local_b, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed16(0, _return);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          char _t142_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t142_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t142_switch_tag)
            {
            case 'a':
              {
                char _t143_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t143_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t143_switch_tag)
                  {
                  case 'd':
                    {
                      char _t144_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t144_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t144_switch_tag)
                        {
                        case 'd':
                          {
                            char _t145_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t145_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t145_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t146_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t146_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t146_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t147_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t147_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t147_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t148_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t148_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t148_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t149_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t149_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t149_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t150_ignore;
                                                            CORBA_Environment _t151_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t150_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t150_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t150_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t150_ignore);
                                                            flick_xdr_decode_signed32(16, _local_a);
                                                            flick_xdr_decode_signed32(20, _local_b);
                                                            _ev = &_t151_storage;
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = math_addlong(_obj, _local_a, _local_b, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            case 's':
              {
                char _t152_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t152_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t152_switch_tag)
                  {
                  case 'u':
                    {
                      char _t153_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t153_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t153_switch_tag)
                        {
                        case 'b':
                          {
                            char _t154_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t154_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t154_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t155_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t155_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t155_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t156_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t156_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t156_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t157_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t157_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t157_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t158_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t158_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t158_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            math _obj;
                                                            CORBA_long _local_a;
                                                            CORBA_long _local_b;
                                                            CORBA_Environment *_ev;
                                                            CORBA_long _return = 0;
                                                            unsigned int _t159_ignore;
                                                            CORBA_Environment _t160_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(24);
                                                            flick_xdr_decode_unsigned32(0, _t159_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t159_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t159_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t159_ignore);
                                                            flick_xdr_decode_signed32(16, _local_a);
                                                            flick_xdr_decode_signed32(20, _local_b);
                                                            _ev = &_t160_storage;
                                                            flick_suntcp_decode_end_chunk(24);
                                                            flick_suntcp_decode_end_glob(116);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = math_sublong(_obj, _local_a, _local_b, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_signed32(0, _return);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t161_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t161_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t161_switch_tag)
            {
            case 'a':
              {
                char _t162_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t162_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t162_switch_tag)
                  {
                  case 'd':
                    {
                      char _t163_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t163_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t163_switch_tag)
                        {
                        case 'd':
                          {
                            char _t164_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t164_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t164_switch_tag)
                              {
                              case 'l':
                                {
                                  char _t165_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t165_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t165_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t166_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t166_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t166_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t167_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t167_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t167_switch_tag)
                                                {
                                                case 'g':
                                                  {
                                                    char _t168_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t168_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t168_switch_tag)
                                                      {
                                                      case 'l':
                                                        {
                                                          char _t169_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t169_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t169_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t170_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t170_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t170_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t171_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t171_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t171_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t172_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t172_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t172_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    math _obj;
                                                                                    long10 *_local_a;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_long _return = 0;
                                                                                    unsigned int _t173_ignore;
                                                                                    long10 _t174_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    CORBA_unsigned_long _t175_array_iter;
#endif /* ENDIANness */
                                                                                    CORBA_Environment _t176_storage;

                                                                                    {
                                                                                      flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t173_ignore);
                                                                                    flick_xdr_decode_unsigned32(4, _t173_ignore);
                                                                                    flick_xdr_decode_unsigned32(8, _t173_ignore);
                                                                                    flick_xdr_decode_unsigned32(12, _t173_ignore);
                                                                                    _local_a = &_t174_storage;
                                                                                    flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                                    _local_a->_maximum = _local_a->_length;
                                                                                    if (_local_a->_length > (unsigned int) 10)
                                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                    _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                    for (_t175_array_iter = 0; _t175_array_iter < _local_a->_length; _t175_array_iter++)
                                                                                      {
                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_signed32(0, _local_a->_buffer[_t175_array_iter]);
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                      }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                    flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                                    flick_xdr_decode_msgptr(0, _local_a->_buffer);
                                                                                    flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                                    _ev = &_t176_storage;
                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _return = math_addlonglist(_obj, _local_a, _ev);
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                    }
                                                                                    flick_suntcp_encode_new_glob(8);
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _ev->_major);
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    switch (_ev->_major)
                                                                                      {
                                                                                      case CORBA_NO_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _return);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                          break;
                                                                                        }
                                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                                        {
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                          flick_suntcp_encode_end_glob(8);
                                                                                        }
                                                                                      }
                                                                                    flick_suntcp_server_end_encode();
                                                                                  }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          char _t177_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t177_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t177_switch_tag)
            {
            case 'm':
              {
                char _t178_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t178_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t178_switch_tag)
                  {
                  case 'u':
                    {
                      char _t179_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t179_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t179_switch_tag)
                        {
                        case 'l':
                          {
                            char _t180_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t180_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t180_switch_tag)
                              {
                              case 't':
                                {
                                  char _t181_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t181_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t181_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t182_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t182_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t182_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t183_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t183_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t183_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t184_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t184_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t184_switch_tag)
                                                      {
                                                      case 'g':
                                                        {
                                                          char _t185_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t185_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t185_switch_tag)
                                                            {
                                                            case 'l':
                                                              {
                                                                char _t186_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t186_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t186_switch_tag)
                                                                  {
                                                                  case 'i':
                                                                    {
                                                                      char _t187_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t187_switch_tag);
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t187_switch_tag)
                                                                        {
                                                                        case 's':
                                                                          {
                                                                            char _t188_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t188_switch_tag);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t188_switch_tag)
                                                                              {
                                                                              case 't':
                                                                                {
                                                                                  char _t189_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t189_switch_tag);
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t189_switch_tag)
                                                                                    {
                                                                                    case 0:
                                                                                      {
                                                                                        {
                                                                                          math _obj;
                                                                                          long10 *_local_a;
                                                                                          CORBA_Environment *_ev;
                                                                                          CORBA_long _return = 0;
                                                                                          unsigned int _t190_ignore;
                                                                                          long10 _t191_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          CORBA_unsigned_long _t192_array_iter;
#endif /* ENDIANness */
                                                                                          CORBA_Environment _t193_storage;

                                                                                          {
                                                                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                          flick_suntcp_decode_new_chunk(20);
                                                                                          flick_xdr_decode_unsigned32(0, _t190_ignore);
                                                                                          flick_xdr_decode_unsigned32(4, _t190_ignore);
                                                                                          flick_xdr_decode_unsigned32(8, _t190_ignore);
                                                                                          flick_xdr_decode_unsigned32(12, _t190_ignore);
                                                                                          _local_a = &_t191_storage;
                                                                                          flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                                          _local_a->_maximum = _local_a->_length;
                                                                                          if (_local_a->_length > (unsigned int) 10)
                                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                          _local_a->_buffer = auto_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                                          for (_t192_array_iter = 0; _t192_array_iter < _local_a->_length; _t192_array_iter++)
                                                                                            {
                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_signed32(0, _local_a->_buffer[_t192_array_iter]);
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                          flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                                          flick_xdr_decode_msgptr(0, _local_a->_buffer);
                                                                                          flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                                          _ev = &_t193_storage;
                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                          flick_suntcp_server_end_decode();
                                                                                          flick_corba_init_environment();
                                                                                          _return = math_multlonglist(_obj, _local_a, _ev);
                                                                                          flick_suntcp_server_start_encode();
                                                                                          {
                                                                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                                          }
                                                                                          flick_suntcp_encode_new_glob(8);
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _ev->_major);
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          switch (_ev->_major)
                                                                                            {
                                                                                            case CORBA_NO_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                flick_xdr_encode_signed32(0, _return);
                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                break;
                                                                                              }
                                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                                              {
                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                                                flick_suntcp_encode_end_glob(8);
                                                                                              }
                                                                                            }
                                                                                          flick_suntcp_server_end_encode();
                                                                                        }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                            flick_suntcp_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(116);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
