#include "namelens-client.h"

void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void onewaytest_n(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(28);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 2);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n2(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(32);
    flick_suntcp_encode_new_chunk(32);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(32);
    flick_suntcp_encode_end_glob(32);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n23(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n234(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n2345(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n23456(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, '6');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n234567(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, '6');
    flick_xdr_encode_char8(28, '7');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n2345678(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, '6');
    flick_xdr_encode_char8(28, '7');
    flick_xdr_encode_char8(32, '8');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n23456789(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, '6');
    flick_xdr_encode_char8(28, '7');
    flick_xdr_encode_char8(32, '8');
    flick_xdr_encode_char8(36, '9');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void onewaytest_n234567890(onewaytest _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 'n');
    flick_xdr_encode_char8(8, '2');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, '4');
    flick_xdr_encode_char8(20, '5');
    flick_xdr_encode_char8(24, '6');
    flick_xdr_encode_char8(28, '7');
    flick_xdr_encode_char8(32, '8');
    flick_xdr_encode_char8(36, '9');
    flick_xdr_encode_char8(40, '0');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

