#include "nest-refs-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t53_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t53_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t53_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t54_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t54_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t54_switch_tag)
            {
            case '_':
              {
                char _t55_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t55_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t55_switch_tag)
                  {
                  case 'g':
                    {
                      char _t56_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t56_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t56_switch_tag)
                        {
                        case 'e':
                          {
                            char _t57_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t57_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t57_switch_tag)
                              {
                              case 't':
                                {
                                  char _t58_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t58_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t58_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t59_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t59_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t59_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t60_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t60_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t60_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t61_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t61_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t61_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            CORBA_Environment *_ev;
                                                            ReferenceData *_return = 0;
                                                            unsigned int _t62_ignore;
                                                            CORBA_Environment _t63_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(16);
                                                            flick_xdr_decode_unsigned32(0, _t62_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t62_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t62_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t62_ignore);
                                                            _ev = &_t63_storage;
                                                            flick_suntcp_decode_end_chunk(16);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _return = test__get_id(_obj, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(8);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
#if BYTE_ORDER != BIG_ENDIAN
                                                                  CORBA_unsigned_long _t65_array_iter;
#endif /* ENDIANness */

                                                                  flick_suntcp_encode_new_chunk(4);
                                                                  flick_xdr_encode_unsigned32(0, _return->_length);
                                                                  flick_suntcp_encode_end_chunk(4);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t65_array_iter = 0; _t65_array_iter < _return->_length; _t65_array_iter++)
                                                                    {
                                                                      flick_suntcp_encode_new_chunk(4);
                                                                      flick_xdr_encode_unsigned8(0, _return->_buffer[_t65_array_iter]);
                                                                      flick_suntcp_encode_end_chunk(4);
                                                                    }
                                                                  CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                  flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                  CORBA_flick_free(_return->_buffer);
                                                                  flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                  flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                  CORBA_flick_free(_return);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(8);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(8);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t66_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t66_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t66_switch_tag)
                        {
                        case 'e':
                          {
                            char _t67_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t67_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t67_switch_tag)
                              {
                              case 't':
                                {
                                  char _t68_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t68_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t68_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t69_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t69_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t69_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t70_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t70_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t70_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t71_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t71_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t71_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            test _obj;
                                                            ReferenceData *_local_id;
                                                            CORBA_Environment *_ev;
                                                            unsigned int _t72_ignore;
                                                            ReferenceData _t73_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                            CORBA_unsigned_long _t74_array_iter;
#endif /* ENDIANness */
                                                            CORBA_Environment _t75_storage;

                                                            {
                                                              flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                            }
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t72_ignore);
                                                            flick_xdr_decode_unsigned32(4, _t72_ignore);
                                                            flick_xdr_decode_unsigned32(8, _t72_ignore);
                                                            flick_xdr_decode_unsigned32(12, _t72_ignore);
                                                            _local_id = &_t73_storage;
                                                            flick_xdr_decode_unsigned32(16, _local_id->_length);
                                                            _local_id->_maximum = _local_id->_length;
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(64);
                                                            flick_suntcp_decode_new_glob(4 * _local_id->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                                                            for (_t74_array_iter = 0; _t74_array_iter < _local_id->_length; _t74_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_unsigned8(0, _local_id->_buffer[_t74_array_iter]);
                                                                flick_suntcp_decode_end_chunk(4);
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_id->_length);
                                                            flick_xdr_decode_msgptr(0, _local_id->_buffer);
                                                            flick_suntcp_decode_end_chunk(4 * _local_id->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_id->_length);
                                                            _ev = &_t75_storage;
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            test__set_id(_obj, _local_id, _ev);
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                            }
                                                            flick_suntcp_encode_new_glob(4);
                                                            flick_suntcp_encode_new_chunk(4);
                                                            flick_xdr_encode_signed32(0, _ev->_major);
                                                            flick_suntcp_encode_end_chunk(4);
                                                            switch (_ev->_major)
                                                              {
                                                              case CORBA_NO_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  break;
                                                                }
                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                {
                                                                  flick_suntcp_encode_end_glob(4);
                                                                  flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                  flick_suntcp_encode_end_glob(4);
                                                                }
                                                              }
                                                            flick_suntcp_server_end_encode();
                                                          }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t76_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t76_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t76_switch_tag)
            {
            case '_':
              {
                char _t77_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t77_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t77_switch_tag)
                  {
                  case 'g':
                    {
                      char _t78_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t78_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t78_switch_tag)
                        {
                        case 'e':
                          {
                            char _t79_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t79_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t79_switch_tag)
                              {
                              case 't':
                                {
                                  char _t80_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t80_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t80_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t81_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t81_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t81_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t82_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t82_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t82_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t83_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t83_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t83_switch_tag)
                                                      {
                                                      case 'f':
                                                        {
                                                          char _t84_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t84_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t84_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t85_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t85_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t85_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        CORBA_Environment *_ev;
                                                                        OctetSequence *_return = 0;
                                                                        unsigned int _t86_ignore;
                                                                        CORBA_Environment _t87_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t86_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t86_ignore);
                                                                        _ev = &_t87_storage;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = test__get_info(_obj, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(8);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
#if BYTE_ORDER != BIG_ENDIAN
                                                                              CORBA_unsigned_long _t89_array_iter;
#endif /* ENDIANness */

                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_unsigned32(0, _return->_length);
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_suntcp_encode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                              for (_t89_array_iter = 0; _t89_array_iter < _return->_length; _t89_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                  flick_xdr_encode_unsigned8(0, _return->_buffer[_t89_array_iter]);
                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                }
                                                                              CORBA_flick_free(_return->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                              flick_suntcp_encode_new_chunk(4 * _return->_length);
                                                                              flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                                                              CORBA_flick_free(_return->_buffer);
                                                                              flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                                                              flick_suntcp_encode_end_glob(4 * _return->_length);
                                                                              CORBA_flick_free(_return);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(8);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(8);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  case 's':
                    {
                      char _t90_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t90_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t90_switch_tag)
                        {
                        case 'e':
                          {
                            char _t91_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t91_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t91_switch_tag)
                              {
                              case 't':
                                {
                                  char _t92_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t92_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t92_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t93_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t93_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t93_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t94_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t94_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t94_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t95_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t95_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t95_switch_tag)
                                                      {
                                                      case 'f':
                                                        {
                                                          char _t96_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t96_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t96_switch_tag)
                                                            {
                                                            case 'o':
                                                              {
                                                                char _t97_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t97_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t97_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        test _obj;
                                                                        OctetSequence *_local_info;
                                                                        CORBA_Environment *_ev;
                                                                        unsigned int _t98_ignore;
                                                                        OctetSequence _t99_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t100_array_iter;
#endif /* ENDIANness */
                                                                        CORBA_Environment _t101_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t98_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t98_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t98_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t98_ignore);
                                                                        _local_info = &_t99_storage;
                                                                        flick_xdr_decode_unsigned32(16, _local_info->_length);
                                                                        _local_info->_maximum = _local_info->_length;
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_decode_new_glob(4 * _local_info->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(CORBA_octet ));
                                                                        for (_t100_array_iter = 0; _t100_array_iter < _local_info->_length; _t100_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_unsigned8(0, _local_info->_buffer[_t100_array_iter]);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(4 * _local_info->_length);
                                                                        flick_xdr_decode_msgptr(0, _local_info->_buffer);
                                                                        flick_suntcp_decode_end_chunk(4 * _local_info->_length);
#endif /* ENDIANness */
                                                                        flick_suntcp_decode_end_glob(4 * _local_info->_length);
                                                                        _ev = &_t101_storage;
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        test__set_info(_obj, _local_info, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(4);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(4);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(4);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
