#include "parms-client.h"

void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_seq_val[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_seq_len);
  flick_xdr_encode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_seq_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_seq_val[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void *void_test_2345(void *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(20);
    flick_suntcp_encode_new_chunk(20);
    flick_xdr_encode_unsigned32(0, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(20);
    flick_suntcp_encode_end_glob(20);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t3_storage;

            _return = &_t3_storage;
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(4);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_char8(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t5_storage;

            _return = &_t5_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 2);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned8(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t7_storage;

            _return = &_t7_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned8(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 3);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed16(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t9_storage;

            _return = &_t9_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed16(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned short int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 4);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned16(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t11_storage;

            _return = &_t11_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned16(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 5);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t13_storage;

            _return = &_t13_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  unsigned int *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 6);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t15_storage;

            _return = &_t15_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  float *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 7);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_float32(20, *arg);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t17_storage;

            _return = &_t17_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_float32(0, *_return);
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(8);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  double *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(28);
    flick_suntcp_encode_new_chunk(28);
    flick_xdr_encode_unsigned32(0, 8);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_float64(20, *arg);
    flick_suntcp_encode_end_chunk(28);
    flick_suntcp_encode_end_glob(28);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t19_storage;

            _return = &_t19_storage;
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_float64(0, *_return);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(12);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  long_seq *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    unsigned int _t21_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 9);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, arg->long_seq_len);
    if (arg->long_seq_len > (unsigned int) 10)
      flick_sun_encode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
    flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t21_array_iter = 0; _t21_array_iter < arg->long_seq_len; _t21_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, arg->long_seq_val[_t21_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * arg->long_seq_len);
    flick_xdr_encode_bcopy(0, arg->long_seq_val, 4 * arg->long_seq_len);
    flick_suntcp_encode_end_chunk(4 * arg->long_seq_len);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(64);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(48);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t24_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t25_array_iter;
#endif /* ENDIANness */

            _return = &_t24_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->long_seq_len);
            if (_return->long_seq_len > (unsigned int) 10)
              flick_sun_decode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            for (_t25_array_iter = 0; _t25_array_iter < _return->long_seq_len; _t25_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->long_seq_val[_t25_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _return->long_seq_len);
            _return->long_seq_val = sun_flick_alloc(_return->long_seq_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_suntcp_decode_end_chunk(4 * _return->long_seq_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(48);
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(48);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(48);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

