#include "parms-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = parm;
	s.vers_num = one;

	reg_success = flick_server_register(s, &parm_2345);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_seq_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_seq_val[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_seq_len);
  flick_xdr_encode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_seq_len);
  if (_data->long_seq_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_seq_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_seq_val[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->long_seq_len);
  _data->long_seq_val = sun_flick_alloc(_data->long_seq_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_seq_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

flick_operation_success_t parm_2345(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t26_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t26_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t26_switch_tag)
      {
      case (signed int) 0:
        {
          {
            void *_local_arg;
            struct svc_req *_obj;
            void *_return = 0;
            unsigned int _t27_ignore;
            char _t28_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_unsigned32(0, _t27_ignore);
            flick_xdr_decode_unsigned32(4, _t27_ignore);
            flick_xdr_decode_unsigned32(8, _t27_ignore);
            flick_xdr_decode_unsigned32(12, _t27_ignore);
            _local_arg = &_t28_storage;
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = void_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(4);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_end_glob(4);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(4);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(4);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            char *_local_arg;
            struct svc_req *_obj;
            char *_return = 0;
            unsigned int _t29_ignore;
            char _t30_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t29_ignore);
            flick_xdr_decode_unsigned32(4, _t29_ignore);
            flick_xdr_decode_unsigned32(8, _t29_ignore);
            flick_xdr_decode_unsigned32(12, _t29_ignore);
            _local_arg = &_t30_storage;
            flick_xdr_decode_char8(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = char_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_char8(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t31_ignore;
            int _t32_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t31_ignore);
            flick_xdr_decode_unsigned32(4, _t31_ignore);
            flick_xdr_decode_unsigned32(8, _t31_ignore);
            flick_xdr_decode_unsigned32(12, _t31_ignore);
            _local_arg = &_t32_storage;
            flick_xdr_decode_unsigned8(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = bool_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned8(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            short int *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t33_ignore;
            short int _t34_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t33_ignore);
            flick_xdr_decode_unsigned32(4, _t33_ignore);
            flick_xdr_decode_unsigned32(8, _t33_ignore);
            flick_xdr_decode_unsigned32(12, _t33_ignore);
            _local_arg = &_t34_storage;
            flick_xdr_decode_signed16(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = short_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            unsigned short int *_local_arg;
            struct svc_req *_obj;
            unsigned short int *_return = 0;
            unsigned int _t35_ignore;
            unsigned short int _t36_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t35_ignore);
            flick_xdr_decode_unsigned32(4, _t35_ignore);
            flick_xdr_decode_unsigned32(8, _t35_ignore);
            flick_xdr_decode_unsigned32(12, _t35_ignore);
            _local_arg = &_t36_storage;
            flick_xdr_decode_unsigned16(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = ushort_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            int *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t37_ignore;
            int _t38_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t37_ignore);
            flick_xdr_decode_unsigned32(4, _t37_ignore);
            flick_xdr_decode_unsigned32(8, _t37_ignore);
            flick_xdr_decode_unsigned32(12, _t37_ignore);
            _local_arg = &_t38_storage;
            flick_xdr_decode_signed32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = long_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            unsigned int *_local_arg;
            struct svc_req *_obj;
            unsigned int *_return = 0;
            unsigned int _t39_ignore;
            unsigned int _t40_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t39_ignore);
            flick_xdr_decode_unsigned32(4, _t39_ignore);
            flick_xdr_decode_unsigned32(8, _t39_ignore);
            flick_xdr_decode_unsigned32(12, _t39_ignore);
            _local_arg = &_t40_storage;
            flick_xdr_decode_unsigned32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = ulong_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            float *_local_arg;
            struct svc_req *_obj;
            float *_return = 0;
            unsigned int _t41_ignore;
            float _t42_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t41_ignore);
            flick_xdr_decode_unsigned32(4, _t41_ignore);
            flick_xdr_decode_unsigned32(8, _t41_ignore);
            flick_xdr_decode_unsigned32(12, _t41_ignore);
            _local_arg = &_t42_storage;
            flick_xdr_decode_float32(16, *_local_arg);
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = float_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_float32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            double *_local_arg;
            struct svc_req *_obj;
            double *_return = 0;
            unsigned int _t43_ignore;
            double _t44_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t43_ignore);
            flick_xdr_decode_unsigned32(4, _t43_ignore);
            flick_xdr_decode_unsigned32(8, _t43_ignore);
            flick_xdr_decode_unsigned32(12, _t43_ignore);
            _local_arg = &_t44_storage;
            flick_xdr_decode_float64(16, *_local_arg);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = double_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(12);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(8);
                  flick_xdr_encode_float64(0, *_return);
                  flick_suntcp_encode_end_chunk(8);
                  flick_suntcp_encode_end_glob(12);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(12);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(12);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            long_seq *_local_arg;
            struct svc_req *_obj;
            long_seq *_return = 0;
            unsigned int _t45_ignore;
            long_seq _t46_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t47_array_iter;
#endif /* ENDIANness */

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t45_ignore);
            flick_xdr_decode_unsigned32(4, _t45_ignore);
            flick_xdr_decode_unsigned32(8, _t45_ignore);
            flick_xdr_decode_unsigned32(12, _t45_ignore);
            _local_arg = &_t46_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->long_seq_len);
            if (_local_arg->long_seq_len > (unsigned int) 10)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->long_seq_val = sun_flick_alloc(_local_arg->long_seq_len * sizeof(int ));
            for (_t47_array_iter = 0; _t47_array_iter < _local_arg->long_seq_len; _t47_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_seq_val[_t47_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_seq_len);
            _local_arg->long_seq_val = sun_flick_alloc(_local_arg->long_seq_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _local_arg->long_seq_val, 4 * _local_arg->long_seq_len);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_seq_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = long_seq_test_2345(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(48);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
#if BYTE_ORDER != BIG_ENDIAN
                  unsigned int _t49_array_iter;
#endif /* ENDIANness */

                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_unsigned32(0, _return->long_seq_len);
                  if (_return->long_seq_len > (unsigned int) 10)
                    flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                  for (_t49_array_iter = 0; _t49_array_iter < _return->long_seq_len; _t49_array_iter++)
                    {
                      flick_suntcp_encode_new_chunk(4);
                      flick_xdr_encode_signed32(0, _return->long_seq_val[_t49_array_iter]);
                      flick_suntcp_encode_end_chunk(4);
                    }
#else /* BIG_ENDIAN - do a bcopy*/
                  flick_suntcp_encode_new_chunk(4 * _return->long_seq_len);
                  flick_xdr_encode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
                  flick_suntcp_encode_end_chunk(4 * _return->long_seq_len);
#endif /* ENDIANness */
                  flick_suntcp_encode_end_glob(48);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(48);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(48);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
