#include "program-4-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = math;
	s.vers_num = one;

	reg_success = flick_server_register(s, &math_1);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed16(0, _data->a);
  flick_xdr_encode_signed16(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed16(0, _data->a);
  flick_xdr_decode_signed16(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->long_list_val[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->long_list_len);
  flick_xdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_encode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  unsigned int _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->long_list_len; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->long_list_val[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_xdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_suntcp_decode_end_chunk(4 * _data->long_list_len);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

flick_operation_success_t math_1(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t21_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t21_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((signed int )_t21_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t22_ignore;
            struct short_short _t23_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t22_ignore);
            flick_xdr_decode_unsigned32(4, _t22_ignore);
            flick_xdr_decode_unsigned32(8, _t22_ignore);
            flick_xdr_decode_unsigned32(12, _t22_ignore);
            _local_arg = &_t23_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t24_ignore;
            struct short_short _t25_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t24_ignore);
            flick_xdr_decode_unsigned32(4, _t24_ignore);
            flick_xdr_decode_unsigned32(8, _t24_ignore);
            flick_xdr_decode_unsigned32(12, _t24_ignore);
            _local_arg = &_t25_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            unsigned int _t26_ignore;
            struct short_short _t27_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t26_ignore);
            flick_xdr_decode_unsigned32(4, _t26_ignore);
            flick_xdr_decode_unsigned32(8, _t26_ignore);
            flick_xdr_decode_unsigned32(12, _t26_ignore);
            _local_arg = &_t27_storage;
            flick_xdr_decode_signed16(16, _local_arg->a);
            flick_xdr_decode_signed16(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed16(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t28_ignore;
            struct long_long _t29_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t28_ignore);
            flick_xdr_decode_unsigned32(4, _t28_ignore);
            flick_xdr_decode_unsigned32(8, _t28_ignore);
            flick_xdr_decode_unsigned32(12, _t28_ignore);
            _local_arg = &_t29_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t30_ignore;
            struct long_long _t31_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t30_ignore);
            flick_xdr_decode_unsigned32(4, _t30_ignore);
            flick_xdr_decode_unsigned32(8, _t30_ignore);
            flick_xdr_decode_unsigned32(12, _t30_ignore);
            _local_arg = &_t31_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t32_ignore;
            struct long_long _t33_storage;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_unsigned32(0, _t32_ignore);
            flick_xdr_decode_unsigned32(4, _t32_ignore);
            flick_xdr_decode_unsigned32(8, _t32_ignore);
            flick_xdr_decode_unsigned32(12, _t32_ignore);
            _local_arg = &_t33_storage;
            flick_xdr_decode_signed32(16, _local_arg->a);
            flick_xdr_decode_signed32(20, _local_arg->b);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t34_ignore;
            long_list _t35_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t36_array_iter;
#endif /* ENDIANness */

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t34_ignore);
            flick_xdr_decode_unsigned32(4, _t34_ignore);
            flick_xdr_decode_unsigned32(8, _t34_ignore);
            flick_xdr_decode_unsigned32(12, _t34_ignore);
            _local_arg = &_t35_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len);
            if (_local_arg->long_list_len > (unsigned int) 10)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            for (_t36_array_iter = 0; _t36_array_iter < _local_arg->long_list_len; _t36_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t36_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_list_len);
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _local_arg->long_list_val, 4 * _local_arg->long_list_len);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_list_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t37_ignore;
            long_list _t38_storage;
#if BYTE_ORDER != BIG_ENDIAN
            unsigned int _t39_array_iter;
#endif /* ENDIANness */

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t37_ignore);
            flick_xdr_decode_unsigned32(4, _t37_ignore);
            flick_xdr_decode_unsigned32(8, _t37_ignore);
            flick_xdr_decode_unsigned32(12, _t37_ignore);
            _local_arg = &_t38_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->long_list_len);
            if (_local_arg->long_list_len > (unsigned int) 10)
              flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
            flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            for (_t39_array_iter = 0; _t39_array_iter < _local_arg->long_list_len; _t39_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->long_list_val[_t39_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _local_arg->long_list_len);
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_xdr_decode_bcopy(0, _local_arg->long_list_val, 4 * _local_arg->long_list_len);
            flick_suntcp_decode_end_chunk(4 * _local_arg->long_list_len);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(64);
            flick_suntcp_server_end_decode();
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  flick_suntcp_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_suntcp_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                  flick_suntcp_encode_end_glob(8);
                }
              }
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
