#include "sequence_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	reg_success = flick_server_register(s, &TestSeq_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
  CORBA_flick_free(_data->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t19_switch_tag;

    flick_suntcp_decode_new_glob(104);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t19_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t20_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t20_switch_tag)
            {
            case 'S':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t21_switch_tag)
                  {
                  case 'e':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t22_switch_tag)
                        {
                        case 'q':
                          {
                            char _t23_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t23_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t23_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t24_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t24_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t24_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t25_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t25_switch_tag);
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t25_switch_tag)
                                          {
                                          case 'n':
                                            {
                                              char _t26_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t26_switch_tag);
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t26_switch_tag)
                                                {
                                                case 'c':
                                                  {
                                                    char _t27_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t27_switch_tag);
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t27_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t28_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t28_switch_tag);
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t28_switch_tag)
                                                            {
                                                            case 'r':
                                                              {
                                                                char _t29_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t29_switch_tag);
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t29_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        TestSeq _obj;
                                                                        seq *_local_a;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_short _return = 0;
                                                                        unsigned int _t30_ignore;
                                                                        seq _t31_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_unsigned_long _t32_array_iter;
#endif /* ENDIANness */
                                                                        CORBA_Environment _t33_storage;

                                                                        {
                                                                          flick_suntcp_server_decode_target(_obj, 0, xdr);
                                                                        }
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t30_ignore);
                                                                        flick_xdr_decode_unsigned32(4, _t30_ignore);
                                                                        flick_xdr_decode_unsigned32(8, _t30_ignore);
                                                                        flick_xdr_decode_unsigned32(12, _t30_ignore);
                                                                        _local_a = &_t31_storage;
                                                                        flick_xdr_decode_unsigned32(16, _local_a->_length);
                                                                        _local_a->_maximum = _local_a->_length;
                                                                        if (_local_a->_length > (unsigned int) 10)
                                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                        flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                        for (_t32_array_iter = 0; _t32_array_iter < _local_a->_length; _t32_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a->_buffer[_t32_array_iter]);
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(4 * _local_a->_length);
                                                                        _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
                                                                        flick_xdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                                                                        flick_suntcp_decode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                        _ev = &_t33_storage;
                                                                        flick_suntcp_decode_end_glob(104);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _return = TestSeq_Sequencer(_obj, _local_a, _ev);
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr);
                                                                        }
                                                                        flick_suntcp_encode_new_glob(52);
                                                                        flick_suntcp_encode_new_chunk(4);
                                                                        flick_xdr_encode_signed32(0, _ev->_major);
                                                                        flick_suntcp_encode_end_chunk(4);
                                                                        switch (_ev->_major)
                                                                          {
                                                                          case CORBA_NO_EXCEPTION:
                                                                            {
#if BYTE_ORDER != BIG_ENDIAN
                                                                              CORBA_unsigned_long _t35_array_iter;
#endif /* ENDIANness */

                                                                              flick_suntcp_encode_new_chunk(8);
                                                                              flick_xdr_encode_signed16(0, _return);
                                                                              flick_xdr_encode_unsigned32(4, _local_a->_length);
                                                                              if (_local_a->_length > (unsigned int) 10)
                                                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                              flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                              for (_t35_array_iter = 0; _t35_array_iter < _local_a->_length; _t35_array_iter++)
                                                                                {
                                                                                  flick_suntcp_encode_new_chunk(4);
                                                                                  flick_xdr_encode_signed32(0, _local_a->_buffer[_t35_array_iter]);
                                                                                  flick_suntcp_encode_end_chunk(4);
                                                                                }
                                                                              CORBA_flick_free(_local_a->_buffer);
#else /* BIG_ENDIAN - do a bcopy*/
                                                                              flick_suntcp_encode_new_chunk(4 * _local_a->_length);
                                                                              flick_xdr_encode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
                                                                              CORBA_flick_free(_local_a->_buffer);
                                                                              flick_suntcp_encode_end_chunk(4 * _local_a->_length);
#endif /* ENDIANness */
                                                                              flick_suntcp_encode_end_glob(52);
                                                                              break;
                                                                            }
                                                                          case CORBA_SYSTEM_EXCEPTION:
                                                                            {
                                                                              flick_suntcp_encode_end_glob(52);
                                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                                                              flick_suntcp_encode_end_glob(52);
                                                                            }
                                                                          }
                                                                        flick_suntcp_server_end_encode();
                                                                      }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                      flick_suntcp_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                                flick_suntcp_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                          flick_suntcp_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                                    flick_suntcp_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                              flick_suntcp_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(104);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
