#include "simple2-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_xdr_encode_signed32(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *b, 1);
            flick_xdr_decode_signed32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a);
    flick_xdr_encode_port32(40, b, 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *c, 1);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_xdr_encode_signed32(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *b, 1);
            flick_xdr_decode_signed32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_xdr_encode_longstring(_data->msg, null_flick_free, suntcp);
}

void flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_xdr_decode_longstring(_data->msg, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->b);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_xdr_encode_longstring(_data->msg, null_flick_free, suntcp);
}

void flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->b);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_xdr_decode_longstring(_data->msg, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->c._length);
  if (_data->c._length > (unsigned int) 10)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->c._length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->c._buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->c._length);
  flick_xdr_encode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_suntcp_encode_end_chunk(4 * _data->c._length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->c._length);
  _data->c._maximum = _data->c._length;
  if (_data->c._length > (unsigned int) 10)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->c._length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->c._buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->c._length);
  _data->c._buffer = CORBA_flick_alloc(_data->c._length * sizeof(CORBA_long ));
  flick_xdr_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_suntcp_decode_end_chunk(4 * _data->c._length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_xdr_encode_longstring(_data->reason, null_flick_free, suntcp);
}

void flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_xdr_decode_longstring(_data->reason, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_simple3(flick_marshal_stream_t _stream, const simple3 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_simple3(flick_marshal_stream_t _stream, simple3 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

CORBA_long simple3_op3(simple3 _obj, CORBA_long a, simple3 *b, simple2 *c, simple *d, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '3');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(144);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(16);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *b, 1);
            flick_xdr_decode_port32(8, *c, 1);
            flick_xdr_decode_port32(12, *d, 1);
            flick_suntcp_decode_end_chunk(16);
            flick_suntcp_decode_end_glob(144);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(144);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t232_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t232_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t232_switch_tag)
              {
              case (unsigned int) 25:
                {
                  char _t233_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t233_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t233_switch_tag)
                    {
                    case 'I':
                      {
                        char _t234_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t234_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t234_switch_tag)
                          {
                          case 'D':
                            {
                              char _t235_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t235_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t235_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t236_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t236_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t236_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t237_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t237_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t237_switch_tag)
                                            {
                                            case 's':
                                              {
                                                char _t238_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t238_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t238_switch_tag)
                                                  {
                                                  case 'i':
                                                    {
                                                      char _t239_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t239_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t239_switch_tag)
                                                        {
                                                        case 'm':
                                                          {
                                                            char _t240_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t240_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t240_switch_tag)
                                                              {
                                                              case 'p':
                                                                {
                                                                  char _t241_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t241_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t241_switch_tag)
                                                                    {
                                                                    case 'l':
                                                                      {
                                                                        char _t242_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t242_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t242_switch_tag)
                                                                          {
                                                                          case 'e':
                                                                            {
                                                                              char _t243_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t243_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t243_switch_tag)
                                                                                {
                                                                                case '3':
                                                                                  {
                                                                                    char _t244_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t244_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t244_switch_tag)
                                                                                      {
                                                                                      case '/':
                                                                                        {
                                                                                          char _t245_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t245_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t245_switch_tag)
                                                                                            {
                                                                                            case 'O':
                                                                                              {
                                                                                                char _t246_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t246_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t246_switch_tag)
                                                                                                  {
                                                                                                  case 'V':
                                                                                                    {
                                                                                                      char _t247_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t247_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t247_switch_tag)
                                                                                                        {
                                                                                                        case 'E':
                                                                                                          {
                                                                                                            char _t248_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t248_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t248_switch_tag)
                                                                                                              {
                                                                                                              case 'R':
                                                                                                                {
                                                                                                                  char _t249_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t249_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t249_switch_tag)
                                                                                                                    {
                                                                                                                    case 'F':
                                                                                                                      {
                                                                                                                        char _t250_switch_tag;

                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_char8(0, _t250_switch_tag);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        switch ((char )_t250_switch_tag)
                                                                                                                          {
                                                                                                                          case 'L':
                                                                                                                            {
                                                                                                                              char _t251_switch_tag;

                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                              flick_xdr_decode_char8(0, _t251_switch_tag);
                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                              switch ((char )_t251_switch_tag)
                                                                                                                                {
                                                                                                                                case 'O':
                                                                                                                                  {
                                                                                                                                    char _t252_switch_tag;

                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                    flick_xdr_decode_char8(0, _t252_switch_tag);
                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                    switch ((char )_t252_switch_tag)
                                                                                                                                      {
                                                                                                                                      case 'W':
                                                                                                                                        {
                                                                                                                                          char _t253_switch_tag;

                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                          flick_xdr_decode_char8(0, _t253_switch_tag);
                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                          switch ((char )_t253_switch_tag)
                                                                                                                                            {
                                                                                                                                            case ':':
                                                                                                                                              {
                                                                                                                                                char _t254_switch_tag;

                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                flick_xdr_decode_char8(0, _t254_switch_tag);
                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                switch ((char )_t254_switch_tag)
                                                                                                                                                  {
                                                                                                                                                  case '1':
                                                                                                                                                    {
                                                                                                                                                      char _t255_switch_tag;

                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                      flick_xdr_decode_char8(0, _t255_switch_tag);
                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                      switch ((char )_t255_switch_tag)
                                                                                                                                                        {
                                                                                                                                                        case '.':
                                                                                                                                                          {
                                                                                                                                                            char _t256_switch_tag;

                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                            flick_xdr_decode_char8(0, _t256_switch_tag);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                            switch ((char )_t256_switch_tag)
                                                                                                                                                              {
                                                                                                                                                              case '0':
                                                                                                                                                                {
                                                                                                                                                                  char _t257_switch_tag;

                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                  flick_xdr_decode_char8(0, _t257_switch_tag);
                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                  switch ((char )_t257_switch_tag)
                                                                                                                                                                    {
                                                                                                                                                                    case 0:
                                                                                                                                                                      {
                                                                                                                                                                        _ev->_id = "IDL:simple3/OVERFLOW:1.0";
                                                                                                                                                                        (simple3_OVERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_OVERFLOW ));
                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                        flick_xdr_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a);
                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                        flick_xdr_decode_longstring(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, suntcp);
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    default:
                                                                                                                                                                      {
                                                                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    }
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(144);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(144);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(144);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(144);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(144);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(144);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(144);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 26:
                {
                  char _t258_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t258_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t258_switch_tag)
                    {
                    case 'I':
                      {
                        char _t259_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t259_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t259_switch_tag)
                          {
                          case 'D':
                            {
                              char _t260_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t260_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t260_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t261_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t261_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t261_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t262_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t262_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t262_switch_tag)
                                            {
                                            case 's':
                                              {
                                                char _t263_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t263_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t263_switch_tag)
                                                  {
                                                  case 'i':
                                                    {
                                                      char _t264_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t264_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t264_switch_tag)
                                                        {
                                                        case 'm':
                                                          {
                                                            char _t265_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t265_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t265_switch_tag)
                                                              {
                                                              case 'p':
                                                                {
                                                                  char _t266_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t266_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t266_switch_tag)
                                                                    {
                                                                    case 'l':
                                                                      {
                                                                        char _t267_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t267_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t267_switch_tag)
                                                                          {
                                                                          case 'e':
                                                                            {
                                                                              char _t268_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t268_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t268_switch_tag)
                                                                                {
                                                                                case '3':
                                                                                  {
                                                                                    char _t269_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t269_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t269_switch_tag)
                                                                                      {
                                                                                      case '/':
                                                                                        {
                                                                                          char _t270_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t270_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t270_switch_tag)
                                                                                            {
                                                                                            case 'U':
                                                                                              {
                                                                                                char _t271_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t271_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t271_switch_tag)
                                                                                                  {
                                                                                                  case 'N':
                                                                                                    {
                                                                                                      char _t272_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t272_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t272_switch_tag)
                                                                                                        {
                                                                                                        case 'D':
                                                                                                          {
                                                                                                            char _t273_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t273_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t273_switch_tag)
                                                                                                              {
                                                                                                              case 'E':
                                                                                                                {
                                                                                                                  char _t274_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t274_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t274_switch_tag)
                                                                                                                    {
                                                                                                                    case 'R':
                                                                                                                      {
                                                                                                                        char _t275_switch_tag;

                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_char8(0, _t275_switch_tag);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        switch ((char )_t275_switch_tag)
                                                                                                                          {
                                                                                                                          case 'F':
                                                                                                                            {
                                                                                                                              char _t276_switch_tag;

                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                              flick_xdr_decode_char8(0, _t276_switch_tag);
                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                              switch ((char )_t276_switch_tag)
                                                                                                                                {
                                                                                                                                case 'L':
                                                                                                                                  {
                                                                                                                                    char _t277_switch_tag;

                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                    flick_xdr_decode_char8(0, _t277_switch_tag);
                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                    switch ((char )_t277_switch_tag)
                                                                                                                                      {
                                                                                                                                      case 'O':
                                                                                                                                        {
                                                                                                                                          char _t278_switch_tag;

                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                          flick_xdr_decode_char8(0, _t278_switch_tag);
                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                          switch ((char )_t278_switch_tag)
                                                                                                                                            {
                                                                                                                                            case 'W':
                                                                                                                                              {
                                                                                                                                                char _t279_switch_tag;

                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                flick_xdr_decode_char8(0, _t279_switch_tag);
                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                switch ((char )_t279_switch_tag)
                                                                                                                                                  {
                                                                                                                                                  case ':':
                                                                                                                                                    {
                                                                                                                                                      char _t280_switch_tag;

                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                      flick_xdr_decode_char8(0, _t280_switch_tag);
                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                      switch ((char )_t280_switch_tag)
                                                                                                                                                        {
                                                                                                                                                        case '1':
                                                                                                                                                          {
                                                                                                                                                            char _t281_switch_tag;

                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                            flick_xdr_decode_char8(0, _t281_switch_tag);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                            switch ((char )_t281_switch_tag)
                                                                                                                                                              {
                                                                                                                                                              case '.':
                                                                                                                                                                {
                                                                                                                                                                  char _t282_switch_tag;

                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                  flick_xdr_decode_char8(0, _t282_switch_tag);
                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                  switch ((char )_t282_switch_tag)
                                                                                                                                                                    {
                                                                                                                                                                    case '0':
                                                                                                                                                                      {
                                                                                                                                                                        char _t283_switch_tag;

                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                        flick_xdr_decode_char8(0, _t283_switch_tag);
                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                        switch ((char )_t283_switch_tag)
                                                                                                                                                                          {
                                                                                                                                                                          case 0:
                                                                                                                                                                            {
                                                                                                                                                                              _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                                                                                                                                              (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                              flick_xdr_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                              flick_xdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, suntcp);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          default:
                                                                                                                                                                            {
                                                                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          }
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    default:
                                                                                                                                                                      {
                                                                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    }
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(144);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(144);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(144);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(144);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(144);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(144);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(144);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 23:
                {
                  char _t284_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t284_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t284_switch_tag)
                    {
                    case 'I':
                      {
                        char _t285_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t285_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t285_switch_tag)
                          {
                          case 'D':
                            {
                              char _t286_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t286_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t286_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t287_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t287_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t287_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t288_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t288_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t288_switch_tag)
                                            {
                                            case 's':
                                              {
                                                char _t289_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t289_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t289_switch_tag)
                                                  {
                                                  case 'i':
                                                    {
                                                      char _t290_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t290_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t290_switch_tag)
                                                        {
                                                        case 'm':
                                                          {
                                                            char _t291_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t291_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t291_switch_tag)
                                                              {
                                                              case 'p':
                                                                {
                                                                  char _t292_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t292_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t292_switch_tag)
                                                                    {
                                                                    case 'l':
                                                                      {
                                                                        char _t293_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t293_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t293_switch_tag)
                                                                          {
                                                                          case 'e':
                                                                            {
                                                                              char _t294_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t294_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t294_switch_tag)
                                                                                {
                                                                                case '3':
                                                                                  {
                                                                                    char _t295_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t295_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t295_switch_tag)
                                                                                      {
                                                                                      case '/':
                                                                                        {
                                                                                          char _t296_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t296_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t296_switch_tag)
                                                                                            {
                                                                                            case 'B':
                                                                                              {
                                                                                                char _t297_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t297_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t297_switch_tag)
                                                                                                  {
                                                                                                  case 'A':
                                                                                                    {
                                                                                                      char _t298_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t298_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t298_switch_tag)
                                                                                                        {
                                                                                                        case 'D':
                                                                                                          {
                                                                                                            char _t299_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t299_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t299_switch_tag)
                                                                                                              {
                                                                                                              case 'N':
                                                                                                                {
                                                                                                                  char _t300_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t300_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t300_switch_tag)
                                                                                                                    {
                                                                                                                    case 'U':
                                                                                                                      {
                                                                                                                        char _t301_switch_tag;

                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_char8(0, _t301_switch_tag);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        switch ((char )_t301_switch_tag)
                                                                                                                          {
                                                                                                                          case 'M':
                                                                                                                            {
                                                                                                                              char _t302_switch_tag;

                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                              flick_xdr_decode_char8(0, _t302_switch_tag);
                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                              switch ((char )_t302_switch_tag)
                                                                                                                                {
                                                                                                                                case ':':
                                                                                                                                  {
                                                                                                                                    char _t303_switch_tag;

                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                    flick_xdr_decode_char8(0, _t303_switch_tag);
                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                    switch ((char )_t303_switch_tag)
                                                                                                                                      {
                                                                                                                                      case '1':
                                                                                                                                        {
                                                                                                                                          char _t304_switch_tag;

                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                          flick_xdr_decode_char8(0, _t304_switch_tag);
                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                          switch ((char )_t304_switch_tag)
                                                                                                                                            {
                                                                                                                                            case '.':
                                                                                                                                              {
                                                                                                                                                char _t305_switch_tag;

                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                flick_xdr_decode_char8(0, _t305_switch_tag);
                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                switch ((char )_t305_switch_tag)
                                                                                                                                                  {
                                                                                                                                                  case '0':
                                                                                                                                                    {
                                                                                                                                                      char _t306_switch_tag;

                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                      flick_xdr_decode_char8(0, _t306_switch_tag);
                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                      switch ((char )_t306_switch_tag)
                                                                                                                                                        {
                                                                                                                                                        case 0:
                                                                                                                                                          {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                                                                                            CORBA_unsigned_long _t307_array_iter;
#endif /* ENDIANness */

                                                                                                                                                            _ev->_id = "IDL:simple3/BADNUM:1.0";
                                                                                                                                                            (simple3_BADNUM *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_BADNUM ));
                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                            flick_xdr_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._maximum = ((simple3_BADNUM *)(_ev->_value._user_except))->c._length;
                                                                                                                                                            if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > (unsigned int) 10)
                                                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_value._user_except))->c._length * sizeof(CORBA_long ));
                                                                                                                                                            for (_t307_array_iter = 0; _t307_array_iter < ((simple3_BADNUM *)(_ev->_value._user_except))->c._length; _t307_array_iter++)
                                                                                                                                                              {
                                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                flick_xdr_decode_signed32(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer[_t307_array_iter]);
                                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                                                                                            flick_suntcp_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                                                                                                            ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer = CORBA_flick_alloc(((simple3_BADNUM *)(_ev->_value._user_except))->c._length * sizeof(CORBA_long ));
                                                                                                                                                            flick_xdr_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
#endif /* ENDIANness */
                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_decode_end_glob(144);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_decode_end_glob(144);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_decode_end_glob(144);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_decode_end_glob(144);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      flick_suntcp_decode_end_glob(144);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                flick_suntcp_decode_end_glob(144);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(144);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(144);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(144);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(144);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(144);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(144);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(144);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(144);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(144);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(144);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(144);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(144);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(144);
                  break;
                }
              }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *simple3_op4(simple3 _obj, CORBA_char *x, CORBA_char **y, CORBA_char **z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '4');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
    flick_xdr_encode_longstring(x, null_flick_free, suntcp);
    flick_xdr_encode_longstring(*y, CORBA_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(116);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(116);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*y, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*z, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(116);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t389_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t389_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t389_switch_tag)
              {
              case (unsigned int) 26:
                {
                  char _t390_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t390_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t390_switch_tag)
                    {
                    case 'I':
                      {
                        char _t391_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t391_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t391_switch_tag)
                          {
                          case 'D':
                            {
                              char _t392_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t392_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t392_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t393_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t393_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t393_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t394_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t394_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t394_switch_tag)
                                            {
                                            case 's':
                                              {
                                                char _t395_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t395_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t395_switch_tag)
                                                  {
                                                  case 'i':
                                                    {
                                                      char _t396_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t396_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t396_switch_tag)
                                                        {
                                                        case 'm':
                                                          {
                                                            char _t397_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t397_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t397_switch_tag)
                                                              {
                                                              case 'p':
                                                                {
                                                                  char _t398_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t398_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t398_switch_tag)
                                                                    {
                                                                    case 'l':
                                                                      {
                                                                        char _t399_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t399_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t399_switch_tag)
                                                                          {
                                                                          case 'e':
                                                                            {
                                                                              char _t400_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t400_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t400_switch_tag)
                                                                                {
                                                                                case '3':
                                                                                  {
                                                                                    char _t401_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t401_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t401_switch_tag)
                                                                                      {
                                                                                      case '/':
                                                                                        {
                                                                                          char _t402_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t402_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t402_switch_tag)
                                                                                            {
                                                                                            case 'U':
                                                                                              {
                                                                                                char _t403_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t403_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t403_switch_tag)
                                                                                                  {
                                                                                                  case 'N':
                                                                                                    {
                                                                                                      char _t404_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t404_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t404_switch_tag)
                                                                                                        {
                                                                                                        case 'D':
                                                                                                          {
                                                                                                            char _t405_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t405_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t405_switch_tag)
                                                                                                              {
                                                                                                              case 'E':
                                                                                                                {
                                                                                                                  char _t406_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t406_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t406_switch_tag)
                                                                                                                    {
                                                                                                                    case 'R':
                                                                                                                      {
                                                                                                                        char _t407_switch_tag;

                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_char8(0, _t407_switch_tag);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        switch ((char )_t407_switch_tag)
                                                                                                                          {
                                                                                                                          case 'F':
                                                                                                                            {
                                                                                                                              char _t408_switch_tag;

                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                              flick_xdr_decode_char8(0, _t408_switch_tag);
                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                              switch ((char )_t408_switch_tag)
                                                                                                                                {
                                                                                                                                case 'L':
                                                                                                                                  {
                                                                                                                                    char _t409_switch_tag;

                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                    flick_xdr_decode_char8(0, _t409_switch_tag);
                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                    switch ((char )_t409_switch_tag)
                                                                                                                                      {
                                                                                                                                      case 'O':
                                                                                                                                        {
                                                                                                                                          char _t410_switch_tag;

                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                          flick_xdr_decode_char8(0, _t410_switch_tag);
                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                          switch ((char )_t410_switch_tag)
                                                                                                                                            {
                                                                                                                                            case 'W':
                                                                                                                                              {
                                                                                                                                                char _t411_switch_tag;

                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                flick_xdr_decode_char8(0, _t411_switch_tag);
                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                switch ((char )_t411_switch_tag)
                                                                                                                                                  {
                                                                                                                                                  case ':':
                                                                                                                                                    {
                                                                                                                                                      char _t412_switch_tag;

                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                      flick_xdr_decode_char8(0, _t412_switch_tag);
                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                      switch ((char )_t412_switch_tag)
                                                                                                                                                        {
                                                                                                                                                        case '1':
                                                                                                                                                          {
                                                                                                                                                            char _t413_switch_tag;

                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                            flick_xdr_decode_char8(0, _t413_switch_tag);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                            switch ((char )_t413_switch_tag)
                                                                                                                                                              {
                                                                                                                                                              case '.':
                                                                                                                                                                {
                                                                                                                                                                  char _t414_switch_tag;

                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                  flick_xdr_decode_char8(0, _t414_switch_tag);
                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                  switch ((char )_t414_switch_tag)
                                                                                                                                                                    {
                                                                                                                                                                    case '0':
                                                                                                                                                                      {
                                                                                                                                                                        char _t415_switch_tag;

                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                        flick_xdr_decode_char8(0, _t415_switch_tag);
                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                        switch ((char )_t415_switch_tag)
                                                                                                                                                                          {
                                                                                                                                                                          case 0:
                                                                                                                                                                            {
                                                                                                                                                                              _ev->_id = "IDL:simple3/UNDERFLOW:1.0";
                                                                                                                                                                              (simple3_UNDERFLOW *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_UNDERFLOW ));
                                                                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                              flick_xdr_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                                                                                                              flick_xdr_decode_longstring(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, CORBA_flick_alloc, suntcp);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          default:
                                                                                                                                                                            {
                                                                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          }
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    default:
                                                                                                                                                                      {
                                                                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    }
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_decode_end_glob(116);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_decode_end_glob(116);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_decode_end_glob(116);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_decode_end_glob(116);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      flick_suntcp_decode_end_glob(116);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                flick_suntcp_decode_end_glob(116);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(116);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(116);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(116);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(116);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(116);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(116);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(116);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(116);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(116);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(116);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(116);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(116);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(116);
                  break;
                }
              }
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void simple3_op5(simple3 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(36);
    flick_suntcp_encode_new_chunk(36);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '5');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(36);
    flick_suntcp_encode_end_glob(36);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(112);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(112);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(112);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t497_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t497_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t497_switch_tag)
              {
              case (unsigned int) 26:
                {
                  char _t498_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t498_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t498_switch_tag)
                    {
                    case 'I':
                      {
                        char _t499_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t499_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t499_switch_tag)
                          {
                          case 'D':
                            {
                              char _t500_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t500_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t500_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t501_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t501_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t501_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t502_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t502_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t502_switch_tag)
                                            {
                                            case 's':
                                              {
                                                char _t503_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t503_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t503_switch_tag)
                                                  {
                                                  case 'i':
                                                    {
                                                      char _t504_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t504_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t504_switch_tag)
                                                        {
                                                        case 'm':
                                                          {
                                                            char _t505_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t505_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t505_switch_tag)
                                                              {
                                                              case 'p':
                                                                {
                                                                  char _t506_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t506_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t506_switch_tag)
                                                                    {
                                                                    case 'l':
                                                                      {
                                                                        char _t507_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t507_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t507_switch_tag)
                                                                          {
                                                                          case 'e':
                                                                            {
                                                                              char _t508_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t508_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t508_switch_tag)
                                                                                {
                                                                                case '3':
                                                                                  {
                                                                                    char _t509_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t509_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t509_switch_tag)
                                                                                      {
                                                                                      case '/':
                                                                                        {
                                                                                          char _t510_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t510_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t510_switch_tag)
                                                                                            {
                                                                                            case 'U':
                                                                                              {
                                                                                                char _t511_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t511_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t511_switch_tag)
                                                                                                  {
                                                                                                  case 'S':
                                                                                                    {
                                                                                                      char _t512_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t512_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t512_switch_tag)
                                                                                                        {
                                                                                                        case 'E':
                                                                                                          {
                                                                                                            char _t513_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t513_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t513_switch_tag)
                                                                                                              {
                                                                                                              case 'R':
                                                                                                                {
                                                                                                                  char _t514_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t514_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t514_switch_tag)
                                                                                                                    {
                                                                                                                    case 'E':
                                                                                                                      {
                                                                                                                        char _t515_switch_tag;

                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_char8(0, _t515_switch_tag);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        switch ((char )_t515_switch_tag)
                                                                                                                          {
                                                                                                                          case 'R':
                                                                                                                            {
                                                                                                                              char _t516_switch_tag;

                                                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                                                              flick_xdr_decode_char8(0, _t516_switch_tag);
                                                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                                                              switch ((char )_t516_switch_tag)
                                                                                                                                {
                                                                                                                                case 'R':
                                                                                                                                  {
                                                                                                                                    char _t517_switch_tag;

                                                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                                                    flick_xdr_decode_char8(0, _t517_switch_tag);
                                                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                                                    switch ((char )_t517_switch_tag)
                                                                                                                                      {
                                                                                                                                      case 'O':
                                                                                                                                        {
                                                                                                                                          char _t518_switch_tag;

                                                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                                                          flick_xdr_decode_char8(0, _t518_switch_tag);
                                                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                                                          switch ((char )_t518_switch_tag)
                                                                                                                                            {
                                                                                                                                            case 'R':
                                                                                                                                              {
                                                                                                                                                char _t519_switch_tag;

                                                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                                                flick_xdr_decode_char8(0, _t519_switch_tag);
                                                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                                                switch ((char )_t519_switch_tag)
                                                                                                                                                  {
                                                                                                                                                  case ':':
                                                                                                                                                    {
                                                                                                                                                      char _t520_switch_tag;

                                                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                                                      flick_xdr_decode_char8(0, _t520_switch_tag);
                                                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                                                      switch ((char )_t520_switch_tag)
                                                                                                                                                        {
                                                                                                                                                        case '1':
                                                                                                                                                          {
                                                                                                                                                            char _t521_switch_tag;

                                                                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                                                                            flick_xdr_decode_char8(0, _t521_switch_tag);
                                                                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                                                                            switch ((char )_t521_switch_tag)
                                                                                                                                                              {
                                                                                                                                                              case '.':
                                                                                                                                                                {
                                                                                                                                                                  char _t522_switch_tag;

                                                                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                  flick_xdr_decode_char8(0, _t522_switch_tag);
                                                                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                  switch ((char )_t522_switch_tag)
                                                                                                                                                                    {
                                                                                                                                                                    case '0':
                                                                                                                                                                      {
                                                                                                                                                                        char _t523_switch_tag;

                                                                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                                                                        flick_xdr_decode_char8(0, _t523_switch_tag);
                                                                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                                                                        switch ((char )_t523_switch_tag)
                                                                                                                                                                          {
                                                                                                                                                                          case 0:
                                                                                                                                                                            {
                                                                                                                                                                              _ev->_id = "IDL:simple3/USERERROR:1.0";
                                                                                                                                                                              (simple3_USERERROR *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(simple3_USERERROR ));
                                                                                                                                                                              flick_suntcp_decode_end_glob(112);
                                                                                                                                                                              flick_xdr_decode_longstring(((simple3_USERERROR *)(_ev->_value._user_except))->reason, CORBA_flick_alloc, suntcp);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          default:
                                                                                                                                                                            {
                                                                                                                                                                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                              flick_suntcp_decode_end_glob(112);
                                                                                                                                                                              break;
                                                                                                                                                                            }
                                                                                                                                                                          }
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    default:
                                                                                                                                                                      {
                                                                                                                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                        flick_suntcp_decode_end_glob(112);
                                                                                                                                                                        break;
                                                                                                                                                                      }
                                                                                                                                                                    }
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              default:
                                                                                                                                                                {
                                                                                                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                                  flick_suntcp_decode_end_glob(112);
                                                                                                                                                                  break;
                                                                                                                                                                }
                                                                                                                                                              }
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        default:
                                                                                                                                                          {
                                                                                                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                            flick_suntcp_decode_end_glob(112);
                                                                                                                                                            break;
                                                                                                                                                          }
                                                                                                                                                        }
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  default:
                                                                                                                                                    {
                                                                                                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                      flick_suntcp_decode_end_glob(112);
                                                                                                                                                      break;
                                                                                                                                                    }
                                                                                                                                                  }
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            default:
                                                                                                                                              {
                                                                                                                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                                flick_suntcp_decode_end_glob(112);
                                                                                                                                                break;
                                                                                                                                              }
                                                                                                                                            }
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      default:
                                                                                                                                        {
                                                                                                                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                          flick_suntcp_decode_end_glob(112);
                                                                                                                                          break;
                                                                                                                                        }
                                                                                                                                      }
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                default:
                                                                                                                                  {
                                                                                                                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                                    flick_suntcp_decode_end_glob(112);
                                                                                                                                    break;
                                                                                                                                  }
                                                                                                                                }
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          default:
                                                                                                                            {
                                                                                                                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                              flick_suntcp_decode_end_glob(112);
                                                                                                                              break;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        flick_suntcp_decode_end_glob(112);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  flick_suntcp_decode_end_glob(112);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            flick_suntcp_decode_end_glob(112);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      flick_suntcp_decode_end_glob(112);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                flick_suntcp_decode_end_glob(112);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          flick_suntcp_decode_end_glob(112);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    flick_suntcp_decode_end_glob(112);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              flick_suntcp_decode_end_glob(112);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        flick_suntcp_decode_end_glob(112);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  flick_suntcp_decode_end_glob(112);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            flick_suntcp_decode_end_glob(112);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      flick_suntcp_decode_end_glob(112);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                flick_suntcp_decode_end_glob(112);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          flick_suntcp_decode_end_glob(112);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    flick_suntcp_decode_end_glob(112);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              flick_suntcp_decode_end_glob(112);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        flick_suntcp_decode_end_glob(112);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(112);
                  break;
                }
              }
          }
        }
    }
  flick_suntcp_client_end_decode();
}

CORBA_long simple3_op2(simple3 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, '2');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_signed32(36, a);
    flick_xdr_encode_port32(40, b, 0);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(8);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *c, 1);
            flick_suntcp_decode_end_chunk(8);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long simple3_op(simple3 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(40);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 3);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_signed32(32, a);
    flick_xdr_encode_signed32(36, *c);
    flick_suntcp_encode_end_chunk(40);
    flick_suntcp_encode_end_glob(40);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_port32(4, *b, 1);
            flick_xdr_decode_signed32(8, *c);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

