#include "test1-client.h"

void flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const test1_ushort *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, test1_ushort *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const test1_ulong *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, test1_ulong *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const test1_x1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->case_num);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, test1_x1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->case_num);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const test1_x2 *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_port32(0, _data->obj, 0);
  flick_xdr_encode_signed32(4, _data->value);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, test1_x2 *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_port32(0, _data->obj, 1);
  flick_xdr_decode_signed32(4, _data->value);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1 *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1 *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void test1_test_void(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'v');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'i');
    flick_xdr_encode_char8(36, 'd');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

CORBA_short test1_test_short(test1 _obj, CORBA_short a1, CORBA_short *a2, CORBA_short *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed16(64, a1);
    flick_xdr_encode_signed16(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, _return);
            flick_xdr_decode_signed16(4, *a2);
            flick_xdr_decode_signed16(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_long test1_test_long(test1 _obj, CORBA_long a1, CORBA_long *a2, CORBA_long *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'l');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 'g');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_signed32(60, a1);
    flick_xdr_encode_signed32(64, *a3);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, _return);
            flick_xdr_decode_signed32(4, *a2);
            flick_xdr_decode_signed32(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

test1_ushort test1_test_ushort(test1 _obj, test1_ushort a1, test1_ushort *a2, test1_ushort *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ushort _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 's');
    flick_xdr_encode_char8(32, 'h');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 'r');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned16(68, a1);
    flick_xdr_encode_unsigned16(72, *a3);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, _return);
            flick_xdr_decode_unsigned16(4, *a2);
            flick_xdr_decode_unsigned16(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

test1_ulong test1_test_ulong(test1 _obj, test1_ulong a1, test1_ulong *a2, test1_ulong *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test1_ulong _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'u');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'n');
    flick_xdr_encode_char8(40, 'g');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, a1);
    flick_xdr_encode_unsigned32(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *a2);
            flick_xdr_decode_unsigned32(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_float test1_test_float(test1 _obj, CORBA_float a1, CORBA_float *a2, CORBA_float *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'f');
    flick_xdr_encode_char8(28, 'l');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'a');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_float32(64, a1);
    flick_xdr_encode_float32(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float32(0, _return);
            flick_xdr_decode_float32(4, *a2);
            flick_xdr_decode_float32(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_double test1_test_double(test1 _obj, CORBA_double a1, CORBA_double *a2, CORBA_double *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_double _return;

  _return = 0.000000;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(84);
    flick_suntcp_encode_new_chunk(84);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'd');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'u');
    flick_xdr_encode_char8(36, 'b');
    flick_xdr_encode_char8(40, 'l');
    flick_xdr_encode_char8(44, 'e');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_float64(68, a1);
    flick_xdr_encode_float64(76, *a3);
    flick_suntcp_encode_end_chunk(84);
    flick_suntcp_encode_end_glob(84);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(28);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(24);
            flick_xdr_decode_float64(0, _return);
            flick_xdr_decode_float64(8, *a2);
            flick_xdr_decode_float64(16, *a3);
            flick_suntcp_decode_end_chunk(24);
            flick_suntcp_decode_end_glob(28);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(28);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(28);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_boolean test1_test_boolean(test1 _obj, CORBA_boolean a1, CORBA_boolean *a2, CORBA_boolean *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(80);
    flick_suntcp_encode_new_chunk(80);
    flick_xdr_encode_unsigned32(0, 13);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'b');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'o');
    flick_xdr_encode_char8(36, 'l');
    flick_xdr_encode_char8(40, 'e');
    flick_xdr_encode_char8(44, 'a');
    flick_xdr_encode_char8(48, 'n');
    flick_xdr_encode_char8(52, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_unsigned32(68, (unsigned int) 0);
    flick_xdr_encode_unsigned8(72, a1);
    flick_xdr_encode_unsigned8(76, *a3);
    flick_suntcp_encode_end_chunk(80);
    flick_suntcp_encode_end_glob(80);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *a2);
            flick_xdr_decode_unsigned8(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char test1_test_char(test1 _obj, CORBA_char a1, CORBA_char *a2, CORBA_char *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'c');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'a');
    flick_xdr_encode_char8(36, 'r');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_char8(60, a1);
    flick_xdr_encode_char8(64, *a3);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, _return);
            flick_xdr_decode_char8(4, *a2);
            flick_xdr_decode_char8(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_octet test1_test_octet(test1 _obj, CORBA_octet a1, CORBA_octet *a2, CORBA_octet *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(72);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'o');
    flick_xdr_encode_char8(28, 'c');
    flick_xdr_encode_char8(32, 't');
    flick_xdr_encode_char8(36, 'e');
    flick_xdr_encode_char8(40, 't');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned8(64, a1);
    flick_xdr_encode_unsigned8(68, *a3);
    flick_suntcp_encode_end_chunk(72);
    flick_suntcp_encode_end_glob(72);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, _return);
            flick_xdr_decode_unsigned8(4, *a2);
            flick_xdr_decode_unsigned8(8, *a3);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_char *test1_test_string(test1 _obj, CORBA_char *a1, CORBA_char **a2, CORBA_char **a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 's');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 'g');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_xdr_encode_longstring(a1, null_flick_free, suntcp);
    flick_xdr_encode_longstring(*a3, CORBA_flick_free, suntcp);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*a2, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*a3, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

CORBA_Object test1_test_Object(test1 _obj, CORBA_Object a1, CORBA_Object *a2, CORBA_Object *a3, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_Object _return;

  memset(&_return, 0, sizeof(CORBA_Object ));
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'O');
    flick_xdr_encode_char8(28, 'b');
    flick_xdr_encode_char8(32, 'j');
    flick_xdr_encode_char8(36, 'e');
    flick_xdr_encode_char8(40, 'c');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_port32(68, a1, 0);
    flick_xdr_encode_port32(72, *a3, 0);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_port32(0, _return, 1);
            flick_xdr_decode_port32(4, *a2, 1);
            flick_xdr_decode_port32(8, *a3, 1);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(16);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(16);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(16);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void test1_test_throw(test1 _obj, CORBA_long case_num, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 't');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 's');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 'h');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 'w');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed32(64, case_num);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(84);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(84);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(84);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t69_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t69_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t69_switch_tag)
              {
              case (unsigned int) 17:
                {
                  char _t70_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t70_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t70_switch_tag)
                    {
                    case 'I':
                      {
                        char _t71_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t71_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t71_switch_tag)
                          {
                          case 'D':
                            {
                              char _t72_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t72_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t72_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t73_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t73_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t73_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t74_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t74_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t74_switch_tag)
                                            {
                                            case 't':
                                              {
                                                char _t75_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t75_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t75_switch_tag)
                                                  {
                                                  case 'e':
                                                    {
                                                      char _t76_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t76_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t76_switch_tag)
                                                        {
                                                        case 's':
                                                          {
                                                            char _t77_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t77_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t77_switch_tag)
                                                              {
                                                              case 't':
                                                                {
                                                                  char _t78_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t78_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t78_switch_tag)
                                                                    {
                                                                    case '1':
                                                                      {
                                                                        char _t79_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t79_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t79_switch_tag)
                                                                          {
                                                                          case '/':
                                                                            {
                                                                              char _t80_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t80_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t80_switch_tag)
                                                                                {
                                                                                case 'x':
                                                                                  {
                                                                                    char _t81_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t81_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t81_switch_tag)
                                                                                      {
                                                                                      case '1':
                                                                                        {
                                                                                          char _t82_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t82_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t82_switch_tag)
                                                                                            {
                                                                                            case ':':
                                                                                              {
                                                                                                char _t83_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t83_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t83_switch_tag)
                                                                                                  {
                                                                                                  case '1':
                                                                                                    {
                                                                                                      char _t84_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t84_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t84_switch_tag)
                                                                                                        {
                                                                                                        case '.':
                                                                                                          {
                                                                                                            char _t85_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t85_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t85_switch_tag)
                                                                                                              {
                                                                                                              case '0':
                                                                                                                {
                                                                                                                  char _t86_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t86_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t86_switch_tag)
                                                                                                                    {
                                                                                                                    case 0:
                                                                                                                      {
                                                                                                                        _ev->_id = "IDL:test1/x1:1.0";
                                                                                                                        (test1_x1 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x1 ));
                                                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                                                        flick_xdr_decode_signed32(0, ((test1_x1 *)(_ev->_value._user_except))->case_num);
                                                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      case '2':
                                                                                        {
                                                                                          char _t87_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t87_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t87_switch_tag)
                                                                                            {
                                                                                            case ':':
                                                                                              {
                                                                                                char _t88_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t88_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t88_switch_tag)
                                                                                                  {
                                                                                                  case '1':
                                                                                                    {
                                                                                                      char _t89_switch_tag;

                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_char8(0, _t89_switch_tag);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      switch ((char )_t89_switch_tag)
                                                                                                        {
                                                                                                        case '.':
                                                                                                          {
                                                                                                            char _t90_switch_tag;

                                                                                                            flick_suntcp_decode_new_chunk(4);
                                                                                                            flick_xdr_decode_char8(0, _t90_switch_tag);
                                                                                                            flick_suntcp_decode_end_chunk(4);
                                                                                                            switch ((char )_t90_switch_tag)
                                                                                                              {
                                                                                                              case '0':
                                                                                                                {
                                                                                                                  char _t91_switch_tag;

                                                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                                                  flick_xdr_decode_char8(0, _t91_switch_tag);
                                                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                                                  switch ((char )_t91_switch_tag)
                                                                                                                    {
                                                                                                                    case 0:
                                                                                                                      {
                                                                                                                        _ev->_id = "IDL:test1/x2:1.0";
                                                                                                                        (test1_x2 *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(test1_x2 ));
                                                                                                                        flick_suntcp_decode_new_chunk(8);
                                                                                                                        flick_xdr_decode_port32(0, ((test1_x2 *)(_ev->_value._user_except))->obj, 1);
                                                                                                                        flick_xdr_decode_signed32(4, ((test1_x2 *)(_ev->_value._user_except))->value);
                                                                                                                        flick_suntcp_decode_end_chunk(8);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    default:
                                                                                                                      {
                                                                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                        break;
                                                                                                                      }
                                                                                                                    }
                                                                                                                  break;
                                                                                                                }
                                                                                                              default:
                                                                                                                {
                                                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                                  break;
                                                                                                                }
                                                                                                              }
                                                                                                            break;
                                                                                                          }
                                                                                                        default:
                                                                                                          {
                                                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                            break;
                                                                                                          }
                                                                                                        }
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(84);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

void test1_please_exit(test1 _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 'p');
    flick_xdr_encode_char8(8, 'l');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 'a');
    flick_xdr_encode_char8(20, 's');
    flick_xdr_encode_char8(24, 'e');
    flick_xdr_encode_char8(28, '_');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 'x');
    flick_xdr_encode_char8(40, 'i');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
}

