#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->slot_1);
  flick_xdr_encode_signed32(4, _data->slot_2);
  flick_xdr_encode_signed32(8, _data->slot_3);
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->slot_1);
  flick_xdr_decode_signed32(4, _data->slot_2);
  flick_xdr_decode_signed32(8, _data->slot_3);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_suntcp_encode_new_glob(408);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->discriminator);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
#if BYTE_ORDER != BIG_ENDIAN
        unsigned int _t1_array_iter;
#endif /* ENDIANness */

        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
        flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        for (_t1_array_iter = 0; _t1_array_iter < _data->foo_u.one.one_len; _t1_array_iter++)
          {
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, _data->foo_u.one.one_val[_t1_array_iter]);
            flick_suntcp_encode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_encode_new_chunk(4 * _data->foo_u.one.one_len);
        flick_xdr_encode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_suntcp_encode_end_chunk(4 * _data->foo_u.one.one_len);
#endif /* ENDIANness */
        flick_suntcp_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_end_glob(408);
        flick_xdr_encode_longstring(_data->foo_u.two, null_flick_free, suntcp);
        break;
      }
    case 3:
      {
        flick_suntcp_encode_new_chunk(12);
        flick_xdr_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_xdr_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_xdr_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_suntcp_encode_end_chunk(12);
        flick_suntcp_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        flick_suntcp_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_suntcp_decode_new_glob(408);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->discriminator);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
#if BYTE_ORDER != BIG_ENDIAN
        unsigned int _t3_array_iter;
#endif /* ENDIANness */

        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
        flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.one_len; _t3_array_iter++)
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _data->foo_u.one.one_val[_t3_array_iter]);
            flick_suntcp_decode_end_chunk(4);
          }
#else /* BIG_ENDIAN - do a bcopy*/
        flick_suntcp_decode_new_chunk(4 * _data->foo_u.one.one_len);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        flick_xdr_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_suntcp_decode_end_chunk(4 * _data->foo_u.one.one_len);
#endif /* ENDIANness */
        flick_suntcp_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_end_glob(408);
        flick_xdr_decode_longstring(_data->foo_u.two, sun_flick_alloc, suntcp);
        break;
      }
    case 3:
      {
        flick_suntcp_decode_new_chunk(12);
        flick_xdr_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_xdr_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_xdr_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_suntcp_decode_end_chunk(12);
        flick_suntcp_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        flick_suntcp_decode_end_glob(408);
        break;
      }
    }
}

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct foo *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(428);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed32(20, arg->discriminator);
    flick_suntcp_encode_end_chunk(24);
    switch (arg->discriminator)
      {
      case 1:
        {
#if BYTE_ORDER != BIG_ENDIAN
          unsigned int _t7_array_iter;
#endif /* ENDIANness */

          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_unsigned32(0, arg->foo_u.one.one_len);
          if (arg->foo_u.one.one_len > (unsigned int) 100)
            flick_sun_encode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
          for (_t7_array_iter = 0; _t7_array_iter < arg->foo_u.one.one_len; _t7_array_iter++)
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, arg->foo_u.one.one_val[_t7_array_iter]);
              flick_suntcp_encode_end_chunk(4);
            }
#else /* BIG_ENDIAN - do a bcopy*/
          flick_suntcp_encode_new_chunk(4 * arg->foo_u.one.one_len);
          flick_xdr_encode_bcopy(0, arg->foo_u.one.one_val, 4 * arg->foo_u.one.one_len);
          flick_suntcp_encode_end_chunk(4 * arg->foo_u.one.one_len);
#endif /* ENDIANness */
          flick_suntcp_encode_end_glob(428);
          break;
        }
      case 2:
        {
          flick_suntcp_encode_end_glob(428);
          flick_xdr_encode_longstring(arg->foo_u.two, null_flick_free, suntcp);
          break;
        }
      case 3:
        {
          flick_suntcp_encode_new_chunk(12);
          flick_xdr_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_xdr_encode_signed32(4, arg->foo_u.three.slot_2);
          flick_xdr_encode_signed32(8, arg->foo_u.three.slot_3);
          flick_suntcp_encode_end_chunk(12);
          flick_suntcp_encode_end_glob(428);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(return 0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
          flick_suntcp_encode_end_glob(428);
          break;
        }
      }
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_sun_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(412);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t11_storage;

            _return = &_t11_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return->discriminator);
            flick_suntcp_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
#if BYTE_ORDER != BIG_ENDIAN
                  unsigned int _t13_array_iter;
#endif /* ENDIANness */

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_unsigned32(0, _return->foo_u.one.one_len);
                  if (_return->foo_u.one.one_len > (unsigned int) 100)
                    flick_sun_decode_client_error(return 0, FLICK_ERROR_OUT_OF_BOUNDS, xdr, suntcp);
                  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                  _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                  for (_t13_array_iter = 0; _t13_array_iter < _return->foo_u.one.one_len; _t13_array_iter++)
                    {
                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_signed32(0, _return->foo_u.one.one_val[_t13_array_iter]);
                      flick_suntcp_decode_end_chunk(4);
                    }
#else /* BIG_ENDIAN - do a bcopy*/
                  flick_suntcp_decode_new_chunk(4 * _return->foo_u.one.one_len);
                  _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                  flick_xdr_decode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                  flick_suntcp_decode_end_chunk(4 * _return->foo_u.one.one_len);
#endif /* ENDIANness */
                  flick_suntcp_decode_end_glob(412);
                  break;
                }
              case 2:
                {
                  flick_suntcp_decode_end_glob(412);
                  flick_xdr_decode_longstring(_return->foo_u.two, sun_flick_alloc, suntcp);
                  break;
                }
              case 3:
                {
                  flick_suntcp_decode_new_chunk(12);
                  flick_xdr_decode_signed32(0, _return->foo_u.three.slot_1);
                  flick_xdr_decode_signed32(4, _return->foo_u.three.slot_2);
                  flick_xdr_decode_signed32(8, _return->foo_u.three.slot_3);
                  flick_suntcp_decode_end_chunk(12);
                  flick_suntcp_decode_end_glob(412);
                  break;
                }
              default:
                {
                  flick_sun_decode_client_error(return 0, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                  flick_suntcp_decode_end_glob(412);
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_suntcp_decode_end_glob(412);
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(412);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

