#include "arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t arrays_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t28_switch_tag;

    flick_trapeze_decode_new_glob(40);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t28_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t28_switch_tag)
      {
      case (signed int) 0:
        {
          {
            arrays _obj;
            struct cLd *_local_inp;
            struct cLd *_local_iop;
            struct cLd *_local_outp;
            CORBA_Environment *_ev;
            struct cLd _return;
            struct cLd _t29_storage;
            struct cLd _t30_storage;
            CORBA_Environment _t31_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t29_storage;
            flick_cdr_decode_char8(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_cdr_decode_float64(0, _local_inp->last);
            _local_iop = &_t30_storage;
            flick_cdr_decode_char8(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_float64(16, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t31_storage;
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(52);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, 4 * 50);
                  flick_trapeze_encode_end_chunk(1);
                  flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                  flick_cdr_encode_float64(0, _return.last);
                  flick_cdr_encode_char8(8, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                  flick_cdr_encode_float64(16, _local_iop->last);
                  flick_cdr_encode_char8(24, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                  flick_cdr_encode_float64(32, _local_outp->last);
                  flick_trapeze_encode_end_chunk(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(52);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            arrays _obj;
            struct dLc *_local_inp;
            struct dLc *_local_iop;
            struct dLc *_local_outp;
            CORBA_Environment *_ev;
            struct dLc _return;
            struct dLc _t32_storage;
            struct dLc _t33_storage;
            CORBA_Environment _t34_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t32_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_cdr_decode_char8(8, _local_inp->last);
            _local_iop = &_t33_storage;
            flick_cdr_decode_float64(16, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_char8(24, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t34_storage;
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(49);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, 4 * 50);
                  flick_cdr_encode_char8(8, _return.last);
                  flick_cdr_encode_float64(16, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                  flick_cdr_encode_char8(24, _local_iop->last);
                  flick_cdr_encode_float64(32, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                  flick_cdr_encode_char8(40, _local_outp->last);
                  flick_trapeze_encode_end_chunk(41);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(49);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            arrays _obj;
            struct sLs *_local_inp;
            struct sLs *_local_iop;
            struct sLs *_local_outp;
            CORBA_Environment *_ev;
            struct sLs _return;
            struct sLs _t35_storage;
            struct sLs _t36_storage;
            CORBA_Environment _t37_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t35_storage;
            flick_cdr_decode_signed16(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, 4 * 50);
            flick_cdr_decode_signed16(6, _local_inp->last);
            _local_iop = &_t36_storage;
            flick_cdr_decode_signed16(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, 4 * 50);
            flick_cdr_decode_signed16(10, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t37_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed16(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, 4 * 50);
                  flick_cdr_encode_signed16(2, _return.last);
                  flick_cdr_encode_signed16(4, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, 4 * 50);
                  flick_cdr_encode_signed16(6, _local_iop->last);
                  flick_cdr_encode_signed16(8, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, 4 * 50);
                  flick_cdr_encode_signed16(10, _local_outp->last);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            arrays _obj;
            struct cLCd *_local_inp;
            struct cLCd *_local_iop;
            struct cLCd *_local_outp;
            CORBA_Environment *_ev;
            struct cLCd _return;
            struct cLCd _t38_storage;
            struct cLCd _t39_storage;
            CORBA_Environment _t40_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t38_storage;
            flick_cdr_decode_char8(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_cdr_decode_float64(0, _local_inp->last);
            _local_iop = &_t39_storage;
            flick_cdr_decode_char8(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_float64(16, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t40_storage;
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(52);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                  flick_trapeze_encode_end_chunk(1);
                  flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                  flick_cdr_encode_float64(0, _return.last);
                  flick_cdr_encode_char8(8, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_float64(16, _local_iop->last);
                  flick_cdr_encode_char8(24, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_float64(32, _local_outp->last);
                  flick_trapeze_encode_end_chunk(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(52);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            arrays _obj;
            struct dLCc *_local_inp;
            struct dLCc *_local_iop;
            struct dLCc *_local_outp;
            CORBA_Environment *_ev;
            struct dLCc _return;
            struct dLCc _t41_storage;
            struct dLCc _t42_storage;
            CORBA_Environment _t43_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t41_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(8, _local_inp->last);
            _local_iop = &_t42_storage;
            flick_cdr_decode_float64(16, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_char8(24, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t43_storage;
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(49);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                  flick_cdr_encode_char8(8, _return.last);
                  flick_cdr_encode_float64(16, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_char8(24, _local_iop->last);
                  flick_cdr_encode_float64(32, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_char8(40, _local_outp->last);
                  flick_trapeze_encode_end_chunk(41);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(49);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            arrays _obj;
            struct sLCs *_local_inp;
            struct sLCs *_local_iop;
            struct sLCs *_local_outp;
            CORBA_Environment *_ev;
            struct sLCs _return;
            struct sLCs _t44_storage;
            struct sLCs _t45_storage;
            CORBA_Environment _t46_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t44_storage;
            flick_cdr_decode_signed16(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(6, _local_inp->last);
            _local_iop = &_t45_storage;
            flick_cdr_decode_signed16(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct end ) * 50);
            flick_cdr_decode_signed16(10, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t46_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed16(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct end ) * 50);
                  flick_cdr_encode_signed16(2, _return.last);
                  flick_cdr_encode_signed16(4, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_signed16(6, _local_iop->last);
                  flick_cdr_encode_signed16(8, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct end ) * 50);
                  flick_cdr_encode_signed16(10, _local_outp->last);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            arrays _obj;
            struct cCLd *_local_inp;
            struct cCLd *_local_iop;
            struct cCLd *_local_outp;
            CORBA_Environment *_ev;
            struct cCLd _return;
            struct cCLd _t47_storage;
            struct cCLd _t48_storage;
            CORBA_Environment _t49_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t47_storage;
            flick_cdr_decode_char8(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_new_chunk_align(24, 3, 2, 1);
            flick_cdr_decode_float64(0, _local_inp->last);
            _local_iop = &_t48_storage;
            flick_cdr_decode_char8(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_float64(16, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t49_storage;
            flick_trapeze_decode_end_chunk(24);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(52);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                  flick_trapeze_encode_end_chunk(1);
                  flick_trapeze_encode_new_chunk_align(40, 3, 2, 1);
                  flick_cdr_encode_float64(0, _return.last);
                  flick_cdr_encode_char8(8, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_float64(16, _local_iop->last);
                  flick_cdr_encode_char8(24, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_float64(32, _local_outp->last);
                  flick_trapeze_encode_end_chunk(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(52);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            arrays _obj;
            struct dCLc *_local_inp;
            struct dCLc *_local_iop;
            struct dCLc *_local_outp;
            CORBA_Environment *_ev;
            struct dCLc _return;
            struct dCLc _t50_storage;
            struct dCLc _t51_storage;
            CORBA_Environment _t52_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t50_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(25, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(8, _local_inp->last);
            _local_iop = &_t51_storage;
            flick_cdr_decode_float64(16, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_char8(24, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t52_storage;
            flick_trapeze_decode_end_chunk(25);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(49);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(41, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_char8(8, _return.last);
                  flick_cdr_encode_float64(16, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_char8(24, _local_iop->last);
                  flick_cdr_encode_float64(32, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_char8(40, _local_outp->last);
                  flick_trapeze_encode_end_chunk(41);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(49);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            arrays _obj;
            struct sCLs *_local_inp;
            struct sCLs *_local_iop;
            struct sCLs *_local_outp;
            CORBA_Environment *_ev;
            struct sCLs _return;
            struct sCLs _t53_storage;
            struct sCLs _t54_storage;
            CORBA_Environment _t55_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_inp = &_t53_storage;
            flick_cdr_decode_signed16(4, _local_inp->first);
            flick_trapeze_server_decode_array(_local_inp->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(6, _local_inp->last);
            _local_iop = &_t54_storage;
            flick_cdr_decode_signed16(8, _local_iop->first);
            flick_trapeze_server_decode_array(_local_iop->data, sizeof(struct begin ) * 50);
            flick_cdr_decode_signed16(10, _local_iop->last);
            _local_outp = flick_trapeze_server_array__alloc();
            _ev = &_t55_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(40);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed16(0, _return.first);
                  flick_trapeze_server_encode_array(_return.data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_signed16(2, _return.last);
                  flick_cdr_encode_signed16(4, _local_iop->first);
                  flick_trapeze_server_encode_array(_local_iop->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_signed16(6, _local_iop->last);
                  flick_cdr_encode_signed16(8, _local_outp->first);
                  flick_trapeze_server_encode_array(_local_outp->data, sizeof(struct begin ) * 50);
                  flick_cdr_encode_signed16(10, _local_outp->last);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(40);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
