#include "atomic_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t Atomic_test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t19_switch_tag;

    flick_trapeze_decode_new_glob(28);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t19_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t19_switch_tag)
      {
      case (signed int) 0:
        {
          {
            Atomic_test _obj;
            CORBA_short _local_a;
            CORBA_short *_local_b;
            CORBA_short *_local_c;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_short _t20_storage;
            CORBA_Environment _t21_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_a);
            _local_b = &_t20_storage;
            flick_cdr_decode_signed16(6, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t21_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_signed16(2, *_local_b);
                  flick_cdr_encode_signed16(4, *_local_c);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            Atomic_test _obj;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t22_storage;
            CORBA_Environment _t23_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = &_t22_storage;
            flick_cdr_decode_signed32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t23_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_b);
                  flick_cdr_encode_signed32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            Atomic_test _obj;
            CORBA_unsigned_short _local_a;
            CORBA_unsigned_short *_local_b;
            CORBA_unsigned_short *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_unsigned_short _t24_storage;
            CORBA_Environment _t25_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned16(4, _local_a);
            _local_b = &_t24_storage;
            flick_cdr_decode_unsigned16(6, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t25_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_b);
                  flick_cdr_encode_unsigned16(4, *_local_c);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            Atomic_test _obj;
            CORBA_unsigned_long _local_a;
            CORBA_unsigned_long *_local_b;
            CORBA_unsigned_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t26_storage;
            CORBA_Environment _t27_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_a);
            _local_b = &_t26_storage;
            flick_cdr_decode_unsigned32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t27_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_b);
                  flick_cdr_encode_unsigned32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            Atomic_test _obj;
            CORBA_float _local_a;
            CORBA_float *_local_b;
            CORBA_float *_local_c;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_float _t28_storage;
            CORBA_Environment _t29_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_a);
            _local_b = &_t28_storage;
            flick_cdr_decode_float32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t29_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_float32(0, _return);
                  flick_cdr_encode_float32(4, *_local_b);
                  flick_cdr_encode_float32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            Atomic_test _obj;
            CORBA_double _local_a;
            CORBA_double *_local_b;
            CORBA_double *_local_c;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_double _t30_storage;
            CORBA_Environment _t31_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(16, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_a);
            _local_b = &_t30_storage;
            flick_cdr_decode_float64(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t31_storage;
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(32);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(24, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_float64(8, *_local_b);
                  flick_cdr_encode_float64(16, *_local_c);
                  flick_trapeze_encode_end_chunk(24);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(32);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            Atomic_test _obj;
            CORBA_boolean _local_a;
            CORBA_boolean *_local_b;
            CORBA_boolean *_local_c;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_boolean _t32_storage;
            CORBA_Environment _t33_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a);
            _local_b = &_t32_storage;
            flick_cdr_decode_unsigned8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t33_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            Atomic_test _obj;
            CORBA_char _local_a;
            CORBA_char *_local_b;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_char _t34_storage;
            CORBA_Environment _t35_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _local_a);
            _local_b = &_t34_storage;
            flick_cdr_decode_char8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t35_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_char8(0, _return);
                  flick_cdr_encode_char8(1, *_local_b);
                  flick_cdr_encode_char8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            Atomic_test _obj;
            CORBA_octet _local_a;
            CORBA_octet *_local_b;
            CORBA_octet *_local_c;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_octet _t36_storage;
            CORBA_Environment _t37_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a);
            _local_b = &_t36_storage;
            flick_cdr_decode_unsigned8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t37_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(28);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(28);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
