#include "dif2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t ex1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t14_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t14_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t14_switch_tag)
      {
      case (signed int) 0:
        {
          {
            ex1 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t15_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t15_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex1_op0(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            ex1 _obj;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_long _t16_storage;
            CORBA_Environment _t17_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_f);
            _local_d = flick_trapeze_server_array__alloc();
            _local_l = &_t16_storage;
            flick_cdr_decode_signed32(8, *_local_l);
            _ev = &_t17_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(24);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_d);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(24);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            ex1 _obj;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_short *_local_s;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_short _t18_storage;
            CORBA_Environment _t19_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_d);
            _local_l = flick_trapeze_server_array__alloc();
            _local_s = &_t18_storage;
            flick_cdr_decode_signed16(8, *_local_s);
            _ev = &_t19_storage;
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(22);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_cdr_encode_signed16(12, *_local_s);
                  flick_trapeze_encode_end_chunk(14);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(22);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            ex1 _obj;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_unsigned_long _t20_storage;
            CORBA_Environment _t21_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _local_s = flick_trapeze_server_array__alloc();
            _local_ul = &_t20_storage;
            flick_cdr_decode_unsigned32(8, *_local_ul);
            _ev = &_t21_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed16(4, *_local_s);
                  flick_cdr_encode_unsigned32(8, *_local_ul);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            ex1 _obj;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short *_local_us;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_unsigned_short _t22_storage;
            CORBA_Environment _t23_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_s);
            _local_ul = flick_trapeze_server_array__alloc();
            _local_us = &_t22_storage;
            flick_cdr_decode_unsigned16(6, *_local_us);
            _ev = &_t23_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(14);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(10);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_unsigned16(8, *_local_us);
                  flick_trapeze_encode_end_chunk(10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(14);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            ex1 _obj;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t24_storage;
            CORBA_Environment _t25_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ul = &_t24_storage;
            flick_cdr_decode_unsigned32(4, *_local_ul);
            flick_cdr_decode_unsigned16(8, _local_us);
            _local_c = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(10, _local_b);
            _ev = &_t25_storage;
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(13);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(9);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_char8(8, *_local_c);
                  flick_trapeze_encode_end_chunk(9);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(13);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            ex1 _obj;
            CORBA_unsigned_short *_local_us;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_char _t26_storage;
            CORBA_Environment _t27_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_us = flick_trapeze_server_array__alloc();
            _local_c = &_t26_storage;
            flick_cdr_decode_char8(4, *_local_c);
            _ev = &_t27_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_op6(_obj, _local_us, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(5);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_us);
                  flick_cdr_encode_char8(4, *_local_c);
                  flick_trapeze_encode_end_chunk(5);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(9);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t ex2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t80_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t80_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t80_switch_tag)
      {
      case (signed int) 7:
        {
          {
            ex2 _obj;
            CORBA_char _local_c;
            CORBA_boolean *_local_b;
            CORBA_octet *_local_o;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_octet _t81_storage;
            CORBA_Environment _t82_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _local_c);
            _local_b = flick_trapeze_server_array__alloc();
            _local_o = &_t81_storage;
            flick_cdr_decode_unsigned8(5, *_local_o);
            _ev = &_t82_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_char8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_o);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            ex2 _obj;
            CORBA_boolean *_local_b;
            CORBA_octet _local_o;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_Environment _t83_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_b = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(4, _local_o);
            _ev = &_t83_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op8(_obj, _local_b, _local_o, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(6);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_trapeze_encode_end_chunk(2);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(6);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            ex2 _obj;
            CORBA_octet *_local_o;
            CORBA_char **_local_s;
            CORBA_char *_local_ls;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_octet _t84_storage;
            CORBA_long _t85_storage;
            CORBA_Environment _t86_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_o = &_t84_storage;
            flick_cdr_decode_unsigned8(4, *_local_o);
            _local_s = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, trapeze);
            _local_l = &_t85_storage;
            flick_trapeze_decode_new_glob(7);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_l);
            _ev = &_t86_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(7);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_o);
                  flick_trapeze_server_encode_array(*_local_s, strlen(*_local_s));
                  flick_cdr_encode_signed32(4, *_local_l);
                  flick_trapeze_encode_end_chunk(8);
                  flick_trapeze_encode_end_glob(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            ex2 _obj;
            CORBA_char *_local_s;
            CORBA_char **_local_ls;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t87_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_s, 0);
            _local_ls = flick_trapeze_server_array__alloc();
            _ev = &_t87_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(*_local_ls, CORBA_flick_free, trapeze, 10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            ex2 _obj;
            CORBA_char **_local_ls;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t88_storage;
            CORBA_Environment _t89_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ls = &_t88_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, trapeze, 10);
            _local_l = flick_trapeze_server_array__alloc();
            _ev = &_t89_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(_return, CORBA_flick_free, trapeze, 10);
                  flick_cdr_encode_string(*_local_ls, CORBA_flick_free, trapeze, 10);
                  flick_trapeze_encode_new_glob(7);
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, *_local_l);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(7);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 12:
        {
          {
            ex2 _obj;
            CORBA_long _local_l;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t90_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _ev = &_t90_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op12(_obj, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 13:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t91_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t91_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex2_op0(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 14:
        {
          {
            ex2 _obj;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_long _t92_storage;
            CORBA_Environment _t93_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_f);
            _local_d = flick_trapeze_server_array__alloc();
            _local_l = &_t92_storage;
            flick_cdr_decode_signed32(8, *_local_l);
            _ev = &_t93_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(24);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_d);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(24);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 15:
        {
          {
            ex2 _obj;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_short *_local_s;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_short _t94_storage;
            CORBA_Environment _t95_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_d);
            _local_l = flick_trapeze_server_array__alloc();
            _local_s = &_t94_storage;
            flick_cdr_decode_signed16(8, *_local_s);
            _ev = &_t95_storage;
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(22);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_cdr_encode_signed16(12, *_local_s);
                  flick_trapeze_encode_end_chunk(14);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(22);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 16:
        {
          {
            ex2 _obj;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_unsigned_long _t96_storage;
            CORBA_Environment _t97_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _local_s = flick_trapeze_server_array__alloc();
            _local_ul = &_t96_storage;
            flick_cdr_decode_unsigned32(8, *_local_ul);
            _ev = &_t97_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed16(4, *_local_s);
                  flick_cdr_encode_unsigned32(8, *_local_ul);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 17:
        {
          {
            ex2 _obj;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short *_local_us;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_unsigned_short _t98_storage;
            CORBA_Environment _t99_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_s);
            _local_ul = flick_trapeze_server_array__alloc();
            _local_us = &_t98_storage;
            flick_cdr_decode_unsigned16(6, *_local_us);
            _ev = &_t99_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(14);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(10);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_unsigned16(8, *_local_us);
                  flick_trapeze_encode_end_chunk(10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(14);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 18:
        {
          {
            ex2 _obj;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t100_storage;
            CORBA_Environment _t101_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ul = &_t100_storage;
            flick_cdr_decode_unsigned32(4, *_local_ul);
            flick_cdr_decode_unsigned16(8, _local_us);
            _local_c = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(10, _local_b);
            _ev = &_t101_storage;
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(13);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(9);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_char8(8, *_local_c);
                  flick_trapeze_encode_end_chunk(9);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(13);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 19:
        {
          {
            ex2 _obj;
            CORBA_unsigned_short *_local_us;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_char _t102_storage;
            CORBA_Environment _t103_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_us = flick_trapeze_server_array__alloc();
            _local_c = &_t102_storage;
            flick_cdr_decode_char8(4, *_local_c);
            _ev = &_t103_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_op6(_obj, _local_us, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(5);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_us);
                  flick_cdr_encode_char8(4, *_local_c);
                  flick_trapeze_encode_end_chunk(5);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(9);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t ex3_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t173_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t173_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t173_switch_tag)
      {
      case (signed int) 20:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_Environment _t174_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t174_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3__get_float_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 21:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_Environment _t175_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t175_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3__get_double_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 22:
        {
          {
            ex3 _obj;
            CORBA_double _local_double_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t176_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_double_attribute);
            _ev = &_t176_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 23:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t177_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t177_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3__get_long_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 24:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_Environment _t178_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t178_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3__get_short_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(6);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, _return);
                  flick_trapeze_encode_end_chunk(2);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(6);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 25:
        {
          {
            ex3 _obj;
            CORBA_short _local_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t179_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_short_attribute);
            _ev = &_t179_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 26:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_Environment _t180_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t180_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 27:
        {
          {
            ex3 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t181_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t181_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex3_op0(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 28:
        {
          {
            ex3 _obj;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_long _t182_storage;
            CORBA_Environment _t183_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_f);
            _local_d = flick_trapeze_server_array__alloc();
            _local_l = &_t182_storage;
            flick_cdr_decode_signed32(8, *_local_l);
            _ev = &_t183_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(24);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_d);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(24);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 29:
        {
          {
            ex3 _obj;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_short *_local_s;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_short _t184_storage;
            CORBA_Environment _t185_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_d);
            _local_l = flick_trapeze_server_array__alloc();
            _local_s = &_t184_storage;
            flick_cdr_decode_signed16(8, *_local_s);
            _ev = &_t185_storage;
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(22);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_cdr_encode_signed16(12, *_local_s);
                  flick_trapeze_encode_end_chunk(14);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(22);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 30:
        {
          {
            ex3 _obj;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_unsigned_long _t186_storage;
            CORBA_Environment _t187_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _local_s = flick_trapeze_server_array__alloc();
            _local_ul = &_t186_storage;
            flick_cdr_decode_unsigned32(8, *_local_ul);
            _ev = &_t187_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed16(4, *_local_s);
                  flick_cdr_encode_unsigned32(8, *_local_ul);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 31:
        {
          {
            ex3 _obj;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short *_local_us;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_unsigned_short _t188_storage;
            CORBA_Environment _t189_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_s);
            _local_ul = flick_trapeze_server_array__alloc();
            _local_us = &_t188_storage;
            flick_cdr_decode_unsigned16(6, *_local_us);
            _ev = &_t189_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(14);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(10);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_unsigned16(8, *_local_us);
                  flick_trapeze_encode_end_chunk(10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(14);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 32:
        {
          {
            ex3 _obj;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t190_storage;
            CORBA_Environment _t191_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ul = &_t190_storage;
            flick_cdr_decode_unsigned32(4, *_local_ul);
            flick_cdr_decode_unsigned16(8, _local_us);
            _local_c = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(10, _local_b);
            _ev = &_t191_storage;
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(13);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(9);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_char8(8, *_local_c);
                  flick_trapeze_encode_end_chunk(9);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(13);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 33:
        {
          {
            ex3 _obj;
            CORBA_unsigned_short *_local_us;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_char _t192_storage;
            CORBA_Environment _t193_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_us = flick_trapeze_server_array__alloc();
            _local_c = &_t192_storage;
            flick_cdr_decode_char8(4, *_local_c);
            _ev = &_t193_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex3_op6(_obj, _local_us, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(5);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_us);
                  flick_cdr_encode_char8(4, *_local_c);
                  flick_trapeze_encode_end_chunk(5);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(9);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t ex4_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t276_switch_tag;

    flick_trapeze_decode_new_glob(22);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t276_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t276_switch_tag)
      {
      case (signed int) 34:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_Environment _t277_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t277_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(6);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_trapeze_encode_end_chunk(2);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(6);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 35:
        {
          {
            ex4 _obj;
            CORBA_unsigned_short _local_unsigned_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t278_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned16(4, _local_unsigned_short_attribute);
            _ev = &_t278_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 36:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_Environment _t279_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t279_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_char_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(5);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_char8(0, _return);
                  flick_trapeze_encode_end_chunk(1);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(5);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 37:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_Environment _t280_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t280_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_boolean_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(5);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_trapeze_encode_end_chunk(1);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(5);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 38:
        {
          {
            ex4 _obj;
            CORBA_boolean _local_boolean_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t281_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_boolean_attribute);
            _ev = &_t281_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 39:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_Environment _t282_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t282_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_octet_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(5);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(1);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_trapeze_encode_end_chunk(1);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(5);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 40:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t283_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t283_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_string_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 41:
        {
          {
            ex4 _obj;
            CORBA_char *_local_string_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t284_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_string_attribute, 0);
            _ev = &_t284_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 42:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t285_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t285_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_limited_string_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(_return, CORBA_flick_free, trapeze, 10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 43:
        {
          {
            ex4 _obj;
            CORBA_char _local_c;
            CORBA_boolean *_local_b;
            CORBA_octet *_local_o;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_octet _t286_storage;
            CORBA_Environment _t287_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _local_c);
            _local_b = flick_trapeze_server_array__alloc();
            _local_o = &_t286_storage;
            flick_cdr_decode_unsigned8(5, *_local_o);
            _ev = &_t287_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_char8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_o);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 44:
        {
          {
            ex4 _obj;
            CORBA_boolean *_local_b;
            CORBA_octet _local_o;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_Environment _t288_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_b = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(4, _local_o);
            _ev = &_t288_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op8(_obj, _local_b, _local_o, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(6);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_trapeze_encode_end_chunk(2);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(6);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 45:
        {
          {
            ex4 _obj;
            CORBA_octet *_local_o;
            CORBA_char **_local_s;
            CORBA_char *_local_ls;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_octet _t289_storage;
            CORBA_long _t290_storage;
            CORBA_Environment _t291_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_o = &_t289_storage;
            flick_cdr_decode_unsigned8(4, *_local_o);
            _local_s = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_cdr_decode_auto_string(_local_ls, auto_flick_alloc, trapeze);
            _local_l = &_t290_storage;
            flick_trapeze_decode_new_glob(7);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, *_local_l);
            _ev = &_t291_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(7);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_o);
                  flick_trapeze_server_encode_array(*_local_s, strlen(*_local_s));
                  flick_cdr_encode_signed32(4, *_local_l);
                  flick_trapeze_encode_end_chunk(8);
                  flick_trapeze_encode_end_glob(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 46:
        {
          {
            ex4 _obj;
            CORBA_char *_local_s;
            CORBA_char **_local_ls;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_Environment _t292_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_s, 0);
            _local_ls = flick_trapeze_server_array__alloc();
            _ev = &_t292_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(*_local_ls, CORBA_flick_free, trapeze, 10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 47:
        {
          {
            ex4 _obj;
            CORBA_char **_local_ls;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t293_storage;
            CORBA_Environment _t294_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ls = &_t293_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_cdr_decode_string(*_local_ls, CORBA_flick_alloc, trapeze, 10);
            _local_l = flick_trapeze_server_array__alloc();
            _ev = &_t294_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(_return, CORBA_flick_free, trapeze, 10);
                  flick_cdr_encode_string(*_local_ls, CORBA_flick_free, trapeze, 10);
                  flick_trapeze_encode_new_glob(7);
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, *_local_l);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(7);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 48:
        {
          {
            ex4 _obj;
            CORBA_long _local_l;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t295_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _ev = &_t295_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op12(_obj, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 49:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t296_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t296_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4_op0(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 50:
        {
          {
            ex4 _obj;
            CORBA_float _local_f;
            CORBA_double *_local_d;
            CORBA_long *_local_l;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_long _t297_storage;
            CORBA_Environment _t298_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_f);
            _local_d = flick_trapeze_server_array__alloc();
            _local_l = &_t297_storage;
            flick_cdr_decode_signed32(8, *_local_l);
            _ev = &_t298_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(24);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_new_chunk_align(12, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_d);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(24);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 51:
        {
          {
            ex4 _obj;
            CORBA_double _local_d;
            CORBA_long *_local_l;
            CORBA_short *_local_s;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_short _t299_storage;
            CORBA_Environment _t300_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(10, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_d);
            _local_l = flick_trapeze_server_array__alloc();
            _local_s = &_t299_storage;
            flick_cdr_decode_signed16(8, *_local_s);
            _ev = &_t300_storage;
            flick_trapeze_decode_end_chunk(10);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(22);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(14, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_cdr_encode_signed32(8, *_local_l);
                  flick_cdr_encode_signed16(12, *_local_s);
                  flick_trapeze_encode_end_chunk(14);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(22);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 52:
        {
          {
            ex4 _obj;
            CORBA_long _local_l;
            CORBA_short *_local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_unsigned_long _t301_storage;
            CORBA_Environment _t302_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l);
            _local_s = flick_trapeze_server_array__alloc();
            _local_ul = &_t301_storage;
            flick_cdr_decode_unsigned32(8, *_local_ul);
            _ev = &_t302_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed16(4, *_local_s);
                  flick_cdr_encode_unsigned32(8, *_local_ul);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 53:
        {
          {
            ex4 _obj;
            CORBA_short _local_s;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short *_local_us;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_unsigned_short _t303_storage;
            CORBA_Environment _t304_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_s);
            _local_ul = flick_trapeze_server_array__alloc();
            _local_us = &_t303_storage;
            flick_cdr_decode_unsigned16(6, *_local_us);
            _ev = &_t304_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(14);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(10);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_unsigned16(8, *_local_us);
                  flick_trapeze_encode_end_chunk(10);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(14);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 54:
        {
          {
            ex4 _obj;
            CORBA_unsigned_long *_local_ul;
            CORBA_unsigned_short _local_us;
            CORBA_char *_local_c;
            CORBA_boolean _local_b;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t305_storage;
            CORBA_Environment _t306_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(11);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_ul = &_t305_storage;
            flick_cdr_decode_unsigned32(4, *_local_ul);
            flick_cdr_decode_unsigned16(8, _local_us);
            _local_c = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned8(10, _local_b);
            _ev = &_t306_storage;
            flick_trapeze_decode_end_chunk(11);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(13);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(9);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_ul);
                  flick_cdr_encode_char8(8, *_local_c);
                  flick_trapeze_encode_end_chunk(9);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(13);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 55:
        {
          {
            ex4 _obj;
            CORBA_unsigned_short *_local_us;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_char _t307_storage;
            CORBA_Environment _t308_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_us = flick_trapeze_server_array__alloc();
            _local_c = &_t307_storage;
            flick_cdr_decode_char8(4, *_local_c);
            _ev = &_t308_storage;
            flick_trapeze_decode_end_chunk(5);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4_op6(_obj, _local_us, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(5);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_us);
                  flick_cdr_encode_char8(4, *_local_c);
                  flick_trapeze_encode_end_chunk(5);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(9);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 56:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_Environment _t309_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t309_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_float_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_float32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 57:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_double _return = 0.000000;
            CORBA_Environment _t310_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t310_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_double_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, _return);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 58:
        {
          {
            ex4 _obj;
            CORBA_double _local_double_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t311_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_double_attribute);
            _ev = &_t311_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 59:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t312_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t312_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_long_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 60:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_Environment _t313_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t313_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_short_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(6);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, _return);
                  flick_trapeze_encode_end_chunk(2);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(6);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 61:
        {
          {
            ex4 _obj;
            CORBA_short _local_short_attribute;
            CORBA_Environment *_ev;
            CORBA_Environment _t314_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_short_attribute);
            _ev = &_t314_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 62:
        {
          {
            ex4 _obj;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_Environment _t315_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t315_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(22);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(22);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
