#include "mig-arrays-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t arrays_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_trapeze_decode_new_glob(72);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t2_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t2_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(68);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_msgptr(4, _local_foo);
            flick_trapeze_decode_end_chunk(68);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 16);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 32);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 32);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 64);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 64);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_foo, 4 * 128);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_foo, sizeof(unsigned ) * 128);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 256);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 256);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 512);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 512);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 1024);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 1024);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 2048);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 2048);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 4096);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 4096);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 8192);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 8192);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 16384);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 16384);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 32768);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 32768);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 65536);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 65536);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 131072);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 131072);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_data, 4 * 262144);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1024K_in(_local_target, _local_data);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_local_data, sizeof(unsigned ) * 262144);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_timer;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_timer = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(72);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_time(_local_target, _local_timer);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_bcopy(0, _local_timer, 8);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(72);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
