#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt);
    flick_cdr_encode_signed32(12, *inoutInt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt);
            flick_cdr_decode_signed32(4, *outInt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550002);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_trapeze_client_encode_array(_t2_internal, 4 * 100);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_trapeze_client_encode_array(_t3_internal, 4 * 100);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _t6_internal))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t6_internal;
            unsigned *_t7_internal;

            /* Begin decode phase on parameters */
            _t6_internal = (unsigned *)(&(*inoutStruct));
            flick_trapeze_client_decode_array(_t6_internal, 4 * 100);
            _t7_internal = (unsigned *)(&(*outStruct));
            flick_trapeze_client_decode_array(_t7_internal, 4 * 100);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    unsigned *_t14_internal;
    unsigned *_t15_internal;

    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550003);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    _t14_internal = (unsigned *)inArray;
    flick_trapeze_client_encode_array(_t14_internal, 4 * 300);
    _t15_internal = (unsigned *)inoutArray;
    flick_trapeze_client_encode_array(_t15_internal, 4 * 300);
    flick_trapeze_client_encode_array(outArray, sizeof(unsigned ) * 300);
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, inArray))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_client_decode_array(inArray, sizeof(unsigned ) * 300);
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t18_internal;
            unsigned *_t19_internal;

            /* Begin decode phase on parameters */
            _t18_internal = (unsigned *)inoutArray;
            flick_trapeze_client_decode_array(_t18_internal, 4 * 300);
            _t19_internal = (unsigned *)outArray;
            flick_trapeze_client_decode_array(_t19_internal, 4 * 300);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550004);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_client_encode_array(outArray, sizeof(unsigned ) * 500);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, outArray))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt);
            flick_trapeze_client_decode_array(outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outArray))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
            flick_trapeze_decode_end_glob(8);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    char *_t26_internal;
    char *_t27_internal;

    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550006);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    _t26_internal = (char *)inString;
    flick_trapeze_client_encode_array(_t26_internal, strlen(_t26_internal));
    _t27_internal = (char *)inoutString;
    flick_trapeze_client_encode_array(_t27_internal, strlen(_t27_internal));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _t30_internal))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t30_internal;
            char *_t31_internal;

            /* Begin decode phase on parameters */
            _t30_internal = (char *)inoutString;
            flick_trapeze_client_decode_array(_t30_internal, 0);
            _t31_internal = (char *)outString;
            flick_trapeze_client_decode_array(_t31_internal, 0);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550007);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(inString, strlen(inString));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, outString))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(outString, 0);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outRight))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *outRight))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550012);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inInt);
    flick_cdr_encode_unsigned32(12, *inoutInt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      inInt = flick_trapeze_client_array__alloc();
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutInt);
            flick_cdr_decode_unsigned32(4, *outInt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550013);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inStruct);
    flick_cdr_encode_unsigned32(12, *inoutStruct);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      inStruct = flick_trapeze_client_array__alloc();
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutStruct);
            flick_cdr_decode_unsigned32(4, *outStruct);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550014);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArray);
    flick_cdr_encode_unsigned32(12, *inoutArray);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      inArray = flick_trapeze_client_array__alloc();
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArray);
            flick_cdr_decode_unsigned32(4, *outArray);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550015);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt);
    flick_trapeze_client_encode_array(*inoutArray, 4 * *inoutArrayCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *inoutArray))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt);
            flick_trapeze_client_decode_array(*inoutArray, 4 * *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *outArrayCnt);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550016);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inString);
    flick_cdr_encode_unsigned32(12, *inoutString);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      inString = flick_trapeze_client_array__alloc();
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutString);
            flick_cdr_decode_unsigned32(4, *outString);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550017);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_cdr_encode_unsigned32(12, *inoutRightCnt);
    flick_trapeze_client_encode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *inoutRight))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt);
            flick_trapeze_client_decode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *outRightCnt);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550018);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt);
    flick_trapeze_client_encode_array(inRight, sizeof(mach_port_t ) * inRightCnt);
    flick_cdr_encode_unsigned32(12, *inoutRightCnt);
    flick_trapeze_client_encode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *inoutRight))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt);
            flick_trapeze_client_decode_array(*inoutRight, sizeof(mach_port_t ) * *inoutRightCnt);
            flick_cdr_decode_unsigned32(4, *outRightCnt);
            flick_trapeze_client_decode_array(*outRight, sizeof(mach_port_t ) * *outRightCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(8);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(8);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550024);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_cdr_encode_unsigned32(12, *inoutArrayCnt);
    flick_trapeze_client_encode_array(*inoutArray, 4 * *inoutArrayCnt);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, *inoutArray))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt);
            flick_trapeze_client_decode_array(*inoutArray, 4 * *inoutArrayCnt);
            flick_cdr_decode_unsigned32(4, *outArrayCnt);
            flick_trapeze_client_decode_array(*outArray, 4 * *outArrayCnt);
            flick_trapeze_decode_end_chunk(8);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(12);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(target, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550025);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt);
    flick_trapeze_client_encode_array(inArray, 4 * inArrayCnt);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_mig_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(5);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return);
      flick_trapeze_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy);
            flick_trapeze_decode_end_chunk(1);
            break;
          }
        default:
          {
            flick_mig_decode_system_exception("no data available", cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(5);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

