#include "mig-types-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t types_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t11_switch_tag;

    flick_trapeze_decode_new_glob(100);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t11_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(32);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _char);
            flick_cdr_decode_signed8(5, _byte);
            flick_cdr_decode_unsigned8(6, _bool);
            flick_cdr_decode_signed8(7, _short8);
            flick_cdr_decode_signed16(8, _short16);
            flick_cdr_decode_signed32(12, _int);
            flick_cdr_decode_signed32(16, _long);
            flick_cdr_decode_signed32(20, _signed);
            flick_cdr_decode_signed32(24, _unsigned);
            flick_cdr_decode_float32(28, _float);
            flick_trapeze_decode_end_chunk(32);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_cdr_decode_float64(0, _double);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            char *_char;
            byte *_byte;
            bool *_bool;
            shortshort *_short8;
            short *_short16;
            int *_int;
            long int *_long;
            signed int *_signed;
            unsigned int *_unsigned;
            float *_float;
            double *_double;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _char = flick_trapeze_server_array__alloc();
            _byte = flick_trapeze_server_array__alloc();
            _bool = flick_trapeze_server_array__alloc();
            _short8 = flick_trapeze_server_array__alloc();
            _short16 = flick_trapeze_server_array__alloc();
            _int = flick_trapeze_server_array__alloc();
            _long = flick_trapeze_server_array__alloc();
            _signed = flick_trapeze_server_array__alloc();
            _unsigned = flick_trapeze_server_array__alloc();
            _float = flick_trapeze_server_array__alloc();
            _double = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(44);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(28);
                  flick_cdr_encode_char8(0, *_char);
                  flick_cdr_encode_signed8(1, *_byte);
                  flick_cdr_encode_unsigned8(2, *_bool);
                  flick_cdr_encode_signed8(3, *_short8);
                  flick_cdr_encode_signed16(4, *_short16);
                  flick_cdr_encode_signed32(8, *_int);
                  flick_cdr_encode_signed32(12, *_long);
                  flick_cdr_encode_signed32(16, *_signed);
                  flick_cdr_encode_signed32(20, *_unsigned);
                  flick_cdr_encode_float32(24, *_float);
                  flick_trapeze_encode_end_chunk(28);
                  flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_double);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(44);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(96);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_msgptr(4, _charA);
            flick_cdr_decode_msgptr(13, _byteA);
            flick_cdr_decode_msgptr(22, _boolA);
            flick_cdr_decode_msgptr(31, _short8A);
            flick_cdr_decode_msgptr(40, _short16A);
            flick_cdr_decode_msgptr(60, _intA);
            flick_trapeze_decode_end_chunk(96);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_decode_new_glob(108);
            flick_trapeze_decode_new_chunk(108);
            flick_cdr_decode_msgptr(0, _longA);
            flick_cdr_decode_msgptr(36, _signedA);
            flick_cdr_decode_msgptr(72, _unsignedA);
            flick_trapeze_decode_end_chunk(108);
            flick_trapeze_decode_end_glob(108);
            flick_trapeze_decode_new_glob(36);
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_msgptr(0, _floatA);
            flick_trapeze_server_decode_array(_doubleA, 8 * 9);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_end_glob(36);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_server_encode_array(_charA, sizeof(char ) * 9);
            flick_trapeze_server_encode_array(_byteA, sizeof(byte ) * 9);
            flick_trapeze_server_encode_array(_boolA, sizeof(bool ) * 9);
            flick_trapeze_server_encode_array(_short8A, sizeof(shortshort ) * 9);
            flick_trapeze_server_encode_array(_short16A, sizeof(short ) * 9);
            flick_trapeze_server_encode_array(_intA, sizeof(int ) * 9);
            flick_trapeze_server_encode_array(_longA, sizeof(long ) * 9);
            flick_trapeze_server_encode_array(_signedA, sizeof(signed ) * 9);
            flick_trapeze_server_encode_array(_unsignedA, sizeof(unsigned ) * 9);
            flick_trapeze_server_encode_array(_floatA, sizeof(float ) * 9);
            flick_trapeze_server_encode_array(_doubleA, sizeof(double ) * 9);
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;
            kern_return_t _return;

            {
              flick_trapeze_server_decode_target(_local_target, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _charA = flick_trapeze_server_array__alloc();
            _byteA = flick_trapeze_server_array__alloc();
            _boolA = flick_trapeze_server_array__alloc();
            _short8A = flick_trapeze_server_array__alloc();
            _short16A = flick_trapeze_server_array__alloc();
            _intA = flick_trapeze_server_array__alloc();
            _longA = flick_trapeze_server_array__alloc();
            _signedA = flick_trapeze_server_array__alloc();
            _unsignedA = flick_trapeze_server_array__alloc();
            _floatA = flick_trapeze_server_array__alloc();
            _doubleA = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr);
            }
            flick_trapeze_encode_new_glob(96);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_unsigned32(0, _return);
            flick_trapeze_encode_end_chunk(4);
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(92);
                  flick_cdr_encode_bcopy(0, _charA, 9);
                  flick_cdr_encode_bcopy(9, _byteA, 9);
                  flick_cdr_encode_bcopy(18, _boolA, 9);
                  flick_cdr_encode_bcopy(27, _short8A, 9);
                  flick_cdr_encode_bcopy(36, _short16A, 18);
                  flick_cdr_encode_bcopy(56, _intA, 36);
                  flick_trapeze_encode_end_chunk(92);
                  flick_trapeze_encode_end_glob(96);
                  flick_trapeze_encode_new_glob(36);
                  flick_trapeze_encode_new_chunk(36);
                  flick_cdr_encode_bcopy(0, _longA, 36);
                  flick_trapeze_server_encode_array(_signedA, 4 * 9);
                  flick_trapeze_server_encode_array(_unsignedA, 4 * 9);
                  flick_trapeze_server_encode_array(_floatA, 4 * 9);
                  flick_trapeze_server_encode_array(_doubleA, 8 * 9);
                  flick_trapeze_encode_end_chunk(36);
                  flick_trapeze_encode_end_glob(36);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", cdr, trapeze);
                  flick_trapeze_encode_end_glob(96);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(100);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
