#include "parm_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t42_switch_tag;

    flick_trapeze_decode_new_glob(96);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t42_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t42_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            CORBA_short _local_a;
            CORBA_short *_local_b;
            CORBA_short *_local_c;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            CORBA_short _t43_storage;
            CORBA_Environment _t44_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed16(4, _local_a);
            _local_b = &_t43_storage;
            flick_cdr_decode_signed16(6, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t44_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Short(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_signed16(2, *_local_b);
                  flick_cdr_encode_signed16(4, *_local_c);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            test _obj;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t45_storage;
            CORBA_Environment _t46_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = &_t45_storage;
            flick_cdr_decode_signed32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t46_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Long(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_b);
                  flick_cdr_encode_signed32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            test _obj;
            CORBA_unsigned_short _local_a;
            CORBA_unsigned_short *_local_b;
            CORBA_unsigned_short *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_short _return = 0;
            CORBA_unsigned_short _t47_storage;
            CORBA_Environment _t48_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned16(4, _local_a);
            _local_b = &_t47_storage;
            flick_cdr_decode_unsigned16(6, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t48_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_unsigned16(0, _return);
                  flick_cdr_encode_unsigned16(2, *_local_b);
                  flick_cdr_encode_unsigned16(4, *_local_c);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            test _obj;
            CORBA_unsigned_long _local_a;
            CORBA_unsigned_long *_local_b;
            CORBA_unsigned_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_unsigned_long _return = 0;
            CORBA_unsigned_long _t49_storage;
            CORBA_Environment _t50_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_a);
            _local_b = &_t49_storage;
            flick_cdr_decode_unsigned32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t50_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_b);
                  flick_cdr_encode_unsigned32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            test _obj;
            CORBA_float _local_a;
            CORBA_float *_local_b;
            CORBA_float *_local_c;
            CORBA_Environment *_ev;
            CORBA_float _return = 0.000000;
            CORBA_float _t51_storage;
            CORBA_Environment _t52_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_float32(4, _local_a);
            _local_b = &_t51_storage;
            flick_cdr_decode_float32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t52_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Float(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_float32(0, _return);
                  flick_cdr_encode_float32(4, *_local_b);
                  flick_cdr_encode_float32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            test _obj;
            CORBA_boolean _local_a;
            CORBA_boolean *_local_b;
            CORBA_boolean *_local_c;
            CORBA_Environment *_ev;
            CORBA_boolean _return = 0;
            CORBA_boolean _t53_storage;
            CORBA_Environment _t54_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a);
            _local_b = &_t53_storage;
            flick_cdr_decode_unsigned8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t54_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            test _obj;
            CORBA_char _local_a;
            CORBA_char *_local_b;
            CORBA_char *_local_c;
            CORBA_Environment *_ev;
            CORBA_char _return = 0;
            CORBA_char _t55_storage;
            CORBA_Environment _t56_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _local_a);
            _local_b = &_t55_storage;
            flick_cdr_decode_char8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t56_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Char(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_char8(0, _return);
                  flick_cdr_encode_char8(1, *_local_b);
                  flick_cdr_encode_char8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            test _obj;
            CORBA_octet _local_a;
            CORBA_octet *_local_b;
            CORBA_octet *_local_c;
            CORBA_Environment *_ev;
            CORBA_octet _return = 0;
            CORBA_octet _t57_storage;
            CORBA_Environment _t58_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned8(4, _local_a);
            _local_b = &_t57_storage;
            flick_cdr_decode_unsigned8(5, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t58_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(7);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(3);
                  flick_cdr_encode_unsigned8(0, _return);
                  flick_cdr_encode_unsigned8(1, *_local_b);
                  flick_cdr_encode_unsigned8(2, *_local_c);
                  flick_trapeze_encode_end_chunk(3);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(7);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            test _obj;
            Enumeration _local_a;
            Enumeration *_local_b;
            Enumeration *_local_c;
            CORBA_Environment *_ev;
            Enumeration _return;
            Enumeration _t59_storage;
            CORBA_Environment _t60_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_unsigned32(4, _local_a);
            _local_b = &_t59_storage;
            flick_cdr_decode_unsigned32(8, *_local_b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t60_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(16);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(12);
                  flick_cdr_encode_unsigned32(0, _return);
                  flick_cdr_encode_unsigned32(4, *_local_b);
                  flick_cdr_encode_unsigned32(8, *_local_c);
                  flick_trapeze_encode_end_chunk(12);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(16);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            test _obj;
            struct FStruct *_local_a;
            struct FStruct *_local_b;
            struct FStruct *_local_c;
            CORBA_Environment *_ev;
            struct FStruct _return;
            struct FStruct _t61_storage;
            struct FStruct _t62_storage;
            CORBA_Environment _t63_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t61_storage;
            flick_cdr_decode_signed16(4, _local_a->a);
            _local_b = &_t62_storage;
            flick_cdr_decode_signed16(6, _local_b->a);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t63_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_FixedStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(10);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(6);
                  flick_cdr_encode_signed16(0, _return.a);
                  flick_cdr_encode_signed16(2, _local_b->a);
                  flick_cdr_encode_signed16(4, _local_c->a);
                  flick_trapeze_encode_end_chunk(6);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(10);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            test _obj;
            struct VStruct *_local_a;
            struct VStruct *_local_b;
            struct VStruct **_local_c;
            CORBA_Environment *_ev;
            struct VStruct *_return = 0;
            struct VStruct _t64_storage;
            struct VStruct _t65_storage;
            CORBA_Environment _t66_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t64_storage;
            flick_trapeze_server_decode_array(_local_a->a, 0);
            _local_b = &_t65_storage;
            flick_trapeze_server_decode_array(_local_b->a, 0);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t66_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_VarStruct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return->a, strlen(_return->a));
                  CORBA_flick_free(_return);
                  flick_trapeze_server_encode_array(_local_b->a, strlen(_local_b->a));
                  flick_trapeze_server_encode_array((*_local_c)->a, strlen((*_local_c)->a));
                  CORBA_flick_free(*_local_c);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 11:
        {
          {
            test _obj;
            struct FUnion *_local_a;
            struct FUnion *_local_b;
            struct FUnion *_local_c;
            CORBA_Environment *_ev;
            struct FUnion _return;
            struct FUnion _t67_storage;
            struct FUnion _t68_storage;
            CORBA_Environment _t69_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t67_storage;
            flick_cdr_decode_signed32(4, _local_a->_d);
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_a->_u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = &_t68_storage;
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_b->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_b->_u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t69_storage;
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_FixedUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(34);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return._d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_return._d)
                    {
                    case 1:
                      {
                        flick_trapeze_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return._u.x);
                        flick_trapeze_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return._u.z);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, _local_b->_d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_trapeze_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _local_b->_u.x);
                        flick_trapeze_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _local_b->_u.z);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, _local_c->_d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_local_c->_d)
                    {
                    case 1:
                      {
                        flick_trapeze_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _local_c->_u.x);
                        flick_trapeze_encode_end_chunk(4);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _local_c->_u.z);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(34);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 12:
        {
          {
            test _obj;
            struct VUnion *_local_a;
            struct VUnion *_local_b;
            struct VUnion **_local_c;
            CORBA_Environment *_ev;
            struct VUnion *_return = 0;
            struct VUnion _t70_storage;
            struct VUnion _t71_storage;
            CORBA_Environment _t72_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t70_storage;
            flick_cdr_decode_signed32(4, _local_a->_d);
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_trapeze_server_decode_array(_local_a->_u.a, 0);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_b = &_t71_storage;
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_b->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (_local_b->_d)
              {
              case 1:
                {
                  flick_trapeze_server_decode_array(_local_b->_u.a, 0);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t72_storage;
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_VarUnion(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return->_d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_return->_d)
                    {
                    case 1:
                      {
                        flick_trapeze_server_encode_array(_return->_u.a, strlen(_return->_u.a));
                        flick_trapeze_encode_end_glob(9);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return->_u.z);
                        flick_trapeze_encode_end_chunk(1);
                        flick_trapeze_encode_end_glob(9);
                        break;
                      }
                    }
                  CORBA_flick_free(_return);
                  flick_trapeze_encode_new_glob(8);
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, _local_b->_d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_local_b->_d)
                    {
                    case 1:
                      {
                        flick_trapeze_encode_end_glob(8);
                        flick_cdr_encode_longstring(_local_b->_u.a, CORBA_flick_free, trapeze);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _local_b->_u.z);
                        flick_trapeze_encode_end_chunk(1);
                        flick_trapeze_encode_end_glob(8);
                        break;
                      }
                    }
                  flick_trapeze_encode_new_glob(8);
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, (*_local_c)->_d);
                  flick_trapeze_encode_end_chunk(4);
                  switch ((*_local_c)->_d)
                    {
                    case 1:
                      {
                        flick_trapeze_server_encode_array((*_local_c)->_u.a, strlen((*_local_c)->_u.a));
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, (*_local_c)->_u.z);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  CORBA_flick_free(*_local_c);
                  flick_trapeze_encode_end_glob(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(9);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(9);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 13:
        {
          {
            test _obj;
            CORBA_char *_local_a;
            CORBA_char **_local_b;
            CORBA_char **_local_c;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t73_storage;
            CORBA_Environment _t74_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_a, 0);
            _local_b = &_t73_storage;
            flick_trapeze_server_decode_array(*_local_b, 0);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t74_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_server_encode_array(*_local_b, strlen(*_local_b));
                  flick_trapeze_server_encode_array(*_local_c, strlen(*_local_c));
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 14:
        {
          {
            test _obj;
            CORBA_char *_local_a;
            CORBA_char **_local_b;
            CORBA_char **_local_c;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t75_storage;
            CORBA_Environment _t76_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_cdr_decode_auto_string(_local_a, auto_flick_alloc, trapeze);
            _local_b = &_t75_storage;
            flick_cdr_decode_string(*_local_b, CORBA_flick_alloc, trapeze, 20);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t76_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_BoundString(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(_return, CORBA_flick_free, trapeze, 20);
                  flick_cdr_encode_string(*_local_b, CORBA_flick_free, trapeze, 20);
                  flick_cdr_encode_string(*_local_c, CORBA_flick_free, trapeze, 20);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 15:
        {
          {
            test _obj;
            CORBA_long *_local_a;
            CORBA_long *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            test_arr_slice *_return = 0;
            CORBA_long _t79_storage[10];
            CORBA_Environment _t80_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(84);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_msgptr(4, _local_a);
            _local_b = _t79_storage;
            flick_cdr_decode_bcopy(44, _local_b, 40);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t80_storage;
            flick_trapeze_decode_end_chunk(84);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Array(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_encode_new_glob(120);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(120);
                  flick_cdr_encode_bcopy(0, _return, 40);
                  CORBA_flick_free(_return);
                  flick_cdr_encode_bcopy(40, _local_b, 40);
                  flick_cdr_encode_bcopy(80, _local_c, 40);
                  flick_trapeze_encode_end_chunk(120);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(120);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 16:
        {
          {
            test _obj;
            test_seq *_local_a;
            test_seq *_local_b;
            test_seq **_local_c;
            CORBA_Environment *_ev;
            test_seq *_return = 0;
            test_seq _t81_storage;
            test_seq _t82_storage;
            CORBA_Environment _t83_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t81_storage;
            flick_cdr_decode_unsigned32(4, _local_a->_length);
            _local_a->_maximum = _local_a->_length;
            if (_local_a->_length > (unsigned int) 10)
              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            flick_cdr_decode_msgptr(0, _local_a->_buffer);
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _local_b = &_t82_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _local_b->_length);
            _local_b->_maximum = _local_b->_length;
            if (_local_b->_length > (unsigned int) 10)
              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * _local_b->_length);
            _local_b->_buffer = CORBA_flick_alloc(_local_b->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _local_b->_buffer, 4 * _local_b->_length);
            flick_trapeze_decode_end_chunk(4 * _local_b->_length);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t83_storage;
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Sequence(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(96);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4 + 4 * _return->_length);
                  flick_cdr_encode_unsigned32(0, _return->_length);
                  if (_return->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                  CORBA_flick_free(_return->_buffer);
                  flick_trapeze_encode_end_chunk(4 + 4 * _return->_length);
                  CORBA_flick_free(_return);
                  flick_trapeze_encode_new_chunk(4 + 4 * _local_b->_length);
                  flick_cdr_encode_unsigned32(0, _local_b->_length);
                  if (_local_b->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_cdr_encode_bcopy(4, _local_b->_buffer, 4 * _local_b->_length);
                  CORBA_flick_free(_local_b->_buffer);
                  flick_trapeze_encode_end_chunk(4 + 4 * _local_b->_length);
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, (*_local_c)->_length);
                  if ((*_local_c)->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(96);
                  flick_trapeze_encode_new_glob(40);
                  flick_trapeze_encode_new_chunk(4 * (*_local_c)->_length);
                  flick_cdr_encode_bcopy(0, (*_local_c)->_buffer, 4 * (*_local_c)->_length);
                  CORBA_flick_free((*_local_c)->_buffer);
                  flick_trapeze_encode_end_chunk(4 * (*_local_c)->_length);
                  CORBA_flick_free(*_local_c);
                  flick_trapeze_encode_end_glob(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(96);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(96);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
