#include "primtypes-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t ex1_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t12_switch_tag;

    flick_trapeze_decode_new_glob(62);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 0:
        {
          {
            ex1 _obj;
            CORBA_long _local_a;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t13_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _ev = &_t13_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_m1(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            ex1 _obj;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long *_local_a3;
            CORBA_unsigned_long _local_b1;
            CORBA_unsigned_long *_local_b2;
            CORBA_unsigned_long *_local_b3;
            CORBA_short _local_c1;
            CORBA_short *_local_c2;
            CORBA_short *_local_c3;
            CORBA_unsigned_short _local_d1;
            CORBA_unsigned_short *_local_d2;
            CORBA_unsigned_short *_local_d3;
            CORBA_float _local_e1;
            CORBA_float *_local_e2;
            CORBA_float *_local_e3;
            CORBA_double _local_f1;
            CORBA_double *_local_f2;
            CORBA_double *_local_f3;
            CORBA_char _local_g1;
            CORBA_char *_local_g2;
            CORBA_char *_local_g3;
            CORBA_Environment *_ev;
            ex1 _return;
            CORBA_long _t14_storage;
            CORBA_unsigned_long _t15_storage;
            CORBA_short _t16_storage;
            CORBA_unsigned_short _t17_storage;
            CORBA_float _t18_storage;
            CORBA_double _t19_storage;
            CORBA_char _t20_storage;
            CORBA_Environment _t21_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a1);
            _local_a2 = &_t14_storage;
            flick_cdr_decode_signed32(8, *_local_a2);
            _local_a3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned32(12, _local_b1);
            _local_b2 = &_t15_storage;
            flick_cdr_decode_unsigned32(16, *_local_b2);
            _local_b3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_signed16(20, _local_c1);
            _local_c2 = &_t16_storage;
            flick_cdr_decode_signed16(22, *_local_c2);
            _local_c3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned16(24, _local_d1);
            _local_d2 = &_t17_storage;
            flick_cdr_decode_unsigned16(26, *_local_d2);
            _local_d3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_float32(28, _local_e1);
            _local_e2 = &_t18_storage;
            flick_cdr_decode_float32(32, *_local_e2);
            _local_e3 = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_new_chunk_align(18, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_f1);
            _local_f2 = &_t19_storage;
            flick_cdr_decode_float64(8, *_local_f2);
            _local_f3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_char8(16, _local_g1);
            _local_g2 = &_t20_storage;
            flick_cdr_decode_char8(17, *_local_g2);
            _local_g3 = flick_trapeze_server_array__alloc();
            _ev = &_t21_storage;
            flick_trapeze_decode_end_chunk(18);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(58);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(32);
                  flick_cdr_encode_signed32(0, *_local_a2);
                  flick_cdr_encode_signed32(4, *_local_a3);
                  flick_cdr_encode_unsigned32(8, *_local_b2);
                  flick_cdr_encode_unsigned32(12, *_local_b3);
                  flick_cdr_encode_signed16(16, *_local_c2);
                  flick_cdr_encode_signed16(18, *_local_c3);
                  flick_cdr_encode_unsigned16(20, *_local_d2);
                  flick_cdr_encode_unsigned16(22, *_local_d3);
                  flick_cdr_encode_float32(24, *_local_e2);
                  flick_cdr_encode_float32(28, *_local_e3);
                  flick_trapeze_encode_end_chunk(32);
                  flick_trapeze_encode_new_chunk_align(18, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_f2);
                  flick_cdr_encode_float64(8, *_local_f3);
                  flick_cdr_encode_char8(16, *_local_g2);
                  flick_cdr_encode_char8(17, *_local_g3);
                  flick_trapeze_encode_end_chunk(18);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(58);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            ex1 _obj;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t22_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t22_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex1__get_l1(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            ex1 _obj;
            CORBA_long _local_l1;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l1);
            _ev = &_t23_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex1__set_l1(_obj, _local_l1, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(62);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t ex2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t63_switch_tag;

    flick_trapeze_decode_new_glob(62);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t63_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t63_switch_tag)
      {
      case (signed int) 4:
        {
          {
            ex2 _obj;
            CORBA_long _local_a;
            CORBA_long *_local_b;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t64_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _ev = &_t64_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_m2(_obj, _local_a, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_b);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t65_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t65_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex2_mv(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t66_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t66_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2__get_l2(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            ex2 _obj;
            CORBA_long _local_a;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t67_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _ev = &_t67_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_m1(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 8:
        {
          {
            ex2 _obj;
            CORBA_long _local_a1;
            CORBA_long *_local_a2;
            CORBA_long *_local_a3;
            CORBA_unsigned_long _local_b1;
            CORBA_unsigned_long *_local_b2;
            CORBA_unsigned_long *_local_b3;
            CORBA_short _local_c1;
            CORBA_short *_local_c2;
            CORBA_short *_local_c3;
            CORBA_unsigned_short _local_d1;
            CORBA_unsigned_short *_local_d2;
            CORBA_unsigned_short *_local_d3;
            CORBA_float _local_e1;
            CORBA_float *_local_e2;
            CORBA_float *_local_e3;
            CORBA_double _local_f1;
            CORBA_double *_local_f2;
            CORBA_double *_local_f3;
            CORBA_char _local_g1;
            CORBA_char *_local_g2;
            CORBA_char *_local_g3;
            CORBA_Environment *_ev;
            ex1 _return;
            CORBA_long _t68_storage;
            CORBA_unsigned_long _t69_storage;
            CORBA_short _t70_storage;
            CORBA_unsigned_short _t71_storage;
            CORBA_float _t72_storage;
            CORBA_double _t73_storage;
            CORBA_char _t74_storage;
            CORBA_Environment _t75_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a1);
            _local_a2 = &_t68_storage;
            flick_cdr_decode_signed32(8, *_local_a2);
            _local_a3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned32(12, _local_b1);
            _local_b2 = &_t69_storage;
            flick_cdr_decode_unsigned32(16, *_local_b2);
            _local_b3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_signed16(20, _local_c1);
            _local_c2 = &_t70_storage;
            flick_cdr_decode_signed16(22, *_local_c2);
            _local_c3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_unsigned16(24, _local_d1);
            _local_d2 = &_t71_storage;
            flick_cdr_decode_unsigned16(26, *_local_d2);
            _local_d3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_float32(28, _local_e1);
            _local_e2 = &_t72_storage;
            flick_cdr_decode_float32(32, *_local_e2);
            _local_e3 = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_new_chunk_align(18, 3, 2, 0);
            flick_cdr_decode_float64(0, _local_f1);
            _local_f2 = &_t73_storage;
            flick_cdr_decode_float64(8, *_local_f2);
            _local_f3 = flick_trapeze_server_array__alloc();
            flick_cdr_decode_char8(16, _local_g1);
            _local_g2 = &_t74_storage;
            flick_cdr_decode_char8(17, *_local_g2);
            _local_g3 = flick_trapeze_server_array__alloc();
            _ev = &_t75_storage;
            flick_trapeze_decode_end_chunk(18);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2_mtypes(_obj, _local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(58);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(32);
                  flick_cdr_encode_signed32(0, *_local_a2);
                  flick_cdr_encode_signed32(4, *_local_a3);
                  flick_cdr_encode_unsigned32(8, *_local_b2);
                  flick_cdr_encode_unsigned32(12, *_local_b3);
                  flick_cdr_encode_signed16(16, *_local_c2);
                  flick_cdr_encode_signed16(18, *_local_c3);
                  flick_cdr_encode_unsigned16(20, *_local_d2);
                  flick_cdr_encode_unsigned16(22, *_local_d3);
                  flick_cdr_encode_float32(24, *_local_e2);
                  flick_cdr_encode_float32(28, *_local_e3);
                  flick_trapeze_encode_end_chunk(32);
                  flick_trapeze_encode_new_chunk_align(18, 3, 2, 0);
                  flick_cdr_encode_float64(0, *_local_f2);
                  flick_cdr_encode_float64(8, *_local_f3);
                  flick_cdr_encode_char8(16, *_local_g2);
                  flick_cdr_encode_char8(17, *_local_g3);
                  flick_trapeze_encode_end_chunk(18);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(58);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 9:
        {
          {
            ex2 _obj;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t76_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t76_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ex2__get_l1(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 10:
        {
          {
            ex2 _obj;
            CORBA_long _local_l1;
            CORBA_Environment *_ev;
            CORBA_Environment _t77_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_l1);
            _ev = &_t77_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(62);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            ex2__set_l1(_obj, _local_l1, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(4);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(62);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
