#include "sequence-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_trapeze_decode_new_glob(96);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t4_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 0:
        {
          {
            TestSeq _obj;
            vec10 *_local_iv;
            vec10 **_local_ov;
            vec10 *_local_iov;
            CORBA_Environment *_ev;
            vec10 *_return = 0;
            vec10 _t5_storage;
            vec10 _t6_storage;
            CORBA_Environment _t7_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_iv = &_t5_storage;
            flick_cdr_decode_unsigned32(4, _local_iv->_length);
            _local_iv->_maximum = _local_iv->_length;
            if (_local_iv->_length > (unsigned int) 10)
              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk(4 * _local_iv->_length);
            flick_cdr_decode_msgptr(0, _local_iv->_buffer);
            flick_trapeze_decode_end_chunk(4 * _local_iv->_length);
            _local_ov = flick_trapeze_server_array__alloc();
            _local_iov = &_t6_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _local_iov->_length);
            _local_iov->_maximum = _local_iov->_length;
            if (_local_iov->_length > (unsigned int) 10)
              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * _local_iov->_length);
            _local_iov->_buffer = CORBA_flick_alloc(_local_iov->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
            flick_trapeze_decode_end_chunk(4 * _local_iov->_length);
            _ev = &_t7_storage;
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(96);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4 + 4 * _return->_length);
                  flick_cdr_encode_unsigned32(0, _return->_length);
                  if (_return->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                  CORBA_flick_free(_return->_buffer);
                  flick_trapeze_encode_end_chunk(4 + 4 * _return->_length);
                  CORBA_flick_free(_return);
                  flick_trapeze_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                  flick_cdr_encode_unsigned32(0, (*_local_ov)->_length);
                  if ((*_local_ov)->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                  CORBA_flick_free((*_local_ov)->_buffer);
                  flick_trapeze_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                  CORBA_flick_free(*_local_ov);
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _local_iov->_length);
                  if (_local_iov->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(96);
                  flick_trapeze_encode_new_glob(40);
                  flick_trapeze_encode_new_chunk(4 * _local_iov->_length);
                  flick_cdr_encode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                  CORBA_flick_free(_local_iov->_buffer);
                  flick_trapeze_encode_end_chunk(4 * _local_iov->_length);
                  flick_trapeze_encode_end_glob(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(96);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 13:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                        {
                                          switch (*(char *)(_ev->_id + 12))
                                            {
                                            case 0:
                                              {
                                                flick_trapeze_encode_new_chunk(24);
                                                flick_cdr_encode_unsigned32(0, 13);
                                                flick_cdr_encode_char8(4, 'I');
                                                flick_cdr_encode_char8(5, 'D');
                                                flick_cdr_encode_char8(6, 'L');
                                                flick_cdr_encode_char8(7, ':');
                                                flick_cdr_encode_char8(8, 'p');
                                                flick_cdr_encode_char8(9, 'u');
                                                flick_cdr_encode_char8(10, 'k');
                                                flick_cdr_encode_char8(11, 'e');
                                                flick_cdr_encode_char8(12, ':');
                                                flick_cdr_encode_char8(13, '1');
                                                flick_cdr_encode_char8(14, '.');
                                                flick_cdr_encode_char8(15, '0');
                                                flick_cdr_encode_char8(16, 0);
                                                flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason);
                                                CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                flick_trapeze_encode_end_chunk(24);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  flick_trapeze_encode_end_glob(96);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
