#include "sequence_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(52);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 0:
        {
          {
            TestSeq _obj;
            seq *_local_a;
            CORBA_Environment *_ev;
            CORBA_short _return = 0;
            seq _t4_storage;
            CORBA_Environment _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t4_storage;
            flick_cdr_decode_unsigned32(4, _local_a->_length);
            _local_a->_maximum = _local_a->_length;
            if (_local_a->_length > (unsigned int) 10)
              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            _local_a->_buffer = CORBA_flick_alloc(_local_a->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _ev = &_t5_storage;
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = TestSeq_Sequencer(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(52);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8 + 4 * _local_a->_length);
                  flick_cdr_encode_signed16(0, _return);
                  flick_cdr_encode_unsigned32(4, _local_a->_length);
                  if (_local_a->_length > (unsigned int) 10)
                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                  CORBA_flick_free(_local_a->_buffer);
                  flick_trapeze_encode_end_chunk(8 + 4 * _local_a->_length);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(52);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(52);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
