#include "simple2-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t simple_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 0:
        {
          {
            simple _obj;
            CORBA_long _local_a;
            simple *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t4_storage;
            CORBA_Environment _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _local_c = &_t4_storage;
            flick_cdr_decode_signed32(8, *_local_c);
            _ev = &_t5_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_c);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t simple2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t16_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t16_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t16_switch_tag)
      {
      case (signed int) 1:
        {
          {
            simple2 _obj;
            CORBA_long _local_a;
            simple _local_b;
            simple2 *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t17_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t17_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            simple2 _obj;
            CORBA_long _local_a;
            simple *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t18_storage;
            CORBA_Environment _t19_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _local_c = &_t18_storage;
            flick_cdr_decode_signed32(8, *_local_c);
            _ev = &_t19_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_c);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t simple3_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t36_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t36_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t36_switch_tag)
      {
      case (signed int) 3:
        {
          {
            simple3 _obj;
            CORBA_long _local_a;
            simple3 *_local_b;
            simple2 *_local_c;
            simple *_local_d;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t37_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _local_c = flick_trapeze_server_array__alloc();
            _local_d = flick_trapeze_server_array__alloc();
            _ev = &_t37_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple3_op3(_obj, _local_a, _local_b, _local_c, _local_d, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(76);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(76);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(76);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 25:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* OVER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1331053906):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 16))
                                                  {
                                                  case /* FLOW */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1179406167):
                                                    {
                                                      switch (*(unsigned int *)(_ev->_id + 20))
                                                        {
                                                        case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                          {
                                                            switch (*(char *)(_ev->_id + 24))
                                                              {
                                                              case 0:
                                                                {
                                                                  flick_trapeze_encode_new_chunk(36);
                                                                  flick_cdr_encode_unsigned32(0, 25);
                                                                  flick_cdr_encode_char8(4, 'I');
                                                                  flick_cdr_encode_char8(5, 'D');
                                                                  flick_cdr_encode_char8(6, 'L');
                                                                  flick_cdr_encode_char8(7, ':');
                                                                  flick_cdr_encode_char8(8, 's');
                                                                  flick_cdr_encode_char8(9, 'i');
                                                                  flick_cdr_encode_char8(10, 'm');
                                                                  flick_cdr_encode_char8(11, 'p');
                                                                  flick_cdr_encode_char8(12, 'l');
                                                                  flick_cdr_encode_char8(13, 'e');
                                                                  flick_cdr_encode_char8(14, '3');
                                                                  flick_cdr_encode_char8(15, '/');
                                                                  flick_cdr_encode_char8(16, 'O');
                                                                  flick_cdr_encode_char8(17, 'V');
                                                                  flick_cdr_encode_char8(18, 'E');
                                                                  flick_cdr_encode_char8(19, 'R');
                                                                  flick_cdr_encode_char8(20, 'F');
                                                                  flick_cdr_encode_char8(21, 'L');
                                                                  flick_cdr_encode_char8(22, 'O');
                                                                  flick_cdr_encode_char8(23, 'W');
                                                                  flick_cdr_encode_char8(24, ':');
                                                                  flick_cdr_encode_char8(25, '1');
                                                                  flick_cdr_encode_char8(26, '.');
                                                                  flick_cdr_encode_char8(27, '0');
                                                                  flick_cdr_encode_char8(28, 0);
                                                                  flick_cdr_encode_signed32(32, ((simple3_OVERFLOW *)(_ev->_value._user_except))->a);
                                                                  flick_trapeze_server_encode_array(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg, strlen(((simple3_OVERFLOW *)(_ev->_value._user_except))->msg));
                                                                  CORBA_flick_free((simple3_OVERFLOW *)(_ev->_value._user_except));
                                                                  flick_trapeze_encode_end_chunk(36);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    case (unsigned int) 26:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 16))
                                                  {
                                                  case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                    {
                                                      switch (*(unsigned int *)(_ev->_id + 20))
                                                        {
                                                        case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                          {
                                                            switch (*(unsigned short int *)(_ev->_id + 24))
                                                              {
                                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                {
                                                                  flick_trapeze_encode_new_chunk(36);
                                                                  flick_cdr_encode_unsigned32(0, 26);
                                                                  flick_cdr_encode_char8(4, 'I');
                                                                  flick_cdr_encode_char8(5, 'D');
                                                                  flick_cdr_encode_char8(6, 'L');
                                                                  flick_cdr_encode_char8(7, ':');
                                                                  flick_cdr_encode_char8(8, 's');
                                                                  flick_cdr_encode_char8(9, 'i');
                                                                  flick_cdr_encode_char8(10, 'm');
                                                                  flick_cdr_encode_char8(11, 'p');
                                                                  flick_cdr_encode_char8(12, 'l');
                                                                  flick_cdr_encode_char8(13, 'e');
                                                                  flick_cdr_encode_char8(14, '3');
                                                                  flick_cdr_encode_char8(15, '/');
                                                                  flick_cdr_encode_char8(16, 'U');
                                                                  flick_cdr_encode_char8(17, 'N');
                                                                  flick_cdr_encode_char8(18, 'D');
                                                                  flick_cdr_encode_char8(19, 'E');
                                                                  flick_cdr_encode_char8(20, 'R');
                                                                  flick_cdr_encode_char8(21, 'F');
                                                                  flick_cdr_encode_char8(22, 'L');
                                                                  flick_cdr_encode_char8(23, 'O');
                                                                  flick_cdr_encode_char8(24, 'W');
                                                                  flick_cdr_encode_char8(25, ':');
                                                                  flick_cdr_encode_char8(26, '1');
                                                                  flick_cdr_encode_char8(27, '.');
                                                                  flick_cdr_encode_char8(28, '0');
                                                                  flick_cdr_encode_char8(29, 0);
                                                                  flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                                  flick_trapeze_server_encode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, strlen(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg));
                                                                  CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                  flick_trapeze_encode_end_chunk(36);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    case (unsigned int) 23:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* BADN */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1111573582):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 16))
                                                  {
                                                  case /* UM:1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431124529):
                                                    {
                                                      switch (*(unsigned short int *)(_ev->_id + 20))
                                                        {
                                                        case /* .0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 11824):
                                                          {
                                                            switch (*(char *)(_ev->_id + 22))
                                                              {
                                                              case 0:
                                                                {
                                                                  flick_trapeze_encode_new_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                  flick_cdr_encode_unsigned32(0, 23);
                                                                  flick_cdr_encode_char8(4, 'I');
                                                                  flick_cdr_encode_char8(5, 'D');
                                                                  flick_cdr_encode_char8(6, 'L');
                                                                  flick_cdr_encode_char8(7, ':');
                                                                  flick_cdr_encode_char8(8, 's');
                                                                  flick_cdr_encode_char8(9, 'i');
                                                                  flick_cdr_encode_char8(10, 'm');
                                                                  flick_cdr_encode_char8(11, 'p');
                                                                  flick_cdr_encode_char8(12, 'l');
                                                                  flick_cdr_encode_char8(13, 'e');
                                                                  flick_cdr_encode_char8(14, '3');
                                                                  flick_cdr_encode_char8(15, '/');
                                                                  flick_cdr_encode_char8(16, 'B');
                                                                  flick_cdr_encode_char8(17, 'A');
                                                                  flick_cdr_encode_char8(18, 'D');
                                                                  flick_cdr_encode_char8(19, 'N');
                                                                  flick_cdr_encode_char8(20, 'U');
                                                                  flick_cdr_encode_char8(21, 'M');
                                                                  flick_cdr_encode_char8(22, ':');
                                                                  flick_cdr_encode_char8(23, '1');
                                                                  flick_cdr_encode_char8(24, '.');
                                                                  flick_cdr_encode_char8(25, '0');
                                                                  flick_cdr_encode_char8(26, 0);
                                                                  flick_cdr_encode_unsigned32(28, ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                  if (((simple3_BADNUM *)(_ev->_value._user_except))->c._length > (unsigned int) 10)
                                                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                                                                  flick_cdr_encode_bcopy(32, ((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                  CORBA_flick_free(((simple3_BADNUM *)(_ev->_value._user_except))->c._buffer);
                                                                  flick_trapeze_encode_end_chunk(32 + 4 * ((simple3_BADNUM *)(_ev->_value._user_except))->c._length);
                                                                  CORBA_flick_free((simple3_BADNUM *)(_ev->_value._user_except));
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  flick_trapeze_encode_end_glob(76);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 4:
        {
          {
            simple3 _obj;
            CORBA_char *_local_x;
            CORBA_char **_local_y;
            CORBA_char **_local_z;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t38_storage;
            CORBA_Environment _t39_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_x, 0);
            _local_y = &_t38_storage;
            flick_trapeze_server_decode_array(*_local_y, 0);
            _local_z = flick_trapeze_server_array__alloc();
            _ev = &_t39_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple3_op4(_obj, _local_x, _local_y, _local_z, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(40);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_server_encode_array(*_local_y, strlen(*_local_y));
                  flick_trapeze_server_encode_array(*_local_z, strlen(*_local_z));
                  flick_trapeze_encode_end_glob(40);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(40);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 26:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* UNDE */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431192645):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 16))
                                                  {
                                                  case /* RFLO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1380338767):
                                                    {
                                                      switch (*(unsigned int *)(_ev->_id + 20))
                                                        {
                                                        case /* W:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1463431470):
                                                          {
                                                            switch (*(unsigned short int *)(_ev->_id + 24))
                                                              {
                                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                {
                                                                  flick_trapeze_encode_new_chunk(36);
                                                                  flick_cdr_encode_unsigned32(0, 26);
                                                                  flick_cdr_encode_char8(4, 'I');
                                                                  flick_cdr_encode_char8(5, 'D');
                                                                  flick_cdr_encode_char8(6, 'L');
                                                                  flick_cdr_encode_char8(7, ':');
                                                                  flick_cdr_encode_char8(8, 's');
                                                                  flick_cdr_encode_char8(9, 'i');
                                                                  flick_cdr_encode_char8(10, 'm');
                                                                  flick_cdr_encode_char8(11, 'p');
                                                                  flick_cdr_encode_char8(12, 'l');
                                                                  flick_cdr_encode_char8(13, 'e');
                                                                  flick_cdr_encode_char8(14, '3');
                                                                  flick_cdr_encode_char8(15, '/');
                                                                  flick_cdr_encode_char8(16, 'U');
                                                                  flick_cdr_encode_char8(17, 'N');
                                                                  flick_cdr_encode_char8(18, 'D');
                                                                  flick_cdr_encode_char8(19, 'E');
                                                                  flick_cdr_encode_char8(20, 'R');
                                                                  flick_cdr_encode_char8(21, 'F');
                                                                  flick_cdr_encode_char8(22, 'L');
                                                                  flick_cdr_encode_char8(23, 'O');
                                                                  flick_cdr_encode_char8(24, 'W');
                                                                  flick_cdr_encode_char8(25, ':');
                                                                  flick_cdr_encode_char8(26, '1');
                                                                  flick_cdr_encode_char8(27, '.');
                                                                  flick_cdr_encode_char8(28, '0');
                                                                  flick_cdr_encode_char8(29, 0);
                                                                  flick_cdr_encode_signed32(32, ((simple3_UNDERFLOW *)(_ev->_value._user_except))->b);
                                                                  flick_trapeze_server_encode_array(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg, strlen(((simple3_UNDERFLOW *)(_ev->_value._user_except))->msg));
                                                                  CORBA_flick_free((simple3_UNDERFLOW *)(_ev->_value._user_except));
                                                                  flick_trapeze_encode_end_chunk(36);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  flick_trapeze_encode_end_glob(40);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 5:
        {
          {
            simple3 _obj;
            CORBA_Environment *_ev;
            CORBA_Environment _t40_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _ev = &_t40_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            simple3_op5(_obj, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(34);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(34);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(34);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 26:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* simp */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1936289136):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* le3/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1818571567):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* USER */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1431520594):
                                              {
                                                switch (*(unsigned int *)(_ev->_id + 16))
                                                  {
                                                  case /* ERRO */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1163022927):
                                                    {
                                                      switch (*(unsigned int *)(_ev->_id + 20))
                                                        {
                                                        case /* R:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1379545390):
                                                          {
                                                            switch (*(unsigned short int *)(_ev->_id + 24))
                                                              {
                                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                                {
                                                                  flick_trapeze_encode_new_chunk(30);
                                                                  flick_cdr_encode_unsigned32(0, 26);
                                                                  flick_cdr_encode_char8(4, 'I');
                                                                  flick_cdr_encode_char8(5, 'D');
                                                                  flick_cdr_encode_char8(6, 'L');
                                                                  flick_cdr_encode_char8(7, ':');
                                                                  flick_cdr_encode_char8(8, 's');
                                                                  flick_cdr_encode_char8(9, 'i');
                                                                  flick_cdr_encode_char8(10, 'm');
                                                                  flick_cdr_encode_char8(11, 'p');
                                                                  flick_cdr_encode_char8(12, 'l');
                                                                  flick_cdr_encode_char8(13, 'e');
                                                                  flick_cdr_encode_char8(14, '3');
                                                                  flick_cdr_encode_char8(15, '/');
                                                                  flick_cdr_encode_char8(16, 'U');
                                                                  flick_cdr_encode_char8(17, 'S');
                                                                  flick_cdr_encode_char8(18, 'E');
                                                                  flick_cdr_encode_char8(19, 'R');
                                                                  flick_cdr_encode_char8(20, 'E');
                                                                  flick_cdr_encode_char8(21, 'R');
                                                                  flick_cdr_encode_char8(22, 'R');
                                                                  flick_cdr_encode_char8(23, 'O');
                                                                  flick_cdr_encode_char8(24, 'R');
                                                                  flick_cdr_encode_char8(25, ':');
                                                                  flick_cdr_encode_char8(26, '1');
                                                                  flick_cdr_encode_char8(27, '.');
                                                                  flick_cdr_encode_char8(28, '0');
                                                                  flick_cdr_encode_char8(29, 0);
                                                                  flick_trapeze_server_encode_array(((simple3_USERERROR *)(_ev->_value._user_except))->reason, strlen(((simple3_USERERROR *)(_ev->_value._user_except))->reason));
                                                                  CORBA_flick_free((simple3_USERERROR *)(_ev->_value._user_except));
                                                                  flick_trapeze_encode_end_chunk(30);
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  flick_trapeze_encode_end_glob(34);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 6:
        {
          {
            simple3 _obj;
            CORBA_long _local_a;
            simple _local_b;
            simple2 *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t41_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t41_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple3_op2(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 7:
        {
          {
            simple3 _obj;
            CORBA_long _local_a;
            simple *_local_b;
            CORBA_long *_local_c;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_long _t42_storage;
            CORBA_Environment _t43_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _local_c = &_t42_storage;
            flick_cdr_decode_signed32(8, *_local_c);
            _ev = &_t43_storage;
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = simple3_op(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, *_local_c);
                  flick_trapeze_encode_end_chunk(8);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
