#include "string_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t6_switch_tag;

    flick_trapeze_decode_new_glob(8);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t6_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t6_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            CORBA_char *_local_a;
            CORBA_char **_local_b;
            CORBA_char **_local_c;
            CORBA_Environment *_ev;
            CORBA_char *_return = 0;
            CORBA_char *_t7_storage;
            CORBA_Environment _t8_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_trapeze_server_decode_array(_local_a, 0);
            _local_b = &_t7_storage;
            flick_trapeze_server_decode_array(*_local_b, 0);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t8_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_server_encode_array(_return, strlen(_return));
                  flick_trapeze_server_encode_array(*_local_b, strlen(*_local_b));
                  flick_trapeze_server_encode_array(*_local_c, strlen(*_local_c));
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            test _obj;
            struct str *_local_a;
            struct str *_local_b;
            struct str **_local_c;
            CORBA_Environment *_ev;
            struct str *_return = 0;
            struct str _t9_storage;
            struct str _t10_storage;
            CORBA_Environment _t11_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t9_storage;
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(8);
            flick_cdr_decode_auto_string(_local_a->s10, auto_flick_alloc, trapeze);
            flick_trapeze_decode_new_glob(7);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_a->a);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(7);
            flick_cdr_decode_auto_string(_local_a->sx, auto_flick_alloc, trapeze);
            flick_trapeze_decode_new_glob(3);
            flick_trapeze_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, _local_a->b);
            _local_b = &_t10_storage;
            flick_trapeze_decode_end_chunk(2);
            flick_trapeze_decode_end_glob(3);
            flick_cdr_decode_string(_local_b->s10, CORBA_flick_alloc, trapeze, 10);
            flick_trapeze_decode_new_glob(9);
            flick_trapeze_decode_new_chunk_align(6, 2, 0, 0);
            flick_cdr_decode_signed32(0, _local_b->a);
            flick_trapeze_server_decode_array(_local_b->sx, 0);
            flick_cdr_decode_signed16(4, _local_b->b);
            _local_c = flick_trapeze_server_array__alloc();
            _ev = &_t11_storage;
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(9);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(4);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_end_glob(4);
                  flick_cdr_encode_string(_return->s10, CORBA_flick_free, trapeze, 10);
                  flick_trapeze_encode_new_glob(7);
                  flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_signed32(0, _return->a);
                  flick_trapeze_encode_end_chunk(4);
                  flick_trapeze_encode_end_glob(7);
                  flick_cdr_encode_longstring(_return->sx, CORBA_flick_free, trapeze);
                  flick_trapeze_encode_new_glob(3);
                  flick_trapeze_encode_new_chunk_align(2, 1, 0, 0);
                  flick_cdr_encode_signed16(0, _return->b);
                  CORBA_flick_free(_return);
                  flick_trapeze_encode_end_chunk(2);
                  flick_trapeze_encode_end_glob(3);
                  flick_cdr_encode_string(_local_b->s10, CORBA_flick_free, trapeze, 10);
                  flick_trapeze_encode_new_glob(9);
                  flick_trapeze_encode_new_chunk_align(6, 2, 0, 0);
                  flick_cdr_encode_signed32(0, _local_b->a);
                  flick_trapeze_server_encode_array(_local_b->sx, strlen(_local_b->sx));
                  flick_cdr_encode_signed16(4, _local_b->b);
                  flick_trapeze_encode_end_chunk(6);
                  flick_trapeze_encode_end_glob(9);
                  flick_cdr_encode_string((*_local_c)->s10, CORBA_flick_free, trapeze, 10);
                  flick_trapeze_encode_new_glob(9);
                  flick_trapeze_encode_new_chunk_align(6, 2, 0, 0);
                  flick_cdr_encode_signed32(0, (*_local_c)->a);
                  flick_trapeze_server_encode_array((*_local_c)->sx, strlen((*_local_c)->sx));
                  flick_cdr_encode_signed16(4, (*_local_c)->b);
                  CORBA_flick_free(*_local_c);
                  flick_trapeze_encode_end_chunk(6);
                  flick_trapeze_encode_end_glob(9);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(4);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(8);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
