#include "struct-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t foo_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_trapeze_decode_new_glob(16);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 0:
        {
          {
            foo _obj;
            struct bar *_local_a;
            struct bar2 **_local_b;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            struct bar _t4_storage;
            CORBA_Environment _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t4_storage;
            flick_cdr_decode_signed32(4, _local_a->b1);
            flick_cdr_decode_signed32(8, _local_a->b2);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(16);
            flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, trapeze);
            _local_b = flick_trapeze_server_array__alloc();
            _ev = &_t5_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = foo_op(_obj, _local_a, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(20);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(16);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, (*_local_b)->b3);
                  flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                  flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                  flick_trapeze_encode_end_chunk(16);
                  flick_trapeze_encode_end_glob(20);
                  flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, trapeze, 20);
                  CORBA_flick_free(*_local_b);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(20);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(16);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
flick_operation_success_t foo2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t18_switch_tag;

    flick_trapeze_decode_new_glob(20);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t18_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t18_switch_tag)
      {
      case (signed int) 1:
        {
          {
            foo2 _obj;
            struct bar2 *_local_a;
            CORBA_Environment *_ev;
            struct bar *_return = 0;
            struct bar2 _t19_storage;
            CORBA_Environment _t20_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t19_storage;
            flick_cdr_decode_signed32(4, _local_a->b3);
            flick_cdr_decode_signed32(8, _local_a->b4.b1);
            flick_cdr_decode_signed32(12, _local_a->b4.b2);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_decode_end_glob(20);
            flick_cdr_decode_auto_string(_local_a->b4.b3, auto_flick_alloc, trapeze);
            _ev = &_t20_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = foo2_op2(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(8);
                  flick_cdr_encode_signed32(0, _return->b1);
                  flick_cdr_encode_signed32(4, _return->b2);
                  flick_trapeze_encode_end_chunk(8);
                  flick_trapeze_encode_end_glob(12);
                  flick_cdr_encode_string(_return->b3, CORBA_flick_free, trapeze, 20);
                  CORBA_flick_free(_return);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(12);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            foo2 _obj;
            CORBA_long _local_a;
            CORBA_char *_local_b;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            CORBA_Environment _t21_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_a);
            _local_b = flick_trapeze_server_array__alloc();
            _ev = &_t21_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(20);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = foo2_op3(_obj, _local_a, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(9);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(5);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_char8(4, *_local_b);
                  flick_trapeze_encode_end_chunk(5);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(9);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            foo2 _obj;
            struct bar *_local_a;
            struct bar2 **_local_b;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            struct bar _t22_storage;
            CORBA_Environment _t23_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t22_storage;
            flick_cdr_decode_signed32(4, _local_a->b1);
            flick_cdr_decode_signed32(8, _local_a->b2);
            flick_trapeze_decode_end_chunk(12);
            flick_trapeze_decode_end_glob(20);
            flick_cdr_decode_auto_string(_local_a->b3, auto_flick_alloc, trapeze);
            _local_b = flick_trapeze_server_array__alloc();
            _ev = &_t23_storage;
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = foo2_op(_obj, _local_a, _local_b, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(20);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(16);
                  flick_cdr_encode_signed32(0, _return);
                  flick_cdr_encode_signed32(4, (*_local_b)->b3);
                  flick_cdr_encode_signed32(8, (*_local_b)->b4.b1);
                  flick_cdr_encode_signed32(12, (*_local_b)->b4.b2);
                  flick_trapeze_encode_end_chunk(16);
                  flick_trapeze_encode_end_glob(20);
                  flick_cdr_encode_string((*_local_b)->b4.b3, CORBA_flick_free, trapeze, 20);
                  CORBA_flick_free(*_local_b);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  flick_trapeze_encode_end_glob(20);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                  flick_trapeze_encode_end_glob(20);
                }
              }
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(20);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
