#include "ttcp-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t ttcp_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 0:
        {
          {
            ttcp _obj;
            intBuffer *_local_data;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            intBuffer _t6_storage;
            CORBA_Environment _t7_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t6_storage;
            flick_cdr_decode_unsigned32(4, _local_data->_length);
            _local_data->_maximum = _local_data->_length;
            flick_trapeze_server_decode_array(_local_data->_buffer, 4 * _local_data->_length);
            _ev = &_t7_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ttcp_inttest(_obj, _local_data, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(28);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 16:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                              {
                                                flick_trapeze_encode_new_chunk(24);
                                                flick_cdr_encode_unsigned32(0, 16);
                                                flick_cdr_encode_char8(4, 'I');
                                                flick_cdr_encode_char8(5, 'D');
                                                flick_cdr_encode_char8(6, 'L');
                                                flick_cdr_encode_char8(7, ':');
                                                flick_cdr_encode_char8(8, 'u');
                                                flick_cdr_encode_char8(9, 's');
                                                flick_cdr_encode_char8(10, 'e');
                                                flick_cdr_encode_char8(11, 'l');
                                                flick_cdr_encode_char8(12, 'e');
                                                flick_cdr_encode_char8(13, 's');
                                                flick_cdr_encode_char8(14, 's');
                                                flick_cdr_encode_char8(15, ':');
                                                flick_cdr_encode_char8(16, '1');
                                                flick_cdr_encode_char8(17, '.');
                                                flick_cdr_encode_char8(18, '0');
                                                flick_cdr_encode_char8(19, 0);
                                                flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney);
                                                CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                flick_trapeze_encode_end_chunk(24);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                }
              }
            flick_trapeze_encode_end_glob(28);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            ttcp _obj;
            structBuffer *_local_data;
            CORBA_Environment *_ev;
            CORBA_long _return = 0;
            structBuffer _t8_storage;
            CORBA_Environment _t9_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_data = &_t8_storage;
            flick_cdr_decode_unsigned32(4, _local_data->_length);
            _local_data->_maximum = _local_data->_length;
            flick_trapeze_server_decode_array(_local_data->_buffer, sizeof(struct b ) * _local_data->_length);
            _ev = &_t9_storage;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = ttcp_structtest(_obj, _local_data, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(28);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  switch ((unsigned int )(1+strlen(_ev->_id)))
                    {
                    case (unsigned int) 16:
                      {
                        switch (*(unsigned int *)(_ev->_id + 0))
                          {
                          case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                            {
                              switch (*(unsigned int *)(_ev->_id + 4))
                                {
                                case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                  {
                                    switch (*(unsigned int *)(_ev->_id + 8))
                                      {
                                      case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                        {
                                          switch (*(unsigned int *)(_ev->_id + 12))
                                            {
                                            case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                              {
                                                flick_trapeze_encode_new_chunk(24);
                                                flick_cdr_encode_unsigned32(0, 16);
                                                flick_cdr_encode_char8(4, 'I');
                                                flick_cdr_encode_char8(5, 'D');
                                                flick_cdr_encode_char8(6, 'L');
                                                flick_cdr_encode_char8(7, ':');
                                                flick_cdr_encode_char8(8, 'u');
                                                flick_cdr_encode_char8(9, 's');
                                                flick_cdr_encode_char8(10, 'e');
                                                flick_cdr_encode_char8(11, 'l');
                                                flick_cdr_encode_char8(12, 'e');
                                                flick_cdr_encode_char8(13, 's');
                                                flick_cdr_encode_char8(14, 's');
                                                flick_cdr_encode_char8(15, ':');
                                                flick_cdr_encode_char8(16, '1');
                                                flick_cdr_encode_char8(17, '.');
                                                flick_cdr_encode_char8(18, '0');
                                                flick_cdr_encode_char8(19, 0);
                                                flick_cdr_encode_signed32(20, ((useless *)(_ev->_value._user_except))->baloney);
                                                CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                flick_trapeze_encode_end_chunk(24);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                }
              }
            flick_trapeze_encode_end_glob(28);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
