#include "unionplain_-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t un_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_trapeze_decode_new_glob(56);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 0:
        {
          {
            un _obj;
            struct Foo2 *_local_a;
            CORBA_Environment *_ev;
            struct Foo _return;
            struct Foo2 _t6_storage;
            CORBA_Environment _t7_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(5);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t6_storage;
            flick_cdr_decode_char8(4, _local_a->_d);
            flick_trapeze_decode_end_chunk(5);
            switch (_local_a->_d)
              {
              case 'a':
                {
                  flick_trapeze_decode_new_chunk(7);
                  flick_cdr_decode_signed32(3, _local_a->_u.x);
                  flick_trapeze_decode_end_chunk(7);
                  break;
                }
              case 'b':
                {
                  flick_trapeze_decode_new_chunk(3);
                  flick_cdr_decode_signed16(1, _local_a->_u.y);
                  flick_trapeze_decode_end_chunk(3);
                  break;
                }
              case 'c':
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              default:
                {
                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_STRUCT_UNION, cdr, trapeze);
                  break;
                }
              }
            _ev = &_t7_storage;
            flick_trapeze_decode_end_glob(56);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = un_one(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _return._d);
                  flick_trapeze_encode_end_chunk(4);
                  switch (_return._d)
                    {
                    case 1:
                      {
                        flick_trapeze_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _return._u.x);
                        flick_trapeze_encode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_trapeze_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return._u.y);
                        flick_trapeze_encode_end_chunk(2);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return._u.z);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 1:
        {
          {
            un _obj;
            struct Foo4 *_local_a;
            CORBA_Environment *_ev;
            struct Foo3 _return;
            struct Foo4 _t8_storage;
            CORBA_Environment _t9_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, cdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_a = &_t8_storage;
            flick_cdr_decode_signed32(4, _local_a->_d);
            flick_trapeze_decode_end_chunk(8);
            switch (_local_a->_d)
              {
              case 1:
                {
                  flick_trapeze_server_decode_array(_local_a->_u.a, 0);
                  break;
                }
              case 2:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_a->_u.b._length);
                  _local_a->_u.b._maximum = _local_a->_u.b._length;
                  if (_local_a->_u.b._length > (unsigned int) 10)
                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
                  flick_trapeze_decode_end_chunk(4);
                  flick_trapeze_decode_new_chunk(4 * _local_a->_u.b._length);
                  flick_cdr_decode_msgptr(0, _local_a->_u.b._buffer);
                  flick_trapeze_decode_end_chunk(4 * _local_a->_u.b._length);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_a->_u.c);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              }
            _ev = &_t9_storage;
            flick_trapeze_decode_end_glob(56);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _return = un_two(_obj, _local_a, _ev);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr);
            }
            flick_trapeze_encode_new_glob(12);
            flick_trapeze_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _ev->_major);
            flick_trapeze_encode_end_chunk(4);
            switch (_ev->_major)
              {
              case CORBA_NO_EXCEPTION:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(2);
                  flick_cdr_encode_signed16(0, _return._d);
                  flick_trapeze_encode_end_chunk(2);
                  switch (_return._d)
                    {
                    case -1:
                      {
                        flick_trapeze_encode_new_chunk(2);
                        flick_cdr_encode_signed16(0, _return._u.a);
                        flick_trapeze_encode_end_chunk(2);
                        break;
                      }
                    case 50:
                      {
                        flick_trapeze_encode_new_chunk(6);
                        flick_cdr_encode_signed32(2, _return._u.b);
                        flick_trapeze_encode_end_chunk(6);
                        break;
                      }
                    default:
                      {
                        flick_trapeze_encode_new_chunk(1);
                        flick_cdr_encode_char8(0, _return._u.c);
                        flick_trapeze_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case CORBA_SYSTEM_EXCEPTION:
                {
                  flick_corba_encode_system_exception(_ev, cdr, trapeze);
                  break;
                }
              default:
                {
                  flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(12);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, trapeze);
          flick_trapeze_decode_end_glob(56);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
