#include "impldef-server.h"

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_cdr_encode_longstring(_data->_buffer[_t0_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_cdr_decode_longstring(_data->_buffer[_t1_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_CORBA_StringSequence_swap(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->_buffer[_t2_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence_swap(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  CORBA_unsigned_long _t3_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence_swap(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  CORBA_unsigned_long _t4_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t4_array_iter = 0; _t4_array_iter < _data->_length; _t4_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t4_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(1 * _data->_length);
  flick_iiop_encode_new_chunk(1 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 1 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(1 * _data->_length);
  flick_iiop_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  flick_iiop_decode_new_chunk(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 1 * _data->_length);
  flick_iiop_decode_end_chunk(1 * _data->_length);
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData_swap(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  CORBA_unsigned_long _t5_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(1 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_iiop_decode_new_chunk(1);
      flick_cdr_swap_decode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_iiop_decode_end_chunk(1);
    }
  flick_iiop_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t6_array_iter;

  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  for (_t6_array_iter = 0; _t6_array_iter < _data->_length; _t6_array_iter++)
    {
      flick_cdr_encode_longstring(_data->_buffer[_t6_array_iter], CORBA_flick_free, iiop);
    }
  CORBA_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t7_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_cdr_decode_longstring(_data->_buffer[_t7_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_unmarshal_stub_CORBA_ReferenceString_swap(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  CORBA_unsigned_long _t8_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_char *));
  for (_t8_array_iter = 0; _t8_array_iter < _data->_length; _t8_array_iter++)
    {
      flick_cdr_swap_decode_longstring(_data->_buffer[_t8_array_iter], CORBA_flick_alloc, iiop);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(4 * _data->_length);
  flick_iiop_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  CORBA_flick_free(_data->_buffer);
  flick_iiop_encode_end_chunk(4 * _data->_length);
  flick_iiop_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  flick_iiop_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiop_decode_end_chunk(4 * _data->_length);
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong_swap(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  CORBA_unsigned_long _t9_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_iiop_decode_end_chunk(4);
    }
  flick_iiop_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_CORBA_ImplementationDef_swap(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t CORBA_ImplementationDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t116_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t116_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t116_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t117_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t117_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t117_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t118_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t118_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t118_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t119_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t119_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t119_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t120_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t120_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t120_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t121_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t121_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t121_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t122_principal_len;
                                          CORBA_Environment _t123_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t122_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t122_principal_len);
                                          flick_iiop_decode_new_chunk(_t122_principal_len);
                                          flick_iiop_decode_end_chunk(_t122_principal_len);
                                          flick_iiop_decode_end_glob(_t122_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t123_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t124_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t124_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t124_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t125_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t125_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t125_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t126_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t126_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t126_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t127_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t127_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t127_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t128_principal_len;
                                          CORBA_Environment _t129_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t128_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t128_principal_len);
                                          flick_iiop_decode_new_chunk(_t128_principal_len);
                                          flick_iiop_decode_end_chunk(_t128_principal_len);
                                          flick_iiop_decode_end_glob(_t128_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t129_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t130_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t130_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t130_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t131_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t131_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t131_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t132_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t132_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t132_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t133_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t133_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t133_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t134_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t134_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t134_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t135_principal_len;
                                          CORBA_Environment _t136_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t135_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t135_principal_len);
                                          flick_iiop_decode_new_chunk(_t135_principal_len);
                                          flick_iiop_decode_end_chunk(_t135_principal_len);
                                          flick_iiop_decode_end_glob(_t135_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t136_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t137_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t137_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t137_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t138_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t138_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t138_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t139_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t139_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t139_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t140_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t140_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t140_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t141_principal_len;
                                          CORBA_Environment _t142_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t141_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t141_principal_len);
                                          flick_iiop_decode_new_chunk(_t141_principal_len);
                                          flick_iiop_decode_end_chunk(_t141_principal_len);
                                          flick_iiop_decode_end_glob(_t141_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t142_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t143_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t144_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t144_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t144_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t145_principal_len;
                        CORBA_Environment _t146_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t145_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t145_principal_len);
                        flick_iiop_decode_new_chunk(_t145_principal_len);
                        flick_iiop_decode_end_chunk(_t145_principal_len);
                        flick_iiop_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t146_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t147_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t147_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t147_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t148_principal_len;
                        CORBA_ReferenceData _t149_storage;
                        CORBA_unsigned_long _t150_array_iter;
                        CORBA_Environment _t151_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t148_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t148_principal_len);
                        flick_iiop_decode_new_chunk(_t148_principal_len);
                        flick_iiop_decode_end_chunk(_t148_principal_len);
                        flick_iiop_decode_end_glob(_t148_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t149_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                        for (_t150_array_iter = 0; _t150_array_iter < _local_id->_length; _t150_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t150_array_iter]);
                            flick_iiop_decode_end_chunk(1);
                          }
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t151_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t45_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t45_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 20:
        {
          unsigned int _t46_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t46_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t46_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t47_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t47_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t47_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t48_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t48_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t48_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t49_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t49_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t49_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t50_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t50_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t50_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t51_principal_len;
                                          CORBA_Environment _t52_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t51_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t51_principal_len);
                                          flick_iiop_decode_new_chunk(_t51_principal_len);
                                          flick_iiop_decode_end_chunk(_t51_principal_len);
                                          flick_iiop_decode_end_glob(_t51_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t52_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ImplementationDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t53_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t53_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t53_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t54_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t54_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t54_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t55_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t55_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t55_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t56_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t56_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t56_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t57_principal_len;
                                          CORBA_Environment _t58_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t57_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t57_principal_len);
                                          flick_iiop_decode_new_chunk(_t57_principal_len);
                                          flick_iiop_decode_end_chunk(_t57_principal_len);
                                          flick_iiop_decode_end_glob(_t57_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t58_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ImplementationDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t59_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t60_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t60_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t60_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t61_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t61_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t61_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t62_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t62_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t62_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t63_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t63_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t63_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t64_principal_len;
                                          CORBA_Environment _t65_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t64_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t64_principal_len);
                                          flick_iiop_decode_new_chunk(_t64_principal_len);
                                          flick_iiop_decode_end_chunk(_t64_principal_len);
                                          flick_iiop_decode_end_glob(_t64_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t65_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ImplementationDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t66_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t66_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t66_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t67_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t67_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t67_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t68_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t68_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t68_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t69_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t69_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t69_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ImplementationDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t70_principal_len;
                                          CORBA_Environment _t71_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t70_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t70_principal_len);
                                          flick_iiop_decode_new_chunk(_t70_principal_len);
                                          flick_iiop_decode_end_chunk(_t70_principal_len);
                                          flick_iiop_decode_end_glob(_t70_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t71_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ImplementationDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t72_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t73_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t73_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t74_principal_len;
                        CORBA_Environment _t75_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t74_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t74_principal_len);
                        flick_iiop_decode_new_chunk(_t74_principal_len);
                        flick_iiop_decode_end_chunk(_t74_principal_len);
                        flick_iiop_decode_end_glob(_t74_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t75_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_ImplementationDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t76_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t76_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t76_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ImplementationDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t77_principal_len;
                        CORBA_ReferenceData _t78_storage;
                        CORBA_Environment _t79_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t77_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t77_principal_len);
                        flick_iiop_decode_new_chunk(_t77_principal_len);
                        flick_iiop_decode_end_chunk(_t77_principal_len);
                        flick_iiop_decode_end_glob(_t77_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t78_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        flick_iiop_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer);
                        flick_iiop_decode_end_chunk(1 * _local_id->_length);
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t79_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_ImplementationDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy_swap(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_CORBA_CreationImplDef_swap(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t CORBA_CreationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t426_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t426_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t426_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t427_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t427_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t427_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t428_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t428_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t428_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t429_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t429_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t429_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t430_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t430_switch_tag);
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t430_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t431_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t431_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t431_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t432_principal_len;
                                          CORBA_Environment _t433_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t432_principal_len);
                                          flick_iiop_decode_end_chunk(5);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t432_principal_len);
                                          flick_iiop_decode_new_chunk(_t432_principal_len);
                                          flick_iiop_decode_end_chunk(_t432_principal_len);
                                          flick_iiop_decode_end_glob(_t432_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t433_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t434_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t434_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t434_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t435_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t435_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t435_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t436_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t436_switch_tag);
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t436_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t437_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t437_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t437_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_path_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t438_principal_len;
                                          CORBA_Environment _t439_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_swap_decode_unsigned32(1, _t438_principal_len);
                                          flick_iiop_decode_end_chunk(5);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t438_principal_len);
                                          flick_iiop_decode_new_chunk(_t438_principal_len);
                                          flick_iiop_decode_end_chunk(_t438_principal_len);
                                          flick_iiop_decode_end_glob(_t438_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_path_name, auto_flick_alloc, iiop);
                                          _ev = &_t439_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t440_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t440_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t440_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t441_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t441_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t441_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t442_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t442_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t442_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t443_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t443_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t443_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t444_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t444_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t444_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t445_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t445_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t445_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t446_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t446_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t446_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Policy _return;
                                                      unsigned int _t447_principal_len;
                                                      CORBA_Environment _t448_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t447_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_iiop_decode_new_glob(_t447_principal_len);
                                                      flick_iiop_decode_new_chunk(_t447_principal_len);
                                                      flick_iiop_decode_end_chunk(_t447_principal_len);
                                                      flick_iiop_decode_end_glob(_t447_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _ev = &_t448_storage;
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(8);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_unsigned32(0, _return);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(8);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(8);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t449_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t449_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t449_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t450_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t450_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t450_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t451_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t451_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t451_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t452_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t452_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t452_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t453_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t453_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t453_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t454_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t454_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t454_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      CORBA_Policy _local_activation_policy;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t455_principal_len;
                                                      CORBA_Environment _t456_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t455_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_iiop_decode_new_glob(_t455_principal_len);
                                                      flick_iiop_decode_new_chunk(_t455_principal_len);
                                                      flick_iiop_decode_end_chunk(_t455_principal_len);
                                                      flick_iiop_decode_end_glob(_t455_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiop_decode_new_glob(7);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_swap_decode_unsigned32(0, _local_activation_policy);
                                                      _ev = &_t456_storage;
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(7);
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t457_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t457_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t457_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t458_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t458_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t458_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t459_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t459_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t459_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_Environment *_ev;
                              CORBA_StringSequence *_return = 0;
                              unsigned int _t460_principal_len;
                              CORBA_Environment _t461_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t460_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t460_principal_len);
                              flick_iiop_decode_new_chunk(_t460_principal_len);
                              flick_iiop_decode_end_chunk(_t460_principal_len);
                              flick_iiop_decode_end_glob(_t460_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t461_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    CORBA_unsigned_long _t463_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    for (_t463_array_iter = 0; _t463_array_iter < _return->_length; _t463_array_iter++)
                                      {
                                        flick_cdr_encode_longstring(_return->_buffer[_t463_array_iter], CORBA_flick_free, iiop);
                                      }
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t464_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t464_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t464_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t465_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t465_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t465_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_StringSequence *_local_args;
                              CORBA_Environment *_ev;
                              unsigned int _t466_principal_len;
                              CORBA_StringSequence _t467_storage;
                              CORBA_unsigned_long _t468_array_iter;
                              CORBA_Environment _t469_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t466_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t466_principal_len);
                              flick_iiop_decode_new_chunk(_t466_principal_len);
                              flick_iiop_decode_end_chunk(_t466_principal_len);
                              flick_iiop_decode_end_glob(_t466_principal_len);
                              /* Begin decode phase on parameters */
                              _local_args = &_t467_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_args->_length);
                              _local_args->_maximum = _local_args->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                              for (_t468_array_iter = 0; _t468_array_iter < _local_args->_length; _t468_array_iter++)
                                {
                                  flick_cdr_swap_decode_auto_string(_local_args->_buffer[_t468_array_iter], auto_flick_alloc, iiop);
                                }
                              _ev = &_t469_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t470_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t470_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t470_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t471_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t471_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t471_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t472_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t472_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t472_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_Environment *_ev;
                              CORBA_StringSequence *_return = 0;
                              unsigned int _t473_principal_len;
                              CORBA_Environment _t474_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t473_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t473_principal_len);
                              flick_iiop_decode_new_chunk(_t473_principal_len);
                              flick_iiop_decode_end_chunk(_t473_principal_len);
                              flick_iiop_decode_end_glob(_t473_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t474_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    CORBA_unsigned_long _t476_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    for (_t476_array_iter = 0; _t476_array_iter < _return->_length; _t476_array_iter++)
                                      {
                                        flick_cdr_encode_longstring(_return->_buffer[_t476_array_iter], CORBA_flick_free, iiop);
                                      }
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t477_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t477_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t477_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t478_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t478_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t478_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_StringSequence *_local_env;
                              CORBA_Environment *_ev;
                              unsigned int _t479_principal_len;
                              CORBA_StringSequence _t480_storage;
                              CORBA_unsigned_long _t481_array_iter;
                              CORBA_Environment _t482_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t479_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t479_principal_len);
                              flick_iiop_decode_new_chunk(_t479_principal_len);
                              flick_iiop_decode_end_chunk(_t479_principal_len);
                              flick_iiop_decode_end_glob(_t479_principal_len);
                              /* Begin decode phase on parameters */
                              _local_env = &_t480_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_swap_decode_unsigned32(0, _local_env->_length);
                              _local_env->_maximum = _local_env->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                              for (_t481_array_iter = 0; _t481_array_iter < _local_env->_length; _t481_array_iter++)
                                {
                                  flick_cdr_swap_decode_auto_string(_local_env->_buffer[_t481_array_iter], auto_flick_alloc, iiop);
                                }
                              _ev = &_t482_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t483_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t483_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t483_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t484_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t484_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t484_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t485_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t485_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t485_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t486_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t486_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t486_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t487_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t487_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t487_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t488_principal_len;
                                          CORBA_Environment _t489_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t488_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t488_principal_len);
                                          flick_iiop_decode_new_chunk(_t488_principal_len);
                                          flick_iiop_decode_end_chunk(_t488_principal_len);
                                          flick_iiop_decode_end_glob(_t488_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t489_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t490_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t490_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t490_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t491_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t491_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t491_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t492_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t492_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t492_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t493_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t493_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t493_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t494_principal_len;
                                          CORBA_Environment _t495_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t494_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t494_principal_len);
                                          flick_iiop_decode_new_chunk(_t494_principal_len);
                                          flick_iiop_decode_end_chunk(_t494_principal_len);
                                          flick_iiop_decode_end_glob(_t494_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t495_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t496_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t496_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t496_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t497_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t497_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t497_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t498_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t498_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t498_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t499_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t499_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t499_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t500_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t500_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t500_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t501_principal_len;
                                          CORBA_Environment _t502_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t501_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t501_principal_len);
                                          flick_iiop_decode_new_chunk(_t501_principal_len);
                                          flick_iiop_decode_end_chunk(_t501_principal_len);
                                          flick_iiop_decode_end_glob(_t501_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t502_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t503_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t503_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t503_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t504_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t504_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t504_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t505_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t505_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t505_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t506_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t506_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t506_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t507_principal_len;
                                          CORBA_Environment _t508_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t507_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t507_principal_len);
                                          flick_iiop_decode_new_chunk(_t507_principal_len);
                                          flick_iiop_decode_end_chunk(_t507_principal_len);
                                          flick_iiop_decode_end_glob(_t507_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t508_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t509_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t509_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t509_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t510_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t510_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t510_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t511_principal_len;
                        CORBA_Environment _t512_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t511_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_decode_new_glob(_t511_principal_len);
                        flick_iiop_decode_new_chunk(_t511_principal_len);
                        flick_iiop_decode_end_chunk(_t511_principal_len);
                        flick_iiop_decode_end_glob(_t511_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t512_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t513_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t513_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t513_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t514_principal_len;
                        CORBA_ReferenceData _t515_storage;
                        CORBA_unsigned_long _t516_array_iter;
                        CORBA_Environment _t517_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t514_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_decode_new_glob(_t514_principal_len);
                        flick_iiop_decode_new_chunk(_t514_principal_len);
                        flick_iiop_decode_end_chunk(_t514_principal_len);
                        flick_iiop_decode_end_glob(_t514_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t515_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                        for (_t516_array_iter = 0; _t516_array_iter < _local_id->_length; _t516_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t516_array_iter]);
                            flick_iiop_decode_end_chunk(1);
                          }
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t517_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t243_switch_tag;

    flick_iiop_decode_new_glob(32);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t243_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t243_switch_tag)
      {
      case (unsigned int) 15:
        {
          unsigned int _t244_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t244_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t244_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t245_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t245_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t245_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t246_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t246_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t246_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t247_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t247_switch_tag);
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t247_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t248_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t248_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t248_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t249_principal_len;
                                          CORBA_Environment _t250_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t249_principal_len);
                                          flick_iiop_decode_end_chunk(5);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t249_principal_len);
                                          flick_iiop_decode_new_chunk(_t249_principal_len);
                                          flick_iiop_decode_end_chunk(_t249_principal_len);
                                          flick_iiop_decode_end_glob(_t249_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t250_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_path_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t251_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t251_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t251_switch_tag)
                  {
                  case /* _pat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601200500):
                    {
                      unsigned int _t252_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t252_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t252_switch_tag)
                        {
                        case /* h_na */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751084641):
                          {
                            unsigned short int _t253_switch_tag;

                            flick_iiop_decode_new_chunk(2);
                            flick_cdr_decode_unsigned16(0, _t253_switch_tag);
                            flick_iiop_decode_end_chunk(2);
                            switch ((unsigned short int )_t253_switch_tag)
                              {
                              case /* me */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28005):
                                {
                                  char _t254_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t254_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t254_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_path_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t255_principal_len;
                                          CORBA_Environment _t256_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(5);
                                          flick_cdr_decode_unsigned32(1, _t255_principal_len);
                                          flick_iiop_decode_end_chunk(5);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t255_principal_len);
                                          flick_iiop_decode_new_chunk(_t255_principal_len);
                                          flick_iiop_decode_end_chunk(_t255_principal_len);
                                          flick_iiop_decode_end_glob(_t255_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_path_name, auto_flick_alloc, iiop);
                                          _ev = &_t256_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_path_name(_obj, _local_path_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t257_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t257_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t257_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t258_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t258_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t258_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t259_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t259_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t259_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t260_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t260_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t260_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t261_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t261_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t261_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t262_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t262_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t262_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t263_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t263_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t263_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Policy _return;
                                                      unsigned int _t264_principal_len;
                                                      CORBA_Environment _t265_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t264_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_iiop_decode_new_glob(_t264_principal_len);
                                                      flick_iiop_decode_new_chunk(_t264_principal_len);
                                                      flick_iiop_decode_end_chunk(_t264_principal_len);
                                                      flick_iiop_decode_end_glob(_t264_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _ev = &_t265_storage;
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _return = CORBA_CreationImplDef__get_activation_policy(_obj, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(8);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_new_chunk(4);
                                                            flick_cdr_encode_unsigned32(0, _return);
                                                            flick_iiop_encode_end_chunk(4);
                                                            flick_iiop_encode_end_glob(8);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(8);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(8);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t266_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t266_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t266_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t267_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t267_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t267_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t268_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t268_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t268_switch_tag)
                              {
                              case /* ion_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768910431):
                                {
                                  unsigned int _t269_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t269_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t269_switch_tag)
                                    {
                                    case /* poli */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886350441):
                                      {
                                        unsigned short int _t270_switch_tag;

                                        flick_iiop_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t270_switch_tag);
                                        flick_iiop_decode_end_chunk(2);
                                        switch ((unsigned short int )_t270_switch_tag)
                                          {
                                          case /* cy */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25465):
                                            {
                                              char _t271_switch_tag;

                                              flick_iiop_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t271_switch_tag);
                                              flick_iiop_decode_end_chunk(1);
                                              switch ((char )_t271_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      CORBA_CreationImplDef _obj;
                                                      CORBA_Policy _local_activation_policy;
                                                      CORBA_Environment *_ev;
                                                      unsigned int _t272_principal_len;
                                                      CORBA_Environment _t273_storage;

                                                      {
                                                        flick_iiop_server_decode_target(_obj, 0, cdr);
                                                      }
                                                      /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                      flick_iiop_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t272_principal_len);
                                                      flick_iiop_decode_end_chunk(5);
                                                      flick_iiop_decode_end_glob(32);
                                                      flick_iiop_decode_new_glob(_t272_principal_len);
                                                      flick_iiop_decode_new_chunk(_t272_principal_len);
                                                      flick_iiop_decode_end_chunk(_t272_principal_len);
                                                      flick_iiop_decode_end_glob(_t272_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiop_decode_new_glob(7);
                                                      flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_cdr_decode_unsigned32(0, _local_activation_policy);
                                                      _ev = &_t273_storage;
                                                      flick_iiop_decode_end_chunk(4);
                                                      flick_iiop_decode_end_glob(7);
                                                      flick_iiop_server_end_decode();
                                                      flick_corba_init_environment();
                                                      CORBA_CreationImplDef__set_activation_policy(_obj, _local_activation_policy, _ev);
                                                      flick_iiop_server_start_encode();
                                                      {
                                                        flick_iiop_server_encode_target(_obj, 0, cdr);
                                                      }
                                                      flick_iiop_encode_new_glob(4);
                                                      flick_iiop_encode_new_chunk(4);
                                                      flick_cdr_encode_signed32(0, _ev->_major);
                                                      flick_iiop_encode_end_chunk(4);
                                                      switch (_ev->_major)
                                                        {
                                                        case CORBA_NO_EXCEPTION:
                                                          {
                                                            /* Begin encode phase on parameters */
                                                            flick_iiop_encode_end_glob(4);
                                                            break;
                                                          }
                                                        case CORBA_SYSTEM_EXCEPTION:
                                                          {
                                                            flick_iiop_encode_end_glob(4);
                                                            flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                            flick_iiop_encode_end_glob(4);
                                                          }
                                                        }
                                                      flick_iiop_server_end_encode();
                                                    }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                                    flick_iiop_decode_end_glob(32);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(32);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t274_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t274_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t274_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t275_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t275_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t275_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t276_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t276_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t276_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_Environment *_ev;
                              CORBA_StringSequence *_return = 0;
                              unsigned int _t277_principal_len;
                              CORBA_Environment _t278_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t277_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t277_principal_len);
                              flick_iiop_decode_new_chunk(_t277_principal_len);
                              flick_iiop_decode_end_chunk(_t277_principal_len);
                              flick_iiop_decode_end_glob(_t277_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t278_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_CreationImplDef__get_args(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    CORBA_unsigned_long _t280_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    for (_t280_array_iter = 0; _t280_array_iter < _return->_length; _t280_array_iter++)
                                      {
                                        flick_cdr_encode_longstring(_return->_buffer[_t280_array_iter], CORBA_flick_free, iiop);
                                      }
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t281_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t281_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t281_switch_tag)
                  {
                  case /* _arg */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600221799):
                    {
                      unsigned short int _t282_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t282_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t282_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_StringSequence *_local_args;
                              CORBA_Environment *_ev;
                              unsigned int _t283_principal_len;
                              CORBA_StringSequence _t284_storage;
                              CORBA_unsigned_long _t285_array_iter;
                              CORBA_Environment _t286_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t283_principal_len);
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t283_principal_len);
                              flick_iiop_decode_new_chunk(_t283_principal_len);
                              flick_iiop_decode_end_chunk(_t283_principal_len);
                              flick_iiop_decode_end_glob(_t283_principal_len);
                              /* Begin decode phase on parameters */
                              _local_args = &_t284_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_args->_length);
                              _local_args->_maximum = _local_args->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              _local_args->_buffer = auto_flick_alloc(_local_args->_length * sizeof(CORBA_char *));
                              for (_t285_array_iter = 0; _t285_array_iter < _local_args->_length; _t285_array_iter++)
                                {
                                  flick_cdr_decode_auto_string(_local_args->_buffer[_t285_array_iter], auto_flick_alloc, iiop);
                                }
                              _ev = &_t286_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              CORBA_CreationImplDef__set_args(_obj, _local_args, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t287_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t287_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t287_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t288_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t288_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t288_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t289_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t289_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t289_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_Environment *_ev;
                              CORBA_StringSequence *_return = 0;
                              unsigned int _t290_principal_len;
                              CORBA_Environment _t291_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t290_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t290_principal_len);
                              flick_iiop_decode_new_chunk(_t290_principal_len);
                              flick_iiop_decode_end_chunk(_t290_principal_len);
                              flick_iiop_decode_end_glob(_t290_principal_len);
                              /* Begin decode phase on parameters */
                              _ev = &_t291_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_CreationImplDef__get_env(_obj, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(8);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    CORBA_unsigned_long _t293_array_iter;

                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_unsigned32(0, _return->_length);
                                    flick_iiop_encode_end_chunk(4);
                                    flick_iiop_encode_end_glob(8);
                                    for (_t293_array_iter = 0; _t293_array_iter < _return->_length; _t293_array_iter++)
                                      {
                                        flick_cdr_encode_longstring(_return->_buffer[_t293_array_iter], CORBA_flick_free, iiop);
                                      }
                                    CORBA_flick_free(_return->_buffer);
                                    CORBA_flick_free(_return);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(8);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(8);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t294_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t294_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t294_switch_tag)
                  {
                  case /* _env */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600482934):
                    {
                      char _t295_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t295_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t295_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_CreationImplDef _obj;
                              CORBA_StringSequence *_local_env;
                              CORBA_Environment *_ev;
                              unsigned int _t296_principal_len;
                              CORBA_StringSequence _t297_storage;
                              CORBA_unsigned_long _t298_array_iter;
                              CORBA_Environment _t299_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t296_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(32);
                              flick_iiop_decode_new_glob(_t296_principal_len);
                              flick_iiop_decode_new_chunk(_t296_principal_len);
                              flick_iiop_decode_end_chunk(_t296_principal_len);
                              flick_iiop_decode_end_glob(_t296_principal_len);
                              /* Begin decode phase on parameters */
                              _local_env = &_t297_storage;
                              flick_iiop_decode_new_glob(7);
                              flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                              flick_cdr_decode_unsigned32(0, _local_env->_length);
                              _local_env->_maximum = _local_env->_length;
                              flick_iiop_decode_end_chunk(4);
                              flick_iiop_decode_end_glob(7);
                              _local_env->_buffer = auto_flick_alloc(_local_env->_length * sizeof(CORBA_char *));
                              for (_t298_array_iter = 0; _t298_array_iter < _local_env->_length; _t298_array_iter++)
                                {
                                  flick_cdr_decode_auto_string(_local_env->_buffer[_t298_array_iter], auto_flick_alloc, iiop);
                                }
                              _ev = &_t299_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              CORBA_CreationImplDef__set_env(_obj, _local_env, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t300_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t300_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t300_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t301_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t301_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t301_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t302_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t302_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t302_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t303_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t303_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t303_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t304_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t304_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t304_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t305_principal_len;
                                          CORBA_Environment _t306_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t305_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t305_principal_len);
                                          flick_iiop_decode_new_chunk(_t305_principal_len);
                                          flick_iiop_decode_end_chunk(_t305_principal_len);
                                          flick_iiop_decode_end_glob(_t305_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t306_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t307_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t307_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t307_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t308_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t308_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t308_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t309_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t309_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t309_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t310_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t310_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t310_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t311_principal_len;
                                          CORBA_Environment _t312_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t311_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t311_principal_len);
                                          flick_iiop_decode_new_chunk(_t311_principal_len);
                                          flick_iiop_decode_end_chunk(_t311_principal_len);
                                          flick_iiop_decode_end_glob(_t311_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t312_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t313_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t313_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t313_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t314_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t314_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t314_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t315_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t315_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t315_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t316_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t316_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t316_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t317_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t317_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t317_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t318_principal_len;
                                          CORBA_Environment _t319_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t318_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t318_principal_len);
                                          flick_iiop_decode_new_chunk(_t318_principal_len);
                                          flick_iiop_decode_end_chunk(_t318_principal_len);
                                          flick_iiop_decode_end_glob(_t318_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t319_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_CreationImplDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t320_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t320_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t320_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t321_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t321_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t321_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t322_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t322_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t322_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t323_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t323_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t323_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_CreationImplDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t324_principal_len;
                                          CORBA_Environment _t325_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t324_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(32);
                                          flick_iiop_decode_new_glob(_t324_principal_len);
                                          flick_iiop_decode_new_chunk(_t324_principal_len);
                                          flick_iiop_decode_end_chunk(_t324_principal_len);
                                          flick_iiop_decode_end_glob(_t324_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t325_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_CreationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(32);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(32);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(32);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t326_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t326_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t326_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t327_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t327_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t327_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t328_principal_len;
                        CORBA_Environment _t329_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t328_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_decode_new_glob(_t328_principal_len);
                        flick_iiop_decode_new_chunk(_t328_principal_len);
                        flick_iiop_decode_end_chunk(_t328_principal_len);
                        flick_iiop_decode_end_glob(_t328_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t329_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_CreationImplDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t330_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t330_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t330_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_CreationImplDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t331_principal_len;
                        CORBA_ReferenceData _t332_storage;
                        CORBA_Environment _t333_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t331_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(32);
                        flick_iiop_decode_new_glob(_t331_principal_len);
                        flick_iiop_decode_new_chunk(_t331_principal_len);
                        flick_iiop_decode_end_chunk(_t331_principal_len);
                        flick_iiop_decode_end_glob(_t331_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t332_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        flick_iiop_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer);
                        flick_iiop_decode_end_chunk(1 * _local_id->_length);
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t333_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_CreationImplDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(32);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(32);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(32);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_CORBA_Activator_swap(flick_marshal_stream_t _stream, CORBA_Activator *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t CORBA_Activator_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t554_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t554_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t554_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t555_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t555_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t555_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t556_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t556_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t556_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t557_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t557_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t557_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_Activator _obj;
                              CORBA_ImplementationDef _local_impl;
                              CORBA_Environment *_ev;
                              CORBA_Object _return;
                              unsigned int _t558_principal_len;
                              CORBA_Environment _t559_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t558_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t558_principal_len);
                              flick_iiop_decode_new_chunk(_t558_principal_len);
                              flick_iiop_decode_end_chunk(_t558_principal_len);
                              flick_iiop_decode_end_glob(_t558_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swap_decode_IOR(iiop, _local_impl, 1);
                              flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                              _ev = &_t559_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t560_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t560_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t560_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t561_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t561_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t561_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t562_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t562_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t562_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t563_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t563_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t563_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    CORBA_Activator _obj;
                                    CORBA_Object _local_obj;
                                    CORBA_ImplementationDef _local_impl;
                                    CORBA_Environment *_ev;
                                    unsigned int _t564_principal_len;
                                    CORBA_Environment _t565_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t564_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t564_principal_len);
                                    flick_iiop_decode_new_chunk(_t564_principal_len);
                                    flick_iiop_decode_end_chunk(_t564_principal_len);
                                    flick_iiop_decode_end_glob(_t564_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_swap_decode_IOR(iiop, _local_obj, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdr_swap_decode_IOR(iiop, _local_impl, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                    _ev = &_t565_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(4);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t530_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t530_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t530_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t531_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t531_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t531_switch_tag)
            {
            case /* acti */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633907817):
              {
                unsigned int _t532_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t532_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t532_switch_tag)
                  {
                  case /* vate */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1986098277):
                    {
                      char _t533_switch_tag;

                      flick_iiop_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t533_switch_tag);
                      flick_iiop_decode_end_chunk(1);
                      switch ((char )_t533_switch_tag)
                        {
                        case 0:
                          {
                            {
                              CORBA_Activator _obj;
                              CORBA_ImplementationDef _local_impl;
                              CORBA_Environment *_ev;
                              CORBA_Object _return;
                              unsigned int _t534_principal_len;
                              CORBA_Environment _t535_storage;

                              {
                                flick_iiop_server_decode_target(_obj, 0, cdr);
                              }
                              /* Skip over the requesting `Principal' pseudo object (security ID). */
                              flick_iiop_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t534_principal_len);
                              flick_iiop_decode_end_chunk(7);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_decode_new_glob(_t534_principal_len);
                              flick_iiop_decode_new_chunk(_t534_principal_len);
                              flick_iiop_decode_end_chunk(_t534_principal_len);
                              flick_iiop_decode_end_glob(_t534_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_decode_IOR(iiop, _local_impl, 1);
                              flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                              _ev = &_t535_storage;
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _return = CORBA_Activator_activate(_obj, _local_impl, _ev);
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr);
                              }
                              flick_iiop_encode_new_glob(4);
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_signed32(0, _ev->_major);
                              flick_iiop_encode_end_chunk(4);
                              switch (_ev->_major)
                                {
                                case CORBA_NO_EXCEPTION:
                                  {
                                    /* Begin encode phase on parameters */
                                    flick_iiop_encode_end_glob(4);
                                    flick_cdr_encode_IOR(iiop, _return, 0);
                                    break;
                                  }
                                case CORBA_SYSTEM_EXCEPTION:
                                  {
                                    flick_iiop_encode_end_glob(4);
                                    flick_corba_encode_system_exception(_ev, cdr, iiop);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                    flick_iiop_encode_end_glob(4);
                                  }
                                }
                              flick_iiop_server_end_encode();
                            }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t536_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t536_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t536_switch_tag)
            {
            case /* deac */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684365667):
              {
                unsigned int _t537_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t537_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t537_switch_tag)
                  {
                  case /* tiva */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953068641):
                    {
                      unsigned short int _t538_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t538_switch_tag);
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t538_switch_tag)
                        {
                        case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                          {
                            char _t539_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t539_switch_tag);
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t539_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    CORBA_Activator _obj;
                                    CORBA_Object _local_obj;
                                    CORBA_ImplementationDef _local_impl;
                                    CORBA_Environment *_ev;
                                    unsigned int _t540_principal_len;
                                    CORBA_Environment _t541_storage;

                                    {
                                      flick_iiop_server_decode_target(_obj, 0, cdr);
                                    }
                                    /* Skip over the requesting `Principal' pseudo object (security ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t540_principal_len);
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_decode_new_glob(_t540_principal_len);
                                    flick_iiop_decode_new_chunk(_t540_principal_len);
                                    flick_iiop_decode_end_chunk(_t540_principal_len);
                                    flick_iiop_decode_end_glob(_t540_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_cdr_decode_IOR(iiop, _local_obj, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_obj, 1);
                                    flick_cdr_decode_IOR(iiop, _local_impl, 1);
                                    flick_iiop_mark_port_for_cleanup(_local_impl, 1);
                                    _ev = &_t541_storage;
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    CORBA_Activator_deactivate(_obj, _local_obj, _local_impl, _ev);
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr);
                                    }
                                    flick_iiop_encode_new_glob(4);
                                    flick_iiop_encode_new_chunk(4);
                                    flick_cdr_encode_signed32(0, _ev->_major);
                                    flick_iiop_encode_end_chunk(4);
                                    switch (_ev->_major)
                                      {
                                      case CORBA_NO_EXCEPTION:
                                        {
                                          /* Begin encode phase on parameters */
                                          flick_iiop_encode_end_glob(4);
                                          break;
                                        }
                                      case CORBA_SYSTEM_EXCEPTION:
                                        {
                                          flick_iiop_encode_end_glob(4);
                                          flick_corba_encode_system_exception(_ev, cdr, iiop);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                          flick_iiop_encode_end_glob(4);
                                        }
                                      }
                                    flick_iiop_server_end_encode();
                                  }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_CORBA_ActivationImplDef_swap(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

flick_operation_success_t CORBA_ActivationImplDef_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned long _request_id, FLICK_CLIENT _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  if (flick_cdr_swap()) {
  {
    unsigned int _t717_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t717_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t717_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t718_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t718_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t718_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t719_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t719_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t719_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t720_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t720_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t720_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t721_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t721_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t721_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t722_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t722_switch_tag);
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t722_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t723_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t723_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t723_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_Activator _return;
                                                unsigned int _t724_principal_len;
                                                CORBA_Environment _t725_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t724_principal_len);
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_decode_new_glob(_t724_principal_len);
                                                flick_iiop_decode_new_chunk(_t724_principal_len);
                                                flick_iiop_decode_end_chunk(_t724_principal_len);
                                                flick_iiop_decode_end_glob(_t724_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t725_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_cdr_encode_IOR(iiop, _return, 0);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t726_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t726_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t726_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t727_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t727_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t727_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t728_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t728_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t728_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t729_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t729_switch_tag);
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t729_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t730_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t730_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t730_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                CORBA_Activator _local_activator_obj;
                                                CORBA_Environment *_ev;
                                                unsigned int _t731_principal_len;
                                                CORBA_Environment _t732_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t731_principal_len);
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_decode_new_glob(_t731_principal_len);
                                                flick_iiop_decode_new_chunk(_t731_principal_len);
                                                flick_iiop_decode_end_chunk(_t731_principal_len);
                                                flick_iiop_decode_end_glob(_t731_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_swap_decode_IOR(iiop, _local_activator_obj, 1);
                                                flick_iiop_mark_port_for_cleanup(_local_activator_obj, 1);
                                                _ev = &_t732_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t733_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t733_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t733_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t734_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t734_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t734_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t735_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t735_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t735_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t736_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t736_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t736_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t737_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t737_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t737_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t738_principal_len;
                                          CORBA_Environment _t739_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t738_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t738_principal_len);
                                          flick_iiop_decode_new_chunk(_t738_principal_len);
                                          flick_iiop_decode_end_chunk(_t738_principal_len);
                                          flick_iiop_decode_end_glob(_t738_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t739_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t740_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t740_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t740_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t741_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t741_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t741_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t742_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t742_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t742_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t743_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t743_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t743_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t744_principal_len;
                                          CORBA_Environment _t745_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t744_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t744_principal_len);
                                          flick_iiop_decode_new_chunk(_t744_principal_len);
                                          flick_iiop_decode_end_chunk(_t744_principal_len);
                                          flick_iiop_decode_end_glob(_t744_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t745_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t746_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t746_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t746_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t747_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t747_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t747_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t748_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t748_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t748_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t749_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t749_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t749_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t750_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t750_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t750_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t751_principal_len;
                                          CORBA_Environment _t752_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t751_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t751_principal_len);
                                          flick_iiop_decode_new_chunk(_t751_principal_len);
                                          flick_iiop_decode_end_chunk(_t751_principal_len);
                                          flick_iiop_decode_end_glob(_t751_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t752_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t753_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t753_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t753_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t754_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t754_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t754_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t755_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t755_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t755_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t756_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _t756_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t756_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t757_principal_len;
                                          CORBA_Environment _t758_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_swap_decode_unsigned32(3, _t757_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t757_principal_len);
                                          flick_iiop_decode_new_chunk(_t757_principal_len);
                                          flick_iiop_decode_end_chunk(_t757_principal_len);
                                          flick_iiop_decode_end_glob(_t757_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_swap_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t758_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t759_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t759_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t759_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t760_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t760_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t760_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t761_principal_len;
                        CORBA_Environment _t762_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t761_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t761_principal_len);
                        flick_iiop_decode_new_chunk(_t761_principal_len);
                        flick_iiop_decode_end_chunk(_t761_principal_len);
                        flick_iiop_decode_end_glob(_t761_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t762_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t763_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t763_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t763_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t764_principal_len;
                        CORBA_ReferenceData _t765_storage;
                        CORBA_unsigned_long _t766_array_iter;
                        CORBA_Environment _t767_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t764_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t764_principal_len);
                        flick_iiop_decode_new_chunk(_t764_principal_len);
                        flick_iiop_decode_end_chunk(_t764_principal_len);
                        flick_iiop_decode_end_glob(_t764_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t765_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_swap_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(CORBA_octet ));
                        for (_t766_array_iter = 0; _t766_array_iter < _local_id->_length; _t766_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_unsigned8(0, _local_id->_buffer[_t766_array_iter]);
                            flick_iiop_decode_end_chunk(1);
                          }
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t767_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr_swap, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t616_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t616_switch_tag);
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t616_switch_tag)
      {
      case (unsigned int) 19:
        {
          unsigned int _t617_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t617_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t617_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t618_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t618_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t618_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t619_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t619_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t619_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t620_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t620_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t620_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t621_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t621_switch_tag);
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t621_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t622_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t622_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t622_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                CORBA_Environment *_ev;
                                                CORBA_Activator _return;
                                                unsigned int _t623_principal_len;
                                                CORBA_Environment _t624_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t623_principal_len);
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_decode_new_glob(_t623_principal_len);
                                                flick_iiop_decode_new_chunk(_t623_principal_len);
                                                flick_iiop_decode_end_chunk(_t623_principal_len);
                                                flick_iiop_decode_end_glob(_t623_principal_len);
                                                /* Begin decode phase on parameters */
                                                _ev = &_t624_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _return = CORBA_ActivationImplDef__get_activator_obj(_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_cdr_encode_IOR(iiop, _return, 0);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t625_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t625_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t625_switch_tag)
                  {
                  case /* _act */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600217972):
                    {
                      unsigned int _t626_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t626_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t626_switch_tag)
                        {
                        case /* ivat */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769365876):
                          {
                            unsigned int _t627_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t627_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t627_switch_tag)
                              {
                              case /* or_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869766511):
                                {
                                  unsigned short int _t628_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t628_switch_tag);
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t628_switch_tag)
                                    {
                                    case /* bj */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25194):
                                      {
                                        char _t629_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t629_switch_tag);
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t629_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_ActivationImplDef _obj;
                                                CORBA_Activator _local_activator_obj;
                                                CORBA_Environment *_ev;
                                                unsigned int _t630_principal_len;
                                                CORBA_Environment _t631_storage;

                                                {
                                                  flick_iiop_server_decode_target(_obj, 0, cdr);
                                                }
                                                /* Skip over the requesting `Principal' pseudo object (security ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t630_principal_len);
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_decode_new_glob(_t630_principal_len);
                                                flick_iiop_decode_new_chunk(_t630_principal_len);
                                                flick_iiop_decode_end_chunk(_t630_principal_len);
                                                flick_iiop_decode_end_glob(_t630_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_cdr_decode_IOR(iiop, _local_activator_obj, 1);
                                                flick_iiop_mark_port_for_cleanup(_local_activator_obj, 1);
                                                _ev = &_t631_storage;
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                CORBA_ActivationImplDef__set_activator_obj(_obj, _local_activator_obj, _ev);
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr);
                                                }
                                                flick_iiop_encode_new_glob(4);
                                                flick_iiop_encode_new_chunk(4);
                                                flick_cdr_encode_signed32(0, _ev->_major);
                                                flick_iiop_encode_end_chunk(4);
                                                switch (_ev->_major)
                                                  {
                                                  case CORBA_NO_EXCEPTION:
                                                    {
                                                      /* Begin encode phase on parameters */
                                                      flick_iiop_encode_end_glob(4);
                                                      break;
                                                    }
                                                  case CORBA_SYSTEM_EXCEPTION:
                                                    {
                                                      flick_iiop_encode_end_glob(4);
                                                      flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                      flick_iiop_encode_end_glob(4);
                                                    }
                                                  }
                                                flick_iiop_server_end_encode();
                                              }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t632_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t632_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t632_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t633_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t633_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t633_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t634_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t634_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t634_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t635_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t635_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t635_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t636_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t636_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t636_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t637_principal_len;
                                          CORBA_Environment _t638_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t637_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t637_principal_len);
                                          flick_iiop_decode_new_chunk(_t637_principal_len);
                                          flick_iiop_decode_end_chunk(_t637_principal_len);
                                          flick_iiop_decode_end_glob(_t637_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t638_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ActivationImplDef__get_interface_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t639_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t639_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t639_switch_tag)
                  {
                  case /* _int */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745076):
                    {
                      unsigned int _t640_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t640_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t640_switch_tag)
                        {
                        case /* erfa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701996129):
                          {
                            unsigned int _t641_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t641_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t641_switch_tag)
                              {
                              case /* ce_n */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1667587950):
                                {
                                  unsigned int _t642_switch_tag;

                                  flick_iiop_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t642_switch_tag);
                                  flick_iiop_decode_end_chunk(4);
                                  switch ((unsigned int )_t642_switch_tag)
                                    {
                                    case /* ame */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634559232):
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_char *_local_interface_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t643_principal_len;
                                          CORBA_Environment _t644_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t643_principal_len);
                                          flick_iiop_decode_end_chunk(4);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t643_principal_len);
                                          flick_iiop_decode_new_chunk(_t643_principal_len);
                                          flick_iiop_decode_end_chunk(_t643_principal_len);
                                          flick_iiop_decode_end_glob(_t643_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_interface_name, auto_flick_alloc, iiop);
                                          _ev = &_t644_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ActivationImplDef__set_interface_name(_obj, _local_interface_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 17:
        {
          unsigned int _t645_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t645_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t645_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t646_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t646_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t646_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t647_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t647_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t647_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t648_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t648_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t648_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t649_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t649_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t649_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_Environment *_ev;
                                          CORBA_char *_return = 0;
                                          unsigned int _t650_principal_len;
                                          CORBA_Environment _t651_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t650_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t650_principal_len);
                                          flick_iiop_decode_new_chunk(_t650_principal_len);
                                          flick_iiop_decode_end_chunk(_t650_principal_len);
                                          flick_iiop_decode_end_glob(_t650_principal_len);
                                          /* Begin decode phase on parameters */
                                          _ev = &_t651_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          _return = CORBA_ActivationImplDef__get_object_name(_obj, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                flick_cdr_encode_longstring(_return, CORBA_flick_free, iiop);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t652_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t652_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t652_switch_tag)
                  {
                  case /* _obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135210):
                    {
                      unsigned int _t653_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t653_switch_tag);
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t653_switch_tag)
                        {
                        case /* ect_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016671):
                          {
                            unsigned int _t654_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t654_switch_tag);
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t654_switch_tag)
                              {
                              case /* name */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1851878757):
                                {
                                  char _t655_switch_tag;

                                  flick_iiop_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _t655_switch_tag);
                                  flick_iiop_decode_end_chunk(1);
                                  switch ((char )_t655_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          CORBA_ActivationImplDef _obj;
                                          CORBA_char *_local_object_name;
                                          CORBA_Environment *_ev;
                                          unsigned int _t656_principal_len;
                                          CORBA_Environment _t657_storage;

                                          {
                                            flick_iiop_server_decode_target(_obj, 0, cdr);
                                          }
                                          /* Skip over the requesting `Principal' pseudo object (security ID). */
                                          flick_iiop_decode_new_chunk(7);
                                          flick_cdr_decode_unsigned32(3, _t656_principal_len);
                                          flick_iiop_decode_end_chunk(7);
                                          flick_iiop_decode_end_glob(28);
                                          flick_iiop_decode_new_glob(_t656_principal_len);
                                          flick_iiop_decode_new_chunk(_t656_principal_len);
                                          flick_iiop_decode_end_chunk(_t656_principal_len);
                                          flick_iiop_decode_end_glob(_t656_principal_len);
                                          /* Begin decode phase on parameters */
                                          flick_cdr_decode_auto_string(_local_object_name, auto_flick_alloc, iiop);
                                          _ev = &_t657_storage;
                                          flick_iiop_server_end_decode();
                                          flick_corba_init_environment();
                                          CORBA_ActivationImplDef__set_object_name(_obj, _local_object_name, _ev);
                                          flick_iiop_server_start_encode();
                                          {
                                            flick_iiop_server_encode_target(_obj, 0, cdr);
                                          }
                                          flick_iiop_encode_new_glob(4);
                                          flick_iiop_encode_new_chunk(4);
                                          flick_cdr_encode_signed32(0, _ev->_major);
                                          flick_iiop_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                /* Begin encode phase on parameters */
                                                flick_iiop_encode_end_glob(4);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_iiop_encode_end_glob(4);
                                                flick_corba_encode_system_exception(_ev, cdr, iiop);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                                                flick_iiop_encode_end_glob(4);
                                              }
                                            }
                                          flick_iiop_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t658_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t658_switch_tag);
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t658_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t659_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t659_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t659_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        CORBA_Environment *_ev;
                        CORBA_ReferenceData *_return = 0;
                        unsigned int _t660_principal_len;
                        CORBA_Environment _t661_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t660_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t660_principal_len);
                        flick_iiop_decode_new_chunk(_t660_principal_len);
                        flick_iiop_decode_end_chunk(_t660_principal_len);
                        flick_iiop_decode_end_glob(_t660_principal_len);
                        /* Begin decode phase on parameters */
                        _ev = &_t661_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _return = CORBA_ActivationImplDef__get_id(_obj, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(8);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_new_chunk(4);
                              flick_cdr_encode_unsigned32(0, _return->_length);
                              flick_iiop_encode_end_chunk(4);
                              flick_iiop_encode_end_glob(8);
                              flick_iiop_encode_new_glob(1 * _return->_length);
                              flick_iiop_encode_new_chunk(1 * _return->_length);
                              flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                              CORBA_flick_free(_return->_buffer);
                              flick_iiop_encode_end_chunk(1 * _return->_length);
                              flick_iiop_encode_end_glob(1 * _return->_length);
                              CORBA_flick_free(_return);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(8);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(8);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t662_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t662_switch_tag);
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t662_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        CORBA_ActivationImplDef _obj;
                        CORBA_ReferenceData *_local_id;
                        CORBA_Environment *_ev;
                        unsigned int _t663_principal_len;
                        CORBA_ReferenceData _t664_storage;
                        CORBA_Environment _t665_storage;

                        {
                          flick_iiop_server_decode_target(_obj, 0, cdr);
                        }
                        /* Skip over the requesting `Principal' pseudo object (security ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t663_principal_len);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_decode_new_glob(_t663_principal_len);
                        flick_iiop_decode_new_chunk(_t663_principal_len);
                        flick_iiop_decode_end_chunk(_t663_principal_len);
                        flick_iiop_decode_end_glob(_t663_principal_len);
                        /* Begin decode phase on parameters */
                        _local_id = &_t664_storage;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_decode_unsigned32(0, _local_id->_length);
                        _local_id->_maximum = _local_id->_length;
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _local_id->_length);
                        flick_iiop_decode_new_chunk(1 * _local_id->_length);
                        flick_cdr_decode_msgptr(0, _local_id->_buffer);
                        flick_iiop_decode_end_chunk(1 * _local_id->_length);
                        flick_iiop_decode_end_glob(1 * _local_id->_length);
                        _ev = &_t665_storage;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        CORBA_ActivationImplDef__set_id(_obj, _local_id, _ev);
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr);
                        }
                        flick_iiop_encode_new_glob(4);
                        flick_iiop_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _ev->_major);
                        flick_iiop_encode_end_chunk(4);
                        switch (_ev->_major)
                          {
                          case CORBA_NO_EXCEPTION:
                            {
                              /* Begin encode phase on parameters */
                              flick_iiop_encode_end_glob(4);
                              break;
                            }
                          case CORBA_SYSTEM_EXCEPTION:
                            {
                              flick_iiop_encode_end_glob(4);
                              flick_corba_encode_system_exception(_ev, cdr, iiop);
                              break;
                            }
                          default:
                            {
                              flick_corba_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
                              flick_iiop_encode_end_glob(4);
                            }
                          }
                        flick_iiop_server_end_encode();
                      }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, cdr, iiop);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  }
  return FLICK_OPERATION_SUCCESS;
}
